drop table if exists Instrument;
drop sequence if exists INSTRUMENT_SEQ;
create sequence INSTRUMENT_SEQ start with 1 increment by 50;
create table Instrument (
        instrumentType varchar(31) not null,
        id bigint not null,
        amountInOriginalCurrency decimal(19,2),
        brokerLei varchar(255),
        counterpartyLei varchar(255),
        dealDate timestamp,
        originalCurrency varchar(255),
        valueDate timestamp,
        isin varchar(255),
        quantity bigint,
        maturityDate timestamp,
        tracker varchar(255),
        direction varchar(255),
        strikeAmount decimal(19,2),
        primary key (id)
);
GRANT SELECT, INSERT, UPDATE, DELETE, TRUNCATE ON ALL TABLES IN SCHEMA public to inst;
GRANT SELECT, UPDATE ON ALL SEQUENCES IN SCHEMA public to inst;
TRUNCATE TABLE INSTRUMENT;
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900LAW6SKNVPBBN21', '969500CHL179N00GX059', '2017-09-17', 'EUR', '2017-09-17', 'BE7261065565', NULL, 5445, '2020-09-01', 539926.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500PEZUPUYR4BRB49', '959800ZEL3D4ZSNB4687', '2010-09-08', 'EUR', '2010-09-08', 'BE7261727404', NULL, 9033, '2020-11-12', 898783.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598008Z7MNQCDK3DN13', '9845008979K65B620X11', '2012-09-25', 'EUR', '2012-09-25', 'BE7281695649', NULL, 1810, '2020-02-03', 183262.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138005W55XEB2FY4L58', '959800QS1GU1LXNVQF70', '2011-01-28', 'EUR', '2011-01-28', 'BEAR00540375', NULL, 1108, '2019-03-25', 110800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800FCCUKG9UAU4169', '959800BFHSLJ8ZYH8T96', '2008-12-11', 'EUR', '2008-12-11', 'BEB157706792', NULL, 3739, '2021-10-01', 360589.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800CGAZSNGKCH9416', '52990097DKT8ZDY4U953', '2010-06-26', 'EUR', '2010-06-26', 'BE7261697813', NULL, 6315, '2020-02-27', 631500.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900POY4T52WBRZ178', '254900JQ7G3S5DKETO15', '2012-11-10', 'EUR', '2012-11-10', 'BEAR00547487', NULL, 7434, '2024-06-01', 745630.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '52990092IS1DY0KP9Z41', '54930044EWPZ74551F13', '2012-02-18', 'EUR', '2012-02-18', 'BE7260986274', NULL, 1645, '2019-06-18', 148461.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600D2FCCB189AD389', '549300QWO4UFVOCHJ567', '2016-06-30', 'EUR', '2016-06-30', 'BEB157554507', NULL, 3959, '2020-02-16', 419654.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800DV2WKUAMUTYL21', '254900Z5WUXGPYH1WS92', '2013-07-10', 'EUR', '2013-07-10', 'BEC0000AIP48', NULL, 4969, '2020-09-22', 539235.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800V1USGNW6MJG244', '894500I75P3H8JJ9N338', '2013-03-27', 'EUR', '2013-03-27', 'BEAR00601508', NULL, 4828, '2025-08-12', 456246.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560025560F1EB87A97', '894500H41RMH39PXFZ08', '2008-12-07', 'EUR', '2008-12-07', 'BE0002213792', NULL, 3296, '2019-06-02', 333983.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200SKJGOGCX5ULH65', '959800ZEL3D4ZSNB4687', '2016-03-24', 'EUR', '2016-03-24', 'BE6303323693', NULL, 9074, '2019-08-07', 907400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H94OQT5NLY1B47', '335800PRB8BUVI3NIV64', '2008-11-13', 'EUR', '2008-11-13', 'XS0579847673', NULL, 8309, '2021-01-18', 915236.3500000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245006X5WRTOPDL0C12', '335800CI32JXE6QKPY75', '2010-07-06', 'EUR', '2010-07-06', 'BEC0000AL9L7', NULL, 7345, '2019-05-11', 767552.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200T8U4GD5X959W51', '724500JOR0Z2LCOG1F26', '2014-07-28', 'EUR', '2014-07-28', 'BEC0000ARDB5', NULL, 1519, '2020-03-27', 161014.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800UALDOFE23QZZ30', '33580043AP7H1NXKG316', '2011-11-25', 'EUR', '2011-11-25', 'BE7260993593', NULL, 6294, '2019-08-01', 636323.3999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358007DZZNQ8375AX54', '335800QUD7Y6HOGL4S53', '2011-03-09', 'EUR', '2011-03-09', 'FR0012558310', NULL, 4884, '2025-03-01', 524834.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AAF25D91C47496', '213800NQFGXCUACUXT22', '2014-10-01', 'EUR', '2014-10-01', 'BE2141214368', NULL, 3983, '2021-05-01', 390334.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800VMI3OJPXEDL683', '254900N94Q2OB5BMY212', '2014-09-14', 'EUR', '2014-09-14', 'AT0000A1FAP5', NULL, 8042, '2025-10-20', 856714.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800CI32JXE6QKPY75', '2549007DY8T2X4U12M47', '2015-07-06', 'EUR', '2015-07-06', 'BE7261236687', NULL, 6336, '2022-11-19', 631065.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '353800JQWFU68JEVGH51', '529900Y148254B4IZC81', '2011-10-15', 'EUR', '2011-10-15', 'BE2615719173', NULL, 6277, '2024-04-01', 666931.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800T3X24SH42R2T71', '815600BD8412485F4905', '2014-05-10', 'EUR', '2014-05-10', 'BEC0000BJ265', NULL, 4592, '2024-05-20', 470680.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600D2FCCB189AD389', '894500HBWGMMNBJRTB22', '2012-10-17', 'EUR', '2012-10-17', 'XS0097222466', NULL, 1235, '2019-05-19', 134985.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '52990003CJ3ZFVS4S916', '335800HQJPG1Q9A2EI03', '2015-03-01', 'EUR', '2015-03-01', 'FR0011769090', NULL, 2887, '2021-03-05', 303192.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549008APH9BBOF59Z56', '959800XT1NELVHEH1340', '2014-02-15', 'EUR', '2014-02-15', 'BEB157069621', NULL, 336, '2021-02-16', 38307.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800EMN18T13KNS742', '259400BWE1DV32A9IC08', '2011-03-17', 'EUR', '2011-03-17', 'BEAX00015271', NULL, 5375, '2020-07-01', 564375.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800BQU4W7BEXVBB37', '894500H5QQNX42CLN376', '2018-09-26', 'EUR', '2018-09-26', 'FR0000571002', NULL, 9159, '2021-10-25', 894834.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800EZXGYPV73MK683', '959800W9TRM932HML048', '2017-09-19', 'EUR', '2017-09-19', 'BE7261699272', NULL, 2607, '2020-03-03', 262003.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549002YT1TV3H15K320', '894500HATNS96G8M8F51', '2018-09-15', 'EUR', '2018-09-15', 'BE2141002185', NULL, 7027, '2024-11-01', 667565.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000LD4R87JP5ERP12', '485100A79TSEJYSCYB31', '2009-08-01', 'EUR', '2009-08-01', 'XS0219724878', NULL, 9148, '2037-10-15', 1370644.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '33580018E9ZBP8Y5PX37', '98450091551BD505D618', '2016-09-29', 'EUR', '2016-09-29', 'XS0210433206', NULL, 9522, '2035-02-15', 20091.42, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900VA193NN1YA7191', '959800U4V2PH46QNYY19', '2014-04-03', 'EUR', '2014-04-03', 'BE7261108936', NULL, 2523, '2021-06-06', 246396.18, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299008U7QG0WXRCWK24', '335800EZXGYPV73MK683', '2011-05-12', 'EUR', '2011-05-12', 'BEB157651725', NULL, 9330, '2020-06-16', 951660.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800O9TGFI28HG3H16', '81560081DE5342908472', '2008-11-27', 'EUR', '2008-11-27', 'BE2139698721', NULL, 8419, '2021-08-01', 857896.1000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800D2TKL1HJYXP311', '2534006BRL22ER2L6895', '2013-06-16', 'EUR', '2013-06-16', 'BEC0000ADV45', NULL, 7253, '2019-09-03', 798265.18, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900GJ4ZU2KHY8YE31', '959800ADSN42P864VT30', '2008-10-24', 'EUR', '2008-10-24', 'BE7261199489', NULL, 8770, '2022-05-30', 873492.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450000T4YK8RB14Z03', '7245005BXMR2HKX07963', '2011-12-29', 'EUR', '2011-12-29', 'BE7261027128', NULL, 8022, '2020-01-18', 794178.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300EKL3FLE5SLV630', '54930049RQDUSV9QPW62', '2011-12-28', 'EUR', '2011-12-28', 'BEB157269692', NULL, 1546, '2022-04-01', 167447.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598009J5XPFFSY49P97', '959800S6CF2STX9PY834', '2017-11-20', 'EUR', '2017-11-20', 'BEC0000BHFS3', NULL, 6293, '2024-01-13', 646291.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7890007JMV9RAROEMI58', '25490086FCA0ZK6GYK45', '2017-07-16', 'EUR', '2017-07-16', 'FR0013293610', NULL, 7353, '2027-12-21', 704049.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600439C288154A067', '529900DW2JX67EA59I93', '2017-03-30', 'EUR', '2017-03-30', 'BEAR00434744', NULL, 6970, '2027-03-19', 707524.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AF2C8C0D012359', '984500A58675C8C54E33', '2016-10-09', 'EUR', '2016-10-09', 'FR0010817452', NULL, 5037, '2019-11-06', 508787.37000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300Y06T7WDFMGWP26', '894500HAO48HJGWQKV73', '2014-03-15', 'EUR', '2014-03-15', 'BEC0000AKKB5', NULL, 3424, '2019-03-08', 361232.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156005695C434FC0E64', '894500HAIKOPWHKUXB70', '2017-10-02', 'EUR', '2017-10-02', 'BE7261232223', NULL, 9353, '2022-10-19', 932494.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25490074GYRP5X39RJ89', '335800RG8K64TXLLRP70', '2010-08-25', 'EUR', '2010-08-25', 'US04011NAR98', NULL, 8476, '2028-05-28', 169520.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000R254F6H0GRXP16', '254900BE1XFM2GZQC921', '2018-09-17', 'EUR', '2018-09-17', 'PTSEMGOE0002', NULL, 8307, '2020-11-30', 851467.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XW9PFQEDAAOZ11', '959800XCGHVKRR642W06', '2015-08-06', 'EUR', '2015-08-06', 'BE3871271016', NULL, 1737, '2026-12-04', 170851.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900DHYESSX5WQUA23', '52990016QWN65EPEMQ71', '2016-07-13', 'EUR', '2016-07-13', 'BE7261727404', NULL, 240, '2020-11-12', 23880.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300SKHB7Q3QI82Y22', '8156005A1F872A000C25', '2017-01-07', 'EUR', '2017-01-07', 'BE7261451294', NULL, 3271, '2019-09-20', 327885.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300IO9WP304325U43', '984500E7E95BXZ668557', '2011-06-05', 'EUR', '2011-06-05', 'BEC0000AKKB5', NULL, 477, '2019-03-08', 50323.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800YRCJZBI5KM5S53', '549300ZVMPJKLGZ6N477', '2013-08-11', 'EUR', '2013-08-11', 'BEC0000ALGB1', NULL, 7698, '2019-06-04', 789045.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245008JA8CONZZFUR54', '959800WGWEK1P3DC0U46', '2013-10-27', 'EUR', '2013-10-27', 'XS1069886841', NULL, 3105, '2029-05-23', 326025.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900N4UCG37B1HFL93', '485100UGVT8JIK3LGV54', '2014-07-08', 'EUR', '2014-07-08', 'FR0011333186', NULL, 811, '2022-10-25', 91440.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001074A6A6B72044', '894500HSJ3XJLB6QHB86', '2011-07-02', 'EUR', '2011-07-02', 'NL0000003580', NULL, 5087, '2036-01-15', 432395.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900URAAIPPBQPDB82', '25490018L0Q85LO5QO97', '2014-04-12', 'EUR', '2014-04-12', 'BEB157141743', NULL, 6294, '2021-08-01', 717641.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900T5GPS4UYEET705', '9845001QF9483CC6F397', '2012-12-22', 'EUR', '2012-12-22', 'BEB157290706', NULL, 4606, '2022-06-16', 502100.06, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500A8D9AH07576756', '5299006UULNV1VPOBJ96', '2009-08-12', 'EUR', '2009-08-12', 'FR0013218153', NULL, 5501, '2021-11-10', 551530.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156007004423B51BF94', '959800Q1P46WY9F1WF02', '2015-03-26', 'EUR', '2015-03-26', 'BEB157601753', NULL, 6952, '2019-05-01', 677541.9199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549008APH9BBOF59Z56', '969500CTUOHOMD5XZ663', '2008-07-25', 'EUR', '2008-07-25', 'BEAR00483436', NULL, 6290, '2020-02-13', 636548.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800VUVKA4BU5NSD07', '315700WZ2WVSYAUTD795', '2008-11-29', 'EUR', '2008-11-29', 'BEB157623534', NULL, 3827, '2021-05-16', 375046.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156006A77248E67E410', '959800U8LZF2EH0WC525', '2015-06-07', 'EUR', '2015-06-07', 'FR0010960195', NULL, 4848, '2020-12-17', 520287.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500Z9L0KN2TDIXG57', '959800GHLAEG25A5HW84', '2012-01-08', 'EUR', '2012-01-08', 'BE7261526541', NULL, 9431, '2020-06-09', 938384.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800AXAY1Y71VRQT68', '549300GITWKP8IXB7K89', '2015-02-24', 'EUR', '2015-02-24', 'XS1418786890', NULL, 2826, '2023-05-26', 285426.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300KVU8FW2TQPT393', '335800BBUCMXKQJR2608', '2015-07-11', 'EUR', '2015-07-11', 'NL0009086115', NULL, 4891, '2019-07-15', 501914.42000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WXZFHVJ0L6US18', '894500HL51KOY7CJ2N25', '2018-04-22', 'EUR', '2018-04-22', 'FR0011273341', NULL, 5648, '2020-07-16', 571577.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300DD5Z0KG18TRI37', '213800GI62SYTA1BWO36', '2011-02-02', 'EUR', '2011-02-02', 'NL0010418810', NULL, 2599, '2023-07-15', 283914.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300H12OZK1KY1W004', '549300PXO0WG1WPWNC90', '2015-10-17', 'EUR', '2015-10-17', 'BE7261016105', NULL, 499, '2019-11-08', 50199.399999999994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300463MBP67BZSP85', '8156006BE883FAADE173', '2016-10-31', 'EUR', '2016-10-31', 'BEB157560058', NULL, 5951, '2021-03-01', 631460.61, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800JF6F5W7N89F526', '549300Q8TELMPK7XN849', '2015-12-11', 'EUR', '2015-12-11', 'BE2140760676', NULL, 6162, '2020-05-01', 626983.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800W7D6T7K6Z04D04', '335800KQ78XIJAV3KF43', '2011-08-19', 'EUR', '2011-08-19', 'BE2138382178', NULL, 6969, '2019-02-01', 710838.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HR57ZMUH7TLB28', '335800AYR82QMH81BT64', '2012-01-18', 'EUR', '2012-01-18', 'BE7261087585', NULL, 2243, '2020-12-29', 244487.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800GLBLCVJJDARG50', '984500F5DCEF7SGE5M39', '2010-11-03', 'EUR', '2010-11-03', 'BER00003T714', NULL, 1590, '2021-08-28', 160669.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HUJ62IW2H5ZJ72', '391200R0CRXF9TB4MN24', '2018-12-29', 'EUR', '2018-12-29', 'FR0012188456', NULL, 2753, '2024-09-30', 173356.41, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800ENHQFFF5T25147', '8156003FD83099AA0794', '2010-02-22', 'EUR', '2010-02-22', 'BE0427551727', NULL, 4074, '2021-10-31', 530434.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HI7Q53TK2TN380', '2138009IM7SWQLYKES27', '2012-02-10', 'EUR', '2012-02-10', 'FR0012401636', NULL, 1522, '2027-02-17', 153722.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600ED01D7B2786110', '5493003BDVCHIE3QJO29', '2016-08-08', 'EUR', '2016-08-08', 'FR0012057412', NULL, 2641, '2019-07-30', 2482.54, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500CSLY2C641ZLE16', '984500BE92C95D3C5693', '2014-11-17', 'EUR', '2014-11-17', 'BE7289707404', NULL, 1567, '2019-03-19', 156856.69999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500DVOJIFEPHOO424', '529900206UE2X2EKPQ54', '2010-03-16', 'EUR', '2010-03-16', 'FR0010758599', NULL, 9866, '2021-05-25', 1183722.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600A937F2D23F2C03', '549300463MBP67BZSP85', '2009-09-24', 'EUR', '2009-09-24', 'BE0002420926', NULL, 7094, '2022-11-30', 792754.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HXRKLNAOEMQ729', '391200JX0T2SI0CNMP83', '2012-02-16', 'EUR', '2012-02-16', 'BEC0000AILZ6', NULL, 619, '2020-09-01', 65552.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000CPNQY5EXHSB242', '335800TCF9YCJG3VRZ10', '2016-09-19', 'EUR', '2016-09-19', 'BEC0000ACCA1', NULL, 9219, '2019-05-14', 983206.3500000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900TJHSVVUDS36A85', '335800XLB3LJEO861J66', '2010-02-02', 'EUR', '2010-02-02', 'XS0792977984', NULL, 5576, '2024-06-14', 627523.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003FLWI8D1NOT851', '254900MEQ5O6SSGLDI39', '2017-04-04', 'EUR', '2017-04-04', 'BE7260979915', NULL, 376, '2019-05-18', 37949.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800IJ3ZOETOVYBZ96', '254900NX97YUIICZL616', '2015-02-01', 'EUR', '2015-02-01', 'FR0010758599', NULL, 3066, '2021-05-25', 367858.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500E843FB3D44D224', '959800GQS8973PV0QN21', '2015-04-30', 'EUR', '2015-04-30', 'PTOTEYOE0007', NULL, 8989, '2021-04-15', 982497.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800LJ2A04SEQ63X03', '815600659F0D66B0DB41', '2009-02-15', 'EUR', '2009-02-15', 'BEAR00568186', NULL, 3491, '2024-12-01', 329899.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '39120077KRP9Q12M3V06', '335800V5EE78K4LOD223', '2015-11-01', 'EUR', '2015-11-01', 'BE7261711895', NULL, 4968, '2019-05-09', 477921.60000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560023D7FC2A0DFA47', '2549004R5QU9YFNY8L33', '2018-04-02', 'EUR', '2018-04-02', 'BEC0000BJB67', NULL, 3697, '2024-06-13', 369700.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900M7BX9KKPCBXM71', '529900R87K588NM6VQ02', '2018-11-13', 'EUR', '2018-11-13', 'BER0000303D1', NULL, 3617, '2021-05-24', 371104.19999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900YMO4QXA9HSLH89', '959800V9996US5SMPH18', '2017-09-16', 'EUR', '2017-09-16', 'FR0013212958', NULL, 2876, '2022-10-12', 301980.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HEIOYOI05PXR44', '95980044CJL1TG0GU366', '2013-08-31', 'EUR', '2013-08-31', 'NL0000103273', NULL, 609, '2020-01-15', 61046.159999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900QTP7W8PR9FJG89', '3358009T339U7ZU1NO61', '2018-05-01', 'EUR', '2018-05-01', 'BE3871270976', NULL, 5798, '2026-06-04', 567392.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3157003I2KJRU24IBI58', '2549005SC4EV6EA3CF24', '2013-11-13', 'EUR', '2013-11-13', 'BEB157068938', NULL, 3281, '2021-04-01', 340239.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900G8PIJUFYDL0F33', '254900N94Q2OB5BMY212', '2012-04-11', 'EUR', '2012-04-11', 'BE7261019026', NULL, 5878, '2019-12-03', 581334.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700H8U6LRPOMFQN84', '5299004H3P8763E1KK83', '2008-08-10', 'EUR', '2008-08-10', 'BE2140198877', NULL, 6863, '2022-11-01', 700026.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845007110Q2CFF78925', '98450013EDD12DC4D191', '2014-05-31', 'EUR', '2014-05-31', 'FR0013218807', NULL, 4764, '2021-11-17', 881340.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000YN98YTPFQGPS08', '724500PEZUPUYR4BRB49', '2015-01-28', 'EUR', '2015-01-28', 'BEAR00466365', NULL, 6839, '2019-10-16', 683900.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598002GTXZ9RQ9KWN61', '529900LS3LMBW1R2N187', '2011-10-08', 'EUR', '2011-10-08', 'BEB157559993', NULL, 1217, '2021-03-01', 120604.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138008KJP6WATI8LG36', '5299006UULNV1VPOBJ96', '2017-04-02', 'EUR', '2017-04-02', 'BEC0000AIMG4', NULL, 561, '2020-09-17', 57502.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800FCTI9CBH4QS545', '529900CDKSOPAD0ZSC04', '2018-12-06', 'EUR', '2018-12-06', 'BE7261701946', NULL, 3245, '2019-03-11', 318010.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900HUAQ4OU0MR0T28', '391200R0CRXF9TB4MN24', '2010-10-13', 'EUR', '2010-10-13', 'FR0013260486', NULL, 8452, '2022-03-14', 815787.0399999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300KEFQXKB36V2F82', '7245004FL9O0I98VJ524', '2017-07-03', 'EUR', '2017-07-03', 'BE7261111997', NULL, 9095, '2021-06-20', 887035.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156004EFFBC89DAD042', '815600033CD0D7170690', '2008-12-05', 'EUR', '2008-12-05', 'XS0291838992', NULL, 1058, '2020-04-30', 90342.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900R1G0ZVGMEB3094', '9598009J7GGVR4YJ6D17', '2016-08-01', 'EUR', '2016-08-01', 'XS1418786890', NULL, 452, '2023-05-26', 45652.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900KGAM7QR07LQS94', '815600075CA915290F11', '2011-06-16', 'EUR', '2011-06-16', 'PTSDRBOE0003', NULL, 5048, '2020-07-15', 504800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900LAW6SKNVPBBN21', '815600A53563E8E6D441', '2010-10-13', 'EUR', '2010-10-13', 'BE7261189662', NULL, 1842, '2022-04-26', 183831.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245004KZMRBT57Q2W79', '815600C5E9CE85751F58', '2010-04-20', 'EUR', '2010-04-20', 'FR0011574375', NULL, 2272, '2023-10-31', 229585.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800H4TC1D4BPQ8Y62', '81560020D7D568F4F632', '2010-12-07', 'EUR', '2010-12-07', 'BE6286096118', NULL, 3879, '2020-07-20', 421104.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600659F0D66B0DB41', '54930044EWPZ74551F13', '2010-07-17', 'EUR', '2010-07-17', 'BEC0000ARAG0', NULL, 3309, '2020-03-16', 342514.59, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500LI27FMOS4LCJ87', '549300VENA2LUFHT1Z11', '2018-08-13', 'EUR', '2018-08-13', 'BEAR00557916', NULL, 7608, '2024-09-01', 750377.0399999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900S7IJT3Z0J35570', '81560000DC65EFB5EE93', '2010-03-25', 'EUR', '2010-03-25', 'XS1069282827', NULL, 140, '2019-05-20', 14095.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HDWIRLY2U7BJ73', '9598006HGTM1KPUMWA87', '2008-08-05', 'EUR', '2008-08-05', 'XS0619548216', NULL, 8948, '2021-04-27', 1010855.5599999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300HREAIF8XXN5B03', '335800XNEHCKLJ3X6723', '2012-07-09', 'EUR', '2012-07-09', 'BEB157706735', NULL, 7798, '2019-10-01', 756483.9800000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600980EB434BC5920', '549300FEA3DT84FOZ304', '2018-02-09', 'EUR', '2018-02-09', 'BEB157231221', NULL, 4095, '2022-01-16', 450490.95, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900MZAT1NGJO3BQ80', '254900XD0D6FV01NWO70', '2014-11-02', 'EUR', '2014-11-02', 'NL0009446657', NULL, 3332, '2042-01-15', 138178.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156009F9CE4BBDA0D95', '9845009F984CB7FAE774', '2014-11-20', 'EUR', '2014-11-20', 'XS1167154654', NULL, 492, '2020-01-15', 49200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900F3BEPA4MKX3G37', '959800F7MDT1YR2CLT92', '2016-06-01', 'EUR', '2016-06-01', 'FR0010758599', NULL, 2188, '2021-05-25', 262516.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156006CA036C5F76D29', '724500XF59N0563H0483', '2013-07-03', 'EUR', '2013-07-03', 'FR0011891258', NULL, 5827, '2024-06-20', 635492.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980029RH0L3CJAET69', '8156006C5C319C939F34', '2012-01-31', 'EUR', '2012-01-31', 'BE0002428036', NULL, 6636, '2020-03-27', 688285.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800NFQLJBAJ75F378', '959800WXZFHVJ0L6US18', '2016-08-17', 'EUR', '2016-08-17', 'BE7261526533', NULL, 6417, '2020-06-09', 635411.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500BED7STY3K5I631', '254900J4YHYE4SP5T774', '2011-10-29', 'EUR', '2011-10-29', 'BE0002238070', NULL, 6821, '2022-12-08', 735985.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800YZE3BADFNRX061', '254900N94Q2OB5BMY212', '2010-02-27', 'EUR', '2010-02-27', 'BEAR00466365', NULL, 2393, '2019-10-16', 239300.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H8CYZYYQYJRJ40', '5299000KXXSR1VXECA07', '2011-02-22', 'EUR', '2011-02-22', 'BE2615364509', NULL, 8303, '2023-05-01', 848068.42, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800AUOAUK5D4AU755', '894500HSDKDRYBUUTR30', '2010-04-01', 'EUR', '2010-04-01', 'BEC0000BGKQ9', NULL, 9907, '2020-11-16', 1019529.37, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800VP6F92YFDGPG80', '529900JJ4JBQMG685T96', '2012-02-04', 'EUR', '2012-02-04', 'BE0000327362', NULL, 1217, '2019-09-28', 127091.31000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3912000OENJJ0JBVHI39', '7245007FAOBF3MI7MI10', '2009-11-15', 'EUR', '2009-11-15', 'BEAX00652701', NULL, 6290, '2020-04-07', 654160.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300E0Z4SPZP2R2V52', '254900Q9YL8SQEKFXH40', '2010-07-07', 'EUR', '2010-07-07', 'NL0012171458', NULL, 1024, '2027-07-15', 106547.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HE7LV581HYMN92', '3157003I2KJRU24IBI58', '2013-12-05', 'EUR', '2013-12-05', 'FR0011980150', NULL, 3424, '2020-06-20', 349590.39999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9695006I3IM05PG3BU58', '984500DA1BA52FH59C90', '2012-08-06', 'EUR', '2012-08-06', 'BE7261712943', NULL, 7193, '2019-05-22', 719300.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500BJVSRC3ZMB6W75', '254900I6AHJP69OVLP69', '2015-08-01', 'EUR', '2015-08-01', 'BE2140812220', NULL, 7557, '2024-06-01', 729250.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300UD3EZYFYL35X85', '254900L44F7VSV59P117', '2018-09-23', 'EUR', '2018-09-23', 'BEAX00896233', NULL, 5469, '2020-02-01', 576432.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156004B59FFAA00A586', '254900G8FS1OF0MLCX83', '2018-11-16', 'EUR', '2018-11-16', 'BEC0000AKRR6', NULL, 9070, '2019-03-22', 943280.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900L44F7VSV59P117', '815600E123635E5B8997', '2015-09-14', 'EUR', '2015-09-14', 'BE7261697847', NULL, 3418, '2024-02-12', 340432.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900L2Y6BPDC2VMT07', '789000PQGU5P9FDPG320', '2014-08-28', 'EUR', '2014-08-28', 'BE6210825129', NULL, 7971, '2019-08-01', 768643.53, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '21380099JUB4QWOUUZ81', '2549002KXBI7J3JGK445', '2012-10-15', 'EUR', '2012-10-15', 'BEB157554507', NULL, 8751, '2020-02-16', 927606.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200UVBBWCVNVHBC15', '5299002UK4BWWRPXBM97', '2018-07-07', 'EUR', '2018-07-07', 'BE7261716902', NULL, 2104, '2019-06-23', 206192.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300S6SM417XVLA052', '815600374934F0B2A761', '2017-08-10', 'EUR', '2017-08-10', 'BE0002497726', NULL, 3333, '2021-06-14', 319968.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9695009JWILO0BQ3WL64', '21380089KHLCK271MF55', '2012-01-12', 'EUR', '2012-01-12', 'BEC0000AIND9', NULL, 3983, '2020-09-23', 413276.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HOOJ7CMRXR4F24', '787200AY1F0SZDBZL682', '2018-02-18', 'EUR', '2018-02-18', 'BEAR00565109', NULL, 7223, '2019-11-04', 704242.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800VZ9XWQRZKF6945', '984500B5D60E0753EA93', '2014-11-27', 'EUR', '2014-11-27', 'PTBINIOM0004', NULL, 1810, '2024-02-22', 181814.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549001N5YNTBX0WX168', '25490029CYKEEFWZIQ50', '2016-12-24', 'EUR', '2016-12-24', 'BE0002199652', NULL, 9208, '2023-05-23', 989952.0800000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900JFV3DV2HVPGT04', '335800TUFU66XUEK2114', '2012-10-13', 'EUR', '2012-10-13', 'FR0010776161', NULL, 7834, '2019-10-25', 811680.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200JN61F3UJFIK036', '549300GITWKP8IXB7K89', '2017-02-03', 'EUR', '2017-02-03', 'BE6272656545', NULL, 8538, '2019-06-05', 878645.58, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500ITMZ9KFTPN6705', '815600EC67659C956921', '2018-11-08', 'EUR', '2018-11-08', 'BE0000338476', NULL, 5067, '2047-06-22', 492765.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800AMOVC9997RQK18', '81560023D7FC2A0DFA47', '2013-04-19', 'EUR', '2013-04-19', 'XS0451790280', NULL, 1818, '2029-09-17', 228540.78, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GZQUP5N8NU1N48', '213800SW71J1NFLH2745', '2013-10-13', 'EUR', '2013-10-13', 'XS1166201035', NULL, 229, '2025-01-14', 23980.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H6Z3227WZMVJ63', '335800OVBZ3OT7SW6740', '2015-04-15', 'EUR', '2015-04-15', 'BE7261005181', NULL, 4626, '2019-10-01', 463617.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560020D7D568F4F632', '959800M97ZP3G54L2761', '2009-03-25', 'EUR', '2009-03-25', 'BE7261717769', NULL, 8819, '2019-07-03', 864262.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500E843FB3D44D224', '549300L2ZJBIWGX7CD98', '2011-04-17', 'EUR', '2011-04-17', 'FR0013155009', NULL, 9530, '2026-04-22', 1058211.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800C4753TUSFVEY86', '549300WXRK5PN116I682', '2014-04-08', 'EUR', '2014-04-08', 'BEC0000ANRP4', NULL, 1305, '2021-12-05', 136698.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299004H3P8763E1KK83', '959800UHR3C4S7U6DK52', '2013-03-05', 'EUR', '2013-03-05', 'FR0013358124', NULL, 4699, '2028-09-04', 469148.16000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299000WONWPHUZXXM45', '724500DO2C30LD5DX359', '2016-02-23', 'EUR', '2016-02-23', 'BEB157599312', NULL, 3232, '2020-04-16', 339360.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800QXGATJLXCZAR04', '254900EUZ9XCTT7B2711', '2009-03-11', 'EUR', '2009-03-11', 'BE0002198647', NULL, 5385, '2019-06-20', 545123.55, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800P83XHRN2F88P80', '213800AXAY1Y71VRQT68', '2012-08-20', 'EUR', '2012-08-20', 'BEB157623633', NULL, 5955, '2024-06-01', 562807.05, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HE7LV581HYMN92', '254900WJM8HHLPFX6Q41', '2015-07-17', 'EUR', '2015-07-17', 'BEAR00546604', NULL, 3658, '2019-06-02', 369092.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800SPD7W6X8Q6OW27', '391200CAAILKRUQVC016', '2016-11-08', 'EUR', '2016-11-08', 'BE3864197087', NULL, 9821, '2019-02-28', 1024330.2999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000ZJ7PGTDDQW9T19', '254900RQET3JKF5D4I57', '2013-09-15', 'EUR', '2013-09-15', 'BEC0000AIN40', NULL, 6619, '2020-09-15', 695061.1900000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300N3ZXLPZJTZ7M34', '254900C36U26F246T486', '2009-12-20', 'EUR', '2009-12-20', 'FR0000180549', NULL, 2715, '2024-12-31', 72707.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3157003I2KJRU24IBI58', '815600AB0AE53D878886', '2017-02-03', 'EUR', '2017-02-03', 'FR0010827089', NULL, 57, '2019-12-29', 5933.13, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000126K0XDPC6CS95', '7890003SKU7OPJK2M615', '2015-10-17', 'EUR', '2015-10-17', 'NL0000102234', NULL, 7434, '2037-01-15', 1154054.1600000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493004X6KWK3FF62S06', '959800TD3SZQYAQA5Y17', '2014-05-25', 'EUR', '2014-05-25', 'XS1564394796', NULL, 7201, '2029-02-15', 723772.51, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300SQYFR3SSHBXY27', '98450013EDD12DC4D191', '2017-11-24', 'EUR', '2017-11-24', 'XS0230409301', NULL, 5479, '2035-10-13', 569816.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001818027C45D477', '529900Q7V3WJE0LNO235', '2014-07-02', 'EUR', '2014-07-02', 'BE7261219667', NULL, 6303, '2022-08-20', 686144.58, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700ALQ6M1V2D3NG61', '959800048784TLUY5B98', '2017-05-10', 'EUR', '2017-05-10', 'BEC0000AQRE1', NULL, 1720, '2020-01-27', 181460.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980011J5FEVANLLF23', '213800DSJ931478MDJ69', '2010-01-03', 'EUR', '2010-01-03', 'FR0012759744', NULL, 886, '2022-06-08', 88422.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300PE5TD733RBJU18', '815600D2FCCB189AD389', '2014-02-23', 'EUR', '2014-02-23', 'XS1720933297', NULL, 5497, '2024-11-21', 546511.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007KB3HSD83FRJ58', '353800DERDIT6K33ZH46', '2018-03-09', 'EUR', '2018-03-09', 'FR0013299575', NULL, 8141, '2023-04-01', 423332.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007F95ZKYSKQUK10', '5299007C8K7HEONL4758', '2013-12-22', 'EUR', '2013-12-22', 'BEB157884334', NULL, 2484, '2020-09-01', 244922.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '353800UV8U3SOMCDTI49', '9598009J5XPFFSY49P97', '2015-12-30', 'EUR', '2015-12-30', 'FR0013192762', NULL, 8885, '2026-10-24', 862733.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800M8CCSKC5K28607', '72450013IGEQEQECQW08', '2015-08-08', 'EUR', '2015-08-08', 'XS1694212181', NULL, 2257, '2022-10-10', 225587.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598000GNSV2R89AMM76', '213800ZYI3XJTDOO7B07', '2011-04-23', 'EUR', '2011-04-23', 'FR0010910240', NULL, 6680, '2020-06-22', 737806.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '33580071D1HDFJQI5V04', '254900QW9WW3MO52AT86', '2010-06-26', 'EUR', '2010-06-26', 'BE7261715888', NULL, 4327, '2019-06-13', 429454.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800R6AEBEBH17HD14', '959800EQK23KTT5K5L36', '2017-03-21', 'EUR', '2017-03-21', 'NL0009446632', NULL, 1585, '2040-01-15', 70120.40000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3912009IQCNEQKJ3VM39', '8156009859DB8663F681', '2013-05-06', 'EUR', '2013-05-06', 'XS1218821756', NULL, 3615, '2025-04-16', 368007.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007DTZMFH9VNVH29', '8156009175F540E27221', '2016-03-28', 'EUR', '2016-03-28', 'FR0013169778', NULL, 8316, '2023-05-17', 821703.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300BZDF0DSE8FNH92', '815600D4F1CDEC6D9F40', '2018-08-05', 'EUR', '2018-08-05', 'BE7261161026', NULL, 6535, '2022-02-15', 669837.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900BVF9CBH8LO4F22', '959800SPFDB716LXUS87', '2014-11-08', 'EUR', '2014-11-08', 'BE2140755627', NULL, 8277, '2024-04-01', 811146.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600C342CFD2641346', '959800FCCUKG9UAU4169', '2011-01-07', 'EUR', '2011-01-07', 'BEB157198800', NULL, 931, '2021-12-16', 103350.31, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HVRIGNZX477Z21', '254900BGGO7FEDLK6Z96', '2012-07-01', 'EUR', '2012-07-01', 'BEB157754214', NULL, 4685, '2020-01-01', 454632.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HOU2R49R9MRZ45', '2549000QSO6IQMX8ZC32', '2017-03-29', 'EUR', '2017-03-29', 'BER00003ELP8', NULL, 233, '2019-09-29', 22834.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GWVNSWAHDGGE39', '724500R0P97JZ3NFPH59', '2011-11-27', 'EUR', '2011-11-27', 'FR0011333186', NULL, 8400, '2022-10-25', 947100.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156007814FB50630E55', '743700ZFUA5LMAK42G03', '2014-11-07', 'EUR', '2014-11-07', 'BEB157069621', NULL, 603, '2021-02-16', 68748.03, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HWUBB1GSFCSV22', '391200BOQWTAHIMH1I81', '2018-10-06', 'EUR', '2018-10-06', 'BE7261722512', NULL, 1349, '2020-08-12', 129504.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800DV3T95JYHATS68', '254900E2T1QVNMRC3U13', '2018-11-12', 'EUR', '2018-11-12', 'BEB157728127', NULL, 9889, '2020-11-01', 964276.39, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900EQNAOPFXK46G24', '529900H6FDC4YS0LG018', '2009-12-15', 'EUR', '2009-12-15', 'BE7260978081', NULL, 5874, '2019-05-10', 587400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900X080DWXSB5MD70', '335800ZOVK14GTNOGJ02', '2017-06-17', 'EUR', '2017-06-17', 'FR0011357235', NULL, 2188, '2022-12-27', 236479.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000PW941B97TBEG14', '254900DHYESSX5WQUA23', '2014-01-03', 'EUR', '2014-01-03', 'BE0000315243', NULL, 2868, '2019-03-28', 291159.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800BQU4W7BEXVBB37', '213800UUFS63CM6AWC95', '2012-05-12', 'EUR', '2012-05-12', 'FR0013286846', NULL, 37, '2023-10-09', 3685.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900CSKQAOLAK6R773', '529900LMLR6P00JX0X91', '2012-04-13', 'EUR', '2012-04-13', 'BE2138889396', NULL, 4695, '2020-01-01', 485979.45, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800JCEEASR9BUUX74', '335800RPO7C2COVXT375', '2011-07-21', 'EUR', '2011-07-21', 'BEB157754271', NULL, 4298, '2020-01-01', 401863.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800HLKTLK3RHMB206', '5493007KLS5L25N86454', '2012-09-10', 'EUR', '2012-09-10', 'FR0010900027', NULL, 4577, '2020-07-02', 456281.13, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900PYCRYBTSJI8Q79', '815600ABCED536C10506', '2015-03-02', 'EUR', '2015-03-02', 'BED200025HQ5', NULL, 8451, '2019-12-07', 904257.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500XKOOZYHZ0M2715', '894500HV5C9LFZSOLR51', '2009-07-11', 'EUR', '2009-07-11', 'FR0011945955', NULL, 3441, '2019-06-26', 337252.41000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800B28PRV9QRLQR44', '747800U0J0NR8LCM1V88', '2013-03-15', 'EUR', '2013-03-15', 'BE2140850600', NULL, 1288, '2024-07-01', 119784.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HITWC6DHEC9B89', '8755009QUVAEDLIDZZ10', '2010-02-18', 'EUR', '2010-02-18', 'BEB157554580', NULL, 9111, '2022-01-16', 856434.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HU2JF7Z4HJ0V91', '5299008619O6J745YR05', '2017-10-03', 'EUR', '2017-10-03', 'NL0000003515', NULL, 3356, '2029-01-15', 307543.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156000609E9FB906812', '984500N53A90A87DE575', '2010-03-25', 'EUR', '2010-03-25', 'XS0957258212', NULL, 1588, '2020-08-05', 163913.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900B82PQQIJYYGY91', '5299002URJ7HCB1NOH98', '2012-09-22', 'EUR', '2012-09-22', 'FR0000571051', NULL, 6015, '2022-10-25', 238194.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800M4N26MMHYH7H20', '254900G8PIJUFYDL0F33', '2013-05-27', 'EUR', '2013-05-27', 'BEB157750469', NULL, 8711, '2024-12-16', 804025.2999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700KOG8GH8L8VMU54', '743700KDP0HND0E9ZN68', '2014-10-04', 'EUR', '2014-10-04', 'BEAR00486801', NULL, 2152, '2019-02-19', 221656.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HNWTGIFVACUN46', '789000ANF8REQ2UE6Y65', '2018-06-22', 'EUR', '2018-06-22', 'BE7261703355', NULL, 6195, '2021-03-20', 631332.45, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549004DTUOZ0CFLOV23', '529900H6FDC4YS0LG018', '2011-04-30', 'EUR', '2011-04-30', 'BEB157706941', NULL, 3144, '2020-10-01', 290820.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900RTIIH24FQMYN62', '549300GR6K8YOXB0QM43', '2018-10-12', 'EUR', '2018-10-12', 'XS0690606172', NULL, 1671, '2021-10-13', 184144.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900M802M9464ZIA97', '335800AYR82QMH81BT64', '2011-09-12', 'EUR', '2011-09-12', 'XS0933540527', NULL, 6966, '2023-05-22', 752606.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700AMQWRHMQJFRI72', '815600D4F1CDEC6D9F40', '2017-09-16', 'EUR', '2017-09-16', 'NL0010071189', NULL, 6982, '2033-01-15', 872750.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900WJM8HHLPFX6Q41', '894500HX5EEKQR343Z85', '2011-11-12', 'EUR', '2011-11-12', 'BE7281134797', NULL, 9618, '2021-10-24', 999310.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000ZCNS0Z5QS57457', '5299007I19OVH8CT4B35', '2011-11-23', 'EUR', '2011-11-23', 'FR0011261114', NULL, 8276, '2020-07-13', 1042941.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900RRWZ744O1M6P44', '549300FXLC72J2AKHY22', '2008-12-24', 'EUR', '2008-12-24', 'BE7261136895', NULL, 174, '2021-11-04', 19188.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25940019DJYWE2T6LN07', '724500BED7STY3K5I631', '2015-09-12', 'EUR', '2015-09-12', 'BEC0000AIMG4', NULL, 6464, '2020-09-17', 662560.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '31570058XBP92AHMXC18', '724500IAMCG3AV6M9W65', '2014-05-24', 'EUR', '2014-05-24', 'BE7261125906', NULL, 5791, '2021-09-07', 565085.78, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245007FAOBF3MI7MI10', '254900ANNY7OR6XQT028', '2016-01-05', 'EUR', '2016-01-05', 'BE0002428036', NULL, 2611, '2020-03-27', 270812.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GV2C22F1NVJ309', '8156006C5C319C939F34', '2012-02-19', 'EUR', '2012-02-19', 'NL0009712470', NULL, 5578, '2021-07-15', 612297.0599999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598001CPYZS61F22624', '875500N2I4ITRDSL9D57', '2018-08-19', 'EUR', '2018-08-19', 'BE2615691869', NULL, 1051, '2024-03-01', 105110.51000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200BOQWTAHIMH1I81', '969500U2YXEDOEKJYO88', '2015-12-31', 'EUR', '2015-12-31', 'FR0010945725', NULL, 2740, '2020-10-18', 191800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900LHL9RYDUFOON86', '3358008EQMSNUAZTHC47', '2012-02-29', 'EUR', '2012-02-29', 'BEB157429635', NULL, 2923, '2023-06-01', 266314.52999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H67DB810C8LR07', '3358008H9E246H8SCU90', '2015-03-22', 'EUR', '2015-03-22', 'BE0000339482', NULL, 3680, '2023-10-22', 371312.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845009411D557759947', '8156004EFFBC89DAD042', '2013-04-01', 'EUR', '2013-04-01', 'BEAX00673913', NULL, 3163, '2019-06-01', 309974.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900H6FDC4YS0LG018', '894500HSDKDRYBUUTR30', '2015-01-28', 'EUR', '2015-01-28', 'BER00003V4Y2', NULL, 5328, '2019-12-01', 532800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800Y85WTRA77C3151', '81560061B7C75C65BB42', '2010-01-15', 'EUR', '2010-01-15', 'BER00003V4Y2', NULL, 1572, '2019-12-01', 157200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600B000DE9B544733', '254900GTCTZAXDX8WS79', '2015-02-08', 'EUR', '2015-02-08', 'FR0010810218', NULL, 6897, '2029-04-25', 419337.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300CHW3AYD6N2PE61', '3157003I2KJRU24IBI58', '2011-07-09', 'EUR', '2011-07-09', 'FR0010896522', NULL, 2659, '2020-07-02', 282040.13, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400NTS2KAUZODAQ83', '3358007GPIPP355BQR08', '2017-02-15', 'EUR', '2017-02-15', 'BEB157590816', NULL, 3576, '2020-03-16', 357600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '21380077NQ3X7JBSLR76', '894500HODG3TCT9ZTB73', '2016-06-13', 'EUR', '2016-06-13', 'BE7261426551', NULL, 5033, '2020-03-01', 660329.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AF575C8783A028', '254900VNYMQRDIJV4L26', '2014-01-01', 'EUR', '2014-01-01', 'BEC0000BIE81', NULL, 3694, '2024-03-21', 369400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900YQ9Z46APD3MD76', '9598003NGKPGK83ABW98', '2016-04-07', 'EUR', '2016-04-07', 'BE2616246598', NULL, 2308, '2021-11-01', 215821.08000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450099WDOWCQ91TT71', '894500H6NZYIXYBVKF22', '2017-09-09', 'EUR', '2017-09-09', 'BE2138503419', NULL, 5578, '2019-05-01', 594559.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800AUOAUK5D4AU755', '894500HF4V5R1XH8JZ59', '2008-10-23', 'EUR', '2008-10-23', 'FR0010892570', NULL, 7505, '2020-06-16', 1109989.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800214LG3V5LRA327', '5493003GYR2LDCS6RB57', '2016-04-01', 'EUR', '2016-04-01', 'BE2138822694', NULL, 6317, '2019-11-01', 656968.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200SKJGOGCX5ULH65', '959800NHPH47PFHQEN48', '2011-05-22', 'EUR', '2011-05-22', 'NL0010060257', NULL, 4733, '2022-07-15', 518405.49, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '21380077NQ3X7JBSLR76', '815600D096DAE7873D90', '2012-06-01', 'EUR', '2012-06-01', 'BEC0000AKTA8', NULL, 2092, '2021-03-25', 221752.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500KLQP0K9HEUYQ47', '98450091551BD505D618', '2012-05-13', 'EUR', '2012-05-13', 'BEB157810933', NULL, 1282, '2020-05-01', 125636.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900X1BMKACIKGF585', '894500HIZFVY0GQ7WV34', '2016-11-03', 'EUR', '2016-11-03', 'XS1288858548', NULL, 9948, '2025-09-11', 1106715.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800P83XHRN2F88P80', '7245000N9ADYHS0VCP65', '2012-08-12', 'EUR', '2012-08-12', 'BEB157750394', NULL, 9873, '2022-12-01', 928062.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845004FC93E309D4D98', '254900L44F7VSV59P117', '2017-05-27', 'EUR', '2017-05-27', 'BEC0000AIMZ4', NULL, 4229, '2020-09-24', 435587.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003MV6YJRR82KO72', '9598006SXXQNVLJF7X64', '2017-06-29', 'EUR', '2017-06-29', 'BEB157361622', NULL, 8074, '2022-12-01', 835659.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SGDGSPJUK20260', '894500HI26LC6KQXZJ81', '2015-03-31', 'EUR', '2015-03-31', 'BE7261233056', NULL, 4993, '2022-11-01', 502295.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800TSDJ6889OOAG54', '335800M8CCSKC5K28607', '2017-06-06', 'EUR', '2017-06-06', 'BE3871267949', NULL, 8693, '2025-09-04', 885555.91, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800V5EE78K4LOD223', '5493006KGJ8C0O57YD97', '2013-11-12', 'EUR', '2013-11-12', 'BE6210879662', NULL, 7974, '2019-11-01', 760560.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600B015D362B37C79', '549300PXO0WG1WPWNC90', '2018-08-15', 'EUR', '2018-08-15', 'BE7261737205', NULL, 6718, '2021-08-20', 651646.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800W3KSQWPAC5QV55', '254900TPKGRD54J6C747', '2010-07-13', 'EUR', '2010-07-13', 'BEC0000AQHW4', NULL, 4696, '2022-01-16', 500124.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500ZCMLUDW8TJJF91', '549300P2J7A8NJE1W709', '2012-11-11', 'EUR', '2012-11-11', 'BEB157754271', NULL, 8497, '2020-01-01', 794469.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000OB5M54RL51RF05', '54930078VBKIX9II4083', '2014-04-29', 'EUR', '2014-04-29', 'XS1190632999', NULL, 1871, '2025-02-17', 186351.59999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156006A77248E67E410', '959800HWPU69RD3Y2323', '2018-07-02', 'EUR', '2018-07-02', 'FR0010198036', NULL, 3508, '2020-10-25', 396930.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500505888C1B7FD10', '391200EIZIHODWDU8115', '2016-01-20', 'EUR', '2016-01-20', 'XS0548803757', NULL, 6309, '2020-10-22', 714494.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900LS3LMBW1R2N187', '254900RBPXLD0FZLR138', '2012-10-29', 'EUR', '2012-10-29', 'XS1720933297', NULL, 3667, '2024-11-21', 364573.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500BC091D0C9F8063', '724500XF59N0563H0483', '2016-06-25', 'EUR', '2016-06-25', 'BE0000324336', NULL, 8767, '2026-03-28', 1178635.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900ZXP0R77GGSXR67', '3358001FKDUJ4KLTZS03', '2011-05-25', 'EUR', '2011-05-25', 'XS1750122225', NULL, 3029, '2025-07-17', 297144.89999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600A38965CF563B54', '25490092W6ZVHIWF1S02', '2017-09-08', 'EUR', '2017-09-08', 'BE7261018713', NULL, 941, '2019-11-23', 92246.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300BEMH5PIRO3WG40', '9845008CF2HUC703A212', '2009-06-06', 'EUR', '2009-06-06', 'BEC0000BRTF0', NULL, 5255, '2020-04-01', 488031.85000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598000APD8W472VTA95', '724500T65YQWLJ64BU07', '2012-12-28', 'EUR', '2012-12-28', 'BEAR00565737', NULL, 4179, '2024-11-12', 405363.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560008273C4221CE63', '21380089KHLCK271MF55', '2013-12-14', 'EUR', '2013-12-14', 'FR0000571069', NULL, 9882, '2023-04-25', 935825.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600E9F1B2379CE216', '8156008722B405259B53', '2013-10-18', 'EUR', '2013-10-18', 'PTOTVKOE0002', NULL, 4962, '2022-08-02', 518777.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3538008RETNFXECSSM62', '254900JP2Q6L5476IL41', '2012-03-03', 'EUR', '2012-03-03', 'XS0819738492', NULL, 3360, '2019-08-23', 351792.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25490065L0WXZ74JXP69', '959800Q1P46WY9F1WF02', '2009-09-26', 'EUR', '2009-09-26', 'NL0011896857', NULL, 1032, '2022-01-14', 104397.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XW9PFQEDAAOZ11', '815600AB0AE53D878886', '2011-07-01', 'EUR', '2011-07-01', 'BEB157198800', NULL, 1420, '2021-12-16', 157634.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800NHPH47PFHQEN48', '549300U3UM0L00PMTA93', '2010-02-10', 'EUR', '2010-02-10', 'BE7261701847', NULL, 618, '2019-03-05', 61800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400NTS2KAUZODAQ83', '25490092KTO7WU73YY92', '2017-06-20', 'EUR', '2017-06-20', 'XS0479696204', NULL, 8520, '2020-01-17', 895196.3999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '21380089KHLCK271MF55', '984500F2D1D043CZ7197', '2014-01-13', 'EUR', '2014-01-13', 'BEB157590824', NULL, 3392, '2020-04-01', 335808.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800R0QWPN9LYWEP76', '315700104W6UT38P2L72', '2015-07-04', 'EUR', '2015-07-04', 'NL0000102234', NULL, 7073, '2037-01-15', 1098012.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200UVBBWCVNVHBC15', '254900X9U41IK6T98D46', '2018-01-16', 'EUR', '2018-01-16', 'FR0011261924', NULL, 1462, '2023-02-01', 162691.36000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H5QQNX42CLN376', '894500H2YYS3MEERV374', '2009-02-12', 'EUR', '2009-02-12', 'BE2615725238', NULL, 6896, '2020-04-01', 689600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299008U7QG0WXRCWK24', '213800SN524Q2PXON288', '2012-07-24', 'EUR', '2012-07-24', 'CH0022721762', NULL, 7348, '2020-10-14', 731126.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299002UK4BWWRPXBM97', '549300D2UXQZF4WO3I97', '2010-08-14', 'EUR', '2010-08-14', 'BE7261730234', NULL, 4134, '2021-01-12', 406165.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299003P1IWU7S2AA049', '959800GU4NAB8YSNEK83', '2010-04-25', 'EUR', '2010-04-25', 'BEC0000AITA2', NULL, 8058, '2020-09-29', 829974.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900T3EJN4ESS5LQ92', '959800JMHHZ0JV0FCS55', '2013-11-04', 'EUR', '2013-11-04', 'FR0013257185', NULL, 258, '2027-07-20', 25214.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '747800U0J0NR8LCM1V88', '2549001QPMN669DTMS69', '2015-07-19', 'EUR', '2015-07-19', 'BEAR00565737', NULL, 2419, '2024-11-12', 234643.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900MEQ5O6SSGLDI39', '549300VCLTIEGFX36937', '2015-03-20', 'EUR', '2015-03-20', 'NL0011896857', NULL, 6990, '2022-01-14', 707108.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700GBYMRP6X6Y2F60', '815600075CA915290F11', '2016-07-18', 'EUR', '2016-07-18', 'AT0000A1FAP5', NULL, 6873, '2025-10-20', 732180.6900000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800JGHANDHU6YJ742', '335800VP6F92YFDGPG80', '2008-11-07', 'EUR', '2008-11-07', 'BE7261710012', NULL, 7635, '2019-05-04', 765408.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245001WFRBOP1G8I164', '789000R35N284JBNYZ03', '2016-01-01', 'EUR', '2016-01-01', 'BEB157808788', NULL, 309, '2020-04-16', 27810.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HHRH1R87XQD087', '2549009JM44WZUI78Z54', '2018-09-16', 'EUR', '2018-09-16', 'BE2138723678', NULL, 7510, '2019-10-01', 763917.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300PHRUCZ2ENP1713', '724500DO2C30LD5DX359', '2011-08-17', 'EUR', '2011-08-17', 'NL0000103455', NULL, 6540, '2028-01-15', 628624.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900MGJJCFZGT70848', '9598009J7GGVR4YJ6D17', '2012-06-13', 'EUR', '2012-06-13', 'XS0728812495', NULL, 3615, '2022-01-11', 403542.45, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900N4UCG37B1HFL93', '7890001FCSDVDJGYMK15', '2015-08-20', 'EUR', '2015-08-20', 'BE7289707404', NULL, 6044, '2019-03-19', 605004.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600D2FCCB189AD389', '959800R6AEBEBH17HD14', '2015-12-18', 'EUR', '2015-12-18', 'BER00003P5U5', NULL, 5526, '2019-02-12', 541548.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900BCDSWUIADX7348', '529900JDL1S5ECRBVF22', '2017-07-05', 'EUR', '2017-07-05', 'FR0013213295', NULL, 2715, '2026-10-13', 267427.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138008A9XXUZGHZ4D06', '724500BJVSRC3ZMB6W75', '2009-03-03', 'EUR', '2009-03-03', 'BE7261031120', NULL, 1042, '2020-02-11', 104533.43999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900N94Q2OB5BMY212', '529900MZAT1NGJO3BQ80', '2009-01-14', 'EUR', '2009-01-14', 'XS0038824974', NULL, 4780, '2023-08-11', 717000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900PHNWPGD5UBID65', '894500HJ4ZFPNG23KF53', '2014-06-26', 'EUR', '2014-06-26', 'BEC0000BJZX7', NULL, 3802, '2019-08-14', 372596.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000VQS0EPOE24K012', '959800GWVNSWAHDGGE39', '2009-03-13', 'EUR', '2009-03-13', 'BEB157728275', NULL, 2616, '2019-11-01', 260292.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900JDL1S5ECRBVF22', '335800GJX9YFMOQOU587', '2017-06-25', 'EUR', '2017-06-25', 'BE2138953069', NULL, 57, '2020-03-01', 5900.639999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598008S87SPYLDX6693', '529900OLN556MVW2C448', '2015-09-18', 'EUR', '2015-09-18', 'FR0010032839', NULL, 4165, '2020-04-01', 25031.649999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800TD3SZQYAQA5Y17', '549300HREAIF8XXN5B03', '2009-08-20', 'EUR', '2009-08-20', 'PTOTEKOE0011', NULL, 927, '2025-10-15', 103175.09999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245005XCEHQ1X5S0X63', '33580022EW8515OKI372', '2014-03-20', 'EUR', '2014-03-20', 'BEC0000ARBN4', NULL, 9072, '2022-03-21', 952560.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800H9YS561IU1XF87', '9598009HXCNC9LAK8W88', '2013-06-16', 'EUR', '2013-06-16', 'FR0010804500', NULL, 6758, '2024-09-23', 751151.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800L5AK6LC4FT3D09', '894500H8Z571IOA2DR12', '2018-10-28', 'EUR', '2018-10-28', 'FR0010532739', NULL, 8320, '2041-01-01', 70054.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845006AC6A2B5762J46', '529900WW7BR3T4TTOK59', '2016-10-27', 'EUR', '2016-10-27', 'BEAR00564177', NULL, 4414, '2024-10-29', 409707.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549002YT1TV3H15K320', '391200P0HUT04ZQWR922', '2015-01-11', 'EUR', '2015-01-11', 'BEB157623518', NULL, 3094, '2020-06-01', 289907.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845004B6AA72D745F21', '9695006I3IM05PG3BU58', '2008-12-12', 'EUR', '2008-12-12', 'BEB156631801', NULL, 1618, '2019-12-01', 166654.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493000NYHP0071VFV50', '959800H23QV4BXN79R30', '2016-12-27', 'EUR', '2016-12-27', 'BE7281142675', NULL, 3289, '2021-12-12', 338109.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900TH1T1JAFF7WY76', '529900OLN556MVW2C448', '2011-03-11', 'EUR', '2011-03-11', 'BE7261716431', NULL, 1844, '2019-06-19', 180712.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500DKETRHKG7N5307', '969500VQSPDOEX2VIG22', '2014-10-20', 'EUR', '2014-10-20', 'BEC0000AKXD4', NULL, 2980, '2019-04-13', 292040.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900P5B0TAX3QA5M60', '254900EUZ9XCTT7B2711', '2010-04-30', 'EUR', '2010-04-30', 'BEB157569133', NULL, 2649, '2024-02-16', 270462.89999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VX9CNXVPB40790', '894500HS80U0BCIZ6727', '2015-04-02', 'EUR', '2015-04-02', 'BER00003P7T3', NULL, 3017, '2019-02-14', 307915.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500PAA902QVPQI827', '3358007GPIPP355BQR08', '2014-11-25', 'EUR', '2014-11-25', 'BE7261047944', NULL, 8007, '2020-05-11', 788689.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MK02YNWR4YRN34', '315700AMQWRHMQJFRI72', '2013-02-02', 'EUR', '2013-02-02', 'BE7261031120', NULL, 8136, '2020-02-11', 816203.5199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003M2IRY43H5OH37', '894500HU2JF7Z4HJ0V91', '2011-05-12', 'EUR', '2011-05-12', 'FR0013183571', NULL, 6712, '2023-06-16', 573876.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493006S7RA7FEGSZ149', '9598003NGKPGK83ABW98', '2010-07-02', 'EUR', '2010-07-02', 'BEB157623500', NULL, 5098, '2020-05-16', 509800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800TUD5NJAYFN5A86', '959800NT15YBL4D1RS27', '2010-11-12', 'EUR', '2010-11-12', 'BE0427524450', NULL, 1083, '2021-04-30', 147288.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900RARAJLIR220V33', '315700YG8W0P0VDEUA36', '2015-12-10', 'EUR', '2015-12-10', 'BEAR00464089', NULL, 5904, '2019-09-18', 596304.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500K894J6L9N1I931', '254900QAKQBRSGD5TY11', '2015-08-28', 'EUR', '2015-08-28', 'BE2140378735', NULL, 2174, '2023-04-01', 217030.41999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300RO17P0DN33BD51', '8156008F67B5DFBA2E54', '2011-10-17', 'EUR', '2011-10-17', 'BEB157599189', NULL, 3862, '2020-04-01', 383689.69999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900Z33E67QVBTWZ29', '2549002B39OI8KJ65B25', '2011-03-27', 'EUR', '2011-03-27', 'BE2140840502', NULL, 7436, '2024-07-01', 738394.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H5L745H30PZJ82', '984500U5D44FFBCBD423', '2018-05-26', 'EUR', '2018-05-26', 'BEB157823050', NULL, 43, '2020-06-01', 4042.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900T65883RYV3MX83', '984500D6F3BN444B9C18', '2012-11-09', 'EUR', '2012-11-09', 'BE2138679235', NULL, 8054, '2019-08-01', 837616.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FY3IHZCVHUPL39', '254900LEJ4HP6RMWD374', '2008-10-15', 'EUR', '2008-10-15', 'BE7260994641', NULL, 5560, '2019-08-05', 555054.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HYOTW94KDWNJ24', '984500BA7698A6A8Y561', '2014-01-05', 'EUR', '2014-01-05', 'BEB157182044', NULL, 6926, '2021-11-01', 837353.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156006CA036C5F76D29', '969500JC8RKFFZI4XT86', '2012-11-15', 'EUR', '2012-11-15', 'BEC0000AIM66', NULL, 9057, '2020-09-19', 967287.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600BB628193F2B289', '894500H2YYS3MEERV374', '2013-03-10', 'EUR', '2013-03-10', 'BE7281723979', NULL, 6058, '2020-09-01', 587989.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HIZFVY0GQ7WV34', '549300FXLC72J2AKHY22', '2008-07-21', 'EUR', '2008-07-21', 'XS0765299572', NULL, 8041, '2022-03-28', 898420.93, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200KI35AXHICIOK79', '254900ERAME64GBHZ848', '2017-09-02', 'EUR', '2017-09-02', 'FR0010967216', NULL, 6470, '2020-11-23', 647647.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900UUJZ1Z0UIBQB51', '254900BQ0QHN3OL6Q981', '2017-11-14', 'EUR', '2017-11-14', 'BER00003QQB1', NULL, 1745, '2019-04-07', 176663.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H5A40M74CYOF17', '335800ZOVK14GTNOGJ02', '2009-10-12', 'EUR', '2009-10-12', 'BEC0000AJ432', NULL, 7767, '2020-10-30', 809554.41, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358003XP42ZIQL28812', '959800808DF2FJZY5K23', '2011-10-10', 'EUR', '2011-10-10', 'FR0012658094', NULL, 9493, '2022-01-01', 3144081.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H8O23I8PMB2N84', '9598001RKFDGS80CDE85', '2009-02-21', 'EUR', '2009-02-21', 'XS1180130939', NULL, 4400, '2027-02-03', 454960.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '54930074C84ILUBQKO60', '894500HOZMAVWQLIFJ52', '2012-02-07', 'EUR', '2012-02-07', 'BE3871276064', NULL, 6934, '2028-03-04', 691735.8400000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900WW7BR3T4TTOK59', '7245006WPMT9N7UKJI43', '2009-12-11', 'EUR', '2009-12-11', 'XS0792977984', NULL, 9041, '2024-06-14', 1017474.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900MLDDST0HD5GY34', '254900UQW887HTE2WE11', '2018-01-07', 'EUR', '2018-01-07', 'XS1503159219', NULL, 3418, '2026-10-13', 341800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HNG6T7IXAPVZ08', '39120077KRP9Q12M3V06', '2015-07-15', 'EUR', '2015-07-15', 'BEB157560058', NULL, 5205, '2021-03-01', 552302.55, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560099BEC10001BD90', '549300SCZJDZGZHQ7121', '2012-07-27', 'EUR', '2012-07-27', 'BE7261431361', NULL, 566, '2020-03-27', 56600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '875500AI664G3A9YO727', '549300Z6DALCB0HICS77', '2018-12-07', 'EUR', '2018-12-07', 'BEC0000A9DZ5', NULL, 1108, '2019-01-12', 120893.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900Q757IPB6WGEN70', '9598008JXBHP0CV59L60', '2010-08-17', 'EUR', '2010-08-17', 'XS0613145712', NULL, 2049, '2021-04-06', 228914.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900D0CEXI4F19ON06', '254900YCQ8BENKKXJW59', '2009-12-27', 'EUR', '2009-12-27', 'BEC0000APRZ8', NULL, 7991, '2021-12-27', 819077.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XK769FOW3ION94', '254900LEJ4HP6RMWD374', '2012-11-25', 'EUR', '2012-11-25', 'XS0562852375', NULL, 127, '2020-11-25', 13620.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245004V1GO5K4650888', '959800R6AEBEBH17HD14', '2010-09-01', 'EUR', '2010-09-01', 'XS1550988569', NULL, 9825, '2023-01-13', 986430.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900Q0MAMBKMUX3824', '9845002B89C66DO08442', '2009-04-11', 'EUR', '2009-04-11', 'FR0011945955', NULL, 9943, '2019-06-26', 974513.43, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200SKICSNFOEVVB11', '894500H7WCCO1SYWSV13', '2017-01-09', 'EUR', '2017-01-09', 'CA629435AC25', NULL, 3430, '2019-02-15', 343000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HM2AVAS3BSZZ87', '969500W74PQ6LZLUWQ56', '2014-01-02', 'EUR', '2014-01-02', 'BE7260980822', NULL, 1822, '2019-06-01', 184933.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300E0Z4SPZP2R2V52', '213800JCEEASR9BUUX74', '2009-05-26', 'EUR', '2009-05-26', 'XS1069521083', NULL, 1960, '2024-05-20', 219030.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HA7HL6MIX3M768', '81560074590C8E8D9107', '2009-04-11', 'EUR', '2009-04-11', 'BE0000337460', NULL, 7116, '2026-06-22', 739423.5599999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '54930042IQFSI1EEI534', '529900TTRMA1W9NGRO64', '2014-05-14', 'EUR', '2014-05-14', 'FR0010032839', NULL, 5630, '2020-04-01', 33836.299999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800ZNB9KR3H1JVT31', '894500HWJ87I6TRLHR93', '2011-06-26', 'EUR', '2011-06-26', 'BE3871246737', NULL, 2305, '2020-06-04', 240434.55000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800TUFU66XUEK2114', '3358006RQIS7URMRM328', '2016-11-13', 'EUR', '2016-11-13', 'BE0000321308', NULL, 5751, '2021-09-28', 663090.2999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358002SIPIJ2WKAW797', '21380099JUB4QWOUUZ81', '2018-05-02', 'EUR', '2018-05-02', 'BE7261710228', NULL, 2704, '2019-05-05', 270670.39999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549007EPBXS1P9MDV83', '8156001D57EAD118DC56', '2008-10-15', 'EUR', '2008-10-15', 'BE0002183490', NULL, 4748, '2019-03-06', 497590.39999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245001A7IFOVZ87YK54', '8156005A1F872A000C25', '2008-11-22', 'EUR', '2008-11-22', 'NL0010833349', NULL, 4102, '2019-10-30', 408149.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299005QMCDYRZJN8K84', '529900GH7MKKI4OH3126', '2008-07-08', 'EUR', '2008-07-08', 'BEC0000AL9D4', NULL, 3714, '2021-05-21', 398697.89999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WXZFHVJ0L6US18', '335800P4V653JHK6DS17', '2011-11-21', 'EUR', '2011-11-21', 'BE7261159657', NULL, 3310, '2022-01-31', 335965.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800PVJS3BR5KZ4820', '549300I0DLKH4RIB6877', '2011-10-11', 'EUR', '2011-10-11', 'BE7261711895', NULL, 78, '2019-05-09', 7503.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900R87K588NM6VQ02', '213800H2JFH89ZUXOO55', '2010-12-25', 'EUR', '2010-12-25', 'FR0010934117', NULL, 2618, '2020-10-08', 276722.60000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '33580071D1HDFJQI5V04', '2138005RKERBGCM6FU17', '2010-11-24', 'EUR', '2010-11-24', 'XS1418631930', NULL, 7055, '2021-05-24', 705076.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000GG30ZLOHSI9687', '254900VH34K5DQNKSH88', '2014-10-25', 'EUR', '2014-10-25', 'FR0000571218', NULL, 2769, '2029-04-25', 409147.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549004AD22UO9JJQR15', '894500H6TJIAKXNR7Z91', '2010-07-25', 'EUR', '2010-07-25', 'BEB157034666', NULL, 3164, '2020-12-16', 348071.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SNQQVXKPJUSO76', '894500HDACKJE5IOPB93', '2016-09-12', 'EUR', '2016-09-12', 'BE7261029967', NULL, 6222, '2020-02-02', 614795.8200000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HBQX2V0C7W5R81', '959800CTH4Q9A6NRKD91', '2010-02-18', 'EUR', '2010-02-18', 'XS1324217733', NULL, 5647, '2020-11-24', 569048.19, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200DBB5G7H80FLS56', '959800GT2CLX8X9W2548', '2017-08-02', 'EUR', '2017-08-02', 'BEB157767604', NULL, 3723, '2020-02-01', 352568.10000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598004BB3USSMWYUH31', '549300FXLC72J2AKHY22', '2018-05-14', 'EUR', '2018-05-14', 'BEB157754271', NULL, 9509, '2020-01-01', 889091.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600DCEA8FF2328206', '549300JNDFOYO6BKNQ48', '2011-02-19', 'EUR', '2011-02-19', 'BE7261097345', NULL, 5051, '2021-03-17', 494998.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800YODC4GDYV17M07', '3358003P63P92CY3RH66', '2018-05-02', 'EUR', '2018-05-02', 'BEAR00565737', NULL, 7499, '2024-11-12', 727403.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HZB03BOHPF9R77', '8156007814FB50630E55', '2018-07-01', 'EUR', '2018-07-01', 'BE2140736437', NULL, 7664, '2024-03-01', 718883.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300JQXJL634X60W76', '213800TTB4MIGIA4VH29', '2013-06-29', 'EUR', '2013-06-29', 'XS1253955469', NULL, 168, '2025-06-30', 17203.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VU8W2U056OQ621', '9845001QF9483CC6F397', '2013-06-11', 'EUR', '2013-06-11', 'FR0012332203', NULL, 8018, '2023-03-31', 767242.4199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500D7FBEFFZ7DC828', '529900UI1VD7JHA0C783', '2014-08-29', 'EUR', '2014-08-29', 'BEC0000BR4E6', NULL, 9697, '2022-04-29', 926160.4700000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800IJZDGH1E1TEV82', '549300R357N6XZU86B66', '2015-09-29', 'EUR', '2015-09-29', 'PTMENWOM0007', NULL, 4893, '2022-11-28', 491501.85000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800UE3379Z9IG3B89', '549300FPCBHHIFJFGV84', '2017-05-13', 'EUR', '2017-05-13', 'BE7261723700', NULL, 2752, '2020-09-03', 261440.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800KC7C9CFCL6CM44', '335800V5EE78K4LOD223', '2011-08-15', 'EUR', '2011-08-15', 'NL0009086206', NULL, 4048, '2019-07-15', 374520.95999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900206UE2X2EKPQ54', '95980000WG32P9ZD6Y71', '2013-04-14', 'EUR', '2013-04-14', 'BE0000337460', NULL, 9892, '2026-06-22', 1027877.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598008NS55RDX2HVD06', '724500S2YNQB37LQ3J77', '2010-12-23', 'EUR', '2010-12-23', 'XS0272209163', NULL, 7037, '2022-10-25', 409623.77, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VHPE4L6Z8S0U43', '959800QCSE2A42YKT295', '2018-06-16', 'EUR', '2018-06-16', 'BE7260969791', NULL, 9406, '2019-04-01', 940600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900IHH71OG95P7B27', '2549007HTW4F9N22U025', '2012-11-16', 'EUR', '2012-11-16', 'NL0009086214', NULL, 18, '2019-07-15', 1656.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299000QCX101MYE0Q86', '254900ZYWOL9NJ31PX85', '2014-09-28', 'EUR', '2014-09-28', 'FR0012968337', NULL, 1403, '2020-11-25', 142867.49, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549001OYZR9EI9CX343', '894500HBLDJ3DCW0I773', '2016-12-15', 'EUR', '2016-12-15', 'FR0013232444', NULL, 2582, '2027-01-23', 289184.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007F95ZKYSKQUK10', '894500HXAXYCDQEZRJ75', '2012-08-09', 'EUR', '2012-08-09', 'BEB157580064', NULL, 7242, '2020-03-01', 724200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800D2LQ2DFCLXH448', '894500HMIXILP1BFYN79', '2016-06-14', 'EUR', '2016-06-14', 'BE7280983459', NULL, 4906, '2019-06-02', 501442.25999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007VM0GTV6F3QW68', '549300T4DEXDW87GCF63', '2011-05-01', 'EUR', '2011-05-01', 'NL0010071189', NULL, 2378, '2033-01-15', 297250.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800D2LQ2DFCLXH448', '33580047IVGSEM5TBZ53', '2011-12-25', 'EUR', '2011-12-25', 'BE0000304130', NULL, 8536, '2035-03-28', 1347578.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156004EFFBC89DAD042', '9845001QF9483CC6F397', '2010-11-02', 'EUR', '2010-11-02', 'NL0000103349', NULL, 1767, '2027-01-15', 164755.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900GQDEV5RTFDJG30', '254900ZXP0R77GGSXR67', '2014-10-12', 'EUR', '2014-10-12', 'BEB157510251', NULL, 4230, '2023-11-01', 442500.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800Q1P46WY9F1WF02', '254900Y4Z49SW33IHI34', '2008-07-16', 'EUR', '2008-07-16', 'BE6210825129', NULL, 7672, '2019-08-01', 739810.9600000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245000N9ADYHS0VCP65', '95980049YYX10P4NU615', '2008-12-08', 'EUR', '2008-12-08', 'BEB157601860', NULL, 1636, '2024-05-01', 171371.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HM7UF2F2NONJ34', '959800ER00N6A7FLNM81', '2014-04-13', 'EUR', '2014-04-13', 'BEAR00559797', NULL, 7086, '2019-06-18', 702222.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493004X48K2PHVBB528', '259400MBCDBRO692ZC33', '2012-07-19', 'EUR', '2012-07-19', 'FR0013299435', NULL, 2374, '2025-11-28', 222301.36000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900GWGVMRG1S1X913', '549300MMSJ4YRZ3X8J27', '2011-02-13', 'EUR', '2011-02-13', 'XS0695263730', NULL, 6867, '2021-10-25', 748640.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '353800DERDIT6K33ZH46', '875500TVGXKFSXNET752', '2012-07-03', 'EUR', '2012-07-03', 'FR0011357235', NULL, 3775, '2022-12-27', 408002.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845004667F42B7ED412', '5299005QMCDYRZJN8K84', '2016-03-06', 'EUR', '2016-03-06', 'FR0013155009', NULL, 2636, '2026-04-22', 292701.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800NUGXW77RJ05D67', '213800VMI3OJPXEDL683', '2014-05-12', 'EUR', '2014-05-12', 'BEC0000ARBN4', NULL, 9059, '2022-03-21', 951195.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HXM11VNP2R2N62', '3358006RQIS7URMRM328', '2013-08-12', 'EUR', '2013-08-12', 'BEB157361622', NULL, 5011, '2022-12-01', 518638.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MQ0BFSHCXWHJ18', '894500HWORR9TT3H5B54', '2011-02-26', 'EUR', '2011-02-26', 'BEC0000AIMZ4', NULL, 506, '2020-09-24', 52118.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900YCQ8BENKKXJW59', '2138005W55XEB2FY4L58', '2013-01-08', 'EUR', '2013-01-08', 'BE6210785695', NULL, 2977, '2019-06-01', 295318.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800X9QP1BKHYPSH12', '254900UZ5CJQQP4TGX85', '2011-12-08', 'EUR', '2011-12-08', 'FR0012300754', NULL, 9762, '2024-11-14', 1004021.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845000809DADC2B9F61', '8156003FD83099AA0794', '2013-11-24', 'EUR', '2013-11-24', 'BE7261239517', NULL, 5806, '2022-11-29', 578277.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500ANON2F6FG03P19', '724500T65YQWLJ64BU07', '2009-01-12', 'EUR', '2009-01-12', 'BEC0000AMPA2', NULL, 9822, '2019-08-22', 1031310.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493001NBUVYRXX5RM13', '33580018JKIHWWD2H256', '2008-09-28', 'EUR', '2008-09-28', 'NL0009086115', NULL, 2092, '2019-07-15', 214681.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HZB03BOHPF9R77', '9845007C890C849C9511', '2013-04-07', 'EUR', '2013-04-07', 'XS0304159576', NULL, 3715, '2022-06-06', 429082.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500MR05OCGYZDH702', '213800DODIENCFO8SD79', '2008-06-27', 'EUR', '2008-06-27', 'XS0211284491', NULL, 2818, '2035-02-28', 329001.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HUJ62IW2H5ZJ72', '485100K4WF659LDJ8K10', '2009-09-13', 'EUR', '2009-09-13', 'BE7261711895', NULL, 5678, '2019-05-09', 546223.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700CS7YTAIAD20C75', '9598004D0B3ZT3GXZX81', '2012-03-12', 'EUR', '2012-03-12', 'NL0012354963', NULL, 5589, '2020-08-04', 575667.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XBG17MF5UNCY48', '984500A80A9739BDDC76', '2011-08-26', 'EUR', '2011-08-26', 'XS1418786890', NULL, 455, '2023-05-26', 45955.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300T4DEXDW87GCF63', '2549002O4D9K9HDICX39', '2010-01-24', 'EUR', '2010-01-24', 'BE7261728394', NULL, 2790, '2029-05-28', 279781.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845006DRKC5A9F4BB72', '254900XHCKZMYJ5X5445', '2010-08-18', 'EUR', '2010-08-18', 'FR0011023548', NULL, 7267, '2019-04-19', 735929.09, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800L1VGHMV23KYF92', '33580047IVGSEM5TBZ53', '2015-11-15', 'EUR', '2015-11-15', 'FR0000570913', NULL, 8907, '2019-04-25', 557845.41, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900E2T1QVNMRC3U13', '959800CK4Y1MNTJ3YU42', '2012-12-04', 'EUR', '2012-12-04', 'XS1311331117', NULL, 2895, '2022-10-27', 313239.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500678T7QVCAPA493', '789000AE8QL4L1C04X43', '2011-11-30', 'EUR', '2011-11-30', 'XS0997342562', NULL, 554, '2020-11-26', 58170.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800Y85WTRA77C3151', '959800TPHL69R7BE0S62', '2010-05-13', 'EUR', '2010-05-13', 'BEC0000ARPJ2', NULL, 800, '2022-04-27', 82000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598009J5XPFFSY49P97', '8156003C006734E9B121', '2015-01-04', 'EUR', '2015-01-04', 'XS0752092311', NULL, 1030, '2022-03-01', 114845.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '98450014673C55D09338', '8156006BE883FAADE173', '2010-03-11', 'EUR', '2010-03-11', 'BEB157623609', NULL, 4273, '2023-06-01', 435846.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800C4753TUSFVEY86', '5299000WONWPHUZXXM45', '2011-09-06', 'EUR', '2011-09-06', 'NL0000103265', NULL, 8228, '2019-01-15', 823622.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200F7YSKQDHO7BU66', '959800U8LZF2EH0WC525', '2010-01-18', 'EUR', '2010-01-18', 'FR0013220902', NULL, 3259, '2024-04-30', 327985.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003N7HQ8CD186Q47', '894500HZB03BOHPF9R77', '2011-03-19', 'EUR', '2011-03-19', 'BE7260971854', NULL, 5120, '2019-05-04', 508416.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560049E86CB7B28A51', '724500WHQVZ9ISXDP386', '2010-06-14', 'EUR', '2010-06-14', 'BEC0000ATHQ0', NULL, 6543, '2020-10-16', 676219.0499999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560045B90BDE00F526', '254900QM3NUP5OR2QB83', '2014-07-20', 'EUR', '2014-07-20', 'FR0013238268', NULL, 7471, '2028-03-01', 788862.89, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900BC8LNVLXZOUQ14', '894500HOIZNKZSLVGV45', '2008-07-09', 'EUR', '2008-07-09', 'BEAR00423382', NULL, 3921, '2027-01-18', 424487.46, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000XR0R6XCU5KN909', '959800AUSSPSFQFV7G09', '2010-09-04', 'EUR', '2010-09-04', 'FR0011008705', NULL, 4826, '2027-07-25', 588289.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900CB9RG9RVTHN921', '3358006RQIS7URMRM328', '2014-06-20', 'EUR', '2014-06-20', 'FR0011318120', NULL, 9626, '2022-10-02', 1065598.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900WJM8HHLPFX6Q41', '2138008A9XXUZGHZ4D06', '2011-07-05', 'EUR', '2011-07-05', 'BER00003V3L1', NULL, 9459, '2019-11-17', 926982.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MK02YNWR4YRN34', '549300493TTJ3KPGYE12', '2012-08-26', 'EUR', '2012-08-26', 'BEB157554689', NULL, 3497, '2024-01-16', 367185.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900G5CE89QP358798', '549300QV5BDUGVOU5Z73', '2011-08-27', 'EUR', '2011-08-27', 'BE7261105619', NULL, 7264, '2021-05-09', 708312.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358006WAVRKHXFETE23', '959800P05ZEBUY44VA78', '2009-01-28', 'EUR', '2009-01-28', 'XS0957258212', NULL, 5120, '2020-08-05', 528486.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '54930049RQDUSV9QPW62', '789000JULW96JH9NN968', '2014-08-11', 'EUR', '2014-08-11', 'FR0010172585', NULL, 9387, '2049-04-25', 199943.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003030QT0CN7OT87', '254900TI80BAROYN4H17', '2013-07-31', 'EUR', '2013-07-31', 'BE0427465837', NULL, 3145, '2020-08-31', 392967.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300F6MJZYAPSQSB56', '815600436C4F1DF86A34', '2014-05-11', 'EUR', '2014-05-11', 'BEAX02802866', NULL, 9119, '2021-07-01', 972997.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HZB03BOHPF9R77', '549300IIQ8XKWBW2FL74', '2011-11-16', 'EUR', '2011-11-16', 'BEC0000AMG35', NULL, 3837, '2019-07-29', 400199.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845009B108744465859', '7890007JMV9RAROEMI58', '2017-01-02', 'EUR', '2017-01-02', 'BER00002U8M0', NULL, 3525, '2020-11-15', 391803.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003SEXM1WAKUG066', '391200CAAILKRUQVC016', '2014-03-20', 'EUR', '2014-03-20', 'FR0011766120', NULL, 3396, '2020-02-27', 65203.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600B4B8B9C21AE913', '95980026137EJAC6WJ59', '2015-06-09', 'EUR', '2015-06-09', 'BE7261702894', NULL, 3685, '2019-03-18', 369237.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800H42LCSE3CB7823', '3912000OENJJ0JBVHI39', '2018-11-19', 'EUR', '2018-11-19', 'FR0011519982', NULL, 6933, '2019-06-12', 700233.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900LZX828CWE25R08', '894500HNWTGIFVACUN46', '2010-08-27', 'EUR', '2010-08-27', 'FR0012620367', NULL, 8978, '2025-04-14', 887116.18, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598001CPYZS61F22624', '254900YOSVV477S0F381', '2011-04-26', 'EUR', '2011-04-26', 'BEB157728135', NULL, 547, '2020-11-16', 53775.57, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HOU2R49R9MRZ45', '335800I1RKN7ZKHF8T95', '2008-09-03', 'EUR', '2008-09-03', 'FR0000571150', NULL, 6025, '2025-10-25', 838499.2499999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500E7E95BXZ668557', '549300KR5WJ7Q5JVOV06', '2017-01-26', 'EUR', '2017-01-26', 'BEC0000AL9D4', NULL, 3792, '2021-05-21', 407071.19999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900X9U41IK6T98D46', '549300XUI8S8R1GS6H22', '2015-09-04', 'EUR', '2015-09-04', 'BEB156632510', NULL, 7608, '2019-11-16', 894016.0800000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560081A94017D3FB57', '743700ALQ6M1V2D3NG61', '2010-12-13', 'EUR', '2010-12-13', 'BEC0000AINL2', NULL, 8430, '2020-10-01', 864075.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800W9TRM932HML048', '335800ADHROXNQ1HRF02', '2017-10-22', 'EUR', '2017-10-22', 'PTRAMVOE0008', NULL, 9027, '2022-12-27', 938808.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000H2RM3XBM8HJH10', '8156003FD83099AA0794', '2015-06-21', 'EUR', '2015-06-21', 'BE7261103945', NULL, 3102, '2021-04-20', 303220.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156007E42BC5A706405', '2549001QPMN669DTMS69', '2018-05-06', 'EUR', '2018-05-06', 'AT0000A1FAP5', NULL, 3137, '2025-10-20', 334184.61, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HAD14Y9I8Z9R05', '254900Y96XY7D4I75H18', '2017-05-03', 'EUR', '2017-05-03', 'BEC0000ATAL6', NULL, 7446, '2020-10-01', 767012.4600000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000LD4R87JP5ERP12', '549300P6VHN64CLCQZ39', '2015-10-17', 'EUR', '2015-10-17', 'BE7261108936', NULL, 9077, '2021-06-06', 886459.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358004F1IPGSJWF5Q11', '789000HPIGO9EZ5JQG64', '2015-05-14', 'EUR', '2015-05-14', 'BER000047T28', NULL, 324, '2022-09-29', 30780.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800XWDUKHANQZNX27', '984500C48C7777DF6266', '2014-07-15', 'EUR', '2014-07-15', 'BE7261728394', NULL, 5535, '2029-05-28', 555049.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800W8AVKG5HQ6QO64', '549300BEMH5PIRO3WG40', '2018-04-27', 'EUR', '2018-04-27', 'BEAR00570794', NULL, 5270, '2024-12-21', 516460.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H7A65LHVNE6N40', '254900HXZVJNNB46ZT24', '2012-04-12', 'EUR', '2012-04-12', 'FR0012304442', NULL, 2430, '2026-12-22', 260010.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GRRACLZG286428', '2138008A9XXUZGHZ4D06', '2009-05-19', 'EUR', '2009-05-19', 'BE7260994641', NULL, 2461, '2019-08-05', 245681.63, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598004W370E6ZC88R95', '815600F4C84195615224', '2013-03-02', 'EUR', '2013-03-02', 'FR0011493501', NULL, 6041, '2018-05-01', 604100.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700XAJ3IN7GTKVS46', '254900DZS52WJ9DLEM03', '2011-02-18', 'EUR', '2011-02-18', 'FR0000571077', NULL, 1506, '2023-04-25', 146925.36000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300AZNIC5VYV0LR07', '33580018JKIHWWD2H256', '2017-04-23', 'EUR', '2017-04-23', 'BE7260969791', NULL, 3086, '2019-04-01', 308600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156002F3B8230942597', '213800K1FHIFHRSG1L22', '2016-12-04', 'EUR', '2016-12-04', 'XS0579847673', NULL, 3980, '2021-01-18', 438397.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900ZEWYNGGQVW6B26', '3358009DTOIY8RZEQS53', '2012-10-03', 'EUR', '2012-10-03', 'BEB157623724', NULL, 9230, '2021-06-01', 920877.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001D57EAD118DC56', '5493003GYR2LDCS6RB57', '2015-02-02', 'EUR', '2015-02-02', 'BE0000340498', NULL, 2063, '2066-06-22', 221958.17, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156009856D1C6B2B530', '3003004RVX5YJ710LE48', '2013-02-28', 'EUR', '2013-02-28', 'BEC0000BJ265', NULL, 1680, '2024-05-20', 172200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9695009JWILO0BQ3WL64', '81560003087991B8BB78', '2011-09-29', 'EUR', '2011-09-29', 'XS0804217536', NULL, 6412, '2022-07-13', 694419.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HDQYXK4VDFXX22', '3358001XYBCXK4IYBK76', '2016-07-25', 'EUR', '2016-07-25', 'FR0010960070', NULL, 2270, '2020-11-05', 250449.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900DFT4W7ILBTIB85', '335800T8CFEUYP6L3O83', '2017-11-26', 'EUR', '2017-11-26', 'BE7261138073', NULL, 9076, '2021-11-15', 941181.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000XR0R6XCU5KN909', '254900G8YGM9LNLSFP74', '2012-04-20', 'EUR', '2012-04-20', 'XS1020769748', NULL, 9944, '2024-01-23', 1088768.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900M802M9464ZIA97', '81560020D7D568F4F632', '2012-03-02', 'EUR', '2012-03-02', 'BE7261716449', NULL, 7822, '2019-06-06', 780009.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300KY31HH1O7XND68', '815600E14BDCD38C1148', '2014-08-28', 'EUR', '2014-08-28', 'BEAR00535995', NULL, 2922, '2019-02-21', 292200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800J3FP4WPYJGA276', '213800XG6SU7RZZMTZ68', '2018-11-20', 'EUR', '2018-11-20', 'BEC0000A9DZ5', NULL, 2899, '2019-01-12', 316309.89, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WGWEK1P3DC0U46', '213800DH2QVJEMZUOK46', '2017-03-25', 'EUR', '2017-03-25', 'XS0954910146', NULL, 953, '2023-07-25', 97825.45000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900I7542QKX519C84', '529900I7542QKX519C84', '2016-11-02', 'EUR', '2016-11-02', 'FR0013237070', NULL, 8096, '2022-03-14', 3805.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900Z2WNT6X7YR2D25', '894500H8Z571IOA2DR12', '2012-09-30', 'EUR', '2012-09-30', 'FR0000570939', NULL, 4624, '2019-10-25', 462446.24000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500I75P3H8JJ9N338', '9598009HXCNC9LAK8W88', '2012-05-12', 'EUR', '2012-05-12', 'BE7280981206', NULL, 8657, '2019-05-18', 873751.01, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300DXD6G8NGZ3BU81', '300300C1115332000047', '2017-01-31', 'EUR', '2017-01-31', 'XS1190632999', NULL, 673, '2025-02-17', 67030.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800H4TC1D4BPQ8Y62', '549300E0Z4SPZP2R2V52', '2014-01-14', 'EUR', '2014-01-14', 'XS0211503478', NULL, 3265, '2020-02-25', 335968.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SQ3RQAE7CHEN84', '549300F6N4CTVLF6EL88', '2018-08-25', 'EUR', '2018-08-25', 'XS0690606172', NULL, 7348, '2021-10-13', 809749.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FT0ADP8BNNZ636', '549300BF4KTMMV2ISL07', '2016-12-29', 'EUR', '2016-12-29', 'FR0012044592', NULL, 5662, '2021-07-31', 8493.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900GFOUN685Z50P96', '335800IJ3ZOETOVYBZ96', '2010-05-15', 'EUR', '2010-05-15', 'BE7261232223', NULL, 3324, '2022-10-19', 331402.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900H0BXHHVMHTWG69', '3157003I2KJRU24IBI58', '2011-04-14', 'EUR', '2011-04-14', 'FR0012057008', NULL, 9571, '2019-12-17', 2105620.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WXZFHVJ0L6US18', '391200JX0T2SI0CNMP83', '2015-04-15', 'EUR', '2015-04-15', 'FR0010900027', NULL, 4407, '2020-07-02', 439333.83, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GZQUP5N8NU1N48', '254900G5CE89QP358798', '2010-07-18', 'EUR', '2010-07-18', 'BE6280818681', NULL, 7193, '2019-03-06', 763249.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300V4ZUQXRT8L5J86', '959800NUGXW77RJ05D67', '2016-10-04', 'EUR', '2016-10-04', 'BEB157623807', NULL, 429, '2024-05-16', 42900.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HYOTW94KDWNJ24', '9845002B89C66DO08442', '2014-11-05', 'EUR', '2014-11-05', 'BE7261697854', NULL, 2179, '2020-02-13', 213542.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300DZJ1FAUOTOA335', '815600075CA915290F11', '2010-09-17', 'EUR', '2010-09-17', 'BE2615643381', NULL, 2230, '2024-02-01', 239167.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900QDAV9G3HAZ4J55', '8156001DB6BEA7F39C93', '2010-03-12', 'EUR', '2010-03-12', 'PTOTVLOE0001', NULL, 252, '2022-12-05', 25908.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300QWO4UFVOCHJ567', '529900EMKI1IJ4VGY241', '2014-09-26', 'EUR', '2014-09-26', 'BEC0000ALQH7', NULL, 9184, '2019-06-16', 945952.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XIV1K6D955MM91', '254900TZBLP16TCAJC54', '2009-11-28', 'EUR', '2009-11-28', 'FR0011261924', NULL, 3081, '2023-02-01', 342853.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156007814FB50630E55', '9598002LDD1E2PYP1J85', '2013-03-10', 'EUR', '2013-03-10', 'BE7261709790', NULL, 3568, '2019-04-23', 360403.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HDQYXK4VDFXX22', '815600E1429EA2A1B323', '2011-07-05', 'EUR', '2011-07-05', 'BE3871239666', NULL, 7031, '2019-09-04', 719411.9199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299005QMCDYRZJN8K84', '213800FET9CBLY1BBI44', '2016-04-23', 'EUR', '2016-04-23', 'BE7261159657', NULL, 6972, '2022-01-31', 707658.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450087N9RAPFZYUZ19', '95980044CJL1TG0GU366', '2015-05-04', 'EUR', '2015-05-04', 'NL0010733424', NULL, 2728, '2024-07-15', 304854.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700BP2MEBSO4GFV25', '8156002487F74176CF72', '2009-08-30', 'EUR', '2009-08-30', 'XS0728812495', NULL, 6421, '2022-01-11', 716776.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900EW9Z7WE1AVME75', '959800AUSSPSFQFV7G09', '2017-08-25', 'EUR', '2017-08-25', 'CA629435AC25', NULL, 4885, '2019-02-15', 488500.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900QTMM5H5FLIFD16', '894500HAIKOPWHKUXB70', '2019-01-01', 'EUR', '2019-01-01', 'FR0013327426', NULL, 23, '2028-05-04', 2225.94, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800ENHQFFF5T25147', '30030038RDAIIFA2FE30', '2011-11-13', 'EUR', '2011-11-13', 'FR0013134897', NULL, 9990, '2026-04-27', 991008.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900MLDDST0HD5GY34', '81560073AD51110DA588', '2015-02-10', 'EUR', '2015-02-10', 'BEAR00367613', NULL, 8093, '2026-05-15', 894276.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HCD39XK9JERZ37', '254900WW1FK974KHS546', '2017-04-12', 'EUR', '2017-04-12', 'XS0211328538', NULL, 6032, '2035-02-15', 319997.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358006RQIS7URMRM328', '959800ZPKFL5RF9Z5Z03', '2017-10-09', 'EUR', '2017-10-09', 'FR0000571051', NULL, 3386, '2022-10-25', 134085.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900QW9WW3MO52AT86', '5493001OBDFRPQ71FP25', '2009-01-14', 'EUR', '2009-01-14', 'FR0011356997', NULL, 202, '2022-11-21', 23149.199999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900HPKSVNWDG4XQ61', '254900EBXN0QDCWF1L86', '2009-03-04', 'EUR', '2009-03-04', 'BE2140964773', NULL, 371, '2024-10-01', 35245.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001E5A66CD562A80', '789000ZJ7PGTDDQW9T19', '2018-06-08', 'EUR', '2018-06-08', 'BE2140869790', NULL, 1062, '2024-07-01', 106093.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800YRCJZBI5KM5S53', '959800VXATX20BM4S508', '2014-01-25', 'EUR', '2014-01-25', 'BE3871265927', NULL, 3372, '2025-03-04', 342258.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200OXHUHPESDCXG30', '959800TPHL69R7BE0S62', '2017-11-20', 'EUR', '2017-11-20', 'XS1614202049', NULL, 7334, '2027-05-18', 715725.06, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245004A5ZMVOC2SPX56', '8156005695C434FC0E64', '2017-01-28', 'EUR', '2017-01-28', 'FR0011108869', NULL, 1548, '2021-09-29', 172663.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '52990032F28HSBWDN984', '3358004ZI9YPG1O6KU41', '2010-09-29', 'EUR', '2010-09-29', 'BEAX01270099', NULL, 6826, '2020-05-01', 726969.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800KPCDQHKBKMKU23', '743700AUEY1HNYDHGZ82', '2012-01-06', 'EUR', '2012-01-06', 'BEB157706768', NULL, 4154, '2020-10-01', 400902.54000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900X080DWXSB5MD70', '254900W1AG9MDM2OO590', '2010-08-17', 'EUR', '2010-08-17', 'BE2138701450', NULL, 730, '2019-09-01', 76365.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300GJG6MY0DVI0M72', '81560010782FDBCC4F75', '2013-02-21', 'EUR', '2013-02-21', 'DE0001346955', NULL, 3695, '2026-10-28', 314075.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000Y1BLNRHHUPU035', '549300GITWKP8IXB7K89', '2012-02-08', 'EUR', '2012-02-08', 'BEC0000BGAV0', NULL, 4550, '2020-10-23', 467376.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500CBAOC1M2ZMU910', '353800198096EUPBWJ26', '2015-04-23', 'EUR', '2015-04-23', 'BEAX02761450', NULL, 5012, '2021-05-06', 521248.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800DV3T95JYHATS68', '33580047IVGSEM5TBZ53', '2014-07-11', 'EUR', '2014-07-11', 'XS0579847673', NULL, 6331, '2021-01-18', 697359.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3912007FNDYUOSYOPD77', '8156006F11DBD9A22F95', '2012-08-30', 'EUR', '2012-08-30', 'XS1443997223', NULL, 3676, '2023-07-12', 360395.04000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450083UWRNPDF6S317', '549300L0UN5U0504Y829', '2016-12-01', 'EUR', '2016-12-01', 'BE0002213792', NULL, 1151, '2019-06-02', 116630.83, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H8CYZYYQYJRJ40', '2549001GW4JPFWQ5EG77', '2018-01-23', 'EUR', '2018-01-23', 'BEC0000AIJP1', NULL, 8273, '2020-09-16', 864528.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HBLDJ3DCW0I773', '98450062BFT6AFE08A06', '2012-04-07', 'EUR', '2012-04-07', 'BEB157786844', NULL, 8416, '2020-03-16', 829901.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300L0UN5U0504Y829', '95980076SWE89BYHCJ61', '2017-12-24', 'EUR', '2017-12-24', 'FR0011022474', NULL, 6324, '2111-03-16', 1113024.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500W74PQ6LZLUWQ56', '254900IHH71OG95P7B27', '2012-06-10', 'EUR', '2012-06-10', 'XS0671362506', NULL, 848, '2021-08-31', 93788.79999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549008BU3G6QQOC6G21', '2138005RKERBGCM6FU17', '2017-07-13', 'EUR', '2017-07-13', 'US780641AH94', NULL, 9013, '2030-10-01', 1099586.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800R6AEBEBH17HD14', '894500HO2D0A2UM8I721', '2016-11-09', 'EUR', '2016-11-09', 'BEC0000AKK80', NULL, 2780, '2019-03-03', 284950.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800F3F26FDMCUJN28', '959800JMHHZ0JV0FCS55', '2016-09-21', 'EUR', '2016-09-21', 'BEC0000AIJP1', NULL, 7250, '2020-09-16', 757625.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900BCNWZFJWR16348', '894500HO2D0A2UM8I721', '2015-09-27', 'EUR', '2015-09-27', 'FR0000189151', NULL, 4117, '2019-04-25', 419604.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900GF5H89JHVM7J54', '81560001A3EC866BFC47', '2014-08-07', 'EUR', '2014-08-07', 'BE0000346552', NULL, 238, '2033-04-22', 23666.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800QPAP76G39E2833', '7890004L9ECMUEC5SO39', '2012-11-29', 'EUR', '2012-11-29', 'FR0012304442', NULL, 6202, '2026-12-22', 663614.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900BGGO7FEDLK6Z96', '529900H0BXHHVMHTWG69', '2018-07-25', 'EUR', '2018-07-25', 'XS0823045843', NULL, 2316, '2027-08-31', 101788.20000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900Q0MAMBKMUX3824', '254900XW9PFQEDAAOZ11', '2016-09-18', 'EUR', '2016-09-18', 'BER00002ZD11', NULL, 6465, '2021-05-05', 669838.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138006FSFUK8YV6B728', '815600B7FB825393B763', '2012-06-08', 'EUR', '2012-06-08', 'BE7261730234', NULL, 277, '2021-01-12', 27215.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500DJD982A80AB580', '2138009IM7SWQLYKES27', '2011-07-30', 'EUR', '2011-07-30', 'BEC0000AILZ6', NULL, 7481, '2020-09-01', 792237.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598005MXHRHCXC6EY92', '2549009IC3KH5UYSQX91', '2010-12-21', 'EUR', '2010-12-21', 'NL0009086206', NULL, 184, '2019-07-15', 17023.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600B015D362B37C79', '9845008CF2HUC703A212', '2010-04-22', 'EUR', '2010-04-22', 'BE7289707404', NULL, 8480, '2019-03-19', 848848.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900AIUQAGUZ3EDD10', '5493001NBUVYRXX5RM13', '2013-06-07', 'EUR', '2013-06-07', 'PTOTEVOE0018', NULL, 161, '2028-10-17', 16626.47, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7890001FCSDVDJGYMK15', '549300N3ZXLPZJTZ7M34', '2017-03-27', 'EUR', '2017-03-27', 'BE0000326356', NULL, 6555, '2032-03-28', 934546.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800CGAZSNGKCH9416', '969500AZTP6KYEOBMS55', '2016-04-17', 'EUR', '2016-04-17', 'BE0002232016', NULL, 2786, '2022-07-15', 293923.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845008FE9C3AE81DP70', '787200AY1F0SZDBZL682', '2016-04-28', 'EUR', '2016-04-28', 'BEB157706727', NULL, 6503, '2019-09-16', 641585.98, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800Q1P46WY9F1WF02', '315700104W6UT38P2L72', '2016-04-29', 'EUR', '2016-04-29', 'BEC0000AP280', NULL, 5913, '2021-12-15', 632099.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800U8LZF2EH0WC525', '2549004R5QU9YFNY8L33', '2015-01-03', 'EUR', '2015-01-03', 'BE0002289586', NULL, 5763, '2020-06-29', 587826.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '52990003CJ3ZFVS4S916', '2594002H6FNOT2AGWZ32', '2011-12-19', 'EUR', '2011-12-19', 'BE2615691869', NULL, 8296, '2024-03-01', 829682.9600000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800ER00N6A7FLNM81', '894500HQZOFV7HVXXR93', '2014-10-02', 'EUR', '2014-10-02', 'BEB157651717', NULL, 2608, '2019-07-16', 252976.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560008273C4221CE63', '95980074NVNWB8MFM280', '2018-04-18', 'EUR', '2018-04-18', 'FR0010804500', NULL, 4546, '2024-09-23', 505287.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300LFXG311O8Z8329', '9695005TU3CKKPLRBV87', '2016-06-09', 'EUR', '2016-06-09', 'BEAR00535995', NULL, 5563, '2019-02-21', 556300.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800SR027YXK2G8R75', '959800PVJS3BR5KZ4820', '2012-10-30', 'EUR', '2012-10-30', 'XS0690606172', NULL, 1158, '2021-10-13', 127611.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800GLBLCVJJDARG50', '959800GVLA59YNMV0U09', '2009-06-27', 'EUR', '2009-06-27', 'FR0012304459', NULL, 2771, '2024-12-22', 282531.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800Y85WTRA77C3151', '335800XLB3LJEO861J66', '2018-05-18', 'EUR', '2018-05-18', 'BEB156736899', NULL, 9605, '2020-01-16', 970105.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AF2C8C0D012359', '984500OC2E7DF7547068', '2012-04-14', 'EUR', '2012-04-14', 'NL0000003549', NULL, 7544, '2032-01-15', 643503.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299008619O6J745YR05', '254900TZBLP16TCAJC54', '2015-01-21', 'EUR', '2015-01-21', 'BEAR00486801', NULL, 9523, '2019-02-19', 980869.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H8CYZYYQYJRJ40', '549300NLYI5NWM87T543', '2015-03-05', 'EUR', '2015-03-05', 'BEB157628541', NULL, 3671, '2020-06-16', 359758.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '787200AY1F0SZDBZL682', '81560023D7FC2A0DFA47', '2010-08-09', 'EUR', '2010-08-09', 'FR0010815464', NULL, 4773, '2039-10-27', 505651.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HAD14Y9I8Z9R05', '529900URAAIPPBQPDB82', '2013-04-28', 'EUR', '2013-04-28', 'BE7261451294', NULL, 6385, '2019-09-20', 640032.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900EU6DRSZPGI8E21', '724500M2AJ9YSLWA1029', '2017-10-27', 'EUR', '2017-10-27', 'XS1138641508', NULL, 8629, '2020-12-17', 869199.17, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '485100GQD167NBAJ5W24', '254900Y96XY7D4I75H18', '2015-12-08', 'EUR', '2015-12-08', 'BE7261021402', NULL, 1662, '2019-12-17', 165369.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900QTP7W8PR9FJG89', '724500ZCMLUDW8TJJF91', '2013-05-31', 'EUR', '2013-05-31', 'BEAR00541043', NULL, 5119, '2024-04-01', 518298.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845009DSB3C48BDD396', '8156008722B405259B53', '2013-05-28', 'EUR', '2013-05-28', 'BE7261707273', NULL, 3599, '2024-04-03', 360079.95, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900F3BEPA4MKX3G37', '959800ETS88TRZ8SFX39', '2014-03-17', 'EUR', '2014-03-17', 'BE7281172490', NULL, 9725, '2022-03-16', 984170.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560013DBBB3EB48F45', '894500HU82YZM3TEOF66', '2018-06-23', 'EUR', '2018-06-23', 'FR0010198036', NULL, 8220, '2020-10-25', 930093.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900R3R9BGCQTXWO76', '529900I381J67NTE0O11', '2012-02-15', 'EUR', '2012-02-15', 'FR0013183571', NULL, 2472, '2023-06-16', 211356.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800GLBLCVJJDARG50', '335800QBH571I8YRJ274', '2014-12-25', 'EUR', '2014-12-25', 'XS1722558258', NULL, 3418, '2024-11-22', 340296.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300EDPVOBP5LWP323', '7245004V1GO5K4650888', '2010-03-29', 'EUR', '2010-03-29', 'BE2615706048', NULL, 7031, '2020-03-01', 692553.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493003GYR2LDCS6RB57', '2549008V09FFNGXPML65', '2018-05-15', 'EUR', '2018-05-15', 'BEC0000AL3E5', NULL, 4395, '2021-04-26', 471407.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GS9VMZ4S8N0942', '743700MGXEFTNTNGOG54', '2017-06-23', 'EUR', '2017-06-23', 'BED200025HQ5', NULL, 4600, '2019-12-07', 492200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VIFQ4F9JB7JL81', '2549006BNQUM76XAR396', '2011-12-07', 'EUR', '2011-12-07', 'XS0820867223', NULL, 6871, '2020-08-28', 718156.9199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300DZJ1FAUOTOA335', '959800S8BTHJ4RWTAZ55', '2008-12-16', 'EUR', '2008-12-16', 'BE2140760676', NULL, 1486, '2020-05-01', 151200.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598008X1D3XJ2HDU831', '549300VCLTIEGFX36937', '2018-01-03', 'EUR', '2018-01-03', 'XS0993228294', NULL, 6742, '2019-11-13', 701505.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900OLN556MVW2C448', '529900URAAIPPBQPDB82', '2009-04-14', 'EUR', '2009-04-14', 'XS1576220484', NULL, 4276, '2022-03-09', 429310.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300R357N6XZU86B66', '485100V8KJEA3TMIYR91', '2013-09-11', 'EUR', '2013-09-11', 'FR0000188799', NULL, 9870, '2032-07-25', 1485237.5999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300F6MJZYAPSQSB56', '815600E8D4B9F079EE62', '2018-05-11', 'EUR', '2018-05-11', 'FR0013284643', NULL, 7899, '2024-02-28', 789900.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549009IC3KH5UYSQX91', '984500FXDA3777DD6C09', '2015-10-01', 'EUR', '2015-10-01', 'BEAR00464089', NULL, 6926, '2019-09-18', 699526.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001818027C45D477', '815600B000DE9B544733', '2014-10-24', 'EUR', '2014-10-24', 'FR0013358124', NULL, 9005, '2028-09-04', 899059.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300EFRZXSAXKGXV98', '894500HPAPEF6P99QN27', '2015-08-10', 'EUR', '2015-08-10', 'BER00002YEX7', NULL, 6582, '2021-04-07', 728035.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600D8DA95C98F1B07', '815600075CA915290F11', '2013-10-07', 'EUR', '2013-10-07', 'FR0013101466', NULL, 8733, '2019-02-25', 876007.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300GNP2R7FGIF4X21', '894500HO2D0A2UM8I721', '2019-01-02', 'EUR', '2019-01-02', 'BEB157571287', NULL, 3131, '2019-03-16', 309969.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549009Y6LF4O5FT7P02', '894500HAZ7C0TFKHVZ05', '2018-06-22', 'EUR', '2018-06-22', 'FR0000571093', NULL, 753, '2023-10-25', 20022.27, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200EIZIHODWDU8115', '789000RC77B1ZRQT3J36', '2010-11-10', 'EUR', '2010-11-10', 'FR0013327434', NULL, 61, '2028-05-04', 5845.63, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299002A7ETAYKEJPY98', '9598007AP4UCV0ZW3Q64', '2016-02-16', 'EUR', '2016-02-16', 'BEC0000ARR52', NULL, 1510, '2022-05-04', 154775.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300QWO4UFVOCHJ567', '254900NLG13RNO3CCK80', '2011-11-22', 'EUR', '2011-11-22', 'NL0009706597', NULL, 5685, '2024-04-04', 602610.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600E123635E5B8997', '894500HEIOYOI05PXR44', '2009-01-27', 'EUR', '2009-01-27', 'BEC0000AIW98', NULL, 6310, '2020-10-11', 656871.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500BE92C95D3C5693', '984500FXDA3777DD6C09', '2018-10-05', 'EUR', '2018-10-05', 'PTOTEKOE0011', NULL, 2194, '2025-10-15', 244192.19999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156001074A6A6B72044', '485100UGVT8JIK3LGV54', '2014-08-06', 'EUR', '2014-08-06', 'BE7260980871', NULL, 1595, '2019-05-29', 161892.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H2YYS3MEERV374', '743700AUEY1HNYDHGZ82', '2013-09-23', 'EUR', '2013-09-23', 'FR0010070060', NULL, 3112, '2035-04-25', 479714.80000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300UD3EZYFYL35X85', '984500FC8569569B5B24', '2015-06-17', 'EUR', '2015-06-17', 'BEC0000ACCA1', NULL, 5041, '2019-05-14', 537622.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2534006BRL22ER2L6895', '984500FFE0EVD6F13F70', '2014-12-18', 'EUR', '2014-12-18', 'BEC0000AKN38', NULL, 2376, '2019-03-10', 248909.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560003087991B8BB78', '959800GQS8973PV0QN21', '2018-11-18', 'EUR', '2018-11-18', 'FR0012304442', NULL, 8075, '2026-12-22', 864025.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299004L5XO9Q706ZJ81', '529900H4XQ36RMKJMY71', '2009-06-04', 'EUR', '2009-06-04', 'BE7281061875', NULL, 7507, '2020-07-19', 738838.9400000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800ENHQFFF5T25147', '5299008CR7G4H3NXV762', '2011-10-30', 'EUR', '2011-10-30', 'FR0011333186', NULL, 3817, '2022-10-25', 430366.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560054DF0DEF6F8003', '984500B553FB444C7A05', '2012-10-16', 'EUR', '2012-10-16', 'XS1020295348', NULL, 9294, '2019-01-22', 953564.3999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600C6BC037F2C9B52', '9598009NWG6Q334C9549', '2014-06-06', 'EUR', '2014-06-06', 'BE7281704094', NULL, 4207, '2020-03-17', 420700.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007VM0GTV6F3QW68', '549300RXFPHPD2P67O82', '2014-03-27', 'EUR', '2014-03-27', 'FR0010950865', NULL, 7654, '2021-05-24', 797546.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '353800JQWFU68JEVGH51', '984500EA6DD5CC577B53', '2013-06-02', 'EUR', '2013-06-02', 'BEB157554440', NULL, 803, '2019-02-01', 83512.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900IA0PPNIOGKJK21', '959800R6AEBEBH17HD14', '2016-07-14', 'EUR', '2016-07-14', 'BER00003E1E1', NULL, 6447, '2019-08-24', 660817.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HDQYXK4VDFXX22', '315700THTOEO2E2TEE34', '2017-05-04', 'EUR', '2017-05-04', 'BE7261731158', NULL, 7981, '2021-02-13', 774157.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3912000FGJG1UV9FLK88', '315700104W6UT38P2L72', '2014-10-31', 'EUR', '2014-10-31', 'BEAR00481877', NULL, 4248, '2020-02-01', 431172.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GNC2BWYU6J3M22', '8156004783E572DEBC61', '2016-09-10', 'EUR', '2016-09-10', 'BEB157591020', NULL, 4719, '2021-03-16', 480441.39, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '98450048B15E6AB10A14', '335800HQJPG1Q9A2EI03', '2016-07-12', 'EUR', '2016-07-12', 'BER000041C15', NULL, 9980, '2021-09-04', 938120.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980085K03DCARGQK26', '391200BEJNNEHODXG661', '2018-12-24', 'EUR', '2018-12-24', 'FR0010464321', NULL, 2927, '2019-04-25', 328994.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600791C8979BC6D18', '81560012835FBAECDB08', '2014-03-18', 'EUR', '2014-03-18', 'BEB157728085', NULL, 8595, '2019-10-16', 832511.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300LFXG311O8Z8329', '724500B161YC9TSHGN61', '2012-03-09', 'EUR', '2012-03-09', 'BEC0000ARML5', NULL, 5988, '2020-04-20', 613770.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299006Q5L5GDRN3KP69', '549300GNP2R7FGIF4X21', '2014-09-15', 'EUR', '2014-09-15', 'XS1787477543', NULL, 8869, '2026-03-19', 883263.7100000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500787613D0A51359', '9598009HCQLHAHAFNU70', '2015-02-22', 'EUR', '2015-02-22', 'XS1046827405', NULL, 8111, '2026-03-20', 837217.42, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '747800A0MFH2NTXIK650', '2549008TAHKW5WLQD565', '2017-03-17', 'EUR', '2017-03-17', 'BER00002WA33', NULL, 5944, '2021-02-01', 576151.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HS2HA8OD73IN26', '549300H7EH74TI868808', '2008-08-11', 'EUR', '2008-08-11', 'BE7281228516', NULL, 8501, '2022-09-21', 856900.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500I2OY67Q2YRNZ84', '9598000UC54CNUDS9Y25', '2009-12-07', 'EUR', '2009-12-07', 'BER00003TRP3', NULL, 3727, '2019-10-01', 368973.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500I75P3H8JJ9N338', '5299009F6LUXXUL3OS83', '2011-08-19', 'EUR', '2011-08-19', 'BEB157669016', NULL, 1035, '2019-08-16', 101430.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GU4NAB8YSNEK83', '529900BG7HNHR3TSLC21', '2009-08-21', 'EUR', '2009-08-21', 'BEB157637237', NULL, 7422, '2019-07-01', 737078.8200000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138007NXAUM9I6NML67', '789000126K0XDPC6CS95', '2017-06-16', 'EUR', '2017-06-16', 'BE7281134797', NULL, 8306, '2021-10-24', 862993.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500PAA902QVPQI827', '984500FXDA3777DD6C09', '2011-11-15', 'EUR', '2011-11-15', 'XS0411850075', NULL, 2356, '2019-02-04', 240312.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800CK7LDD5WAA0133', '335800BQU4W7BEXVBB37', '2014-06-22', 'EUR', '2014-06-22', 'BEC0000AITF1', NULL, 8872, '2020-10-04', 925349.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300M7NE3NNKWX3R51', '724500QWRJ5VKFCQFZ12', '2017-04-21', 'EUR', '2017-04-21', 'BE2616246598', NULL, 3335, '2021-11-01', 311855.85000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HXGHI40PQVF328', '25490086FITZP29BWC98', '2016-09-20', 'EUR', '2016-09-20', 'BEB157728192', NULL, 8732, '2022-11-16', 840891.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299008KMTKJE8KZWO03', '335800IK457RQY6L4Q85', '2015-12-01', 'EUR', '2015-12-01', 'BEB157623476', NULL, 8325, '2016-05-16', 782550.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WW5FGNEH6UV395', '213800DCPLLRHA3LAI65', '2009-11-19', 'EUR', '2009-11-19', 'XS0767706111', NULL, 3110, '2019-04-03', 323440.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500C2BCO04B6BF742', '635400ERLTTQICNF8Q97', '2015-01-07', 'EUR', '2015-01-07', 'XS0303070113', NULL, 1162, '2019-05-29', 131306.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000H2RM3XBM8HJH10', '213800RLZNFG9GCAWV55', '2017-04-22', 'EUR', '2017-04-22', 'FR0011059088', NULL, 3895, '2021-10-25', 431410.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299004H3P8763E1KK83', '33580071D1HDFJQI5V04', '2012-10-20', 'EUR', '2012-10-20', 'PTBPCAOE0006', NULL, 6436, '2019-07-10', 650036.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450099WDOWCQ91TT71', '549300LU6H224IV3O622', '2010-05-17', 'EUR', '2010-05-17', 'BEAR00545986', NULL, 233, '2024-05-16', 23393.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800AM1DRJWJ4DUP89', '984500EA49C74DD0DD17', '2016-02-15', 'EUR', '2016-02-15', 'FR0013382744', NULL, 4285, '2028-12-20', 419415.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900ETDR7WYX7PDG85', '549300DZJ1FAUOTOA335', '2010-11-26', 'EUR', '2010-11-26', 'BE0002576545', NULL, 6930, '2025-12-15', 699930.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HAZ7C0TFKHVZ05', '959800VUVKA4BU5NSD07', '2011-06-13', 'EUR', '2011-06-13', 'FR0013241361', NULL, 3405, '2024-03-08', 343224.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HHWN1KJLF2BZ73', '959800F6Y18AWTUQRF68', '2017-05-01', 'EUR', '2017-05-01', 'BE7261189662', NULL, 3335, '2022-04-26', 332833.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AAAFBFA085FC84', '213800LJ7F1NMHQTV264', '2015-02-01', 'EUR', '2015-02-01', 'FR0011805803', NULL, 4073, '2024-03-27', 441472.47000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600CD23F4E1DD8784', '7890005N9J1TXFQFTA27', '2011-03-17', 'EUR', '2011-03-17', 'XS0854759080', NULL, 8641, '2022-11-14', 935993.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H5FNKDU3OUBZ78', '391200G9YMOYSETGLI79', '2017-10-23', 'EUR', '2017-10-23', 'NL0000103315', NULL, 6362, '2024-01-15', 619786.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800IZECY15Y6RNI27', '529900TQJCOESY6D5I70', '2015-04-15', 'EUR', '2015-04-15', 'BEB157590857', NULL, 9500, '2021-04-01', 945345.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600E90869278E4A71', '529900LS0C21F4UM2K06', '2016-04-30', 'EUR', '2016-04-30', 'BEB157623666', NULL, 6656, '2019-06-01', 682639.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HFAEPIOWT47J68', '959800MJ7G4C8CC35B15', '2012-08-15', 'EUR', '2012-08-15', 'NL0000102788', NULL, 9438, '2037-01-15', 675005.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FEA3DT84FOZ304', '391200X5SJBLAQ0ZRW08', '2018-10-19', 'EUR', '2018-10-19', 'XS0485616758', NULL, 2416, '2022-02-09', 275883.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560012116182628889', '8156001074A6A6B72044', '2010-06-16', 'EUR', '2010-06-16', 'XS0823045843', NULL, 5301, '2027-08-31', 232978.95, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598001RKFDGS80CDE85', '724500MR05OCGYZDH702', '2013-02-08', 'EUR', '2013-02-08', 'BEAR00591345', NULL, 8765, '2025-05-18', 830922.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2138007NXAUM9I6NML67', '213800RLZNFG9GCAWV55', '2009-06-14', 'EUR', '2009-06-14', 'FR0010913749', NULL, 4530, '2025-10-24', 562037.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299007MPLYA2JT23A59', '213800MSRVRI1CI6XH73', '2014-11-09', 'EUR', '2014-11-09', 'NL0009363753', NULL, 6799, '2020-07-15', 609258.39, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VU8W2U056OQ621', '2549007KYQNEBEP6LF68', '2011-09-29', 'EUR', '2011-09-29', 'BEB157269692', NULL, 6246, '2022-04-01', 676504.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300HH7QGMR2N61Q04', '5299007MPLYA2JT23A59', '2008-12-30', 'EUR', '2008-12-30', 'BE0427524450', NULL, 5584, '2021-04-30', 759424.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900WW1FK974KHS546', '894500H9QUXVPKXGNJ89', '2017-02-09', 'EUR', '2017-02-09', 'BE7261712943', NULL, 9416, '2019-05-22', 941600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000126K0XDPC6CS95', '25490029CYKEEFWZIQ50', '2008-09-18', 'EUR', '2008-09-18', 'BE7261103549', NULL, 637, '2021-04-28', 62222.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900GF5H89JHVM7J54', '529900R87K588NM6VQ02', '2008-11-02', 'EUR', '2008-11-02', 'XS0303070113', NULL, 6207, '2019-05-29', 701391.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200OXHUHPESDCXG30', '81560013DBBB3EB48F45', '2008-09-28', 'EUR', '2008-09-28', 'FR0010960195', NULL, 1275, '2020-12-17', 136833.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000KGZ91G7WN1TI29', '549300PZR44G2BK3XH31', '2016-02-29', 'EUR', '2016-02-29', 'BE2140888014', NULL, 4692, '2024-08-01', 446209.19999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845006DRKC5A9F4BB72', '213800NQFGXCUACUXT22', '2013-07-30', 'EUR', '2013-07-30', 'BE0000327362', NULL, 5240, '2019-09-28', 547213.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600B4B8B9C21AE913', '969500DVNNWJZZ4ORM08', '2015-03-19', 'EUR', '2015-03-19', 'BER000030V64', NULL, 9824, '2021-07-04', 1012854.3999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600AF575C8783A028', '5299006FYNWAY2LFIF19', '2012-12-23', 'EUR', '2012-12-23', 'FR0011261080', NULL, 5778, '2021-06-29', 631997.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500TNIK7SO5TTTQ38', '959800J4FW9MMCCFHJ88', '2011-06-16', 'EUR', '2011-06-16', 'BE7261608562', NULL, 3591, '2027-08-12', 357843.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500X2768HRXPEU968', '259400JCRZRCOQP7EA30', '2017-10-24', 'EUR', '2017-10-24', 'BE7260979519', NULL, 2425, '2019-05-22', 246137.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560001A3EC866BFC47', '969500T9KPPFR9DWYC93', '2016-12-16', 'EUR', '2016-12-16', 'FR0013245586', NULL, 9190, '2024-03-23', 935266.2999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800GVLA59YNMV0U09', '959800T76ESPB8W5SY69', '2018-07-16', 'EUR', '2018-07-16', 'BEC0000AKIQ7', NULL, 2997, '2019-03-09', 315284.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800EQK23KTT5K5L36', '81560012835FBAECDB08', '2011-12-15', 'EUR', '2011-12-15', 'BEB157685004', NULL, 3499, '2019-08-01', 345911.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2594002H6FNOT2AGWZ32', '959800GT2CLX8X9W2548', '2012-10-05', 'EUR', '2012-10-05', 'BEB157590931', NULL, 3080, '2024-03-16', 298760.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300RO17P0DN33BD51', '2549004YROKFYDRFD491', '2011-07-07', 'EUR', '2011-07-07', 'FR0010474056', NULL, 2031, '2057-06-25', 416355.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900K2DVUCM0G3IF39', '894500HKIVDMEA10GF91', '2008-07-21', 'EUR', '2008-07-21', 'BEB157711958', NULL, 8645, '2021-10-16', 838565.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H9WEHNCK9CB303', '894500HF4V5R1XH8JZ59', '2012-06-17', 'EUR', '2012-06-17', 'BEB157571345', NULL, 8222, '2019-03-16', 846948.2200000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560001A3EC866BFC47', '254900PYCRYBTSJI8Q79', '2016-02-26', 'EUR', '2016-02-26', 'XS0810731637', NULL, 4629, '2019-07-31', 479656.98000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300EMFC8JYFXEQM91', '5299002URJ7HCB1NOH98', '2018-04-17', 'EUR', '2018-04-17', 'AT0000383864', NULL, 8890, '2027-07-15', 1324610.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800VR1RQHN566VR62', '213800AMOVC9997RQK18', '2016-09-17', 'EUR', '2016-09-17', 'BE7261716431', NULL, 6966, '2019-06-19', 682668.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358008SIGEKTC1BKS16', '894500HOU2R49R9MRZ45', '2013-10-21', 'EUR', '2013-10-21', 'XS1110558407', NULL, 6429, '2026-09-16', 681152.55, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900TJHSVVUDS36A85', '959800RR3U2735EKCJ70', '2008-07-08', 'EUR', '2008-07-08', 'BE7261021402', NULL, 9690, '2019-12-17', 964155.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FD7DJMXL0LQK38', '5299006Q5L5GDRN3KP69', '2016-01-21', 'EUR', '2016-01-21', 'XS1068871448', NULL, 38, '2024-05-20', 4206.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560079B6563A601D80', '254900PNFLI1L0UUTU34', '2008-09-21', 'EUR', '2008-09-21', 'BE7261696112', NULL, 9333, '2024-02-07', 924433.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549002YT1TV3H15K320', '335800PRB8BUVI3NIV64', '2018-07-14', 'EUR', '2018-07-14', 'BE6272652502', NULL, 4804, '2019-01-20', 484771.63999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25490015JBAPDSXSLL27', '335800FOTV3MW5C7EH18', '2015-06-30', 'EUR', '2015-06-30', 'BE3871242694', NULL, 2118, '2019-12-04', 219213.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800FI7YZ5A53GJI22', '98450013EDD12DC4D191', '2014-08-26', 'EUR', '2014-08-26', 'BE6234502217', NULL, 5440, '2019-05-08', 554880.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600F9DD0DF7342D88', '300300C1170944000083', '2011-09-17', 'EUR', '2011-09-17', 'XS0752092311', NULL, 2915, '2022-03-01', 325022.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800ESD27927KNE341', '2549002YT1TV3H15K320', '2017-08-12', 'EUR', '2017-08-12', 'BEC0000AIYH7', NULL, 4334, '2020-10-25', 453769.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600075CA915290F11', '2549007FVCMBRK9TXW36', '2014-01-11', 'EUR', '2014-01-11', 'BEB157771952', NULL, 1914, '2020-02-16', 184011.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000VQS0EPOE24K012', '335800LA1C7NBOCSMV36', '2012-01-13', 'EUR', '2012-01-13', 'BEB157590816', NULL, 1486, '2020-03-16', 148600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800X1YDAQW9C45A07', '549300FT0ADP8BNNZ636', '2018-01-13', 'EUR', '2018-01-13', 'FR0013358199', NULL, 5581, '2025-10-10', 553914.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549002B39OI8KJ65B25', '959800JTCHULXUWHNP81', '2017-07-08', 'EUR', '2017-07-08', 'BE0002448232', NULL, 7309, '2023-10-30', 726295.3300000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000JULW96JH9NN968', '81560043CD206EA51196', '2010-02-05', 'EUR', '2010-02-05', 'XS1693818285', NULL, 5230, '2024-10-04', 521431.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493005FKMS3KRRW0T36', '95980085K03DCARGQK26', '2009-08-26', 'EUR', '2009-08-26', 'BEB157599171', NULL, 2749, '2019-04-16', 275174.89999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HCO6DGU8763320', '549300P6VHN64CLCQZ39', '2012-03-28', 'EUR', '2012-03-28', 'NL0009980945', NULL, 8179, '2022-02-09', 935595.81, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493007KLS5L25N86454', '254900L44F7VSV59P117', '2015-01-02', 'EUR', '2015-01-02', 'BEAR00552347', NULL, 3296, '2024-07-16', 303264.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '485100NBOUIT8QFX8G36', '969500AZTP6KYEOBMS55', '2014-10-27', 'EUR', '2014-10-27', 'BER0000303V3', NULL, 5053, '2021-06-01', 515406.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300BYJ8M4JVE94T05', '959800F7MDT1YR2CLT92', '2017-10-21', 'EUR', '2017-10-21', 'PTBINIOM0004', NULL, 6324, '2024-02-22', 635245.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7890004L9ECMUEC5SO39', '549300JQXJL634X60W76', '2014-11-23', 'EUR', '2014-11-23', 'FR0012018778', NULL, 994, '2019-08-04', 14273.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549004B5VNXAM0ZYU09', '9845004E7E3799A76F12', '2010-01-15', 'EUR', '2010-01-15', 'XS1810129277', NULL, 89, '2028-05-25', 8833.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900G8PIJUFYDL0F33', '549300DO6YPLSWJSKZ56', '2012-08-14', 'EUR', '2012-08-14', 'FR0010192997', NULL, 2064, '2021-04-25', 227452.80000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HLLO7ZV5C61B88', '213800MSRVRI1CI6XH73', '2012-10-19', 'EUR', '2012-10-19', 'BEB157707063', NULL, 4422, '2024-10-01', 428934.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900D0CEXI4F19ON06', '959800NUGXW77RJ05D67', '2013-02-11', 'EUR', '2013-02-11', 'FR0010910240', NULL, 7446, '2020-06-22', 822410.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HPY3YY9CR19N44', '984500S5664A9B1DFC48', '2015-12-29', 'EUR', '2015-12-29', 'XS0291838992', NULL, 5818, '2020-04-30', 496799.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598009L31NCDEP5XY12', '529900BIOZQV2STOMD93', '2017-04-14', 'EUR', '2017-04-14', 'BEB157887675', NULL, 7192, '2020-09-16', 695106.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549002H16OHWUFQLE81', '335800XLB3LJEO861J66', '2017-02-22', 'EUR', '2017-02-22', 'FR0013250685', NULL, 3344, '2021-04-12', 337576.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299005QMCDYRZJN8K84', '8156000E75842A4DFF15', '2014-01-19', 'EUR', '2014-01-19', 'BE7261413914', NULL, 2205, '2020-01-20', 222705.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XW9PFQEDAAOZ11', '254900RB1ZEMBKGLWC19', '2017-10-12', 'EUR', '2017-10-12', 'BEB157727970', NULL, 9556, '2023-11-01', 925020.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200P0HUT04ZQWR922', '743700A6M0A1S4CKR994', '2009-07-16', 'EUR', '2009-07-16', 'BE6210897847', NULL, 678, '2019-12-01', 65427.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3157002Y0OY84RTB9R90', '5493007XW8LKH1A3CU29', '2009-08-27', 'EUR', '2009-08-27', 'FR0012558310', NULL, 5543, '2025-03-01', 595650.7799999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299005Z2CKSU45LZA08', '335800KIBRFPFZSCAI45', '2009-12-18', 'EUR', '2009-12-18', 'XS0748187902', NULL, 8930, '2022-02-21', 1011143.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700WZ2WVSYAUTD795', '7245006M3LDS98QOMZ45', '2009-07-13', 'EUR', '2009-07-13', 'BE7281174314', NULL, 704, '2022-03-15', 71244.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500EQIEFB30R7R190', '335800YRCJZBI5KM5S53', '2015-04-22', 'EUR', '2015-04-22', 'FR0013192762', NULL, 1465, '2026-10-24', 142251.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900F5DD3WUHZ5FP52', '254900DB0U9Q1T775774', '2010-01-20', 'EUR', '2010-01-20', 'FR0010810069', NULL, 2320, '2025-04-25', 215110.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450070KR92JBY63M76', '5299005VGVRQQR3YXA67', '2017-09-26', 'EUR', '2017-09-26', 'PTMTLDOM0005', NULL, 7374, '2019-02-04', 796539.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600EEA50F241AB954', '8156009F9CE4BBDA0D95', '2014-09-05', 'EUR', '2014-09-05', 'BEB157590881', NULL, 8694, '2024-04-01', 834624.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7890006VZWGVIJC7JZ03', '5493008OMSIRU0QRJE93', '2016-09-28', 'EUR', '2016-09-28', 'FR0013299435', NULL, 7782, '2025-11-28', 728706.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900LHL9RYDUFOON86', '549300P2J7A8NJE1W709', '2010-01-18', 'EUR', '2010-01-18', 'BER00002U8M0', NULL, 2654, '2020-11-15', 294992.10000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HXGHI40PQVF328', '894500HHG0E9MNFFDB80', '2016-07-20', 'EUR', '2016-07-20', 'XS1069886841', NULL, 1013, '2029-05-23', 106365.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XD0D6FV01NWO70', '894500H8CYZYYQYJRJ40', '2012-03-29', 'EUR', '2012-03-29', 'FR0010743096', NULL, 3216, '2019-04-17', 327260.16000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200L8HXOUMWJW5L43', '894500HS2HA8OD73IN26', '2009-05-13', 'EUR', '2009-05-13', 'FR0010952770', NULL, 2853, '2022-10-18', 329150.61, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HA1Y1EZJL7YN91', '254900O5LRE3CLUURW47', '2011-06-20', 'EUR', '2011-06-20', 'BEC0000AIMZ4', NULL, 8590, '2020-09-24', 884770.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156007E26E67EE4D179', '549300HREAIF8XXN5B03', '2009-09-06', 'EUR', '2009-09-06', 'BEB157651535', NULL, 5733, '2019-07-16', 564700.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560045B90BDE00F526', '8156005745299C8B3383', '2009-06-17', 'EUR', '2009-06-17', 'CA629435AC25', NULL, 9444, '2019-02-15', 944400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HETS27RYTH8V21', '894500HJR5MS7DDM6N35', '2012-03-25', 'EUR', '2012-03-25', 'BEB157651618', NULL, 9763, '2022-07-01', 966537.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007V2PP0JK1RAQ21', '984500WDCB572F670169', '2014-07-08', 'EUR', '2014-07-08', 'BE3871271016', NULL, 5105, '2026-12-04', 502127.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300M1X460LUEY5197', '335800FIDFKW2O3W5192', '2011-03-17', 'EUR', '2011-03-17', 'BE7260974056', NULL, 784, '2019-04-20', 79654.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300R357N6XZU86B66', '815600E1429EA2A1B323', '2014-06-11', 'EUR', '2014-06-11', 'BE7261232215', NULL, 4571, '2022-10-15', 497461.93, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H94OQT5NLY1B47', '254900O5LRE3CLUURW47', '2011-01-26', 'EUR', '2011-01-26', 'BE0000308172', NULL, 8347, '2022-03-28', 967918.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450082CR7BGPDNF439', '529900YQ9Z46APD3MD76', '2014-05-04', 'EUR', '2014-05-04', 'FR0011119460', NULL, 210, '2019-01-22', 21762.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000C1GQY4O9Y27H34', '894500HFR1CTLUSR6731', '2018-10-09', 'EUR', '2018-10-09', 'BE0002216829', NULL, 433, '2021-06-13', 45053.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300SQYFR3SSHBXY27', '3358009T339U7ZU1NO61', '2017-09-25', 'EUR', '2017-09-25', 'BE2138786337', NULL, 1067, '2019-10-01', 111554.84999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800EP5I9YC1VBHD75', '549300MUQMXOQKNRL725', '2010-07-10', 'EUR', '2010-07-10', 'BE7261731646', NULL, 3730, '2021-02-19', 369270.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900NX97YUIICZL616', '984500C64B798BE37758', '2010-06-10', 'EUR', '2010-06-10', 'BEAR00533271', NULL, 435, '2024-02-01', 43500.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200HFYELDFLD3EK75', '5299000BA2PZKKV19620', '2011-05-28', 'EUR', '2011-05-28', 'BE7261069641', NULL, 2608, '2020-09-09', 256209.91999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549004AD22UO9JJQR15', '335800YVBR53LG1WFL27', '2014-09-16', 'EUR', '2014-09-16', 'BE2140869790', NULL, 5288, '2024-07-01', 528271.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900EMKI1IJ4VGY241', '25490018L0Q85LO5QO97', '2011-06-18', 'EUR', '2011-06-18', 'FR0011318120', NULL, 6472, '2022-10-02', 716450.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500BED7STY3K5I631', '335800IZECY15Y6RNI27', '2016-08-08', 'EUR', '2016-08-08', 'BE0000335449', NULL, 9125, '2031-06-22', 898082.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300HXPG7SV0ZAY513', '894500HAZ7C0TFKHVZ05', '2009-05-26', 'EUR', '2009-05-26', 'XS0502907602', NULL, 1803, '2020-05-14', 179164.11000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500B553FB444C7A05', '959800NHPH47PFHQEN48', '2013-04-28', 'EUR', '2013-04-28', 'FR0013233384', NULL, 6652, '2024-01-25', 674911.9199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900Z407FNBKBWKE10', '254900Y96XY7D4I75H18', '2013-12-29', 'EUR', '2013-12-29', 'BER00003N1J9', NULL, 4828, '2020-11-29', 485262.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HJAIZHAFDZ7Z25', '529900YQ9Z46APD3MD76', '2016-08-25', 'EUR', '2016-08-25', 'BEB157269692', NULL, 3983, '2022-04-01', 431398.73, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HKDBTURAP4SV71', '81560020D7D568F4F632', '2016-09-16', 'EUR', '2016-09-16', 'BEB157231221', NULL, 1905, '2022-01-16', 209569.05000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400N25M8J2045G939', '984500787613D0A51359', '2009-07-07', 'EUR', '2009-07-07', 'BEB157750345', NULL, 5933, '2020-12-16', 580840.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300463MBP67BZSP85', '8156006A77248E67E410', '2011-04-20', 'EUR', '2011-04-20', 'FR0000571143', NULL, 6470, '2025-10-25', 400493.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493000NRR24PAWO7N49', '894500HYJACHHL20ZZ16', '2017-02-27', 'EUR', '2017-02-27', 'XS0792977984', NULL, 885, '2024-06-14', 99597.90000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HB4QVSGEWDJJ30', '254900LJDYRSDX8WUA23', '2014-11-04', 'EUR', '2014-11-04', 'BEAR00477321', NULL, 5773, '2020-01-02', 583419.38, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156008015B9B0A09F57', '789000PW941B97TBEG14', '2013-12-13', 'EUR', '2013-12-13', 'BE7261701797', NULL, 3892, '2019-03-10', 347555.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299007OCZAFSTDVK712', '254900TUS3PQY1ER5639', '2012-04-26', 'EUR', '2012-04-26', 'BE7261001636', NULL, 8281, '2019-09-07', 836381.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800M4N26MMHYH7H20', '254900T65883RYV3MX83', '2016-09-22', 'EUR', '2016-09-22', 'BE7261407767', NULL, 7463, '2020-01-08', 768689.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600A6CD957F6B6490', '894500H67DB810C8LR07', '2012-04-21', 'EUR', '2012-04-21', 'BEB157559993', NULL, 4927, '2021-03-01', 488265.69999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000VQS0EPOE24K012', '959800UMZX5WFAMH2N64', '2013-11-05', 'EUR', '2013-11-05', 'BE2140836468', NULL, 2614, '2020-07-01', 266628.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900G8PIJUFYDL0F33', '815600ABCED536C10506', '2008-12-16', 'EUR', '2008-12-16', 'FR0013265527', NULL, 2452, '2022-06-29', 9072.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900UXM7BDYQ90SE03', '213800LVHFC3GKZV2249', '2015-04-11', 'EUR', '2015-04-11', 'BEC0000BT3V0', NULL, 2863, '2020-09-05', 269122.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358006RQIS7URMRM328', '254900ZXP0R77GGSXR67', '2009-04-26', 'EUR', '2009-04-26', 'XS1422841202', NULL, 2723, '2022-05-31', 276656.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000JNFHOEF4TSB021', '254900RQET3JKF5D4I57', '2018-01-08', 'EUR', '2018-01-08', 'XS0933540527', NULL, 3476, '2023-05-22', 375547.04000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560099BEC10001BD90', '7245001WFRBOP1G8I164', '2015-05-28', 'EUR', '2015-05-28', 'AT0000A0U3T4', NULL, 299, '2022-11-22', 34289.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25490092KTO7WU73YY92', '9845004FC93E309D4D98', '2009-04-20', 'EUR', '2009-04-20', 'BE0002199652', NULL, 2784, '2023-05-23', 299307.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H9FRUCFM9PCF65', '959800BHPYMFN1963C79', '2011-02-16', 'EUR', '2011-02-16', 'BEB157835682', NULL, 9004, '2020-07-01', 810360.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980026137EJAC6WJ59', '959800J3FP4WPYJGA276', '2013-12-07', 'EUR', '2013-12-07', 'BE2615738363', NULL, 7676, '2024-05-01', 794466.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800W3KSQWPAC5QV55', '724500EOM68DCHLDYH55', '2010-09-28', 'EUR', '2010-09-28', 'BEC0000AIM66', NULL, 3900, '2020-09-19', 416520.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800SR027YXK2G8R75', '52990049T9MZ3BM03H76', '2008-09-15', 'EUR', '2008-09-15', 'BE3871261884', NULL, 4595, '2022-06-04', 481647.89999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845000093MBD2EDC242', '2138001PNSCULKHLKS25', '2010-07-19', 'EUR', '2010-07-19', 'FR0013365640', NULL, 2239, '2028-09-24', 208227.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800NHPH47PFHQEN48', '984500F5DCEF7SGE5M39', '2018-11-18', 'EUR', '2018-11-18', 'BE3871266933', NULL, 7325, '2025-06-04', 750812.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500YYSQT6AKQ9YI05', '254900LAW6SKNVPBBN21', '2008-10-26', 'EUR', '2008-10-26', 'BEB157623575', NULL, 1376, '2022-06-01', 137600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900JEOZXYY3AO8330', '8156001D1E7CBB406724', '2010-10-20', 'EUR', '2010-10-20', 'BE7261018713', NULL, 5225, '2019-11-23', 512206.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000Z2Q57I703NYI63', '969500W74PQ6LZLUWQ56', '2018-03-22', 'EUR', '2018-03-22', 'FR0013265527', NULL, 3281, '2022-06-29', 12139.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900WM1PKQPN4PW318', '8156007E26E67EE4D179', '2013-01-15', 'EUR', '2013-01-15', 'FR0012332203', NULL, 656, '2023-03-31', 62772.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000ANF8REQ2UE6Y65', '969500M032MP4PKC5C07', '2016-11-01', 'EUR', '2016-11-01', 'PTJLLAOE0001', NULL, 5053, '2019-06-09', 510353.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800CK4Y1MNTJ3YU42', '959800PZREL5QC5PEB52', '2009-01-04', 'EUR', '2009-01-04', 'BEB157637237', NULL, 8051, '2019-07-01', 799544.81, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800V9996US5SMPH18', '875500N2I4ITRDSL9D57', '2014-01-17', 'EUR', '2014-01-17', 'BE7261712943', NULL, 7939, '2019-05-22', 793900.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800W7D6T7K6Z04D04', '8156006BE883FAADE173', '2013-12-06', 'EUR', '2013-12-06', 'BE7261097345', NULL, 8555, '2021-03-17', 838390.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549001FD9KT2M8Z4P55', '815600099EE4831BA656', '2017-07-05', 'EUR', '2017-07-05', 'FR0013066388', NULL, 8272, '2047-06-10', 838036.3200000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900979QH91GINRI75', '743700R6MKAHGL6IHW38', '2018-11-11', 'EUR', '2018-11-11', 'FR0013265527', NULL, 126, '2022-06-29', 466.20000000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450055D3LPKG21Z309', '549300BYJ8M4JVE94T05', '2016-03-02', 'EUR', '2016-03-02', 'BE7261189647', NULL, 1345, '2022-04-30', 148528.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900CA7JY8W7YPS376', '984500R95440D55D4825', '2012-07-21', 'EUR', '2012-07-21', 'BE0002190560', NULL, 9028, '2019-02-14', 902800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800SW71J1NFLH2745', '959800C71MWZKCQQE095', '2009-08-13', 'EUR', '2009-08-13', 'BEB157623542', NULL, 114, '2021-06-01', 11656.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800TSDJ6889OOAG54', '894500I2OY67Q2YRNZ84', '2012-12-29', 'EUR', '2012-12-29', 'PTCOPBOM0000', NULL, 548, '2024-08-08', 54800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800ZQAFESDJBMT711', '213800HGMPNZH7A2CT09', '2015-05-24', 'EUR', '2015-05-24', 'NL0012818504', NULL, 82, '2028-07-15', 8477.98, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800XLB3LJEO861J66', '529900JJ4JBQMG685T96', '2013-05-17', 'EUR', '2013-05-17', 'BEC0000AILZ6', NULL, 5552, '2020-09-01', 587956.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600DA934354785845', '549300UD3EZYFYL35X85', '2017-08-17', 'EUR', '2017-08-17', 'NL0009712470', NULL, 2456, '2021-07-15', 269595.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800433J1N5N1KCM91', '959800GHLAEG25A5HW84', '2017-04-13', 'EUR', '2017-04-13', 'NL0010071189', NULL, 9886, '2033-01-15', 1235750.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900QW9WW3MO52AT86', '959800XT1NELVHEH1340', '2009-07-06', 'EUR', '2009-07-06', 'BE7261392902', NULL, 1674, '2019-11-28', 185596.38, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560001A3EC866BFC47', '2549007HTW4F9N22U025', '2016-05-25', 'EUR', '2016-05-25', 'BE0000308172', NULL, 6711, '2022-03-28', 778207.5599999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800B0LHP38UK01N73', '8156008722B405259B53', '2014-06-01', 'EUR', '2014-06-01', 'BE7261723700', NULL, 656, '2020-09-03', 62320.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300Y06T7WDFMGWP26', '213800JFDQ4QWTS6CB24', '2016-06-06', 'EUR', '2016-06-06', 'NL0009706597', NULL, 4302, '2024-04-04', 456012.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900OWDPNB2MRTDN89', '815600DCEA8FF2328206', '2017-10-11', 'EUR', '2017-10-11', 'FR0011289230', NULL, 8604, '2022-07-20', 933620.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845008979K65B620X11', '5299003P1IWU7S2AA049', '2009-04-28', 'EUR', '2009-04-28', 'BEC0000AIUM5', NULL, 4696, '2020-10-14', 460208.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HUOPMAJ1T1N380', '959800R954NULKAU9S05', '2008-07-16', 'EUR', '2008-07-16', 'BER00002Z7J3', NULL, 3719, '2021-05-01', 435123.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '98450048B15E6AB10A14', '549300VENA2LUFHT1Z11', '2011-02-08', 'EUR', '2011-02-08', 'BEC0000BHFS3', NULL, 2368, '2024-01-13', 243193.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200VWAIK25GDJFX56', '254900W1AG9MDM2OO590', '2009-12-22', 'EUR', '2009-12-22', 'BER00003P7T3', NULL, 132, '2019-02-14', 13471.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800NY5DFEJNWUJN21', '213800M3JPHVVZOPRV57', '2017-12-04', 'EUR', '2017-12-04', 'PTOTVJOE0005', NULL, 8838, '2022-04-12', 930287.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000LD4R87JP5ERP12', '743700YONY610QO9FS72', '2018-03-20', 'EUR', '2018-03-20', 'XS0038174156', NULL, 6566, '2022-06-30', 911360.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700H8U6LRPOMFQN84', '335800VX4P9KRCFEEM44', '2016-06-20', 'EUR', '2016-06-20', 'FR0010945725', NULL, 2690, '2020-10-18', 188300.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800UEZEKRJYKKBM33', '2549004L1VYWR6MWJQ10', '2013-07-06', 'EUR', '2013-07-06', 'XS1824240136', NULL, 6733, '2028-05-25', 685419.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800DODIENCFO8SD79', '984500Q5MF86A057D867', '2017-12-08', 'EUR', '2017-12-08', 'BE0002490655', NULL, 7272, '2020-07-03', 728508.9600000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200XEH8KTQIABER33', '5493009LHPXBFJBGHM61', '2013-08-11', 'EUR', '2013-08-11', 'FR0011266519', NULL, 2959, '2019-06-11', 318003.73, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500430C79955I6B69', '9504009B1BF53C613476', '2009-09-02', 'EUR', '2009-09-02', 'BEB157601753', NULL, 255, '2019-05-01', 24852.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '33580033UCXSXAO26F53', '743700VS8GJ8GMVIGP78', '2010-01-25', 'EUR', '2010-01-25', 'FR0011359579', NULL, 6684, '2020-01-01', 25733.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560025126066ECFC38', '5299006UULNV1VPOBJ96', '2014-10-01', 'EUR', '2014-10-01', 'BER00003QQL0', NULL, 5016, '2019-04-02', 501600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800IK457RQY6L4Q85', '9598009J7GGVR4YJ6D17', '2012-03-05', 'EUR', '2012-03-05', 'FR0010743096', NULL, 9942, '2019-04-17', 1011697.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '485100JGNCMKX8D38D66', '7890006VZWGVIJC7JZ03', '2013-12-01', 'EUR', '2013-12-01', 'BE7261368316', NULL, 6391, '2019-09-14', 671055.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000DTOYJI2UHA7874', '815600046C74ABDA1350', '2014-10-25', 'EUR', '2014-10-25', 'BE0002462373', NULL, 1880, '2019-02-25', 187304.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549007ON6RMT72P9K11', '724500CEL3BG77RXAV28', '2010-11-28', 'EUR', '2010-11-28', 'BEB157141743', NULL, 4624, '2021-08-01', 527228.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2534006BRL22ER2L6895', '259400R7IW7SZVTVD788', '2016-05-30', 'EUR', '2016-05-30', 'XS1751476679', NULL, 9181, '2048-01-18', 808387.0499999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500B8D4F8JC069608', '213800SN524Q2PXON288', '2008-07-19', 'EUR', '2008-07-19', 'BE7261384883', NULL, 8736, '2019-10-23', 952224.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549008FQBEQ2AD1RY32', '254900Z407FNBKBWKE10', '2011-08-18', 'EUR', '2011-08-18', 'BE2138800476', NULL, 4535, '2019-11-01', 460302.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900ZEM4US40RSGD93', '2549008TAHKW5WLQD565', '2018-06-29', 'EUR', '2018-06-29', 'NL0010721999', NULL, 196, '2047-01-15', 28651.280000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845002ED69EFB9D2405', '529900GSFL730YM8C039', '2016-02-25', 'EUR', '2016-02-25', 'BEC0000ARR52', NULL, 1339, '2022-05-04', 137247.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800T8CFEUYP6L3O83', '724500DO2C30LD5DX359', '2014-01-19', 'EUR', '2014-01-19', 'BEC0000AK5Q5', NULL, 7324, '2019-01-24', 776417.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700JAJU3CCQN3CB89', '894500HJ4ZFPNG23KF53', '2015-02-09', 'EUR', '2015-02-09', 'NL0000003564', NULL, 9091, '2034-01-15', 802462.57, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900UUJZ1Z0UIBQB51', '254900LQUHSSY1U3PH55', '2015-12-06', 'EUR', '2015-12-06', 'BE0000308172', NULL, 7390, '2022-03-28', 856944.3999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800AM1DRJWJ4DUP89', '9845008FB367A4537577', '2014-03-07', 'EUR', '2014-03-07', 'BE7261431379', NULL, 7401, '2020-03-27', 740100.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900D3PRCFHO5KV979', '2549009UU3H6ZIXO9284', '2012-07-29', 'EUR', '2012-07-29', 'BEC0000ANRP4', NULL, 188, '2021-12-05', 19693.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500W8ZCQCSQU75P98', '254900YE7YOSCDWMMD57', '2013-05-27', 'EUR', '2013-05-27', 'FR0010585901', NULL, 5575, '2023-07-25', 636720.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300KR5WJ7Q5JVOV06', '254900R0W4L4A0343J26', '2017-04-17', 'EUR', '2017-04-17', 'BE0002442177', NULL, 8582, '2021-01-04', 937840.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800WXZFHVJ0L6US18', '259400LYTHLHXVTIZK08', '2016-11-22', 'EUR', '2016-11-22', 'BEC0000AL9L7', NULL, 776, '2019-05-11', 81092.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FXLC72J2AKHY22', '95980076SWE89BYHCJ61', '2018-05-12', 'EUR', '2018-05-12', 'BE7261737205', NULL, 9713, '2021-08-20', 942161.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700104W6UT38P2L72', '254900DR0LRA0YI2XS82', '2015-12-25', 'EUR', '2015-12-25', 'BEC0000AN6X6', NULL, 4726, '2021-10-11', 484415.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900RTIIH24FQMYN62', '9845005D1811DDE3EE83', '2016-07-01', 'EUR', '2016-07-01', 'BER00003TRP3', NULL, 9402, '2019-10-01', 930798.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600E5DEF970124C34', '969500229CR5H0HBTG26', '2011-03-10', 'EUR', '2011-03-10', 'FR0013286846', NULL, 2501, '2023-10-09', 249099.59999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500A6JVI8NZ4CYL62', '3358005WZUIX4YRCYM80', '2012-04-16', 'EUR', '2012-04-16', 'BE3864188961', NULL, 5784, '2019-01-31', 607377.8400000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H81VWFOSASGF25', '254900JEOZXYY3AO8330', '2018-10-15', 'EUR', '2018-10-15', 'BE7261125906', NULL, 9018, '2021-09-07', 879976.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800ST7N7Z7RAP5K02', '894500HC206EAAVNGV33', '2013-12-05', 'EUR', '2013-12-05', 'FR0010743070', NULL, 7515, '2019-04-08', 766530.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '54930053IR0EP82IMK91', '894500H8Z571IOA2DR12', '2012-10-01', 'EUR', '2012-10-01', 'XS0995102695', NULL, 6477, '2023-11-21', 665187.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800YODC4GDYV17M07', '254900W7I0XOUPAJZU18', '2017-06-07', 'EUR', '2017-06-07', 'BE7261139170', NULL, 1659, '2021-11-16', 180864.18, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549001GW4JPFWQ5EG77', '8156009DE426A9BDD028', '2009-01-07', 'EUR', '2009-01-07', 'FR0013201308', NULL, 9297, '2024-09-09', 902645.73, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500FVC6FUG0KP6T73', '815600865A79F5856F57', '2018-08-29', 'EUR', '2018-08-29', 'BE2615725238', NULL, 4474, '2020-04-01', 447400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300EDPVOBP5LWP323', '335800FCTI9CBH4QS545', '2015-06-03', 'EUR', '2015-06-03', 'BEB157750451', NULL, 7767, '2024-12-01', 699030.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '353800XFIX2EUARGOE85', '21380088Z6MA9A5C4N13', '2012-10-31', 'EUR', '2012-10-31', 'BEB157571303', NULL, 811, '2021-03-16', 75423.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549000QSO6IQMX8ZC32', '335800QUD7Y6HOGL4S53', '2014-02-15', 'EUR', '2014-02-15', 'FR0013284981', NULL, 3580, '2021-02-26', 7732800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900Q29SPCDGZYHO94', '8156006132C65EFE6D24', '2018-09-22', 'EUR', '2018-09-22', 'BE6272655539', NULL, 5031, '2019-06-24', 509640.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245004KZMRBT57Q2W79', '959800WEA8P3UKU5W649', '2017-04-11', 'EUR', '2017-04-11', 'BE7261612002', NULL, 7620, '2027-08-24', 770077.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900979QH91GINRI75', '724500XKOOZYHZ0M2715', '2012-09-21', 'EUR', '2012-09-21', 'BEB157554408', NULL, 6892, '2024-02-16', 691060.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500VASOY5J3UZ1Q44', '254900YYYGLPY54VBK69', '2011-07-15', 'EUR', '2011-07-15', 'BEB157510251', NULL, 3401, '2023-11-01', 355778.61, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800P75HXJ6JSBKE05', '33580041YNDHNNFBAE54', '2016-07-20', 'EUR', '2016-07-20', 'FR0012558310', NULL, 4305, '2025-03-01', 462615.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H6CWUZNZO49B85', '254900XD0D6FV01NWO70', '2010-08-09', 'EUR', '2010-08-09', 'XS1218821756', NULL, 3658, '2025-04-16', 372384.39999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800AFL24WLVZGQU14', '815600D8DA95C98F1B07', '2010-11-23', 'EUR', '2010-11-23', 'FR0011196856', NULL, 3029, '2022-04-25', 352000.08999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300N3ZXLPZJTZ7M34', '984500B5D60E0753EA93', '2016-01-19', 'EUR', '2016-01-19', 'FR0000570988', NULL, 8823, '2020-10-25', 863771.7000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600BB628193F2B289', '743700J2PQ9OEFJB9W58', '2010-08-10', 'EUR', '2010-08-10', 'BE7261229534', NULL, 5411, '2022-10-05', 514045.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900CA7JY8W7YPS376', '959800GWVNSWAHDGGE39', '2012-04-16', 'EUR', '2012-04-16', 'FR0013230737', NULL, 8360, '2022-01-12', 827305.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800NNKMBI6ZIFKA71', '3358008SIGEKTC1BKS16', '2011-05-31', 'EUR', '2011-05-31', 'FR0011891258', NULL, 3105, '2024-06-20', 338631.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900XHEVWZTEMOUF34', '81560055EBE1FDE19480', '2010-04-12', 'EUR', '2010-04-12', 'BEC0000BR4E6', NULL, 3933, '2022-04-29', 375640.83, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900DB0U9Q1T775774', '5299005XOY161BETDZ64', '2011-02-04', 'EUR', '2011-02-04', 'XS0671689502', NULL, 4415, '2021-10-05', 449667.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600CD23F4E1DD8784', '335800I1RKN7ZKHF8T95', '2013-01-05', 'EUR', '2013-01-05', 'BE7261404541', NULL, 2923, '2019-12-14', 394751.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800HLKTLK3RHMB206', '815600E69A5AB2BD7222', '2018-05-21', 'EUR', '2018-05-21', 'BEC0000AMZC7', NULL, 1289, '2019-09-13', 135216.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800112P7FWQ1WJR47', '8156003243C6C5BA1472', '2013-01-16', 'EUR', '2013-01-16', 'BEAR00595437', NULL, 273, '2025-06-16', 25667.46, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800EZXGYPV73MK683', '8156005F3EB63BB40022', '2018-01-07', 'EUR', '2018-01-07', 'BE3871249764', NULL, 1352, '2020-12-04', 139945.52000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800JMHHZ0JV0FCS55', '54930074C84ILUBQKO60', '2008-07-22', 'EUR', '2008-07-22', 'BE0427465837', NULL, 5650, '2020-08-31', 705967.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549004YROKFYDRFD491', '894500HIZFVY0GQ7WV34', '2011-02-09', 'EUR', '2011-02-09', 'BE7261119891', NULL, 1722, '2021-08-03', 168118.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25490054FSFJJ5HS2195', '959800F3LDPM9WRRRS15', '2010-12-07', 'EUR', '2010-12-07', 'BEB157651527', NULL, 5570, '2019-07-01', 545860.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700ALQ6M1V2D3NG61', '391200R0HCIUTLGGLO38', '2009-04-26', 'EUR', '2009-04-26', 'BEB157571337', NULL, 6934, '2024-03-16', 653876.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '52990097DKT8ZDY4U953', '391200KI35AXHICIOK79', '2012-07-08', 'EUR', '2012-07-08', 'XS1239520494', NULL, 8825, '2020-05-29', 882058.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900C47HK0B5VK6K58', '789000KGZ91G7WN1TI29', '2015-09-19', 'EUR', '2015-09-19', 'FR0010895987', NULL, 6113, '2020-05-10', 678543.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HPLSHYGNX11R77', '549300U3UM0L00PMTA93', '2017-07-17', 'EUR', '2017-07-17', 'FR0011769090', NULL, 8115, '2021-03-05', 852237.2999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300PXO0WG1WPWNC90', '315700WN8S5EDU6RB582', '2015-06-01', 'EUR', '2015-06-01', 'BEC0000ATHQ0', NULL, 7289, '2020-10-16', 753318.1499999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900UXM7BDYQ90SE03', '81560013DBBB3EB48F45', '2017-02-02', 'EUR', '2017-02-02', 'FR0010945725', NULL, 6072, '2020-10-18', 425040.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H3A1VMWD2J6756', '894500HWDONQJUFPU792', '2015-03-25', 'EUR', '2015-03-25', 'BEC0000AKMH8', NULL, 9879, '2019-03-23', 997779.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900JDE9DMIHNLD836', '3358003P63P92CY3RH66', '2013-04-20', 'EUR', '2013-04-20', 'BEC0000AKK80', NULL, 968, '2019-03-03', 99220.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598008JXBHP0CV59L60', '959800VHACV3CWM8U869', '2012-01-03', 'EUR', '2012-01-03', 'NL0012171458', NULL, 3116, '2027-07-15', 324219.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700KDP0HND0E9ZN68', '789000OJFALXYSRR8416', '2017-05-05', 'EUR', '2017-05-05', 'BEB157591129', NULL, 8078, '2024-04-01', 767410.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HUDMIR935ABZ30', '254900ICXE053N0VGA60', '2014-09-10', 'EUR', '2014-09-10', 'BE7261119891', NULL, 5522, '2021-08-03', 539112.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845000093MBD2EDC242', '815600DE86CF3727FB17', '2014-06-20', 'EUR', '2014-06-20', 'BE0002228949', NULL, 4063, '2023-06-09', 459119.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500DVNNWJZZ4ORM08', '33580018E9ZBP8Y5PX37', '2012-11-19', 'EUR', '2012-11-19', 'BEB157728275', NULL, 81, '2019-11-01', 8059.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900VAFN1UT85LC536', '335800H6WTLAE17E4849', '2009-07-26', 'EUR', '2009-07-26', 'BEB157685012', NULL, 5908, '2019-08-16', 555352.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156003FD83099AA0794', '959800ER00N6A7FLNM81', '2013-10-11', 'EUR', '2013-10-11', 'XS1222431097', NULL, 9415, '2022-04-22', 955622.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9695009JWILO0BQ3WL64', '335800L5T7UMVUKPNN44', '2015-09-26', 'EUR', '2015-09-26', 'XS0096806590', NULL, 5568, '2028-12-07', 572724.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800WO3U9WSYPFIF11', '789000HPIGO9EZ5JQG64', '2017-01-10', 'EUR', '2017-01-10', 'FR0012332203', NULL, 3196, '2023-03-31', 305825.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800S6CF2STX9PY834', '959800NUGXW77RJ05D67', '2012-08-26', 'EUR', '2012-08-26', 'BEC0000BHPC6', NULL, 6363, '2022-01-28', 652207.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900TH1T1JAFF7WY76', '2549004NI1NN52MATD36', '2016-11-17', 'EUR', '2016-11-17', 'BE7261707083', NULL, 8518, '2019-04-12', 849244.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7245000N9ADYHS0VCP65', '815600374934F0B2A761', '2014-01-27', 'EUR', '2014-01-27', 'NL0000003564', NULL, 5905, '2034-01-15', 521234.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000IRT4DW5B76JY43', '213800YKTWXLZWD4GP32', '2017-06-28', 'EUR', '2017-06-28', 'BE7261101642', NULL, 9451, '2021-04-11', 926103.49, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900TKA6WXXAOUUQ02', '894500HDWIRLY2U7BJ73', '2014-08-25', 'EUR', '2014-08-25', 'BE3884021440', NULL, 507, '2016-05-31', 48773.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900AIZHV0LV830P02', '254900VNYMQRDIJV4L26', '2012-05-10', 'EUR', '2012-05-10', 'PTOTVLOE0001', NULL, 8702, '2022-12-05', 894652.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '4851008UMJH1WU63WJ86', '894500H8CYZYYQYJRJ40', '2017-10-05', 'EUR', '2017-10-05', 'XS1432384409', NULL, 1126, '2036-06-13', 115978.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900QM3NUP5OR2QB83', '894500H7WCCO1SYWSV13', '2014-03-12', 'EUR', '2014-03-12', 'BE7261118471', NULL, 2177, '2021-07-28', 212388.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HBWGMMNBJRTB22', '8156004D3EAB1EF52539', '2009-03-08', 'EUR', '2009-03-08', 'XS0695263730', NULL, 936, '2021-10-25', 102042.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800SPFDB716LXUS87', '391200EIZIHODWDU8115', '2014-02-17', 'EUR', '2014-02-17', 'PTGRPCOE0002', NULL, 4649, '2020-02-28', 476522.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800DV2WKUAMUTYL21', '213800DSJ931478MDJ69', '2015-01-15', 'EUR', '2015-01-15', 'BEC0000AK018', NULL, 4744, '2019-01-17', 500492.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HNWTGIFVACUN46', '98450074BEEDEE3D2A14', '2009-04-09', 'EUR', '2009-04-09', 'BEC0000AKTP6', NULL, 4883, '2019-03-26', 479022.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '2549003FVVKKXP7PMR65', '3157002Y0OY84RTB9R90', '2012-05-16', 'EUR', '2012-05-16', 'BEB157077509', NULL, 7919, '2021-06-16', 902845.1900000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900B82PQQIJYYGY91', '254900QTA2YEFFPUJB83', '2011-07-18', 'EUR', '2011-07-18', 'BEAR00517381', NULL, 5814, '2020-09-27', 574423.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980000WG32P9ZD6Y71', '213800JCEEASR9BUUX74', '2009-08-07', 'EUR', '2009-08-07', 'BEC0000AL6U4', NULL, 5442, '2019-05-05', 568689.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HAZ7C0TFKHVZ05', '3912007FNDYUOSYOPD77', '2015-02-19', 'EUR', '2015-02-19', 'BEB157580080', NULL, 8005, '2020-03-01', 836522.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HXGHI40PQVF328', '254900HPKSVNWDG4XQ61', '2008-09-10', 'EUR', '2008-09-10', 'BEB157842787', NULL, 6234, '2020-07-16', 561060.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500JC8RKFFZI4XT86', '959800R6AEBEBH17HD14', '2013-06-07', 'EUR', '2013-06-07', 'XS0232364868', NULL, 5519, '2035-11-02', 8885.59, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800E3XVFNBWO78R28', '894500HTATODS7U4R368', '2009-04-04', 'EUR', '2009-04-04', 'FR0013030129', NULL, 2981, '2025-12-21', 298904.87, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400FQK2M8KINYWU86', '529900Q7V3WJE0LNO235', '2011-02-10', 'EUR', '2011-02-10', 'XS0953132999', NULL, 6482, '2019-07-23', 654682.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600C6BC037F2C9B52', '213800722POP9XTR7Z71', '2013-12-04', 'EUR', '2013-12-04', 'BE7261204891', NULL, 4105, '2022-07-01', 423471.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300Z415GT4OWHU676', '815600585EFBC3154E83', '2014-06-28', 'EUR', '2014-06-28', 'BE2140751584', NULL, 9417, '2020-04-01', 936991.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900YE7YOSCDWMMD57', '8156002F3B8230942597', '2015-06-12', 'EUR', '2015-06-12', 'FR0010905133', NULL, 6436, '2020-06-30', 684983.4800000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900A7ANXVQD19QT24', '8156005A1F872A000C25', '2017-07-22', 'EUR', '2017-07-22', 'XS1069521083', NULL, 4196, '2024-05-20', 468903.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MELX8EVAGY6F93', '54930081U35EPIMDUK94', '2009-07-08', 'EUR', '2009-07-08', 'FR0010757864', NULL, 2898, '2019-06-19', 296059.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900RNSQ3XZXZ37D51', '959800CTH4Q9A6NRKD91', '2012-05-21', 'EUR', '2012-05-21', 'BEC0000APGM9', NULL, 1217, '2019-12-23', 131265.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900YE7YOSCDWMMD57', '529900Z6Z8X3U2XP4012', '2014-09-26', 'EUR', '2014-09-26', 'PTOTEQOE0015', NULL, 6483, '2024-02-15', 815496.5700000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '7890005Q1OTH37S4F593', '315700YLSJXQEP4LNJ86', '2018-12-03', 'EUR', '2018-12-03', 'BE7261407767', NULL, 9768, '2020-01-08', 1006104.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400JCRZRCOQP7EA30', '894500H5A40M74CYOF17', '2014-07-02', 'EUR', '2014-07-02', 'BE7261183756', NULL, 9859, '2022-04-13', 1088827.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SQ3RQAE7CHEN84', '9598006HGTM1KPUMWA87', '2011-09-16', 'EUR', '2011-09-16', 'BE2138586273', NULL, 347, '2019-07-01', 34006.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300FLHEHQFK5GCZ37', '724500Q38BLCELFNXT50', '2008-11-18', 'EUR', '2008-11-18', 'FR0011625409', NULL, 3703, '2021-11-15', 392851.27, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600E080D4AB6B0183', '549300WXRK5PN116I682', '2017-06-30', 'EUR', '2017-06-30', 'BEC0000AQT51', NULL, 6554, '2022-02-01', 716417.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HMDDYU21ZKB308', '2549001DNSQKOQ8F6H57', '2016-02-10', 'EUR', '2016-02-10', 'BEAR00532745', NULL, 921, '2019-02-06', 92928.90000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '743700EAZ1QIP9YV9X43', '254900RRWZ744O1M6P44', '2012-06-23', 'EUR', '2012-06-23', 'BE7261701904', NULL, 2189, '2024-03-07', 223278.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900X1BMKACIKGF585', '894500HHWN1KJLF2BZ73', '2010-10-08', 'EUR', '2010-10-08', 'BEB157591004', NULL, 7660, '2020-04-01', 766000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493007KLS5L25N86454', '894500HNLQCZ5WMLJJ81', '2014-12-11', 'EUR', '2014-12-11', 'BE7261710228', NULL, 7370, '2019-05-05', 737737.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300GITWKP8IXB7K89', '894500H6Z3227WZMVJ63', '2009-09-30', 'EUR', '2009-09-30', 'BEB157601779', NULL, 3583, '2021-05-01', 339704.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900MSM6WZR9P33E83', '9845000FAB86A547EB57', '2014-06-28', 'EUR', '2014-06-28', 'XS1709433509', NULL, 8937, '2024-11-21', 890750.79, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300XERRDV1QHKHY46', '529900YQ9Z46APD3MD76', '2015-06-07', 'EUR', '2015-06-07', 'NL0012818504', NULL, 771, '2028-07-15', 79713.69, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300SI6V81DNTKHB86', '254900645RN3CXLEMP10', '2012-08-01', 'EUR', '2012-08-01', 'FR0011337880', NULL, 6512, '2022-10-25', 718273.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560087AA667F6A6365', '9504009B1BF53C613476', '2015-02-24', 'EUR', '2015-02-24', 'BEC0000AIND9', NULL, 7745, '2020-09-23', 803621.2000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900MZAT1NGJO3BQ80', '33580081U2R7OXJAGM14', '2014-09-22', 'EUR', '2014-09-22', 'BEAR00463347', NULL, 9994, '2019-09-25', 1045472.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HH4XAQCORO2740', '529900I381J67NTE0O11', '2012-12-04', 'EUR', '2012-12-04', 'BER00002U9P1', NULL, 4135, '2020-11-18', 417635.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SFP2N0ZI6ICK38', '335800IJ3ZOETOVYBZ96', '2008-10-30', 'EUR', '2008-10-30', 'BE7280973930', NULL, 942, '2019-04-07', 95264.45999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '549300Z1PSEE2OOR4K14', '485100V8KJEA3TMIYR91', '2011-01-21', 'EUR', '2011-01-21', 'BER00003HNI2', NULL, 3217, '2019-01-31', 323340.67000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156006AC56EA06E0D42', '254900AIZHV0LV830P02', '2015-08-23', 'EUR', '2015-08-23', 'FR0000571010', NULL, 1490, '2022-04-25', 144142.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800JBKGFGH12JHT26', '254900XHEVWZTEMOUF34', '2009-05-21', 'EUR', '2009-05-21', 'FR0011805803', NULL, 64, '2024-03-27', 6936.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MELX8EVAGY6F93', '254900FDTP2T48OT8657', '2018-10-12', 'EUR', '2018-10-12', 'BEB157810933', NULL, 5360, '2020-05-01', 525280.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '391200L8HXOUMWJW5L43', '2138008A9XXUZGHZ4D06', '2011-11-16', 'EUR', '2011-11-16', 'FR0000186413', NULL, 5173, '2029-07-25', 740359.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500VIGT4J7ESAXS27', '984500EA49C74DD0DD17', '2009-01-07', 'EUR', '2009-01-07', 'BEAX02011716', NULL, 6103, '2020-11-01', 521562.37999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '259400OHFWC186Y5WZ14', '254900SHWR4BHBFBCU89', '2010-05-28', 'EUR', '2010-05-28', 'FR0000571093', NULL, 5921, '2023-10-25', 157439.38999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900TTALLCHNJ0H241', '959800TJ0RZJS35ZJ787', '2008-11-26', 'EUR', '2008-11-26', 'BEAR00568186', NULL, 5124, '2024-12-01', 484218.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '95980044CJL1TG0GU366', '3358006WAVRKHXFETE23', '2017-03-25', 'EUR', '2017-03-25', 'BEAR00477529', NULL, 1064, '2019-12-20', 108528.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '81560018707F88597804', '335800Q116Q222BTU861', '2010-06-24', 'EUR', '2010-06-24', 'BEC0000AIM09', NULL, 2784, '2020-09-13', 285360.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900JDE9DMIHNLD836', '2549003M2IRY43H5OH37', '2013-04-14', 'EUR', '2013-04-14', 'BEB156922945', NULL, 4025, '2020-06-16', 446815.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '213800AXAY1Y71VRQT68', '959800VUVKA4BU5NSD07', '2015-12-15', 'EUR', '2015-12-15', 'FR0010900027', NULL, 2339, '2020-07-02', 233174.91, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H5FNKDU3OUBZ78', '549300GITWKP8IXB7K89', '2010-10-27', 'EUR', '2010-10-27', 'BE3871270976', NULL, 8570, '2026-06-04', 838660.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156008015B9B0A09F57', '743700EKG7WHERKMG724', '2010-10-04', 'EUR', '2010-10-04', 'XS1600704982', NULL, 1819, '2024-05-17', 184501.17, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '969500F0URSD5QRT4352', '391200W1FDV6IEZMCH28', '2009-10-01', 'EUR', '2009-10-01', 'BEAX00896233', NULL, 4889, '2020-02-01', 515300.60000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600659F0D66B0DB41', '254900SC71C8XDWXPT94', '2009-05-10', 'EUR', '2009-05-10', 'FR0011220276', NULL, 8908, '2017-06-13', 890800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900R1G0ZVGMEB3094', '87550081OY87846H9V41', '2013-06-13', 'EUR', '2013-06-13', 'FR0010913749', NULL, 9893, '2025-10-24', 1227424.51, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '875500NEABWUFJAKTJ64', '959800TPHL69R7BE0S62', '2009-03-10', 'EUR', '2009-03-10', 'BE7261722843', NULL, 7857, '2020-08-14', 781457.22, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '789000E3JJQSFDSCGX50', '549300H4W62ZPBVLW080', '2014-02-24', 'EUR', '2014-02-24', 'BE7260979519', NULL, 3862, '2019-05-22', 391993.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900OFJRBC9QBPPD79', '254900BC8LNVLXZOUQ14', '2016-10-09', 'EUR', '2016-10-09', 'BEC0000AT043', NULL, 1691, '2022-09-12', 176709.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900VIFQ4F9JB7JL81', '213800LJ7F1NMHQTV264', '2012-05-04', 'EUR', '2012-05-04', 'BE2139615865', NULL, 7787, '2021-05-01', 817635.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '72450013BGFOCKIM5211', '894500HAZ7C0TFKHVZ05', '2014-04-13', 'EUR', '2014-04-13', 'BE6211189855', NULL, 303, '2021-04-01', 30178.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900JDE9DMIHNLD836', '969500E773Z4NHX80S08', '2012-02-25', 'EUR', '2012-02-25', 'XS1495373505', NULL, 6704, '2026-09-28', 674757.6000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598009NQ3VGMU5N2294', '81560013DBBB3EB48F45', '2009-01-24', 'EUR', '2009-01-24', 'BE7261001636', NULL, 2652, '2019-09-07', 267852.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '25940021PPUKB3Q37M96', '969500TG5Q6AMPF1KJ69', '2018-08-16', 'EUR', '2018-08-16', 'BE7281172490', NULL, 1175, '2022-03-16', 118910.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500YYSQT6AKQ9YI05', '815600AF541917EE0832', '2013-07-04', 'EUR', '2013-07-04', 'BEC0000AIMQ3', NULL, 5980, '2020-09-14', 619288.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500H8Z571IOA2DR12', '81560078D8B75F4DDB03', '2015-01-15', 'EUR', '2015-01-15', 'BEB157554259', NULL, 4431, '2021-02-16', 443100.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493007HCA1PKI4N1E27', '52990049T9MZ3BM03H76', '2013-02-19', 'EUR', '2013-02-19', 'XS0968926757', NULL, 7670, '2023-09-05', 875223.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HGTU772Q3WR336', '724500ZCMLUDW8TJJF91', '2013-02-14', 'EUR', '2013-02-14', 'BE7261030767', NULL, 8278, '2020-02-16', 819522.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900QM3NUP5OR2QB83', '549300ZVMPJKLGZ6N477', '2011-06-22', 'EUR', '2011-06-22', 'FR0011001098', NULL, 5483, '2021-02-03', 567819.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500DO2C30LD5DX359', '81560025126066ECFC38', '2014-06-11', 'EUR', '2014-06-11', 'BEB157767661', NULL, 2274, '2020-02-01', 212619.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800W7D6T7K6Z04D04', '549300SJH7CV15NCHP16', '2012-03-16', 'EUR', '2012-03-16', 'BE7261161026', NULL, 7028, '2022-02-15', 720370.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800MJ7G4C8CC35B15', '254900ZPV6VZ6RS5VB18', '2008-09-13', 'EUR', '2008-09-13', 'BEC0000AL230', NULL, 5644, '2021-04-20', 601255.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493007XW8LKH1A3CU29', '789000C1GQY4O9Y27H34', '2015-12-16', 'EUR', '2015-12-16', 'FR0010945725', NULL, 7123, '2020-10-18', 498610.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500KLQP0K9HEUYQ47', '335800UE3379Z9IG3B89', '2010-07-29', 'EUR', '2010-07-29', 'PTOTEAOE0021', NULL, 6857, '2023-10-25', 833674.0599999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900MEQ5O6SSGLDI39', '894500HCZ9H046UXE748', '2015-10-06', 'EUR', '2015-10-06', 'BEB157569083', NULL, 3612, '2024-03-01', 353976.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5299005VGVRQQR3YXA67', '2138004T2F8RVUQH9M63', '2015-09-04', 'EUR', '2015-09-04', 'XS1298431799', NULL, 8598, '2030-09-30', 975873.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900GJVAMHAB0SYW97', '894500H7FPPD4UZ9U708', '2016-08-11', 'EUR', '2016-08-11', 'BE2615824254', NULL, 9900, '2024-07-01', 962280.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800AL9U2ZYNNECN41', '33580043AP7H1NXKG316', '2016-07-27', 'EUR', '2016-07-27', 'BER00003MY28', NULL, 2945, '2023-11-28', 259160.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '529900KQSLC4BYXGW332', '959800NHPH47PFHQEN48', '2013-03-12', 'EUR', '2013-03-12', 'BEC0000AKJ26', NULL, 976, '2019-03-04', 102236.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900X3GRARC4RRME90', '894500HJR5MS7DDM6N35', '2010-08-27', 'EUR', '2010-08-27', 'BEB157599270', NULL, 8627, '2024-04-16', 828278.27, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '3358009AJ6GO8BLFAQ20', '259400T6GVDLCYY15M13', '2009-05-31', 'EUR', '2009-05-31', 'XS1642738816', NULL, 5389, '2022-12-06', 540786.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '335800O9TGFI28HG3H16', '254900ANNY7OR6XQT028', '2010-03-25', 'EUR', '2010-03-25', 'XS0995102778', NULL, 6127, '2023-11-21', 621584.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '959800HHRH1R87XQD087', '549300463MBP67BZSP85', '2015-01-09', 'EUR', '2015-01-09', 'BEAR00565737', NULL, 7291, '2024-11-12', 707227.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '894500HATNS96G8M8F51', '894500H5FNKDU3OUBZ78', '2016-10-03', 'EUR', '2016-10-03', 'FR0013048220', NULL, 2594, '2020-11-13', 259425.94, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '315700PW1XR0YATK5968', '335800QUD7Y6HOGL4S53', '2014-03-12', 'EUR', '2014-03-12', 'BE7260967662', NULL, 366, '2019-03-09', 36600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '815600EC67659C956921', '8156004F5A55EA07B020', '2017-10-26', 'EUR', '2017-10-26', 'BE7261123562', NULL, 6596, '2021-08-25', 643571.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900SJ0LP4CMJAPB24', '959800P75HXJ6JSBKE05', '2009-03-31', 'EUR', '2009-03-31', 'BE7281723979', NULL, 6261, '2020-09-01', 607692.66, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '8156008F67B5DFBA2E54', '969500U2YXEDOEKJYO88', '2011-04-19', 'EUR', '2011-04-19', 'FR0010968354', NULL, 8489, '2022-12-22', 959257.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900NLG13RNO3CCK80', '549300BYJ8M4JVE94T05', '2017-05-15', 'EUR', '2017-05-15', 'FR0011592096', NULL, 1439, '2020-10-14', 153080.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493006S7RA7FEGSZ149', '529900AMKR7K9A80YV20', '2016-03-14', 'EUR', '2016-03-14', 'BE2141226487', NULL, 8103, '2021-07-01', 749527.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598007V2PP0JK1RAQ21', '549300XUI8S8R1GS6H22', '2015-03-25', 'EUR', '2015-03-25', 'FR0013030129', NULL, 1320, '2025-12-21', 132356.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900Q0MAMBKMUX3824', '254900EBXN0QDCWF1L86', '2015-05-30', 'EUR', '2015-05-30', 'BE2615364509', NULL, 1921, '2023-05-01', 196210.94, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '724500IBQ8LL1AKZM822', '959800SPFDB716LXUS87', '2017-09-26', 'EUR', '2017-09-26', 'BE0000326356', NULL, 937, '2032-03-28', 133588.09, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9845000809DADC2B9F61', '213800AXAY1Y71VRQT68', '2015-08-20', 'EUR', '2015-08-20', 'BEC0000AIUL7', NULL, 9191, '2020-10-09', 942077.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '984500B5D60E0753EA93', '894500HNWTGIFVACUN46', '2011-06-26', 'EUR', '2011-06-26', 'PTOTEWOE0017', NULL, 3426, '2034-04-18', 341743.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '5493002D7CBKXSRGZ349', '2549002YT1TV3H15K320', '2009-10-25', 'EUR', '2009-10-25', 'BE7261214031', NULL, 7710, '2022-07-26', 783413.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '33580038LZTDIKD6HT96', '7245004KZMRBT57Q2W79', '2009-09-16', 'EUR', '2009-09-16', 'BEC0000ANTN5', NULL, 6128, '2021-12-22', 649629.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '254900HXZVJNNB46ZT24', '8156009E67318D0CE742', '2012-04-12', 'EUR', '2012-04-12', 'FR0011008705', NULL, 190, '2027-07-25', 23161.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'B', '9598006HGTM1KPUMWA87', '335800HQJPG1Q9A2EI03', '2012-03-02', 'EUR', '2012-03-02', 'FR0011196856', NULL, 4340, '2022-04-25', 504351.39999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800X48ON53M6W4A81', '549300VENA2LUFHT1Z11', '2009-09-17', 'EUR', '2009-09-17', 'FR0010447086', 'MLCHE', 4854, NULL, 167948.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009E739SKOGGJM59', '789000H2RM3XBM8HJH10', '2018-02-21', 'EUR', '2018-02-21', 'FR0000120560', 'NEO', 1686, NULL, 40160.520000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25490066LMO98SMWJ780', '5299004H3P8763E1KK83', '2012-08-13', 'EUR', '2012-08-13', 'FR0010099515', 'ECASA', 5757, NULL, 56764.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500S2YNQB37LQ3J77', '789000126K0XDPC6CS95', '2009-09-10', 'EUR', '2009-09-10', 'FR0000065260', 'DPAM', 4293, NULL, 1940436.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900G8YGM9LNLSFP74', '7245004Q89CNKLM67I61', '2012-07-17', 'EUR', '2012-07-17', 'CA4433003064', 'ALHEO', 9465, NULL, 5773.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25490054FSFJJ5HS2195', '5493009NCW6JUM8D0356', '2010-03-25', 'EUR', '2010-03-25', 'FR0013263878', 'ALUMS', 1716, NULL, 14654.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560003087991B8BB78', '7890005A711D8BM4V137', '2010-08-12', 'EUR', '2010-08-12', 'FR0004034593', 'ALFBA', 5876, NULL, 1145.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500DJD982A80AB580', '335800ENHQFFF5T25147', '2009-07-10', 'EUR', '2009-07-10', 'FR0011790542', 'GKTX', 3643, NULL, 3701.288, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156000EE7960B0F7296', '894500HUJ62IW2H5ZJ72', '2012-12-06', 'EUR', '2012-12-06', 'FR0013269123', 'RUI', 613, NULL, 28737.440000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300AIKVGVK6WIYZ90', '9598005MXHRHCXC6EY92', '2017-05-17', 'EUR', '2017-05-17', 'PTCOM0AE0007', 'COMAE', 8451, NULL, 954.9630000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HLAL4GL6OEQ716', '2549001OYZR9EI9CX343', '2011-06-25', 'EUR', '2011-06-25', 'FR0000072597', 'ITL', 9568, NULL, 64105.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900O5LRE3CLUURW47', '335800Y26K1JXYCB8M33', '2009-09-25', 'EUR', '2009-09-25', 'FR0011049824', 'ALMDT', 6541, NULL, 6462.508, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800Y71053HELFDL74', '78900021BEBQZ8M1C652', '2011-07-06', 'EUR', '2011-07-06', 'FR0010976746', 'MLMNR', 7787, NULL, 10123.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900EW9Z7WE1AVME75', '815600E1429EA2A1B323', '2012-01-23', 'EUR', '2012-01-23', 'BE0974299316', 'ALINV', 5055, NULL, 25072.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800W0UYURGK0W5043', '5299005XOY161BETDZ64', '2013-11-15', 'EUR', '2013-11-15', 'CH0342399851', 'MLGML', 4956, NULL, 7434.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299005B8Z8PPRDLXE18', '2549006G0KKFYI0AHC42', '2014-06-19', 'EUR', '2014-06-19', 'BE0003605160', 'DISL', 9945, NULL, 1839825.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300493TTJ3KPGYE12', '529900GQDEV5RTFDJG30', '2018-01-20', 'EUR', '2018-01-20', 'FR0013178712', 'ALPCV', 3345, NULL, 14350.05, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HZ5GJK1IDJM784', '5493006FKQGI84WSYW43', '2015-05-09', 'EUR', '2015-05-09', 'FR0013260973', 'ALTBS', 8652, NULL, 31.147199999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800CHX8LTGK6RH635', '254900XHEVWZTEMOUF34', '2015-01-11', 'EUR', '2015-01-11', 'BE0003880979', 'KEYW', 9091, NULL, 8818.27, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500F0URSD5QRT4352', '894500HXGHI40PQVF328', '2011-02-19', 'EUR', '2011-02-19', 'FR0012821916', 'HIPAY', 5459, NULL, 43562.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156005695C434FC0E64', '959800P7KDTE3LGLWE49', '2015-01-22', 'EUR', '2015-01-22', 'US4595061015', 'IFF', 6085, NULL, 648052.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800RPO7C2COVXT375', '259400YYNTCOZKVC4264', '2014-08-30', 'EUR', '2014-08-30', 'BE0003696102', 'ACCB', 1821, NULL, 74.661, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156008015B9B0A09F57', '724500B959BOJXJ0J168', '2010-12-30', 'EUR', '2010-12-30', 'FR0000039026', 'EXPL', 8131, NULL, 6952005.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549000IOIRKOOITCR75', '969500OXBJ41OZQG7O67', '2011-04-20', 'EUR', '2011-04-20', 'FR0012859916', 'MLORC', 1488, NULL, 80.352, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800M97ZP3G54L2761', '8156002F3B8230942597', '2017-06-19', 'EUR', '2017-06-19', 'FR0000057895', 'MLPGO', 4804, NULL, 720.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600DA934354785845', '549300DZJ1FAUOTOA335', '2018-12-13', 'EUR', '2018-12-13', 'NL0010623518', 'MLSEQ', 4494, NULL, 17.976, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980072AJXBYG88AC33', '815600C5E9CE85751F58', '2008-09-15', 'EUR', '2008-09-15', 'FR0000184798', 'ORP', 7734, NULL, 690027.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598008X1D3XJ2HDU831', '335800AYR82QMH81BT64', '2015-03-26', 'EUR', '2015-03-26', 'DE000A0XYM45', 'MLECO', 4462, NULL, 5577.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300XUI8S8R1GS6H22', '724500VASOY5J3UZ1Q44', '2013-10-27', 'EUR', '2013-10-27', 'BE0003678894', 'BEFB', 4455, NULL, 216290.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004L1VYWR6MWJQ10', '959800H23QV4BXN79R30', '2016-07-03', 'EUR', '2016-07-03', 'FR0000051567', 'MLCVG', 1537, NULL, 7070200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700KDP0HND0E9ZN68', '529900BG7HNHR3TSLC21', '2012-04-28', 'EUR', '2012-04-28', 'FR0000053514', 'PCA', 6759, NULL, 88542.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800CI32JXE6QKPY75', '724500J4K3Q60O9QLF45', '2013-07-03', 'EUR', '2013-07-03', 'FR0010151589', 'CAFO', 5769, NULL, 33460.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900X080DWXSB5MD70', '2549009Q199XQ7EXVP94', '2012-01-04', 'EUR', '2012-01-04', 'NL0010391025', 'PHARM', 5584, NULL, 4229.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358002SIPIJ2WKAW797', '549300DDH5IDWKT3V053', '2012-05-30', 'EUR', '2012-05-30', 'FR0000072373', 'GID', 2875, NULL, 4010.625, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900247DKMXJAQIZ77', '8156009543BB72232297', '2010-09-06', 'EUR', '2010-09-06', 'FR0000064784', 'FFP', 8665, NULL, 694933.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300DO6YPLSWJSKZ56', '789000UPGZHNNM74YU05', '2011-05-08', 'EUR', '2011-05-08', 'FR0006174348', 'BVI', 2568, NULL, 45697.560000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500139AN089Q14649', '789000QC6HEFBMHKUQ81', '2008-08-11', 'EUR', '2008-08-11', 'NL0000440618', 'NEWAY', 8669, NULL, 87556.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900TTRMA1W9NGRO64', '959800808DF2FJZY5K23', '2018-06-02', 'EUR', '2018-06-02', 'FR0010959684', 'MLCLP', 3810, NULL, 19050.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900TH1T1JAFF7WY76', '254900BCNWZFJWR16348', '2018-02-20', 'EUR', '2018-02-20', 'FR0006174348', 'BVI', 861, NULL, 15321.495, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ADHROXNQ1HRF02', '724500EQIEFB30R7R190', '2009-04-29', 'EUR', '2009-04-29', 'FR0000121709', 'SK', 2204, NULL, 248611.19999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560018707F88597804', '9598003T0Q62ADL18M14', '2017-08-30', 'EUR', '2017-08-30', 'FR0012938884', 'LOCAL', 8804, NULL, 4432.813999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900F3BEPA4MKX3G37', '7245006GJYT9XU0WTV20', '2013-06-09', 'EUR', '2013-06-09', 'FR0011067669', 'ALVMG', 1033, NULL, 88.21820000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800RJ4Q5SET9W8695', '254900RNSQ3XZXZ37D51', '2016-07-30', 'EUR', '2016-07-30', 'FR0013204070', 'ALPAR', 8990, NULL, 48546.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800RR3U2735EKCJ70', '5493000MD71OM6KKE714', '2010-03-23', 'EUR', '2010-03-23', 'FR0000079691', 'MLIDS', 8654, NULL, 5711.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600EEA50F241AB954', '894500H4CUQ0D8DOR336', '2013-03-03', 'EUR', '2013-03-03', 'FR0000052920', 'MLDYN', 4357, NULL, 21349.300000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600927806FFB39D28', '529900MGJJCFZGT70848', '2014-05-31', 'EUR', '2014-05-31', 'FR0012612646', 'PARP', 3645, NULL, 72900.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500UCTHG449UOIY10', '2549004NI1NN52MATD36', '2008-09-01', 'EUR', '2008-09-01', 'PTMFR0AM0003', 'MAR', 1423, NULL, 611.89, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800XT1NELVHEH1340', '5299001DZHDF5T8DE995', '2018-08-23', 'EUR', '2018-08-23', 'FR0013227113', 'SOI', 2827, NULL, 143046.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H7A65LHVNE6N40', '969500U2YXEDOEKJYO88', '2017-10-24', 'EUR', '2017-10-24', 'FR0000075442', 'LDL', 9919, NULL, 57331.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500MR05OCGYZDH702', '894500HFLHT1YVGVIN29', '2018-12-23', 'EUR', '2018-12-23', 'FR0010654087', 'ALTXC', 5372, NULL, 24388.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500QB3QDO4Q5FTI59', '549300R357N6XZU86B66', '2008-07-23', 'EUR', '2008-07-23', 'FR0013358041', 'BOLNV', 722, NULL, 2476.46, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900BG7HNHR3TSLC21', '529900YQ9Z46APD3MD76', '2011-08-12', 'EUR', '2011-08-12', 'FR0000050353', 'FII', 9741, NULL, 199690.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800BFHSLJ8ZYH8T96', '335800EP5I9YC1VBHD75', '2011-11-13', 'EUR', '2011-11-13', 'FR0012968485', 'MLAEM', 3957, NULL, 5856.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800Y26K1JXYCB8M33', '335800RPO7C2COVXT375', '2015-03-22', 'EUR', '2015-03-22', 'FR0011665280', 'FGA', 3646, NULL, 40106.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '300300C1170944000083', '335800UE3379Z9IG3B89', '2018-05-27', 'EUR', '2018-05-27', 'FR0004174233', 'ALBLD', 4488, NULL, 38955.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500KL1GOBZXZTMN73', '335800TQXGT1JLF8R374', '2015-03-31', 'EUR', '2015-03-31', 'FR0000120560', 'NEO', 1891, NULL, 45043.62, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549008BU3G6QQOC6G21', '391200HFYELDFLD3EK75', '2012-08-11', 'EUR', '2012-08-11', 'FR0000073793', 'DVT', 5059, NULL, 417367.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H8O23I8PMB2N84', '894500HUZSPTT0GSY780', '2009-09-19', 'EUR', '2009-09-19', 'CH0299791381', 'MLOVE', 44, NULL, 3.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HBLDJ3DCW0I773', '3358002SIPIJ2WKAW797', '2017-05-13', 'EUR', '2017-05-13', 'PTSON0AM0001', 'SON', 1379, NULL, 1116.99, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800IZECY15Y6RNI27', '2549000IOIRKOOITCR75', '2011-09-26', 'EUR', '2011-09-26', 'FR0010609206', 'OREGE', 1504, NULL, 3940.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700IG7LB5QRTJ7493', '3912009IQCNEQKJ3VM39', '2017-09-03', 'EUR', '2017-09-03', 'FR0010945733', 'MLEES', 7856, NULL, 1076.2720000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800CEZQTWTA3U6T26', '254900RQET3JKF5D4I57', '2015-04-10', 'EUR', '2015-04-10', 'FR0010263202', 'PAR', 9576, NULL, 718200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000ANF8REQ2UE6Y65', '894500HEO8IG4ZHLLB32', '2018-10-15', 'EUR', '2018-10-15', 'FR0012616852', 'CEREN', 8503, NULL, 4166.47, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900UVK17H0M86G820', '3157003I2KJRU24IBI58', '2010-02-24', 'EUR', '2010-02-24', 'FR0013227113', 'SOI', 5502, NULL, 278401.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3912004XEVRZIWBYDR63', '894500IYVFXO56XJF390', '2017-01-11', 'EUR', '2017-01-11', 'FR0013284080', 'BUP', 9434, NULL, 43585.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800U8LZF2EH0WC525', '254900YE7YOSCDWMMD57', '2018-11-06', 'EUR', '2018-11-06', 'FR0000045544', 'CAT31', 4209, NULL, 474691.02, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000MD71OM6KKE714', '724500RHD9S1M3UMF314', '2015-06-04', 'EUR', '2015-06-04', 'FR0000031684', 'ROTH', 2376, NULL, 73299.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300XERRDV1QHKHY46', '529900ONQTDAWLRIUS76', '2011-07-28', 'EUR', '2011-07-28', 'FR0000034548', 'UFF', 5726, NULL, 117383.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598001SSUZMNS94R334', '894500HPWVLHQMKSCV94', '2011-07-07', 'EUR', '2011-07-07', 'FR0004170017', 'LNA', 3298, NULL, 143627.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500C2EEUEB4A0C629', '3358004YBJTYK8UYBO21', '2013-04-20', 'EUR', '2013-04-20', 'FR0006864484', 'LPE', 1808, NULL, 171760.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800VM3YM5SLH26M65', '789000IRT4DW5B76JY43', '2017-11-16', 'EUR', '2017-11-16', 'FR0013253812', 'MLALV', 3443, NULL, 1325.8993, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9695009EGMAPDMHKHB63', '894500HFLHT1YVGVIN29', '2016-12-07', 'EUR', '2016-12-07', 'MA0000011488', 'IAM', 653, NULL, 8423.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600AD902EDB131427', '789000CPNQY5EXHSB242', '2012-06-30', 'EUR', '2012-06-30', 'IT0005072167', 'MLSNT', 2178, NULL, 7187.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900NLG13RNO3CCK80', '2549004YROKFYDRFD491', '2008-10-13', 'EUR', '2008-10-13', 'GB00B92JR174', 'MLSKN', 1641, NULL, 49.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800SN524Q2PXON288', '9845001E94C6DWEAF520', '2010-02-20', 'EUR', '2010-02-20', 'FR0000035081', 'ICAD', 437, NULL, 29060.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200L8HXOUMWJW5L43', '549300968TT6XHJMV560', '2010-09-01', 'EUR', '2010-09-01', 'FR0005516804', 'MLCOI', 3584, NULL, 2116352.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3003004MJBH0K0FAPH40', '9845001QF9483CC6F397', '2014-10-06', 'EUR', '2014-10-06', 'FR0004022754', 'ALDOL', 6224, NULL, 22779.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900GJVAMHAB0SYW97', '391200TW27F9A4PZ6A05', '2018-09-01', 'EUR', '2018-09-01', 'FR0004155687', 'ALMAS', 3041, NULL, 1195.113, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300ID6M4XUJPLEP95', '254900WM1PKQPN4PW318', '2008-09-24', 'EUR', '2008-09-24', 'FR0012160661', 'EURBT', 5619, NULL, 14.0475, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25940019DJYWE2T6LN07', '894500H5L745H30PZJ82', '2012-03-08', 'EUR', '2012-03-08', 'FR0000066540', 'ALHRG', 1923, NULL, 45190.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900JFV3DV2HVPGT04', '549300DZJ1FAUOTOA335', '2016-01-18', 'EUR', '2016-01-18', 'FR0000066482', 'TIPI', 8269, NULL, 603637.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300DDH5IDWKT3V053', '254900A7ANXVQD19QT24', '2009-11-23', 'EUR', '2009-11-23', 'FR0000066052', 'AVT', 5187, NULL, 798.798, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299005Z2CKSU45LZA08', '789000UEVJ6NJD385G68', '2018-01-20', 'EUR', '2018-01-20', 'FR0000053027', 'AKW', 2416, NULL, 38897.600000000006, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009E739SKOGGJM59', '213800M3JPHVVZOPRV57', '2012-03-22', 'EUR', '2012-03-22', 'NL0010623518', 'MLSEQ', 507, NULL, 2.028, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200KI35AXHICIOK79', '984500SD897EB1AED603', '2017-07-03', 'EUR', '2017-07-03', 'FR0000062804', 'ALM', 7368, NULL, 2652.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800HDQYXK4VDFXX22', '984500B5D60E0753EA93', '2013-12-28', 'EUR', '2013-12-28', 'FR0000079659', 'CBDG', 1628, NULL, 9116800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500WDCB572F670169', '2549000JUV5DRTG6UI17', '2011-08-09', 'EUR', '2011-08-09', 'FR0012395457', 'ML350', 46, NULL, 18.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890002VECJGJS88RA56', '549300GZR6JX9F63EA77', '2012-11-07', 'USD', '2012-11-07', 'US6745991058', 'OCPET', 9974, NULL, 728102.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900OLN556MVW2C448', '549300RBG5RTDRSAXM92', '2009-04-22', 'EUR', '2009-04-22', 'FR0000061582', 'ALSIP', 6533, NULL, 79702.59999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800L5T7UMVUKPNN44', '959800L5AK6LC4FT3D09', '2008-08-28', 'EUR', '2008-08-28', 'FR0000072563', 'SOA', 5029, NULL, 80464.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3912004XEVRZIWBYDR63', '21380089KHLCK271MF55', '2015-10-11', 'EUR', '2015-10-11', 'NL0009875483', 'PREVA', 9763, NULL, 248663.61, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549000XGWZI4VH9LA70', '959800MJ7G4C8CC35B15', '2010-09-12', 'EUR', '2010-09-12', 'FR0000051070', 'MAU', 7061, NULL, 22807.03, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '54930074C84ILUBQKO60', '549300LFXG311O8Z8329', '2014-09-09', 'EUR', '2014-09-09', 'FR0011981968', 'WLN', 7834, NULL, 330594.80000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009XJ0AGRVHAPC12', '894500HCZ9H046UXE748', '2015-01-28', 'EUR', '2015-01-28', 'PTMFR0AM0003', 'MAR', 9905, NULL, 4259.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800QMFZP2SEPNXL86', '789000R35N284JBNYZ03', '2011-06-03', 'EUR', '2011-06-03', 'BE0974300320', 'EZBG', 3815, NULL, 40057.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900R1G0ZVGMEB3094', '2549003N7HQ8CD186Q47', '2010-04-01', 'EUR', '2010-04-01', 'BE0003818359', 'GLPG', 4382, NULL, 353013.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300P6VHN64CLCQZ39', '3358007GPIPP355BQR08', '2012-04-16', 'EUR', '2012-04-16', 'FR0011992700', 'ATEME', 9257, NULL, 101456.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HOIZNKZSLVGV45', '213800ST7N7Z7RAP5K02', '2010-11-05', 'EUR', '2010-11-05', 'FR0010536185', 'MLEAV', 3168, NULL, 44193.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HMOH2DC0NBM744', '213800FKLHF4O4LFNT84', '2010-12-16', 'EUR', '2010-12-16', 'FR0000050809', 'SOP', 396, NULL, 31937.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890009WVEGUFEVR1I77', '959800CTH4Q9A6NRKD91', '2011-06-18', 'EUR', '2011-06-18', 'BE0003602134', 'MOUR', 9891, NULL, 1335285.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900BIOZQV2STOMD93', '875500AI664G3A9YO727', '2012-07-25', 'EUR', '2012-07-25', 'FR0010528059', 'ALSTW', 135, NULL, 972.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560001A3EC866BFC47', '529900EE6QTUA8I6TS90', '2011-11-01', 'EUR', '2011-11-01', 'NL0010623518', 'MLSEQ', 4458, NULL, 17.832, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500678T7QVCAPA493', '9598001RKFDGS80CDE85', '2011-06-26', 'EUR', '2011-06-26', 'FR0010465534', 'ALEO2', 4239, NULL, 11063.789999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845003T829B3890E450', '959800BHPYMFN1963C79', '2016-03-20', 'EUR', '2016-03-20', 'NL0000888691', 'AMG', 8677, NULL, 244517.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HTLWRX26HW2761', '815600099EE4831BA656', '2010-02-16', 'EUR', '2010-02-16', 'NL0011872650', 'BFIT', 3635, NULL, 94328.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200XEH8KTQIABER33', '2549002CYMGZIVI3RU33', '2011-03-17', 'EUR', '2011-03-17', 'FR0004155000', 'SFPI', 7063, NULL, 15256.080000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549008APH9BBOF59Z56', '335800IZECY15Y6RNI27', '2009-11-09', 'EUR', '2009-11-09', 'FR0011766229', 'ALONC', 4954, NULL, 32399.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800FCTI9CBH4QS545', '2549002O4D9K9HDICX39', '2011-05-29', 'EUR', '2011-05-29', 'FR0012300424', 'MLFDV', 2833, NULL, 3739.5600000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003030QT0CN7OT87', '5299006UULNV1VPOBJ96', '2014-12-31', 'EUR', '2014-12-31', 'FR0011289198', 'ALGEP', 1406, NULL, 2179.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560061B7C75C65BB42', '8156001E5A66CD562A80', '2015-02-05', 'EUR', '2015-02-05', 'US4282911084', 'HXL', 2919, NULL, 145950.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '485100QFQXXUHTG7S761', '21380077NQ3X7JBSLR76', '2013-11-24', 'EUR', '2013-11-24', 'FR0010340711', 'ALAQU', 9350, NULL, 64047.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900JQ7G3S5DKETO15', '213800Q2AUROBXFO4357', '2014-12-24', 'EUR', '2014-12-24', 'FR0000125486', 'DG', 7674, NULL, 552681.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HGOANFFQS13J28', '549300H7EH74TI868808', '2015-01-02', 'EUR', '2015-01-02', 'BE0003555639', 'TESB', 3062, NULL, 89104.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003FVVKKXP7PMR65', '984500B4S96AE2C61370', '2015-09-05', 'EUR', '2015-09-05', 'FR0011592104', 'BLUE', 7983, NULL, 130122.90000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '54930042IQFSI1EEI534', '335800OVBZ3OT7SW6740', '2014-05-14', 'EUR', '2014-05-14', 'FR0004065605', 'MEDCL', 8663, NULL, 57608.950000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800KWSP4NBKSE8P26', '959800QCSE2A42YKT295', '2012-03-23', 'EUR', '2012-03-23', 'FR0000045072', 'ACA', 5449, NULL, 51384.07, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156001845CA08C93A68', '259400NTS2KAUZODAQ83', '2014-09-21', 'EUR', '2014-09-21', 'FR0011800218', 'AWOX', 4552, NULL, 4187.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300ZXSTC7EQEPGQ54', '335800JPTNA42XJNWQ96', '2011-11-10', 'EUR', '2011-11-10', 'FR0010035816', 'MLCOR', 9897, NULL, 95011.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HWORR9TT3H5B54', '254900GTCTZAXDX8WS79', '2015-03-13', 'EUR', '2015-03-13', 'FR0013274545', 'QGCBT', 898, NULL, 1275.1599999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700R6MKAHGL6IHW38', '335800XJFI6D2Y3J5A17', '2018-09-29', 'EUR', '2018-09-29', 'FR0010397901', 'ALTRI', 3265, NULL, 13778.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H6TJIAKXNR7Z91', '815600E14BDCD38C1148', '2014-08-31', 'EUR', '2014-08-31', 'FR0000076986', 'MONC', 2473, NULL, 13477850.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HCD39XK9JERZ37', '9845002ED69EFB9D2405', '2012-03-18', 'EUR', '2012-03-18', 'FR0000121634', 'RE', 9756, NULL, 1365840.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800MQJUIUOEIJQM19', '969500CTUOHOMD5XZ663', '2010-06-02', 'EUR', '2010-06-02', 'FR0000121709', 'SK', 7651, NULL, 863032.7999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800R954NULKAU9S05', '959800CK7LDD5WAA0133', '2011-03-31', 'EUR', '2011-03-31', 'LU0092846210', 'LUXA', 6766, NULL, 1488520.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900XHEVWZTEMOUF34', '300300C1170944000083', '2012-12-18', 'EUR', '2012-12-18', 'IT0004513666', 'TISN', 3062, NULL, 31.5386, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300PXO0WG1WPWNC90', '894500HRRE6PEEJC7J33', '2017-10-21', 'EUR', '2017-10-21', 'FR0000060196', 'MRM', 3219, NULL, 4538.79, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549007ON6RMT72P9K11', '254900BE1XFM2GZQC921', '2014-09-01', 'EUR', '2014-09-01', 'NL0010776944', 'BRNL', 2909, NULL, 31766.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H94OQT5NLY1B47', '213800FXY6X88TPPQD55', '2008-08-14', 'EUR', '2008-08-14', 'FR0000064156', 'CARP', 2289, NULL, 104378.40000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900TJHSVVUDS36A85', '635400HH7RLRUAY5CT35', '2018-11-22', 'EUR', '2018-11-22', 'BE0974328602', 'MLMIB', 187, NULL, 1307.13, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900RNSQ3XZXZ37D51', '894500H61TRGE10CY792', '2018-09-03', 'EUR', '2018-09-03', 'FR0011092089', 'MLCLI', 3222, NULL, 6379.5599999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600794F7BCEC48708', '95980044CJL1TG0GU366', '2014-02-28', 'EUR', '2014-02-28', 'BE0974320526', 'UMI', 8103, NULL, 282470.58, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500C6B88FBHD56508', '894500HF4V5R1XH8JZ59', '2017-07-02', 'EUR', '2017-07-02', 'BE0003766806', 'IBAB', 466, NULL, 5983.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '54930053MFPPMO7N5837', '254900QW9WW3MO52AT86', '2015-06-07', 'EUR', '2015-06-07', 'NL0000303709', 'AGN', 8000, NULL, 32631.999999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500FVC6FUG0KP6T73', '5299006UULNV1VPOBJ96', '2009-07-22', 'EUR', '2009-07-22', 'FR0000120388', 'RX', 6752, NULL, 37811.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600117BB4F6BA8912', '254900SC71C8XDWXPT94', '2015-07-30', 'EUR', '2015-07-30', 'GA0000121459', 'EC', 8071, NULL, 1008875.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3912009IQCNEQKJ3VM39', '8156004F5A55EA07B020', '2016-12-09', 'EUR', '2016-12-09', 'FR0004037125', 'APR', 3595, NULL, 71720.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500CSLY2C641ZLE16', '529900I7542QKX519C84', '2017-11-06', 'EUR', '2017-11-06', 'FR0000057895', 'MLPGO', 3441, NULL, 516.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900BFLEDVAN9GAL69', '315700KOG8GH8L8VMU54', '2012-08-27', 'EUR', '2012-08-27', 'FR0012650166', 'EPS', 6186, NULL, 73922.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900ZINQIQO2D6KL78', '529900A0NB92XOYGY957', '2017-01-01', 'EUR', '2017-01-01', 'FR0000035370', 'BLC', 2837, NULL, 73762.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HHAGUHZO3JPR40', '254900PNZM3C2CGL9H62', '2012-09-25', 'EUR', '2012-09-25', 'FR0004998326', 'CRBT', 8293, NULL, 8127.139999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800GJX9YFMOQOU587', '894500HU2JF7Z4HJ0V91', '2009-05-04', 'EUR', '2009-05-04', 'FR0013018124', 'COX', 9159, NULL, 45886.59, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900AIZHV0LV830P02', '391200U8BIIRW12P7H45', '2015-09-25', 'EUR', '2015-09-25', 'FR0010490920', 'ECP', 6129, NULL, 5908.356, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845009F984CB7FAE774', '300300C1170944000083', '2013-06-25', 'EUR', '2013-06-25', 'FR0000033904', 'JCQ', 568, NULL, 8815.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300EOX4NRYN1IN276', '9598006HGTM1KPUMWA87', '2017-09-15', 'EUR', '2017-09-15', 'FR0013079092', 'ALWEC', 944, NULL, 9345.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598007AP4UCV0ZW3Q64', '894500HLR7RRI4O1OV52', '2015-06-25', 'EUR', '2015-06-25', 'NL0000440311', 'HOLCO', 8202, NULL, 643036.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ULQ9U6PEDH3757', '254900L1MOJXBKQPMB74', '2010-03-23', 'EUR', '2010-03-23', 'FR0010086371', 'MLIML', 1142, NULL, 175.868, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800D2LQ2DFCLXH448', '81560037378AE3D5C484', '2015-08-17', 'EUR', '2015-08-17', 'FR0010099515', 'ECASA', 8459, NULL, 83405.73999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900K1YB6SOGKSYK56', '789000171KMN5UM2V534', '2016-08-17', 'EUR', '2016-08-17', 'FR0010536185', 'MLEAV', 3618, NULL, 50471.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800L5T7UMVUKPNN44', '259400HBNO8HJM055X49', '2016-06-12', 'EUR', '2016-06-12', 'FR0010768770', 'MLWEY', 3240, NULL, 7063.200000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300L0UN5U0504Y829', '2138005W55XEB2FY4L58', '2013-02-03', 'EUR', '2013-02-03', 'FR0000051807', 'TEP', 4564, NULL, 637134.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900F3BEPA4MKX3G37', '9598000CYG5NJUS1BB26', '2013-03-01', 'EUR', '2013-03-01', 'FR0000075954', 'RIB', 5048, NULL, 9894.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800VR1RQHN566VR62', '95980044CJL1TG0GU366', '2011-01-16', 'EUR', '2011-01-16', 'BE0974259880', 'DIE', 8235, NULL, 271096.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200SWEKIHTMX0UW63', '959800ZPKFL5RF9Z5Z03', '2014-10-15', 'EUR', '2014-10-15', 'FR0000064404', 'EDI', 3028, NULL, 37850.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800FCTI9CBH4QS545', '7245005XCEHQ1X5S0X63', '2013-08-04', 'EUR', '2013-08-04', 'FR0000125346', 'ING', 7042, NULL, 348860.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156001845CA08C93A68', '815600A937F2D23F2C03', '2018-02-25', 'EUR', '2018-02-25', 'NL0000395317', 'WES', 2129, NULL, 17000.065000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800BMUA7B1QCUZV12', '815600E90869278E4A71', '2014-06-01', 'EUR', '2014-06-01', 'FR0000065260', 'DPAM', 8978, NULL, 4058056.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000126K0XDPC6CS95', '7890006VZWGVIJC7JZ03', '2014-05-19', 'EUR', '2014-05-19', 'FR0010285965', 'ALMIL', 2244, NULL, 55202.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HNLQCZ5WMLJJ81', '391200JN61F3UJFIK036', '2011-04-10', 'EUR', '2011-04-10', 'LU1068091351', 'BREB', 3864, NULL, 194745.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8755009QUVAEDLIDZZ10', '25490074GYRP5X39RJ89', '2017-01-13', 'EUR', '2017-01-13', 'FR0000044364', 'CCN', 3547, NULL, 461110.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '635400DS68TKBUI26F52', '254900U1JVL12KQ2GB90', '2018-08-11', 'EUR', '2018-08-11', 'FR0000061459', 'PERR', 2670, NULL, 120950.99999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900R0W4L4A0343J26', '529900X080DWXSB5MD70', '2011-08-11', 'EUR', '2011-08-11', 'IM00BDD7WV31', 'NRP', 5827, NULL, 37875.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '747800R0C3YKJTW8S332', '959800YZE3BADFNRX061', '2011-04-20', 'EUR', '2011-04-20', 'FR0011605617', 'MLVIN', 8135, NULL, 7402.85, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560078D8B75F4DDB03', '485100K4WF659LDJ8K10', '2017-07-20', 'EUR', '2017-07-20', 'NL0010832176', 'ARGX', 2553, NULL, 217515.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900UVK17H0M86G820', '894500HPLSHYGNX11R77', '2014-04-07', 'EUR', '2014-04-07', 'FR0000066961', 'ALDBL', 7653, NULL, 22040.64, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900NLG13RNO3CCK80', '969500VQSPDOEX2VIG22', '2009-02-15', 'EUR', '2009-02-15', 'FR0004165801', 'HDP', 9382, NULL, 25894.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HID9OVGJEPAN65', '254900U1JVL12KQ2GB90', '2013-04-27', 'EUR', '2013-04-27', 'FR0000077919', 'DEC', 9619, NULL, 235857.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '315700YLSJXQEP4LNJ86', '815600AB0AE53D878886', '2008-09-26', 'EUR', '2008-09-26', 'FR0013268067', 'MLAMY', 4963, NULL, 17866.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7245004A5ZMVOC2SPX56', '5493007XW8LKH1A3CU29', '2009-05-27', 'EUR', '2009-05-27', 'FR0011908045', 'MLAGI', 8026, NULL, 27769.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HLG4O8860ADR31', '724500DO2C30LD5DX359', '2017-06-17', 'USD', '2017-06-17', 'US4592001014', 'IBMA', 102, NULL, 15504.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000NYHP0071VFV50', '2549003IGN2PH9T18H50', '2009-05-12', 'EUR', '2009-05-12', 'BE0003835528', 'PHAR', 4702, NULL, 1645.6999999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300UD3EZYFYL35X85', '549300L2ZJBIWGX7CD98', '2017-09-23', 'EUR', '2017-09-23', 'FR0004154060', 'NTG', 438, NULL, 429.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900Y148254B4IZC81', '335800D2LQ2DFCLXH448', '2009-04-24', 'EUR', '2009-04-24', 'FR0000045528', 'CAF', 9625, NULL, 842668.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800SW71J1NFLH2745', '894500HCIMTP78VAFJ51', '2011-02-20', 'EUR', '2011-02-20', 'NL0000008977', 'HEIO', 1118, NULL, 82452.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156004F5A55EA07B020', '3538008RETNFXECSSM62', '2013-08-06', 'EUR', '2013-08-06', 'FR0000185423', 'ALDAR', 4831, NULL, 92030.55, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900ANS59ZEGMLCU40', '8755009QUVAEDLIDZZ10', '2015-11-04', 'EUR', '2015-11-04', 'NL0000378669', 'PORF', 1089, NULL, 9909.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598004GBPVCS0768X79', '959800ZQAFESDJBMT711', '2012-11-20', 'EUR', '2012-11-20', 'CI0000000832', 'MLMAT', 5981, NULL, 34689.799999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200TW27F9A4PZ6A05', '5493007PUSTNZKI1TX18', '2014-06-25', 'EUR', '2014-06-25', 'US91912E1055', 'VALE3', 3478, NULL, 40977.796, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493001Y96CRFSTK3P09', '2549002B39OI8KJ65B25', '2010-08-31', 'EUR', '2010-08-31', 'ES0178430E18', 'TFA', 4614, NULL, 33839.076, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500O3SMEPTU8K9B75', '894500HPLSHYGNX11R77', '2009-04-16', 'EUR', '2009-04-16', 'FR0012407096', 'ALOCA', 1371, NULL, 1233.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800LJ7F1NMHQTV264', '724500P5EZI6UC31Y340', '2018-06-20', 'EUR', '2018-06-20', 'BE0012378593', 'SCHD', 2792, NULL, 1245232.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800CK7LDD5WAA0133', '254900CA7JY8W7YPS376', '2010-05-29', 'EUR', '2010-05-29', 'PTIPR0AM0000', 'IPR', 5687, NULL, 775.7067999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600090084A401BB60', '2549005SC4EV6EA3CF24', '2012-05-09', 'EUR', '2012-05-09', 'BE0974265945', 'FLUX', 4476, NULL, 109662.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500XF59N0563H0483', '213800JF6F5W7N89F526', '2008-09-27', 'EUR', '2008-09-27', 'FR0000033219', 'ALTA', 2335, NULL, 387143.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HDWIRLY2U7BJ73', '894500HJR5MS7DDM6N35', '2017-11-21', 'EUR', '2017-11-21', 'NL0000303709', 'AGN', 8324, NULL, 33953.596, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500J4K3Q60O9QLF45', '213800722POP9XTR7Z71', '2015-08-19', 'EUR', '2015-08-19', 'FR0000054199', 'DPT', 3235, NULL, 405.9925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800WXZFHVJ0L6US18', '3358005WZUIX4YRCYM80', '2008-10-01', 'EUR', '2008-10-01', 'FR0000121634', 'RE', 1663, NULL, 232820.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900LSDWTJ9ESZYP24', '3358002OIGJR3CM46S74', '2018-06-14', 'EUR', '2018-06-14', 'FR0013335742', 'COGEC', 2619, NULL, 16944.93, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156000EE7960B0F7296', '549300R357N6XZU86B66', '2015-07-10', 'EUR', '2015-07-10', 'FR0004031763', 'COH', 6374, NULL, 10453.359999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493003GYR2LDCS6RB57', '959800W9TRM932HML048', '2017-11-11', 'EUR', '2017-11-11', 'PTGMC0AM0003', 'MCP', 2974, NULL, 6840.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900X3GRARC4RRME90', '254900GWGVMRG1S1X913', '2014-08-24', 'EUR', '2014-08-24', 'FR0013190410', 'KAZI', 2354, NULL, 1271.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450055D3LPKG21Z309', '5299008619O6J745YR05', '2012-12-21', 'EUR', '2012-12-21', 'PTSNC0AM0006', 'SNC', 2844, NULL, 7024.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900GTCTZAXDX8WS79', '959800C71MWZKCQQE095', '2008-08-19', 'EUR', '2008-08-19', 'NL0010558797', 'OCI', 5705, NULL, 101606.04999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500FVC6FUG0KP6T73', '335800IYW1COD1A9DF62', '2009-09-08', 'EUR', '2009-09-08', 'FR0000054322', 'CIB', 5996, NULL, 632.578, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800VX4P9KRCFEEM44', '254900UYX1SFMJ4M0K75', '2009-07-19', 'EUR', '2009-07-19', 'FR0004180537', 'AKA', 2491, NULL, 110102.20000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500D7FBEFFZ7DC828', '2138003NT7W2QX3OP828', '2013-05-28', 'EUR', '2013-05-28', 'FR0000064123', 'BCRA', 8862, NULL, 1973567.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004EX3J0H3Q2U319', '789000DMOZ6VCQX9EE74', '2014-04-23', 'EUR', '2014-04-23', 'FR0012596468', 'ALSEN', 8658, NULL, 8709.948, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800Y85WTRA77C3151', '7890008C1X2789QKU804', '2014-10-03', 'EUR', '2014-10-03', 'FR0013251584', 'MLAHC', 7697, NULL, 10852.769999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900TI80BAROYN4H17', '724500EQIEFB30R7R190', '2012-10-01', 'EUR', '2012-10-01', 'FR0012833770', 'MLVAL', 2634, NULL, 37666.200000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900PUG0ILQAY7AR02', '549300JA03MYOQF6NI50', '2011-07-16', 'EUR', '2011-07-16', 'FR0011184241', 'ADOC', 5818, NULL, 96229.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549006BNQUM76XAR396', '549300RBG5RTDRSAXM92', '2017-03-08', 'EUR', '2017-03-08', 'FR0000073793', 'DVT', 7064, NULL, 582780.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004B5VNXAM0ZYU09', '549300SQYFR3SSHBXY27', '2018-08-19', 'EUR', '2018-08-19', 'FR0012384907', 'MLCIO', 9658, NULL, 31485.079999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600439C288154A067', '5299001FRXFIBYKAP047', '2016-03-14', 'EUR', '2016-03-14', 'FR0010386334', 'KORI', 4354, NULL, 135322.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600659F0D66B0DB41', '894500HZ5GJK1IDJM784', '2011-02-12', 'EUR', '2011-02-12', 'FR0000053027', 'AKW', 3239, NULL, 52147.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900QW9WW3MO52AT86', '391200A1VEP8NRYE2426', '2014-03-11', 'EUR', '2014-03-11', 'FR0012789667', 'AMPLI', 8217, NULL, 22596.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300KR5WJ7Q5JVOV06', '959800S8BTHJ4RWTAZ55', '2011-11-10', 'EUR', '2011-11-10', 'FR0013390820', 'VMGDS', 4866, NULL, 105.5922, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845008C9AB138E56594', '81560073AD51110DA588', '2009-07-25', 'EUR', '2009-07-25', 'BE0003790079', 'BAR', 8981, NULL, 888220.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900BG7HNHR3TSLC21', '2138006FSFUK8YV6B728', '2009-06-06', 'EUR', '2009-06-06', 'DE0007664005', 'VWA', 4090, NULL, 564420.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200OXHUHPESDCXG30', '8156001074A6A6B72044', '2016-03-11', 'EUR', '2016-03-11', 'FR0000312928', 'PUBBS', 3853, NULL, 78601.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400LYTHLHXVTIZK08', '815600165BED0FD2E392', '2017-05-29', 'EUR', '2017-05-29', 'FR0013309614', 'CGGBS', 6017, NULL, 1191.366, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500RHD9S1M3UMF314', '7890003SKU7OPJK2M615', '2012-12-18', 'EUR', '2012-12-18', 'PTCTT0AM0001', 'CTT', 685, NULL, 2018.0100000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800TCF9YCJG3VRZ10', '529900EPW8S8W3DNJI67', '2010-01-30', 'EUR', '2010-01-30', 'FR0010972091', 'MLCMI', 2960, NULL, 7400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HVLYWWCXSBKF18', '315700Q4YJ2XVAL0GK49', '2013-10-23', 'EUR', '2013-10-23', 'LU1883301340', 'SHUR', 9554, NULL, 231684.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900JA94LEPGJDAR54', '529900EMKI1IJ4VGY241', '2014-08-31', 'USD', '2014-08-31', 'US0970231058', 'BOEI', 5282, NULL, 1663830.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500C48C7777DF6266', '529900WW7BR3T4TTOK59', '2008-08-09', 'EUR', '2008-08-09', 'FR0010518605', 'MLARI', 4241, NULL, 42.410000000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800ETS88TRZ8SFX39', '894500HCD39XK9JERZ37', '2014-04-13', 'EUR', '2014-04-13', 'FR0000032526', 'GBT', 3298, NULL, 172815.19999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800NTUSN677QTXP97', '894500HBWGMMNBJRTB22', '2009-11-28', 'EUR', '2009-11-28', 'BE0003545531', 'SOLV', 7164, NULL, 791622.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800R3MAE8XTP69B91', '529900FFEDLO2SN57V78', '2016-09-10', 'EUR', '2016-09-10', 'FR0010613471', 'SEV', 176, NULL, 2029.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900XW9PFQEDAAOZ11', '743700AUEY1HNYDHGZ82', '2011-01-05', 'EUR', '2011-01-05', 'FR0010241638', 'MERY', 4029, NULL, 48227.130000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '315700YATW3IWVDMGZ65', '959800ESR3SP3X7QK341', '2012-09-28', 'EUR', '2012-09-28', 'FR0000120172', 'CA', 8020, NULL, 119578.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600B4B8B9C21AE913', '335800M4N26MMHYH7H20', '2013-12-15', 'EUR', '2013-12-15', 'FR0013330792', 'ALNN6', 9526, NULL, 33622.017, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300PHRUCZ2ENP1713', '74370092DM24VPRQU721', '2016-03-17', 'EUR', '2016-03-17', 'FR0000061582', 'ALSIP', 7262, NULL, 88596.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560045B90BDE00F526', '894500HBLDJ3DCW0I773', '2012-07-07', 'EUR', '2012-07-07', 'BE0003545531', 'SOLV', 4888, NULL, 540124.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '21380077NQ3X7JBSLR76', '959800NFQLJBAJ75F378', '2016-02-02', 'EUR', '2016-02-02', 'PTVAA0AM0019', 'VAF', 847, NULL, 1363.67, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200JX0T2SI0CNMP83', '8156001E5A66CD562A80', '2012-03-24', 'EUR', '2012-03-24', 'FR0000064446', 'CTRG', 3713, NULL, 34011.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800TCF9YCJG3VRZ10', '787200J2C5SLUOT1DC77', '2016-08-15', 'EUR', '2016-08-15', 'FR0010285965', 'ALMIL', 8862, NULL, 218005.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '485100JGNCMKX8D38D66', '959800J4FW9MMCCFHJ88', '2015-05-23', 'EUR', '2015-05-23', 'BE0948608451', 'MLPHO', 8425, NULL, 66136.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156009856D1C6B2B530', '529900F1NSHZGDOEGX87', '2009-02-02', 'EUR', '2009-02-02', 'FR0011950682', 'SEFER', 5201, NULL, 33286.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500ZWBK1MKWQKUC61', '529900AVOKAD02UZK185', '2009-11-21', 'EUR', '2009-11-21', 'CH0309050059', 'MLSFI', 6105, NULL, 1404.15, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000DMOZ6VCQX9EE74', '335800OIB5TXIBMEYW59', '2014-04-14', 'EUR', '2014-04-14', 'FR0010609263', 'MKEA', 6530, NULL, 13125.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HJ4ZFPNG23KF53', '2549000IOIRKOOITCR75', '2017-04-12', 'EUR', '2017-04-12', 'CH0120879058', 'MLFIR', 6289, NULL, 41507.399999999994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900PUG0ILQAY7AR02', '984500A80A9739BDDC76', '2014-08-14', 'EUR', '2014-08-14', 'FR0000124232', 'IRD', 8472, NULL, 203328.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900HPKSVNWDG4XQ61', '549300EDPVOBP5LWP323', '2017-11-12', 'EUR', '2017-11-12', 'FR0000064362', 'FATL', 4233, NULL, 491028.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800M97ZP3G54L2761', '549300JQXJL634X60W76', '2012-01-21', 'EUR', '2012-01-21', 'FR0000062507', 'EBPF', 2308, NULL, 242340.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '52990032F28HSBWDN984', '213800M3JPHVVZOPRV57', '2013-07-17', 'EUR', '2013-07-17', 'NL0000440311', 'HOLCO', 4370, NULL, 342608.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500F2D1D043CZ7197', '529900GKD4BEVP01J738', '2017-11-17', 'EUR', '2017-11-17', 'FR0013309622', 'CGGBT', 4233, NULL, 262.446, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900RRWZ744O1M6P44', '894500HUOPMAJ1T1N380', '2015-03-13', 'EUR', '2015-03-13', 'IT0003132476', 'ENI', 8247, NULL, 111334.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900RB1ZEMBKGLWC19', '959800XWDUKHANQZNX27', '2016-11-29', 'EUR', '2016-11-29', 'BE0003755692', 'AGFB', 9032, NULL, 30076.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800SR027YXK2G8R75', '9845004E7E3799A76F12', '2013-11-07', 'EUR', '2013-11-07', 'FR0000072399', 'BELI', 8839, NULL, 267379.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900HEWEK2XR2PFC48', '549300ID6M4XUJPLEP95', '2014-12-29', 'EUR', '2014-12-29', 'FR0012872141', 'JBOG', 4850, NULL, 29003.000000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800P75HXJ6JSBKE05', '815600E9F1B2379CE216', '2016-10-28', 'EUR', '2016-10-28', 'FR0000121857', 'FBEL', 5920, NULL, 1728640.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '52990003CJ3ZFVS4S916', '894500HID9OVGJEPAN65', '2010-12-17', 'EUR', '2010-12-17', 'BE0003847648', 'UNI', 9163, NULL, 6414.099999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000ZHY3G8IL8G840', '894500HMDDYU21ZKB308', '2012-06-12', 'EUR', '2012-06-12', 'PTTD10AM0000', 'TDSA', 8939, NULL, 1206.765, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800XA6HYWEFB3T206', '8156008722B405259B53', '2010-01-07', 'EUR', '2010-01-07', 'FR0000066961', 'ALDBL', 6701, NULL, 19298.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299002A7ETAYKEJPY98', '3912004XEVRZIWBYDR63', '2011-05-29', 'EUR', '2011-05-29', 'FR0010246322', 'ALEZV', 1438, NULL, 52918.399999999994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600EC67659C956921', '81560045B90BDE00F526', '2014-04-20', 'EUR', '2014-04-20', 'FR0004022754', 'ALDOL', 1689, NULL, 6181.740000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7245006X5WRTOPDL0C12', '815600D096DAE7873D90', '2014-12-07', 'EUR', '2014-12-07', 'DE0008430026', 'MEURV', 2261, NULL, 416250.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900W1AG9MDM2OO590', '549300Z415GT4OWHU676', '2017-06-02', 'EUR', '2017-06-02', 'FR0011472943', 'VLAP', 806, NULL, 22.568, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500OC2E7DF7547068', '549300HREAIF8XXN5B03', '2014-08-31', 'EUR', '2014-08-31', 'BE0003820371', 'EVS', 203, NULL, 4709.599999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ZOVK14GTNOGJ02', '5299005B8Z8PPRDLXE18', '2010-01-24', 'EUR', '2010-01-24', 'FR0000044471', 'GDS', 824, NULL, 17633.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300I0DLKH4RIB6877', '2549009JQFCX3Z49A729', '2017-03-03', 'EUR', '2017-03-03', 'FR0000121725', 'AM', 9803, NULL, 11861630.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HSONHB8AIM4V39', '724500VIGT4J7ESAXS27', '2015-01-24', 'EUR', '2015-01-24', 'FR0010202606', 'ALBFR', 2311, NULL, 115550.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900GQDEV5RTFDJG30', '969500F3C527QVG5KL69', '2011-09-04', 'EUR', '2011-09-04', 'PTGAL0AM0009', 'GALP', 6994, NULL, 96482.23, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560099BEC10001BD90', '894500HK28QBHC1DHR50', '2012-01-15', 'EUR', '2012-01-15', 'FR0000050049', 'VIL', 7401, NULL, 31084.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300EOX4NRYN1IN276', '969500TG5Q6AMPF1KJ69', '2009-04-22', 'EUR', '2009-04-22', 'FR0000120073', 'AI', 5018, NULL, 544202.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890007JMV9RAROEMI58', '81560010782FDBCC4F75', '2017-05-03', 'EUR', '2017-05-03', 'FR0010526814', 'SSI', 7361, NULL, 10010.960000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800K9JJJJM3GLCI77', '529900FFEDLO2SN57V78', '2011-12-24', 'EUR', '2011-12-24', 'FR0010176115', 'MLOLM', 5898, NULL, 106164.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600AD902EDB131427', '984500F2D1D043CZ7197', '2017-06-16', 'EUR', '2017-06-16', 'BE0974272040', 'QRF', 3788, NULL, 52274.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300DO6YPLSWJSKZ56', '2549000Z106C8FT4BF24', '2014-02-18', 'EUR', '2014-02-18', 'BE0974268972', 'BPOST', 1473, NULL, 11791.365000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900QAKQBRSGD5TY11', '789000UPGZHNNM74YU05', '2014-10-22', 'EUR', '2014-10-22', 'FR0000030769', 'MLPLC', 5107, NULL, 2298150.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800P7KDTE3LGLWE49', '984500430C79955I6B69', '2012-06-03', 'USD', '2012-06-03', 'US4581401001', 'INCO', 196, NULL, 8957.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600F9DD0DF7342D88', '959800T76ESPB8W5SY69', '2009-12-17', 'EUR', '2009-12-17', 'FR0013390820', 'VMGDS', 1762, NULL, 38.2354, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300Y06T7WDFMGWP26', '254900TZBLP16TCAJC54', '2018-09-22', 'EUR', '2018-09-22', 'FR0005843125', 'MLHYE', 935, NULL, 55165.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299000WONWPHUZXXM45', '2549001QPMN669DTMS69', '2013-06-16', 'EUR', '2013-06-16', 'BE0974260896', 'CYAD', 5361, NULL, 88938.99, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156000609E9FB906812', '549300D2UXQZF4WO3I97', '2017-04-24', 'EUR', '2017-04-24', 'FR0000066607', 'LACR', 626, NULL, 12019.199999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200F7YSKQDHO7BU66', '2549004R5QU9YFNY8L33', '2010-06-29', 'EUR', '2010-06-29', 'BE0003874915', 'FAGR', 9306, NULL, 132889.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800VHACV3CWM8U869', '2138003NT7W2QX3OP828', '2015-03-09', 'EUR', '2015-03-09', 'FR0011033083', 'ALMOU', 4993, NULL, 21769.480000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800P05ZEBUY44VA78', '3358008GQAY42K89V578', '2009-01-14', 'EUR', '2009-01-14', 'FR0005142999', 'MLEAU', 4399, NULL, 338723.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '52990049T9MZ3BM03H76', '969500AZTP6KYEOBMS55', '2010-04-16', 'EUR', '2010-04-16', 'FR0011049824', 'ALMDT', 1691, NULL, 1670.708, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549007DY8T2X4U12M47', '54930081U35EPIMDUK94', '2014-01-22', 'EUR', '2014-01-22', 'BE0003874915', 'FAGR', 7997, NULL, 114197.15999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3003009QBP9DPOH1DQ47', '391200OXHUHPESDCXG30', '2016-03-23', 'EUR', '2016-03-23', 'ES0113211835', 'BBV', 4128, NULL, 18712.224000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598004D0B3ZT3GXZX81', '984500B8D4F8JC069608', '2016-07-19', 'EUR', '2016-07-19', 'FR0004050250', 'NRO', 9546, NULL, 180419.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549008EY1JSRDDZ1O46', '894500HK28QBHC1DHR50', '2012-04-28', 'EUR', '2012-04-28', 'FR0010844001', 'ALEUA', 2235, NULL, 15756.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900MGJJCFZGT70848', '5493006X24RMJBE66M08', '2014-08-13', 'EUR', '2014-08-13', 'FR0000131906', 'RNO', 6864, NULL, 374431.19999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560023D7FC2A0DFA47', '959800BMUA7B1QCUZV12', '2018-04-08', 'EUR', '2018-04-08', 'FR0000037475', 'CFI', 8360, NULL, 6771.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '52990005V8S59U2W4L64', '549300BU9VDL4Z1D2Q93', '2015-07-26', 'EUR', '2015-07-26', 'IT0001389631', 'BNS', 3235, NULL, 2135.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900J9JWFTNO88I589', '549300R357N6XZU86B66', '2013-04-12', 'EUR', '2013-04-12', 'FR0010979377', 'MLACT', 7768, NULL, 8467.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800GHLAEG25A5HW84', '391200OC6NE1SEAGD951', '2011-11-28', 'EUR', '2011-11-28', 'FR0010208488', 'ENGI', 1262, NULL, 15806.550000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900C47HK0B5VK6K58', '724500T6CVSUS0W4FV91', '2012-05-05', 'EUR', '2012-05-05', 'FR0010781377', 'MLAAE', 726, NULL, 4392.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000GG30ZLOHSI9687', '894500HCO6DGU8763320', '2009-03-20', 'EUR', '2009-03-20', 'NL0000378669', 'PORF', 6199, NULL, 56410.899999999994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400R7IW7SZVTVD788', '485100NCLJ249AFQUK46', '2010-09-08', 'EUR', '2010-09-08', 'FR0000033466', 'MLTEA', 8122, NULL, 2761480.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900A9QYZHQSA7Z303', '25490092KTO7WU73YY92', '2014-05-08', 'EUR', '2014-05-08', 'FR0000120388', 'RX', 8364, NULL, 46838.399999999994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900DHYESSX5WQUA23', '789000171KMN5UM2V534', '2009-10-01', 'EUR', '2009-10-01', 'FR0000033003', 'TOUP', 2368, NULL, 11555.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500PAA902QVPQI827', '2549009XJ0AGRVHAPC12', '2018-02-13', 'EUR', '2018-02-13', 'BE0003519270', 'COBH', 9423, NULL, 37503540.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900GWGVMRG1S1X913', '894500H9QUXVPKXGNJ89', '2012-09-27', 'EUR', '2012-09-27', 'FR0000051302', 'MLHBB', 7629, NULL, 98414.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156004783E572DEBC61', '894500HBFTZBQDK4UN19', '2012-07-09', 'EUR', '2012-07-09', 'FR0000052292', 'RMS', 593, NULL, 287486.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980009PTPL6KYXHD58', '529900VA193NN1YA7191', '2014-01-09', 'EUR', '2014-01-09', 'FR0004153930', 'ALHYG', 6249, NULL, 512.418, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549007BFJU1XZCV4Y15', '549300VYGJUVXPW8L133', '2010-12-17', 'EUR', '2010-12-17', 'FR0000076655', 'ATI', 2558, NULL, 8646.039999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800F3F26FDMCUJN28', '549300QQLFU3NBSLT398', '2010-10-30', 'EUR', '2010-10-30', 'BE0974263924', 'TEXF', 5359, NULL, 144693.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156008F67B5DFBA2E54', '724500Q38BLCELFNXT50', '2015-02-16', 'EUR', '2015-02-16', 'PTGVE1AE0009', 'MLGEQ', 5072, NULL, 106.512, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900G8YGM9LNLSFP74', '894500H8Z571IOA2DR12', '2015-08-02', 'EUR', '2015-08-02', 'NL0000303709', 'AGN', 359, NULL, 1464.3609999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156007E26E67EE4D179', '254900TMKBEQHY9PRG79', '2011-01-26', 'EUR', '2011-01-26', 'BE0974282148', 'TINC', 1358, NULL, 16024.400000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800ETS88TRZ8SFX39', '529900JVX0LU1IAQ4315', '2013-10-28', 'EUR', '2013-10-28', 'FR0000063034', 'FAUV', 5002, NULL, 161064.40000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500R95440D55D4825', '98450074BEEDEE3D2A14', '2010-06-17', 'EUR', '2010-06-17', 'FR0010436170', 'MLBAT', 7137, NULL, 6566.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200SKICSNFOEVVB11', '254900AWEECW6P2AVG95', '2017-05-24', 'EUR', '2017-05-24', 'FR0000045239', 'CRLO', 2474, NULL, 233026.06, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000UPGZHNNM74YU05', '335800ZOVK14GTNOGJ02', '2017-11-01', 'EUR', '2017-11-01', 'FR0000060329', 'PSB', 7540, NULL, 229216.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450070KR92JBY63M76', '815600A53563E8E6D441', '2016-02-14', 'EUR', '2016-02-14', 'FR0000039620', 'MRN', 1924, NULL, 45214.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800NTUSN677QTXP97', '81560003444F7A4D8552', '2008-09-06', 'EUR', '2008-09-06', 'FR0011472943', 'VLAP', 994, NULL, 27.832, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299003P1IWU7S2AA049', '335800FCTI9CBH4QS545', '2016-05-17', 'EUR', '2016-05-17', 'FR0006859039', 'MLIPP', 7777, NULL, 276861.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900ADGZZDYD03RW76', '815600C23A8F574FEA64', '2016-10-04', 'EUR', '2016-10-04', 'FR0011053636', 'ALTBG', 1546, NULL, 234.992, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500LE01HGJX6G9X80', '894500ITMZ9KFTPN6705', '2012-04-12', 'EUR', '2012-04-12', 'FR0010812230', 'ALMNG', 6416, NULL, 2521.4880000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HGIR3NSRG5FZ82', '254900EU6DRSZPGI8E21', '2009-06-29', 'EUR', '2009-06-29', 'FR0000033409', 'FLY', 2275, NULL, 138320.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156009825403175DE61', '254900Y4Z49SW33IHI34', '2018-05-19', 'EUR', '2018-05-19', 'BE0003730448', 'QFG', 4266, NULL, 25681.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '30030077ZY2LPR6KLJ26', '959800GT2CLX8X9W2548', '2011-03-24', 'EUR', '2011-03-24', 'FR0000062788', 'BUI', 9407, NULL, 65849.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980072AJXBYG88AC33', '81560078D8B75F4DDB03', '2018-09-14', 'EUR', '2018-09-14', 'BE0003503118', 'PCBB', 9729, NULL, 80750.70000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600033CD0D7170690', '2549004R5QU9YFNY8L33', '2014-06-01', 'EUR', '2014-06-01', 'FR0013285103', 'MLAIM', 5919, NULL, 24859.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900Q29SPCDGZYHO94', '5493002D7CBKXSRGZ349', '2012-03-10', 'USD', '2012-03-10', 'US1667641005', 'CHTEX', 9943, NULL, 1123559.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156009E67318D0CE742', '213800K1FHIFHRSG1L22', '2015-03-29', 'EUR', '2015-03-29', 'FR0011408731', 'FLEBS', 3850, NULL, 30800.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800NQFGXCUACUXT22', '9598008JXBHP0CV59L60', '2013-01-02', 'EUR', '2013-01-02', 'BE0003593044', 'COFB', 8337, NULL, 904564.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500ABF0C46E1AF918', '789000UEVJ6NJD385G68', '2013-09-17', 'EUR', '2013-09-17', 'NL0010998878', 'BOLS', 5037, NULL, 77066.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900TI80BAROYN4H17', '9845001QF9483CC6F397', '2013-10-22', 'EUR', '2013-10-22', 'FR0000121014', 'MC', 8885, NULL, 2294107.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358001FKDUJ4KLTZS03', '959800EMN18T13KNS742', '2014-05-30', 'EUR', '2014-05-30', 'BE0974264930', 'AGS', 3636, NULL, 142894.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500G1RKUGWSBCBY55', '984500BA7698A6A8Y561', '2014-08-14', 'EUR', '2014-08-14', 'BE0974299316', 'ALINV', 9736, NULL, 48290.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300HH7QGMR2N61Q04', '335800ADHROXNQ1HRF02', '2016-02-15', 'EUR', '2016-02-15', 'FR0004188670', 'TKTT', 2066, NULL, 36196.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156002487F74176CF72', '3358009DTOIY8RZEQS53', '2017-12-17', 'EUR', '2017-12-17', 'PTCOR0AE0006', 'COR', 570, NULL, 5130.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003IGN2PH9T18H50', '743700A6M0A1S4CKR994', '2014-04-18', 'EUR', '2014-04-18', 'NL0000200384', 'CLB', 4314, NULL, 222171.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900XBG17MF5UNCY48', '7245006M3LDS98QOMZ45', '2015-06-13', 'EUR', '2015-06-13', 'BE0974272040', 'QRF', 9924, NULL, 136951.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900HE3WMV9T9FHI19', '335800XLB3LJEO861J66', '2014-05-21', 'EUR', '2014-05-21', 'FR0013268042', 'O2IBS', 9554, NULL, 859.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300TBSJ84TP4BKF42', '959800KTGBNU847M4K91', '2016-06-25', 'EUR', '2016-06-25', 'FR0000121725', 'AM', 1640, NULL, 1984400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HT5A4M58I93J74', '959800BMUA7B1QCUZV12', '2016-04-17', 'EUR', '2016-04-17', 'BE0974294267', 'NYR', 4573, NULL, 2624.9019999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900NLG13RNO3CCK80', '3358007GPIPP355BQR08', '2013-03-22', 'EUR', '2013-03-22', 'FR0000066961', 'ALDBL', 8266, NULL, 23806.079999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300JFKE51SVF1KW33', '959800JTCHULXUWHNP81', '2018-01-01', 'EUR', '2018-01-01', 'PTSLB0AM0010', 'SLBEN', 589, NULL, 995.41, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800V5EE78K4LOD223', '254900P5B0TAX3QA5M60', '2015-07-03', 'EUR', '2015-07-03', 'BE0974268972', 'BPOST', 5843, NULL, 46773.215000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800T3X24SH42R2T71', '213800FET9CBLY1BBI44', '2017-09-13', 'EUR', '2017-09-13', 'FR0011472943', 'VLAP', 9145, NULL, 256.06, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '353800198096EUPBWJ26', '549300KEFQXKB36V2F82', '2012-04-22', 'EUR', '2012-04-22', 'BE0003826436', 'TNET', 1781, NULL, 72308.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493001Y96CRFSTK3P09', '724500CSLY2C641ZLE16', '2015-05-19', 'EUR', '2015-05-19', 'FR0012057149', 'MCBS2', 4577, NULL, 4.577, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845008CF2HUC703A212', '549300U3UM0L00PMTA93', '2014-12-04', 'EUR', '2014-12-04', 'FR0010298620', 'MEMS', 7372, NULL, 14522.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300SQYFR3SSHBXY27', '529900JVX0LU1IAQ4315', '2015-06-29', 'EUR', '2015-06-29', 'FR0011992700', 'ATEME', 5801, NULL, 63578.96000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500IQ916OE8GARZ21', '9598004ZKK5G84DR3Z41', '2010-02-21', 'EUR', '2010-02-21', 'FR0013176526', 'FR', 4020, NULL, 102550.20000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598006SXXQNVLJF7X64', '2549004R5QU9YFNY8L33', '2013-08-12', 'EUR', '2013-08-12', 'FR0004035061', 'GUYD', 4180, NULL, 927.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000ZHY3G8IL8G840', '743700R6MKAHGL6IHW38', '2015-07-23', 'EUR', '2015-07-23', 'FR0011071570', 'ALCOG', 2717, NULL, 15079.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003Q27VIHVL77538', '391200BOQWTAHIMH1I81', '2016-09-15', 'EUR', '2016-09-15', 'PTORE0AM0002', 'ORE', 2144, NULL, 866.176, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200U8BIIRW12P7H45', '529900R87K588NM6VQ02', '2018-04-04', 'EUR', '2018-04-04', 'FR0000060832', 'PREC', 8513, NULL, 1438697.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900VU8W2U056OQ621', '254900R7HJO25WEV6162', '2010-07-01', 'EUR', '2010-07-01', 'FR0013230067', 'MLMMC', 1082, NULL, 632.9699999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HDLFO2O46G0F19', '894500HRRE6PEEJC7J33', '2011-05-19', 'EUR', '2011-05-19', 'FR0004197747', 'ALTER', 3099, NULL, 2944.0499999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800GLEEICWZI8J523', '959800R9K00A2JLWMK84', '2012-11-20', 'EUR', '2012-11-20', 'BE0003809267', 'ZEN', 4964, NULL, 764456.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HVX20FMWG2VJ81', '9845000FAB86A547EB57', '2011-05-22', 'EUR', '2011-05-22', 'FR0000061582', 'ALSIP', 87, NULL, 1061.3999999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900EQNAOPFXK46G24', '5299007OCZAFSTDVK712', '2011-07-16', 'EUR', '2011-07-16', 'FR0000039109', 'SCHP', 3584, NULL, 95334.40000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800FCTI9CBH4QS545', '959800QC4NWYW4UBRM09', '2010-01-25', 'EUR', '2010-01-25', 'NL0000440477', 'ROOD', 8756, NULL, 2189.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299003P1IWU7S2AA049', '254900RTIIH24FQMYN62', '2011-03-24', 'EUR', '2011-03-24', 'FR0011408731', 'FLEBS', 7659, NULL, 61272.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800E3XVFNBWO78R28', '529900HUVEL8HNU4LY87', '2017-12-14', 'EUR', '2017-12-14', 'FR0000044471', 'GDS', 8002, NULL, 171242.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300R8ACNEQIRP6549', '254900HPKSVNWDG4XQ61', '2009-11-15', 'EUR', '2009-11-15', 'IT0004013725', 'ALWOO', 9208, NULL, 460.40000000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H7L994RUB5HR02', '81560081DE5342908472', '2015-05-30', 'EUR', '2015-05-30', 'FR0000073728', 'ALSER', 1607, NULL, 379252.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500K894J6L9N1I931', '254900LEJ4HP6RMWD374', '2014-10-17', 'EUR', '2014-10-17', 'CM0000035113', 'BCAM', 5675, NULL, 490887.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300PHRUCZ2ENP1713', '529900VA193NN1YA7191', '2017-03-28', 'EUR', '2017-03-28', 'FR0000054199', 'DPT', 6570, NULL, 824.535, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300MUQMXOQKNRL725', '315700WN8S5EDU6RB582', '2015-10-15', 'EUR', '2015-10-15', 'BE0003809267', 'ZEN', 731, NULL, 112574.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800LJ2A04SEQ63X03', '95980000WG32P9ZD6Y71', '2013-01-16', 'EUR', '2013-01-16', 'FR0000066052', 'AVT', 7807, NULL, 1202.278, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549007FVCMBRK9TXW36', '213800JFDQ4QWTS6CB24', '2011-11-11', 'EUR', '2011-11-11', 'FR0011776889', 'MLUMG', 6548, NULL, 51074.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HXGHI40PQVF328', '98450073CC041436ED05', '2010-09-05', 'EUR', '2010-09-05', 'BE0974276082', 'ONTEX', 396, NULL, 7088.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300QHNG3YLJZGBD77', '894500H9FRUCFM9PCF65', '2009-02-23', 'EUR', '2009-02-23', 'FR0000054678', 'EUR', 4000, NULL, 11080.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800W9TRM932HML048', '959800WEA8P3UKU5W649', '2017-12-04', 'EUR', '2017-12-04', 'BE0003699130', 'GIMB', 418, NULL, 19604.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800L04YJW40RKLR67', '894500HU2JF7Z4HJ0V91', '2017-10-23', 'EUR', '2017-10-23', 'FR0010202606', 'ALBFR', 1537, NULL, 76850.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500W8ZCQCSQU75P98', '815600436C4F1DF86A34', '2009-07-23', 'EUR', '2009-07-23', 'FR0004188670', 'TKTT', 8676, NULL, 152003.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600BE8E16BF1B0514', '959800BHPYMFN1963C79', '2012-08-12', 'EUR', '2012-08-12', 'FR0013230067', 'MLMMC', 562, NULL, 328.77, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700CS7YTAIAD20C75', '959800YZE3BADFNRX061', '2010-09-14', 'EUR', '2010-09-14', 'FR0010452474', 'ALGEM', 1031, NULL, 35054.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800FOTV3MW5C7EH18', '894500H41RMH39PXFZ08', '2008-08-23', 'EUR', '2008-08-23', 'BE0003822393', 'ELI', 8466, NULL, 493567.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900M802M9464ZIA97', '78900021BEBQZ8M1C652', '2010-01-13', 'EUR', '2010-01-13', 'NL0012747067', 'DSC1W', 1328, NULL, 929.5999999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500PAA902QVPQI827', '254900Q0MAMBKMUX3824', '2010-09-10', 'EUR', '2010-09-10', 'FR0013318052', 'ALORD', 5350, NULL, 24583.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400HBNO8HJM055X49', '81560079B6563A601D80', '2013-01-04', 'EUR', '2013-01-04', 'FR0010428771', 'OLG', 2765, NULL, 7741.999999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300QA4WS64PV1JK34', '894500HZ5GJK1IDJM784', '2009-06-19', 'EUR', '2009-06-19', 'FR0013330792', 'ALNN6', 5818, NULL, 20534.631, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800H42LCSE3CB7823', '549300FPCBHHIFJFGV84', '2010-01-25', 'EUR', '2010-01-25', 'US4595061015', 'IFF', 8286, NULL, 882459.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000ZJ7PGTDDQW9T19', '9598006C588B63579789', '2008-10-08', 'EUR', '2008-10-08', 'FR0012833770', 'MLVAL', 1580, NULL, 22594.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500EA49C74DD0DD17', '724500M1FWNXNMXIJZ16', '2012-03-11', 'EUR', '2012-03-11', 'FR0010176115', 'MLOLM', 8591, NULL, 154638.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549002B39OI8KJ65B25', '3358001FKDUJ4KLTZS03', '2016-09-13', 'EUR', '2016-09-13', 'NL0000360618', 'SBMO', 3035, NULL, 39227.375, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900H788CMCT86VR92', '254900L44F7VSV59P117', '2016-08-12', 'EUR', '2016-08-12', 'BE0003844611', 'MDXH', 5611, NULL, 10380.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500WHQVZ9ISXDP386', '724500YYSQT6AKQ9YI05', '2010-12-09', 'EUR', '2010-12-09', 'PTIPR0AM0000', 'IPR', 4176, NULL, 569.6064, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000ZJ7PGTDDQW9T19', '72450024QNX0JGBARI55', '2016-07-26', 'EUR', '2016-07-26', 'DE0007664039', 'VWAP', 5528, NULL, 779337.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000ANF8REQ2UE6Y65', '5493005FKMS3KRRW0T36', '2014-11-22', 'EUR', '2014-11-22', 'FR0004177046', 'METEX', 7571, NULL, 12174.168000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HMU0M4YZZ79R82', '391200SWEKIHTMX0UW63', '2008-07-29', 'EUR', '2008-07-29', 'FR0010649228', 'SMLBS', 5126, NULL, 205.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200XDF2HWSFNGDZ08', '335800H57N6CGB174W04', '2013-12-16', 'EUR', '2013-12-16', 'NL0000400653', 'GTO', 9922, NULL, 502648.51999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500505888C1B7FD10', '969500I0ZX9X0P009551', '2018-01-07', 'EUR', '2018-01-07', 'BE0003893139', 'IMMOU', 6564, NULL, 266498.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500R95440D55D4825', '52990005V8S59U2W4L64', '2009-09-11', 'EUR', '2009-09-11', 'FR0013066313', 'MBWSZ', 153, NULL, 183.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800JF6F5W7N89F526', '894500H6IGERAYZZWV37', '2011-05-31', 'EUR', '2011-05-31', 'BE0974302342', 'ALPHS', 2149, NULL, 29441.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900DB0U9Q1T775774', '335800L5T7UMVUKPNN44', '2013-08-16', 'EUR', '2013-08-16', 'FR0013340809', 'CYBBS', 6252, NULL, 937.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800W8AVKG5HQ6QO64', '959800HPY3YY9CR19N44', '2013-05-09', 'EUR', '2013-05-09', 'BE0003599108', 'IMMO', 2843, NULL, 143287.19999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800P05ZEBUY44VA78', '8156008722B405259B53', '2015-01-07', 'EUR', '2015-01-07', 'FR0000035305', 'ALBDM', 5191, NULL, 6748.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900L35ANMKSXNCP42', '213800JCEEASR9BUUX74', '2018-07-16', 'EUR', '2018-07-16', 'BE0003770840', 'LEAS', 2371, NULL, 207225.40000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800QUD7Y6HOGL4S53', '254900L35ANMKSXNCP42', '2011-04-01', 'EUR', '2011-04-01', 'FR0013269123', 'RUI', 8899, NULL, 417185.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300FLDGP8ODO59G64', '549300VENA2LUFHT1Z11', '2011-05-01', 'EUR', '2011-05-01', 'NL0000335578', 'BINCK', 6714, NULL, 40888.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700MGXEFTNTNGOG54', '7245001A7IFOVZ87YK54', '2014-03-12', 'EUR', '2014-03-12', 'FR0010086371', 'MLIML', 818, NULL, 125.972, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900QW9WW3MO52AT86', '549300A527UVFQP3LE45', '2012-01-20', 'EUR', '2012-01-20', 'FR0011005933', 'ALBIO', 9200, NULL, 23000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200GWYAUCEUOEJL48', '724500M2AJ9YSLWA1029', '2011-10-12', 'EUR', '2011-10-12', 'FR0004070795', 'ARDO', 212, NULL, 16960.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450074BEEDEE3D2A14', '959800W7D6T7K6Z04D04', '2016-01-20', 'EUR', '2016-01-20', 'FR0004175222', 'MLSBT', 3989, NULL, 33906.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200JN61F3UJFIK036', '9845003T829B3890E450', '2015-07-04', 'EUR', '2015-07-04', 'FR0000031122', 'AF', 9945, NULL, 94278.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000XAXP39KGFZLT35', '894500HAD14Y9I8Z9R05', '2018-10-21', 'EUR', '2018-10-21', 'FR0013309622', 'CGGBT', 2987, NULL, 185.194, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450099WDOWCQ91TT71', '7890005N9J1TXFQFTA27', '2010-11-25', 'EUR', '2010-11-25', 'FR0010312181', 'MLHPE', 9454, NULL, 20798.800000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800N9IBJ2FXMZIV64', '894500H7A65LHVNE6N40', '2017-02-02', 'EUR', '2017-02-02', 'CH0308403085', 'GNRO', 6376, NULL, 21933.44, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598009HCQLHAHAFNU70', '549300R357N6XZU86B66', '2013-12-13', 'EUR', '2013-12-13', 'FR0000039638', 'LFVE', 7729, NULL, 440553.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300X6PJFAO1OLDJ10', '959800PZREL5QC5PEB52', '2012-04-28', 'EUR', '2012-04-28', 'FR0004178572', 'ALMED', 777, NULL, 1779.33, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HPLSHYGNX11R77', '724500X6F9PBE8NUK140', '2014-09-17', 'EUR', '2014-09-17', 'FR0010099515', 'ECASA', 8062, NULL, 79491.31999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9695004OTFEB64UDZJ22', '959800R6AEBEBH17HD14', '2017-07-11', 'EUR', '2017-07-11', 'FR0010298901', 'OFP', 8088, NULL, 6389.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000OT46OM4WMHF18', '529900MZAT1NGJO3BQ80', '2009-03-08', 'EUR', '2009-03-08', 'FR0013072741', 'MLOSA', 9053, NULL, 45265.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800I1RKN7ZKHF8T95', '335800YRCJZBI5KM5S53', '2010-11-02', 'EUR', '2010-11-02', 'FR0010959684', 'MLCLP', 5458, NULL, 27290.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598009HCQLHAHAFNU70', '254900ZEWYNGGQVW6B26', '2017-10-27', 'EUR', '2017-10-27', 'NL0000440311', 'HOLCO', 5220, NULL, 409248.00000000006, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HLG4O8860ADR31', '959800U8LZF2EH0WC525', '2013-09-18', 'EUR', '2013-09-18', 'LU0881232630', 'MLDYX', 6933, NULL, 21769.620000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800NPF1OZR1WF6C04', '959800S91JHPH5KY9M89', '2009-05-25', 'EUR', '2009-05-25', 'CH0008175645', 'TVRB', 4202, NULL, 201696.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '300300C1115332000047', '254900XK769FOW3ION94', '2009-01-17', 'EUR', '2009-01-17', 'FR0010961920', 'MLSCH', 693, NULL, 27720.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600046C74ABDA1350', '529900R3R9BGCQTXWO76', '2017-02-07', 'EUR', '2017-02-07', 'FR0000031122', 'AF', 6365, NULL, 60340.200000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400T6GVDLCYY15M13', '959800WEA8P3UKU5W649', '2017-01-20', 'EUR', '2017-01-20', 'FR0000052755', 'MLEDS', 1441, NULL, 720.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H67DB810C8LR07', '300300C1115332000047', '2009-12-04', 'EUR', '2009-12-04', 'FR0000073793', 'DVT', 8676, NULL, 715770.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900VAFN1UT85LC536', '743700GBYMRP6X6Y2F60', '2010-11-21', 'EUR', '2010-11-21', 'FR0000066219', 'INFE', 6584, NULL, 391748.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25940021PPUKB3Q37M96', '789000JQJJ6CZ6879952', '2017-08-19', 'EUR', '2017-08-19', 'NL0009875483', 'PREVA', 435, NULL, 11079.449999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500DA1BA52FH59C90', '5299005MZ9C9J9ZBYZ87', '2011-03-16', 'EUR', '2011-03-16', 'FR0000036816', 'EIFF', 2486, NULL, 91484.79999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2138008A9XXUZGHZ4D06', '529900GFOUN685Z50P96', '2013-06-12', 'EUR', '2013-06-12', 'FR0000054066', 'MLCTA', 7596, NULL, 133689.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200XDF2HWSFNGDZ08', '549300RBG5RTDRSAXM92', '2010-05-10', 'EUR', '2010-05-10', 'NL0011832811', 'FFARM', 76, NULL, 611.8000000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156004D3EAB1EF52539', '549300BEMH5PIRO3WG40', '2013-06-20', 'EUR', '2013-06-20', 'BE0003818359', 'GLPG', 4688, NULL, 377665.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299002URJ7HCB1NOH98', '5493007PUSTNZKI1TX18', '2015-11-03', 'EUR', '2015-11-03', 'US58933Y1055', 'MRK', 1284, NULL, 83460.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '21380088Z6MA9A5C4N13', '984500GS9CCC5F549879', '2015-09-02', 'EUR', '2015-09-02', 'NL0011540547', 'ABN', 9132, NULL, 187571.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009AF5KGW6GQ7S93', '95980074NVNWB8MFM280', '2018-10-27', 'EUR', '2018-10-27', 'FR0004154060', 'NTG', 1012, NULL, 991.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500S2YNQB37LQ3J77', '335800IJ3ZOETOVYBZ96', '2015-01-30', 'EUR', '2015-01-30', 'BE0003592038', 'COMB', 2450, NULL, 923650.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493001NBUVYRXX5RM13', '9695009JWILO0BQ3WL64', '2012-07-12', 'EUR', '2012-07-12', 'FR0004026151', 'ITE', 2191, NULL, 8150.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156006ED0ECD71E7487', '549300ZXSTC7EQEPGQ54', '2011-08-16', 'EUR', '2011-08-16', 'FR0010411983', 'SCR', 4163, NULL, 164022.19999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800FCTI9CBH4QS545', '529900OFJRBC9QBPPD79', '2018-09-28', 'EUR', '2018-09-28', 'FR0000130577', 'PUB', 6319, NULL, 316455.51999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HFAEPIOWT47J68', '894500HG7O04ISSE4V78', '2018-11-27', 'EUR', '2018-11-27', 'CH0121668229', 'MLIFE', 4276, NULL, 2043.9279999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900CDKSOPAD0ZSC04', '213800DSJ931478MDJ69', '2016-04-15', 'EUR', '2016-04-15', 'FR0011198175', 'PROBS', 5069, NULL, 5018.31, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980011J5FEVANLLF23', '254900ZQGMQ3RPR4FJ95', '2018-04-17', 'EUR', '2018-04-17', 'FR0012650166', 'EPS', 4924, NULL, 58841.799999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '300300C1115332000047', '894500HUOPMAJ1T1N380', '2009-11-28', 'EUR', '2009-11-28', 'BE0974278104', 'ABO', 1909, NULL, 4581.599999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980098L4TQFKQLP237', '2549004YROKFYDRFD491', '2015-07-15', 'EUR', '2015-07-15', 'FR0000072373', 'GID', 9548, NULL, 13319.460000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980072XSEYJGUT3C64', '549300UEAJV6RALDS969', '2011-12-17', 'EUR', '2011-12-17', 'IT0003132476', 'ENI', 323, NULL, 4360.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800NNKMBI6ZIFKA71', '254900YYYGLPY54VBK69', '2014-08-12', 'EUR', '2014-08-12', 'FR0004166197', 'ALTVO', 4748, NULL, 92586.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300Z6DALCB0HICS77', '959800QPAP76G39E2833', '2016-05-28', 'EUR', '2016-05-28', 'FR0000038259', 'ERF', 7512, NULL, 2448912.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156005F3EB63BB40022', '984500FC8569569B5B24', '2017-06-07', 'EUR', '2017-06-07', 'NL0009767532', 'ACCEL', 8427, NULL, 158764.68, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300FLDGP8ODO59G64', '894500HCZ9H046UXE748', '2010-10-10', 'EUR', '2010-10-10', 'FR0010776658', 'MLDEX', 7873, NULL, 19052.66, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004U9MB8CMIPZ267', '8156009825403175DE61', '2017-08-11', 'EUR', '2017-08-11', 'BE0003600112', 'WOLE', 7516, NULL, 668999.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549008FQBEQ2AD1RY32', '335800ESD27927KNE341', '2011-10-05', 'EUR', '2011-10-05', 'GB00BQQFX454', 'AXS', 1148, NULL, 1377.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600BB628193F2B289', '95980029RH0L3CJAET69', '2008-08-05', 'EUR', '2008-08-05', 'NL0000018034', 'AJAX', 132, NULL, 1920.6000000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549008EY1JSRDDZ1O46', '254900SHWR4BHBFBCU89', '2013-07-16', 'EUR', '2013-07-16', 'FR0010050773', 'MLATV', 6885, NULL, 11704.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300PT0J7UUZQG1476', '8156002E18634BC3F457', '2010-05-07', 'EUR', '2010-05-07', 'FR0000032278', 'LAT', 2632, NULL, 7316.959999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300A527UVFQP3LE45', '335800MQJUIUOEIJQM19', '2015-09-21', 'EUR', '2015-09-21', 'FR0000120404', 'AC', 1381, NULL, 51248.909999999996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549006LU69JTP4NWC25', '3003004RVX5YJ710LE48', '2009-02-03', 'EUR', '2009-02-03', 'FR0000060832', 'PREC', 1572, NULL, 265668.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900DJ1BXSS8R4OA89', '81560086D1685E53D768', '2016-12-09', 'EUR', '2016-12-09', 'FR0000079147', 'ALU10', 5256, NULL, 9986.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HM7UF2F2NONJ34', '789000Y1BLNRHHUPU035', '2016-08-06', 'EUR', '2016-08-06', 'FR0000061657', 'MLMAB', 8731, NULL, 1012796.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500229CR5H0HBTG26', '254900UYX1SFMJ4M0K75', '2011-03-05', 'EUR', '2011-03-05', 'FR0000033409', 'FLY', 3930, NULL, 238944.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600B4B8B9C21AE913', '391200DXUC5SKRCQXI59', '2018-07-13', 'EUR', '2018-07-13', 'FR0000061459', 'PERR', 4938, NULL, 223691.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900HZF51AQU0JB233', '529900GKD4BEVP01J738', '2009-05-30', 'EUR', '2009-05-30', 'NL0000387058', 'TOM2', 4075, NULL, 32192.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600E1429EA2A1B323', '815600B668DA5F2F7110', '2017-04-16', 'EUR', '2017-04-16', 'FR0010241638', 'MERY', 4585, NULL, 54882.450000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900MN8RVA6TM8E134', '7245004KZMRBT57Q2W79', '2013-11-16', 'EUR', '2013-11-16', 'FR0000030611', 'GALIM', 8302, NULL, 200908.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800NT15YBL4D1RS27', '789000UPGZHNNM74YU05', '2018-02-27', 'EUR', '2018-02-27', 'FR0000120669', 'ES', 6470, NULL, 208980.99999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900A0NB92XOYGY957', '894500H67DB810C8LR07', '2016-02-20', 'EUR', '2016-02-20', 'ANN4327C1303', 'HUNDP', 3599, NULL, 1655.54, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H4THDBA6DBPR70', '2549007HTW4F9N22U025', '2011-03-08', 'EUR', '2011-03-08', 'FR0004155000', 'SFPI', 2319, NULL, 5009.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600EEA50F241AB954', '7890000FJXQPN3LWWA94', '2013-12-29', 'EUR', '2013-12-29', 'NL0010545679', 'LVIDE', 8575, NULL, 4544.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500139AN089Q14649', '529900R3R9BGCQTXWO76', '2016-12-23', 'EUR', '2016-12-23', 'PTSCP0AM0001', 'SCP', 7710, NULL, 5628.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800D2LQ2DFCLXH448', '335800PRB8BUVI3NIV64', '2018-01-22', 'EUR', '2018-01-22', 'FR0004527638', 'EXE', 7578, NULL, 515304.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900MGJJCFZGT70848', '254900ZEM4US40RSGD93', '2009-04-11', 'EUR', '2009-04-11', 'FR0010776658', 'MLDEX', 2774, NULL, 6713.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598003TXKE5UCE00M50', '959800BDEF48WE2YTM66', '2015-05-23', 'EUR', '2015-05-23', 'FR0000054066', 'MLCTA', 5730, NULL, 100848.00000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299001VKMKP5PBLIB12', '2138003T45E4UAE2EV94', '2014-10-22', 'EUR', '2014-10-22', 'FR0010976746', 'MLMNR', 8024, NULL, 10431.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600B000DE9B544733', '894500HETS27RYTH8V21', '2018-03-11', 'EUR', '2018-03-11', 'LU0092846210', 'LUXA', 7363, NULL, 1619860.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600EC67659C956921', '9845005AB2561BBOA960', '2011-03-15', 'EUR', '2011-03-15', 'BE0003826436', 'TNET', 731, NULL, 29678.600000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800W3KSQWPAC5QV55', '8156001DB6BEA7F39C93', '2016-04-27', 'USD', '2016-04-27', 'GG00B1RMC548', 'TFG', 7934, NULL, 92431.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156006ED0ECD71E7487', '8156003FD83099AA0794', '2015-09-29', 'EUR', '2015-09-29', 'FR0000064180', 'GDMS', 2122, NULL, 1368690.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500E843FB3D44D224', '984500CEDB76ZE159894', '2017-12-17', 'EUR', '2017-12-17', 'CM0000035113', 'BCAM', 8072, NULL, 698228.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800AMOVC9997RQK18', '98450074BEEDEE3D2A14', '2017-05-11', 'EUR', '2017-05-11', 'CI0000053161', 'FORE', 3628, NULL, 2721000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300S6SM417XVLA052', '959800S3TBCZHCN25C73', '2016-01-05', 'EUR', '2016-01-05', 'BE0003883031', 'CFEB', 3934, NULL, 339897.60000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2534006BRL22ER2L6895', '25490029OGGL63Z07064', '2015-10-25', 'EUR', '2015-10-25', 'FR0010313833', 'AKE', 2219, NULL, 166336.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HQU4W3KIK2A771', '815600B4B8B9C21AE913', '2008-07-06', 'USD', '2008-07-06', 'US5949181045', 'MSF', 7662, NULL, 759304.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000IRT4DW5B76JY43', '391200SKJGOGCX5ULH65', '2017-06-05', 'EUR', '2017-06-05', 'PTS3P0AM0025', 'SONI', 6357, NULL, 9281.22, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004YROKFYDRFD491', '254900H788CMCT86VR92', '2015-08-18', 'EUR', '2015-08-18', 'LU0383812293', 'REINA', 1415, NULL, 18395.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '33580033UCXSXAO26F53', '894500HTWZVGC55NDB23', '2016-05-17', 'EUR', '2016-05-17', 'FR0012650166', 'EPS', 2200, NULL, 26290.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '485100JGNCMKX8D38D66', '894500H5WA7OR1OHAN89', '2011-06-07', 'EUR', '2011-06-07', 'LU0569974404', 'APAM', 3935, NULL, 90701.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HTRGBOP5TRPR31', '815600B550351BC70D17', '2015-08-01', 'EUR', '2015-08-01', 'FR0000071755', 'MLSEC', 8232, NULL, 329280.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900H5PFF51J6TYH33', '815600436C4F1DF86A34', '2017-09-09', 'EUR', '2017-09-09', 'FR0000120321', 'OR', 7990, NULL, 1607588.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450064NDC63703M579', '959800433J1N5N1KCM91', '2014-02-12', 'EUR', '2014-02-12', 'FR0013233012', 'IVA', 9607, NULL, 53991.340000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900UVK17H0M86G820', '95980044CJL1TG0GU366', '2013-09-25', 'EUR', '2013-09-25', 'FR0013253812', 'MLALV', 3332, NULL, 1283.1532, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800EQK23KTT5K5L36', '959800S99YPLZQBXP053', '2015-09-25', 'EUR', '2015-09-25', 'FR0011511971', 'ALICR', 2910, NULL, 8613.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003FVVKKXP7PMR65', '549300DXD6G8NGZ3BU81', '2009-05-17', 'EUR', '2009-05-17', 'FR0010945733', 'MLEES', 507, NULL, 69.459, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299003P1IWU7S2AA049', '2594006W3TA1TP0SW822', '2009-02-20', 'EUR', '2009-02-20', 'PTSLB0AM0010', 'SLBEN', 5871, NULL, 9921.99, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598007KB3HSD83FRJ58', '2549006LU69JTP4NWC25', '2012-04-08', 'EUR', '2012-04-08', 'NL0009739416', 'PNL', 2767, NULL, 5525.6990000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900BE4B39XDJJKC04', '529900VAFN1UT85LC536', '2010-12-03', 'EUR', '2010-12-03', 'FR0013204336', 'LOUP', 9878, NULL, 1071763.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H7FPPD4UZ9U708', '789000C1GQY4O9Y27H34', '2016-04-08', 'EUR', '2016-04-08', 'FR0012872141', 'JBOG', 9891, NULL, 59148.18000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598004ZKK5G84DR3Z41', '894500HCD39XK9JERZ37', '2012-08-25', 'EUR', '2012-08-25', 'FR0000121501', 'UG', 9865, NULL, 183932.925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HUOPMAJ1T1N380', '8156008BDEBBEC55B397', '2018-07-02', 'EUR', '2018-07-02', 'BE0003797140', 'GBLB', 1006, NULL, 76536.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800O9TGFI28HG3H16', '894500HV5C9LFZSOLR51', '2012-05-10', 'EUR', '2012-05-10', 'BE0003766806', 'IBAB', 6055, NULL, 77746.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560079B6563A601D80', '894500HSONHB8AIM4V39', '2012-05-10', 'EUR', '2012-05-10', 'FR0011284991', 'FTRN', 8929, NULL, 10089.769999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560023E67CE06D2762', '213800XWA3V4T3U4T312', '2018-03-11', 'EUR', '2018-03-11', 'FR0004043487', 'ALTRA', 5505, NULL, 5560.05, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800KM5KWV6U3UDN27', '549300QA4WS64PV1JK34', '2012-11-23', 'EUR', '2012-11-23', 'FR0000312928', 'PUBBS', 7624, NULL, 155529.59999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900R7HJO25WEV6162', '7890004483KGVM5FWD92', '2009-02-03', 'EUR', '2009-02-03', 'NL0000009538', 'PHIA', 3763, NULL, 116389.59, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25490086FCA0ZK6GYK45', '335800LA1C7NBOCSMV36', '2016-04-19', 'EUR', '2016-04-19', 'GB00BDCPN049', 'CCEP', 9595, NULL, 386102.80000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560060AD3383D29187', '815600D8DA95C98F1B07', '2012-02-13', 'EUR', '2012-02-13', 'NL0000362648', 'KA', 7968, NULL, 47170.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200OC6NE1SEAGD951', '95980006UGUUN6PJKF71', '2018-10-18', 'EUR', '2018-10-18', 'BE0003599108', 'IMMO', 4486, NULL, 226094.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800A38UYKW82EF624', '815600F3CDFAD95C5145', '2016-08-06', 'EUR', '2016-08-06', 'FR0010169920', 'ALPRE', 4292, NULL, 40130.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890009WVEGUFEVR1I77', '81560043CD206EA51196', '2015-08-02', 'EUR', '2015-08-02', 'ES0127797019', 'EDPR', 6576, NULL, 51128.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500W74PQ6LZLUWQ56', '315700YG8W0P0VDEUA36', '2010-05-10', 'EUR', '2010-05-10', 'NL0000817179', 'SLIGR', 3301, NULL, 114874.79999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900XIV1K6D955MM91', '815600E080D4AB6B0183', '2018-11-24', 'EUR', '2018-11-24', 'US3696041033', 'GNE', 5778, NULL, 38308.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HHWN1KJLF2BZ73', '529900HUVEL8HNU4LY87', '2009-02-05', 'EUR', '2009-02-05', 'LU0881232630', 'MLDYX', 5664, NULL, 17784.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300XJU991ISTK6H05', '894500HSDKDRYBUUTR30', '2018-06-26', 'EUR', '2018-06-26', 'BE0003880979', 'KEYW', 4027, NULL, 3906.19, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358003P63P92CY3RH66', '815600099EE4831BA656', '2014-04-23', 'EUR', '2014-04-23', 'FR0006226791', 'MLHMC', 8870, NULL, 37431400.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598008NS55RDX2HVD06', '529900HUVEL8HNU4LY87', '2018-02-04', 'EUR', '2018-02-04', 'FR0011472943', 'VLAP', 716, NULL, 20.048000000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450073CC041436ED05', '724500DO2C30LD5DX359', '2013-10-06', 'EUR', '2013-10-06', 'SN0008626971', 'BOAF', 1795, NULL, 1238550.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H81VWFOSASGF25', '391200DBB5G7H80FLS56', '2011-01-31', 'EUR', '2011-01-31', 'FR0000065765', 'SDT', 5232, NULL, 11510.400000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598002GTXZ9RQ9KWN61', '959800JERXSY6877QR36', '2016-08-16', 'EUR', '2016-08-16', 'FR0000121147', 'EO', 7911, NULL, 261616.77, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450044O7LEAPET9E97', '724500XKOOZYHZ0M2715', '2014-10-31', 'EUR', '2014-10-31', 'GB00BDSFG982', 'FTI', 9732, NULL, 171769.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800QS1GU1LXNVQF70', '9598005MXHRHCXC6EY92', '2018-02-06', 'EUR', '2018-02-06', 'FR0000045601', 'CBE', 5088, NULL, 2187840.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900JEOZXYY3AO8330', '213800X9QP1BKHYPSH12', '2009-11-29', 'EUR', '2009-11-29', 'ES0113900J37', 'SANTA', 2924, NULL, 11498.630000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600D8DA95C98F1B07', '335800PJOYJ3PHHQ1Y64', '2015-06-19', 'EUR', '2015-06-19', 'FR0013356243', 'NLFBT', 4217, NULL, 29.519000000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800L5T7UMVUKPNN44', '969500TG5Q6AMPF1KJ69', '2015-02-22', 'EUR', '2015-02-22', 'FR0004152882', 'ALCLA', 6387, NULL, 191610.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3912005K8UY8SC8NGF12', '959800B0LHP38UK01N73', '2011-07-21', 'EUR', '2011-07-21', 'FR0011277391', 'FPN', 8063, NULL, 233.827, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700KDP0HND0E9ZN68', '2138001PNSCULKHLKS25', '2015-11-14', 'EUR', '2015-11-14', 'FR0010282822', 'SESL', 3723, NULL, 67684.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560018707F88597804', '959800V1USGNW6MJG244', '2011-09-23', 'EUR', '2011-09-23', 'FR0010451203', 'RXL', 745, NULL, 6928.500000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800VMI3OJPXEDL683', '549300UDRH8FWWGS7X27', '2008-12-24', 'EUR', '2008-12-24', 'FR0010341032', 'INEA', 596, NULL, 23601.600000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549003M2IRY43H5OH37', '959800F6Y18AWTUQRF68', '2016-12-27', 'EUR', '2016-12-27', 'BE0003853703', 'MONT', 710, NULL, 42458.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800TTB4MIGIA4VH29', '8156009175F540E27221', '2018-07-02', 'EUR', '2018-07-02', 'FR0010812230', 'ALMNG', 2783, NULL, 1093.719, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600029392D8229319', '254900TTALLCHNJ0H241', '2015-06-21', 'EUR', '2015-06-21', 'FR0000073272', 'SAF', 3637, NULL, 383339.80000000005, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900T3EJN4ESS5LQ92', '98450062BFT6AFE08A06', '2016-04-05', 'EUR', '2016-04-05', 'FR0000045619', 'CBR', 2679, NULL, 117876.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9695001R4NTUOGCZWI05', '894500HPAPEF6P99QN27', '2014-03-26', 'EUR', '2014-03-26', 'BE0003740546', 'GENK', 1537, NULL, 73776.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156009F9CE4BBDA0D95', '213800KM5KWV6U3UDN27', '2018-03-03', 'EUR', '2018-03-03', 'FR0013296746', 'ADVIC', 7179, NULL, 68193.32100000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900DFT4W7ILBTIB85', '9845008FB367A4537577', '2015-10-19', 'EUR', '2015-10-19', 'FR0013227113', 'SOI', 1445, NULL, 73117.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '50670034Z315366VL742', '2549001DNSQKOQ8F6H57', '2016-05-26', 'EUR', '2016-05-26', 'CH0012214059', 'LHN', 7454, NULL, 267076.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004NI1NN52MATD36', '254900NF8TPZ2TYMVV35', '2010-09-11', 'EUR', '2010-09-11', 'FR0000121691', 'NRG', 4550, NULL, 33761.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HTWZVGC55NDB23', '724500H1NGL47385H324', '2011-12-01', 'EUR', '2011-12-01', 'FR0012819381', 'ALGIL', 7639, NULL, 148043.81999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560018944686DBAE67', '959800JWUYNYDJ1X1X32', '2018-08-31', 'EUR', '2018-08-31', 'FR0010918292', 'TCH', 1333, NULL, 1271.682, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800ZEL3D4ZSNB4687', '3912000OENJJ0JBVHI39', '2018-11-14', 'EUR', '2018-11-14', 'FR0000071797', 'INF', 9443, NULL, 362611.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800FET9CBLY1BBI44', '254900SQ3RQAE7CHEN84', '2010-08-01', 'EUR', '2010-08-01', 'NL0011794037', 'AD', 4879, NULL, 107703.925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800UALDOFE23QZZ30', '485100NCLJ249AFQUK46', '2010-01-25', 'EUR', '2010-01-25', 'BE0974256852', 'COLR', 2833, NULL, 176325.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '78900021BEBQZ8M1C652', '9598009UX1TZ091CCX28', '2014-09-24', 'EUR', '2014-09-24', 'FR0010285965', 'ALMIL', 6698, NULL, 164770.80000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HOU2R49R9MRZ45', '485100NBOUIT8QFX8G36', '2015-10-02', 'EUR', '2015-10-02', 'FR0000054215', 'UNBL', 5699, NULL, 4188765.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800XA6HYWEFB3T206', '254900YYYGLPY54VBK69', '2009-02-27', 'EUR', '2009-02-27', 'FR0010377127', 'ALDIE', 1193, NULL, 978.26, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300KR5WJ7Q5JVOV06', '8156004D3EAB1EF52539', '2016-10-04', 'EUR', '2016-10-04', 'FR0000053944', 'SPEL', 8057, NULL, 33194.840000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600AD902EDB131427', '894500HJAIZHAFDZ7Z25', '2010-12-20', 'EUR', '2010-12-20', 'FR0000184798', 'ORP', 567, NULL, 50587.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800RLZNFG9GCAWV55', '81560012835FBAECDB08', '2016-08-21', 'EUR', '2016-08-21', 'FR0000076887', 'ASP', 2475, NULL, 13860.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845004FC93E309D4D98', '9598008Z7MNQCDK3DN13', '2011-07-23', 'EUR', '2011-07-23', 'FR0013326246', 'URW', 1154, NULL, 156251.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200XDF2HWSFNGDZ08', '259400F71MAX3L5KBR25', '2010-09-17', 'EUR', '2010-09-17', 'FR0000125486', 'DG', 6158, NULL, 443499.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800XNEHCKLJ3X6723', '391200JX0T2SI0CNMP83', '2010-03-13', 'EUR', '2010-03-13', 'CH0012214059', 'LHN', 802, NULL, 28735.66, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900Q7V3WJE0LNO235', '254900PNZM3C2CGL9H62', '2017-09-03', 'EUR', '2017-09-03', 'FR0000044810', 'ALEUP', 9870, NULL, 611.9399999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358008SIGEKTC1BKS16', '5299007C8K7HEONL4758', '2009-04-18', 'EUR', '2009-04-18', 'DE0007664039', 'VWAP', 6204, NULL, 874639.9199999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '485100V8KJEA3TMIYR91', '25490054FSFJJ5HS2195', '2010-09-26', 'EUR', '2010-09-26', 'FR0004065605', 'MEDCL', 7067, NULL, 46995.55, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493007LOQHWLVFJEU43', '549300RO17P0DN33BD51', '2010-02-07', 'EUR', '2010-02-07', 'FR0000045601', 'CBE', 2434, NULL, 1046620.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HVLYWWCXSBKF18', '2549000GTPA09B1TQK55', '2013-12-21', 'EUR', '2013-12-21', 'BMG9349W1038', 'VEON', 9519, NULL, 21322.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HUJ62IW2H5ZJ72', '959800MJ7G4C8CC35B15', '2017-08-29', 'EUR', '2017-08-29', 'FR0000033219', 'ALTA', 5007, NULL, 830160.6000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ECZ3HWBWWUCV63', '959800ZNB9KR3H1JVT31', '2017-10-06', 'EUR', '2017-10-06', 'FR0010609263', 'MKEA', 2801, NULL, 5630.009999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800WXZFHVJ0L6US18', '815600865A79F5856F57', '2012-09-01', 'EUR', '2012-09-01', 'AN8068571086', 'SLB', 3685, NULL, 120867.99999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000K6IQE6G9U9NA32', '335800AYR82QMH81BT64', '2014-10-17', 'EUR', '2014-10-17', 'FR0012860542', 'DRVBS', 5123, NULL, 1536.8999999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HMIXILP1BFYN79', '959800H4TC1D4BPQ8Y62', '2017-07-01', 'EUR', '2017-07-01', 'FR0004007813', 'KOF', 7462, NULL, 249230.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800GBYY0SULRMX220', '529900MGJJCFZGT70848', '2012-06-15', 'EUR', '2012-06-15', 'BMG9887P1068', 'CV', 4432, NULL, 886.4000000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450089EF095CE60521', '724500COX7M733VMJ276', '2017-03-27', 'EUR', '2017-03-27', 'FR0000052292', 'RMS', 4156, NULL, 2014828.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493001OBDFRPQ71FP25', '9845009B108744465859', '2017-04-11', 'EUR', '2017-04-11', 'FR0013297488', 'ALIMO', 6526, NULL, 339.352, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890004L9ECMUEC5SO39', '2549003Q27VIHVL77538', '2012-10-08', 'EUR', '2012-10-08', 'NL0010391025', 'PHARM', 5942, NULL, 4501.065, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300RB82CEMWXKTP61', '254900TI80BAROYN4H17', '2009-10-18', 'EUR', '2009-10-18', 'FR0000185423', 'ALDAR', 7937, NULL, 151199.85, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598000GNSV2R89AMM76', '81560097D30019679524', '2014-12-25', 'EUR', '2014-12-25', 'FR0010961920', 'MLSCH', 9994, NULL, 399760.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900GSFL730YM8C039', '984500A8D9AH07576756', '2008-09-09', 'EUR', '2008-09-09', 'FR0010050773', 'MLATV', 1319, NULL, 2242.2999999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '353800UV8U3SOMCDTI49', '724500BD3EU9FWFI5Q69', '2011-04-19', 'EUR', '2011-04-19', 'FR0011051598', 'AMEBA', 9747, NULL, 21638.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '353800U33ROCA5ZVJK91', '254900ZEM4US40RSGD93', '2013-05-21', 'EUR', '2013-05-21', 'FR0000038804', 'SFBS', 794, NULL, 140538.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000JQJJ6CZ6879952', '213800M3QT8OWXRRTP63', '2015-07-24', 'EUR', '2015-07-24', 'FR0000035370', 'BLC', 4783, NULL, 124358.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900LMLR6P00JX0X91', '213800XWA3V4T3U4T312', '2016-11-02', 'EUR', '2016-11-02', 'PTCFN0AE0003', 'CFN', 7458, NULL, 4131.732, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000PW941B97TBEG14', '315700BP2MEBSO4GFV25', '2014-08-06', 'EUR', '2014-08-06', 'FR0011950641', 'PIX', 1708, NULL, 2859.192, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HEO8IG4ZHLLB32', '984500DAA68137C0B955', '2008-08-21', 'EUR', '2008-08-21', 'FR0000060949', 'TVLY', 4438, NULL, 130477.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845009F6B1A805DF723', '789000CPNQY5EXHSB242', '2017-05-02', 'EUR', '2017-05-02', 'FR0000078958', 'BND', 3260, NULL, 23993.600000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900A9QYZHQSA7Z303', '894500H5L745H30PZJ82', '2013-12-16', 'EUR', '2013-12-16', 'FR0004178572', 'ALMED', 9263, NULL, 21212.27, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9695005TU3CKKPLRBV87', '391200VWAIK25GDJFX56', '2014-01-09', 'EUR', '2014-01-09', 'FR0010820274', 'ALREW', 9212, NULL, 13771.94, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HAIKOPWHKUXB70', '5493004X6KWK3FF62S06', '2010-10-20', 'EUR', '2010-10-20', 'FR0004065639', 'ALNSE', 1790, NULL, 15931.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '747800R0C3YKJTW8S332', '5299008CR7G4H3NXV762', '2018-06-19', 'EUR', '2018-06-19', 'NL0010773842', 'NN', 9142, NULL, 318141.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200W1FDV6IEZMCH28', '959800433J1N5N1KCM91', '2018-06-01', 'EUR', '2018-06-01', 'BE0974300320', 'EZBG', 1147, NULL, 12043.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300ZJS59BT23Z5D98', '724500T1K73URGDXLA26', '2013-01-17', 'EUR', '2013-01-17', 'FR0000120073', 'AI', 7322, NULL, 794070.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500L1SW1SNE0O9845', '3358008EQMSNUAZTHC47', '2013-03-26', 'EUR', '2013-03-26', 'FR0011636083', 'ALNLF', 9920, NULL, 992.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900AK4R3K9T17NA09', '335800RJUPH6GMWAIP15', '2015-04-30', 'EUR', '2015-04-30', 'FR0004023208', 'LNC', 8151, NULL, 282839.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200TE4GSVHDPN3J77', '5493009LHPXBFJBGHM61', '2017-02-18', 'EUR', '2017-02-18', 'PTPRS0AM0009', 'ALPTR', 9188, NULL, 52831.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '4851003EQHJDLR6G8W71', '894500HY878Y7ME9OV58', '2009-07-02', 'EUR', '2009-07-02', 'BE0003840577', 'ALEVA', 3335, NULL, 566.95, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500SGQNYNDP3WBQ72', '984500EA6DD5CC577B53', '2016-02-15', 'EUR', '2016-02-15', 'FR0010404368', 'ALDLS', 9561, NULL, 152976.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500SD897EB1AED603', '549300RBG5RTDRSAXM92', '2012-11-24', 'EUR', '2012-11-24', 'BE0003463685', 'SUCR', 5726, NULL, 6527.639999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500I3B4DAA0AAA710', '959800FCCUKG9UAU4169', '2016-11-28', 'EUR', '2016-11-28', 'BE0003807246', 'PIC', 5249, NULL, 361131.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400OF7SZBTNRM0S39', '959800S3TBCZHCN25C73', '2008-10-26', 'EUR', '2008-10-26', 'CM0000035113', 'BCAM', 1070, NULL, 92555.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600794F7BCEC48708', '8156006F51867EDCAF77', '2010-01-05', 'EUR', '2010-01-05', 'FR0012596468', 'ALSEN', 8678, NULL, 8730.068, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598002LDD1E2PYP1J85', '724500DO2C30LD5DX359', '2008-09-04', 'EUR', '2008-09-04', 'NL0012365084', 'NSI', 8385, NULL, 285928.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900DZS52WJ9DLEM03', '254900PYCRYBTSJI8Q79', '2011-07-14', 'EUR', '2011-07-14', 'FR0010291245', 'INSD', 5079, NULL, 6988.704, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900X1BMKACIKGF585', '549300QWF0FQW9QHYT29', '2011-08-13', 'EUR', '2011-08-13', 'FR0000121295', 'LBON', 6320, NULL, 739440.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500T65YQWLJ64BU07', '3358008H9E246H8SCU90', '2018-09-05', 'EUR', '2018-09-05', 'FR0004177939', 'MLDTB', 5772, NULL, 9696.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845001QF9483CC6F397', '254900MITMZG7W6TWL82', '2012-04-03', 'EUR', '2012-04-03', 'FR0000062978', 'ALP', 8124, NULL, 102768.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299007MPLYA2JT23A59', '959800VLE6G356693U25', '2010-12-22', 'EUR', '2010-12-22', 'FR0000121014', 'MC', 3931, NULL, 1014984.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900B82PQQIJYYGY91', '984500DJD982A80AB580', '2018-11-06', 'EUR', '2018-11-06', 'NL0009269109', 'HEIJM', 928, NULL, 7424.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500H1NGL47385H324', '529900GQDEV5RTFDJG30', '2017-05-18', 'EUR', '2017-05-18', 'FR0013204336', 'LOUP', 1003, NULL, 108825.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009IC3KH5UYSQX91', '391200SKJGOGCX5ULH65', '2013-12-29', 'USD', '2013-12-29', 'US0970231058', 'BOEI', 9478, NULL, 2985570.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400MTQ3WHJ6FY2652', '254900MITMZG7W6TWL82', '2017-12-11', 'EUR', '2017-12-11', 'FR0010397901', 'ALTRI', 1463, NULL, 6173.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HAO48HJGWQKV73', '54930053MFPPMO7N5837', '2012-06-29', 'EUR', '2012-06-29', 'FR0010776617', 'ALMER', 8890, NULL, 173355.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004U9MB8CMIPZ267', '335800RJUPH6GMWAIP15', '2012-10-29', 'EUR', '2012-10-29', 'FR0011950732', 'ELIOR', 1748, NULL, 22828.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156008E0E91E2711951', '213800RUKKTBLQS6PT34', '2010-08-29', 'EUR', '2010-08-29', 'FR0010785790', 'ALPAT', 2367, NULL, 38108.700000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900PUG0ILQAY7AR02', '959800P83XHRN2F88P80', '2009-08-27', 'EUR', '2009-08-27', 'BE0003770840', 'LEAS', 5381, NULL, 470299.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900DR0LRA0YI2XS82', '894500HU2JF7Z4HJ0V91', '2012-03-02', 'EUR', '2012-03-02', 'FR0000061475', 'EFI', 9839, NULL, 1800.537, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900HEWEK2XR2PFC48', '959800RR3U2735EKCJ70', '2010-10-08', 'EUR', '2010-10-08', 'FR0000077992', 'MLPAC', 3659, NULL, 10172.019999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200CASVZHVD1GCM39', '789000171KMN5UM2V534', '2009-03-13', 'EUR', '2009-03-13', 'FR0004024222', 'ITP', 6120, NULL, 206550.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600E080D4AB6B0183', '969500M032MP4PKC5C07', '2012-01-22', 'EUR', '2012-01-22', 'IT0003132476', 'ENI', 4591, NULL, 61978.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900U1JVL12KQ2GB90', '5299007MPLYA2JT23A59', '2015-06-06', 'EUR', '2015-06-06', 'FR0000066607', 'LACR', 8479, NULL, 162796.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H94OQT5NLY1B47', '5493000ZHY3G8IL8G840', '2014-05-31', 'EUR', '2014-05-31', 'FR0000120693', 'RI', 6517, NULL, 933886.1000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600117BB4F6BA8912', '335800K4N2RBFVVKTC52', '2009-09-04', 'EUR', '2009-09-04', 'FR0000065773', 'MLIMP', 8443, NULL, 105537.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800XWA3V4T3U4T312', '213800ZYI3XJTDOO7B07', '2018-10-21', 'EUR', '2018-10-21', 'FR0000063737', 'AUB', 6578, NULL, 185170.69999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300RQ61D38GBJZW19', '254900VHPE4L6Z8S0U43', '2015-08-24', 'EUR', '2015-08-24', 'FR0010518936', 'MLMTD', 3064, NULL, 18016.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800M3JPHVVZOPRV57', '254900PO2BXNDH1T5U29', '2011-10-26', 'EUR', '2011-10-26', 'GB00BYN5BY03', 'GLOG', 2657, NULL, 11292.25, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900HPKSVNWDG4XQ61', '391200KI35AXHICIOK79', '2013-04-22', 'USD', '2013-04-22', 'US92343V1044', 'VERIZ', 8641, NULL, 301657.31, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450014FCJ72F11B960', '894500HTRGBOP5TRPR31', '2018-08-31', 'EUR', '2018-08-31', 'FR0010298901', 'OFP', 4362, NULL, 3445.98, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980026137EJAC6WJ59', '8156008722B405259B53', '2014-03-26', 'EUR', '2014-03-26', 'FR0010259150', 'IPN', 6454, NULL, 728333.8999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358002OIGJR3CM46S74', '747800R0C3YKJTW8S332', '2017-11-24', 'EUR', '2017-11-24', 'NL0011872643', 'ASRNL', 5147, NULL, 177983.25999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450073CC041436ED05', '3358008GQAY42K89V578', '2018-06-12', 'EUR', '2018-06-12', 'NL0011832811', 'FFARM', 8336, NULL, 67104.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549000M8S4XCGBLJK05', '5493002D7CBKXSRGZ349', '2012-04-22', 'EUR', '2012-04-22', 'IT0004812258', 'MLAZL', 2519, NULL, 3526.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900I6AHJP69OVLP69', '391200TE4GSVHDPN3J77', '2013-04-29', 'EUR', '2013-04-29', 'FR0000063307', 'TAYN', 9172, NULL, 12473.92, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600B7FB825393B763', '254900TZBLP16TCAJC54', '2016-04-21', 'EUR', '2016-04-21', 'NL0012969182', 'ADYEN', 4396, NULL, 2088319.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800RR3U2735EKCJ70', '815600046C74ABDA1350', '2016-06-08', 'EUR', '2016-06-08', 'FR0010526814', 'SSI', 8266, NULL, 11241.76, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299008U7QG0WXRCWK24', '213800DSJ931478MDJ69', '2015-04-06', 'EUR', '2015-04-06', 'FR0000053225', 'MMT', 33, NULL, 463.32, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600DE86CF3727FB17', '81560012835FBAECDB08', '2015-08-04', 'EUR', '2015-08-04', 'FR0000060832', 'PREC', 9405, NULL, 1589445.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549009DU95S5N23T258', '254900YCQ8BENKKXJW59', '2011-10-17', 'EUR', '2011-10-17', 'FR0000033904', 'JCQ', 7753, NULL, 120326.56, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800NY5DFEJNWUJN21', '815600E080D4AB6B0183', '2008-12-09', 'EUR', '2008-12-09', 'FR0012872141', 'JBOG', 1600, NULL, 9568.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800EP5I9YC1VBHD75', '213800NQFGXCUACUXT22', '2011-12-03', 'EUR', '2011-12-03', 'FR0000035123', 'FNTS', 8031, NULL, 338908.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800TH2YNUPYNA2H26', '529900H0BXHHVMHTWG69', '2016-02-20', 'EUR', '2016-02-20', 'GB00B03MM408', 'RDSB', 9418, NULL, 247787.58, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900K8HYFYCYWL7G39', '335800XNEHCKLJ3X6723', '2016-11-20', 'EUR', '2016-11-20', 'FR0013245123', 'ALEBS', 6741, NULL, 205.60049999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500QWRJ5VKFCQFZ12', '7245006X5WRTOPDL0C12', '2012-06-28', 'EUR', '2012-06-28', 'PTREL0AM0008', 'RENE', 1283, NULL, 3122.822, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300H3GSHGKVZRNP50', '894500HWDONQJUFPU792', '2017-01-06', 'EUR', '2017-01-06', 'FR0000120172', 'CA', 4190, NULL, 62472.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900AK4R3K9T17NA09', '549300F1J0QT45H64G51', '2012-04-11', 'EUR', '2012-04-11', 'BE0003856730', 'ASC', 808, NULL, 40319.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800SW71J1NFLH2745', '959800JERXSY6877QR36', '2011-01-28', 'EUR', '2011-01-28', 'FR0013286259', 'ALTHX', 9935, NULL, 178035.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549001DNSQKOQ8F6H57', '549300DZJ1FAUOTOA335', '2016-03-16', 'EUR', '2016-03-16', 'FR0000071797', 'INF', 2043, NULL, 78451.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560081A94017D3FB57', '9598002A1K1NDSW3B107', '2009-10-12', 'EUR', '2009-10-12', 'NL0000852580', 'BOKA', 8822, NULL, 191702.06, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299008U7QG0WXRCWK24', '959800BDEF48WE2YTM66', '2010-06-15', 'EUR', '2010-06-15', 'MA0000011488', 'IAM', 8762, NULL, 113029.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900M7BX9KKPCBXM71', '984500EA6DD5CC577B53', '2015-12-09', 'EUR', '2015-12-09', 'FR0012790756', 'STWDS', 2036, NULL, 20.36, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '95980044CJL1TG0GU366', '7245004Q89CNKLM67I61', '2014-04-24', 'EUR', '2014-04-24', 'BE0974287196', 'MCC', 4043, NULL, 2947347.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300H7EH74TI868808', '549300SQYFR3SSHBXY27', '2014-05-13', 'EUR', '2014-05-13', 'FR0004170017', 'LNA', 5580, NULL, 243008.99999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800XBEXYH337YE774', '529900AUMD9SLFWS5549', '2010-10-28', 'EUR', '2010-10-28', 'FR0000060790', 'GIRO', 4736, NULL, 60620.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358001XYBCXK4IYBK76', '529900T72IWE80DC2X89', '2015-09-09', 'EUR', '2015-09-09', 'FR0010766667', 'ALVU', 7148, NULL, 33238.200000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890001FCSDVDJGYMK15', '254900RBPXLD0FZLR138', '2015-09-05', 'EUR', '2015-09-05', 'FR0000079659', 'CBDG', 9497, NULL, 53183200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300VHF8ORYKTTXZ10', '743700A6M0A1S4CKR994', '2017-12-02', 'EUR', '2017-12-02', 'PTSEM0AM0004', 'SEM', 4449, NULL, 58281.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300JBW1DIZLGMSY83', '635400UCJBZ3SNTC1J48', '2016-06-24', 'EUR', '2016-06-24', 'FR0011627900', 'PRBS1', 8828, NULL, 44.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600791C8979BC6D18', '549300PHRUCZ2ENP1713', '2011-02-08', 'EUR', '2011-02-08', 'BE0003880979', 'KEYW', 4057, NULL, 3935.29, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '52990097DKT8ZDY4U953', '894500HATNS96G8M8F51', '2010-09-12', 'USD', '2010-09-12', 'US4581401001', 'INCO', 3057, NULL, 139704.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HDWIRLY2U7BJ73', '529900YQ9Z46APD3MD76', '2008-09-21', 'EUR', '2008-09-21', 'FR0000039638', 'LFVE', 7800, NULL, 444600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500FC8569569B5B24', '254900I6AHJP69OVLP69', '2015-12-30', 'EUR', '2015-12-30', 'FR0000077232', 'MLGRD', 4143, NULL, 41181.42, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500C48C7777DF6266', '529900AQ5CTGVXG0AE78', '2014-07-15', 'EUR', '2014-07-15', 'NL0000285278', 'BEVER', 1781, NULL, 6482.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300H4W62ZPBVLW080', '254900QW9WW3MO52AT86', '2008-11-27', 'EUR', '2008-11-27', 'FR0000064735', 'MLHYD', 3658, NULL, 1704628.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HGIR3NSRG5FZ82', '894500HSU712V9UHSF02', '2008-10-26', 'EUR', '2008-10-26', 'FR0000079634', 'GECP', 21, NULL, 2.121, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549004P6BCLOUH0PS94', '529900445KVYISG9L822', '2014-11-09', 'EUR', '2014-11-09', 'FR0013257409', 'ALCOF', 7425, NULL, 2524500.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '87550081OY87846H9V41', '9598009NWG6Q334C9549', '2009-08-23', 'EUR', '2009-08-23', 'FR0010436584', 'DNX', 6581, NULL, 29153.829999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800966313K272ZE93', '9598007V2PP0JK1RAQ21', '2018-09-23', 'EUR', '2018-09-23', 'BE0003545531', 'SOLV', 6239, NULL, 689409.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800M97ZP3G54L2761', '2549004B5VNXAM0ZYU09', '2017-11-25', 'EUR', '2017-11-25', 'FR0013227113', 'SOI', 8303, NULL, 420131.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450083UWRNPDF6S317', '25490086FCA0ZK6GYK45', '2018-04-13', 'USD', '2018-04-13', 'US92343V1044', 'VERIZ', 3672, NULL, 128189.51999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500M032MP4PKC5C07', '9598005CG6NXEFB4L155', '2012-05-28', 'USD', '2012-05-28', 'GG00B1RMC548', 'TFG', 9386, NULL, 109346.90000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300EOX4NRYN1IN276', '959800ESR3SP3X7QK341', '2009-12-10', 'EUR', '2009-12-10', 'FR0000044323', 'CRAP', 2994, NULL, 325747.2, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900TI80BAROYN4H17', '254900REK4XLCHMOBK55', '2015-11-25', 'EUR', '2015-11-25', 'FR0010844001', 'ALEUA', 2133, NULL, 15037.65, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299004L5XO9Q706ZJ81', '254900AIZHV0LV830P02', '2013-08-22', 'EUR', '2013-08-22', 'FR0004029478', 'ALVIV', 2696, NULL, 40440.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HHWN1KJLF2BZ73', '2549000Z106C8FT4BF24', '2017-11-06', 'EUR', '2017-11-06', 'FR0013015583', 'ALPOU', 6624, NULL, 34577.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HA7HL6MIX3M768', '894500H6TJIAKXNR7Z91', '2018-08-10', 'EUR', '2018-08-10', 'PTSCT0AP0018', 'SCT', 4095, NULL, 11302.199999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800HHRH1R87XQD087', '959800KTGBNU847M4K91', '2015-02-10', 'EUR', '2015-02-10', 'FR0004026714', 'CLA', 7101, NULL, 4395.519, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156006AC56EA06E0D42', '391200OXHUHPESDCXG30', '2018-11-02', 'EUR', '2018-11-02', 'FR0000044323', 'CRAP', 7117, NULL, 774329.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299005MZ9C9J9ZBYZ87', '894500HSU712V9UHSF02', '2009-04-26', 'EUR', '2009-04-26', 'FR0000120222', 'CNP', 554, NULL, 10260.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200CASVZHVD1GCM39', '254900TUS3PQY1ER5639', '2013-05-16', 'EUR', '2013-05-16', 'FR0013156007', 'ALKLK', 5077, NULL, 18175.66, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900Z33E67QVBTWZ29', '894500HNG6T7IXAPVZ08', '2017-09-27', 'EUR', '2017-09-27', 'BE0003893139', 'IMMOU', 5551, NULL, 225370.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900EPW8S8W3DNJI67', '529900HUAQ4OU0MR0T28', '2010-01-20', 'EUR', '2010-01-20', 'FR0010654087', 'ALTXC', 1273, NULL, 5779.42, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300KTAVDKQSXPH561', '213800Q9PY9UDWJHZI18', '2009-10-09', 'EUR', '2009-10-09', 'FR0010515742', 'MLMAI', 3066, NULL, 4261.74, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900VMHRII44632363', '549300FPCBHHIFJFGV84', '2009-07-10', 'EUR', '2009-07-10', 'FR0013066313', 'MBWSZ', 6749, NULL, 8098.799999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HG7O04ISSE4V78', '894500HAD14Y9I8Z9R05', '2013-05-14', 'EUR', '2013-05-14', 'NL0000288918', 'VASTN', 1496, NULL, 46824.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900H6FDC4YS0LG018', '984500EX67F50DDD6734', '2009-01-22', 'EUR', '2009-01-22', 'BE0974334667', 'ALAVY', 1280, NULL, 5760.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845008979K65B620X11', '969500W74PQ6LZLUWQ56', '2010-04-09', 'EUR', '2010-04-09', 'FR0011466069', 'EKI', 1121, NULL, 2981.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700GBYMRP6X6Y2F60', '894500HU82YZM3TEOF66', '2009-02-03', 'EUR', '2009-02-03', 'PTAZR0AM0006', 'MLAAT', 2031, NULL, 186.852, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200DBB5G7H80FLS56', '213800YJ4KE984CVBR30', '2017-03-31', 'EUR', '2017-03-31', 'CI0000000832', 'MLMAT', 9050, NULL, 52490.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500ZCMLUDW8TJJF91', '894500HTWZVGC55NDB23', '2015-10-21', 'EUR', '2015-10-21', 'BE0003748622', 'IEP', 3172, NULL, 19349.199999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845002DQDE9D546D910', '743700ALQ6M1V2D3NG61', '2009-12-19', 'EUR', '2009-12-19', 'FR0013254851', 'ALVAL', 3763, NULL, 12267.38, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800G47LC6WTD5Z905', '549300RB82CEMWXKTP61', '2009-08-28', 'EUR', '2009-08-28', 'FR0010220475', 'ALO', 1001, NULL, 35305.270000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800KC7C9CFCL6CM44', '959800J4FW9MMCCFHJ88', '2015-09-20', 'EUR', '2015-09-20', 'BE0974303357', 'CENER', 3513, NULL, 4285.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '87550029EGNZSFNXZG35', '213800XG6SU7RZZMTZ68', '2009-05-19', 'EUR', '2009-05-19', 'BE0003503118', 'PCBB', 4881, NULL, 40512.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600F948881382F374', '98450055FF8BDB72F288', '2012-09-20', 'EUR', '2012-09-20', 'FR0000065930', 'LEBL', 4178, NULL, 8356.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800NTUSN677QTXP97', '894500HDLFO2O46G0F19', '2015-04-09', 'EUR', '2015-04-09', 'BE0003885051', 'FLEX', 2732, NULL, 4398.52, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800KWSP4NBKSE8P26', '254900NF8TPZ2TYMVV35', '2013-06-19', 'EUR', '2013-06-19', 'FR0004180537', 'AKA', 1228, NULL, 54277.600000000006, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890001FCSDVDJGYMK15', '2549001OYZR9EI9CX343', '2010-02-24', 'EUR', '2010-02-24', 'FR0000064735', 'MLHYD', 4641, NULL, 2162706.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800RR3U2735EKCJ70', '9845008F1AB3D9590D68', '2013-06-21', 'EUR', '2013-06-21', 'FR0004156297', 'LIN', 2298, NULL, 72387.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800RENRJJEA5ZCZ59', '743700KDP0HND0E9ZN68', '2018-09-24', 'EUR', '2018-09-24', 'FR0010490920', 'ECP', 8424, NULL, 8120.736, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598007KB3HSD83FRJ58', '529900VPJVRMLSCRY461', '2017-03-30', 'EUR', '2017-03-30', 'BE0003739530', 'UCB', 9702, NULL, 691752.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300H12OZK1KY1W004', '959800VR1RQHN566VR62', '2016-02-01', 'EUR', '2016-02-01', 'FR0005783503', 'MLUMH', 3837, NULL, 168828.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900BPOM3S3JZVL282', '213800LR9UKODNAYBW55', '2017-10-10', 'EUR', '2017-10-10', 'NL0000313286', 'ACOMO', 7239, NULL, 126248.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300ANT4DHUC2KSD78', '7890003SKU7OPJK2M615', '2011-07-11', 'EUR', '2011-07-11', 'FR0000120073', 'AI', 4672, NULL, 506678.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900AVR7WAD8JGBZ55', '529900OUW30QM18YXQ52', '2018-07-17', 'EUR', '2018-07-17', 'FR0000031106', 'MLTRO', 8693, NULL, 38944.64000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ZOVK14GTNOGJ02', '894500H74MLTUWBIJ381', '2012-03-15', 'EUR', '2012-03-15', 'FR0000121485', 'KER', 4500, NULL, 1852200.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500D7CC47XBB53D88', '894500HRARJEHGJP8V30', '2014-01-31', 'EUR', '2014-01-31', 'FR0000133308', 'ORA', 340, NULL, 4812.7, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900RRWZ744O1M6P44', '743700EKG7WHERKMG724', '2014-11-16', 'EUR', '2014-11-16', 'FR0004157543', 'MLNEO', 6460, NULL, 25581.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800Q1P46WY9F1WF02', '50670034W3Z56MY84P37', '2016-04-11', 'EUR', '2016-04-11', 'FR0010193052', 'CATG', 9692, NULL, 22291.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '87550029EGNZSFNXZG35', '335800ZTVWE3R5F6B603', '2011-09-06', 'EUR', '2011-09-06', 'BE0003763779', 'WDP', 5615, NULL, 646848.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800BF14EAXLI1NN83', '213800W8AVKG5HQ6QO64', '2016-06-10', 'EUR', '2016-06-10', 'NL0012650535', 'MLPRX', 4962, NULL, 37215.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845002DQDE9D546D910', '7245006X5WRTOPDL0C12', '2011-09-01', 'EUR', '2011-09-01', 'FR0013190410', 'KAZI', 361, NULL, 194.94000000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9695004OTFEB64UDZJ22', '335800KPCDQHKBKMKU23', '2013-03-20', 'EUR', '2013-03-20', 'FR0006859039', 'MLIPP', 8889, NULL, 316448.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HQOLCBXJ86MN44', '5299005QMCDYRZJN8K84', '2009-02-21', 'EUR', '2009-02-21', 'FR0000062341', 'BERR', 7740, NULL, 41022.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549002O4D9K9HDICX39', '529900A0NB92XOYGY957', '2010-07-29', 'EUR', '2010-07-29', 'NL0012747067', 'DSC1W', 7150, NULL, 5005.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900HUVEL8HNU4LY87', '2549009XJ0AGRVHAPC12', '2011-01-27', 'EUR', '2011-01-27', 'NL0000430106', 'AND', 712, NULL, 1822.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7437009UYPPD5IQF6V61', '959800AFL24WLVZGQU14', '2017-08-21', 'EUR', '2017-08-21', 'FR0000060873', 'MBWS', 5965, NULL, 15687.949999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900FDTP2T48OT8657', '254900YU46CVMYP32531', '2016-05-03', 'EUR', '2016-05-03', 'FR0005057635', 'MLARD', 4031, NULL, 249922.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800ZPKFL5RF9Z5Z03', '529900VPJVRMLSCRY461', '2018-12-27', 'EUR', '2018-12-27', 'FR0013328689', 'VERBS', 7431, NULL, 185.775, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500S4U9FD6SOL0I06', '894500HM2AVAS3BSZZ87', '2014-01-15', 'EUR', '2014-01-15', 'FR0000076481', 'MLTRC', 8637, NULL, 66504.90000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800UE3379Z9IG3B89', '3358007GPIPP355BQR08', '2017-01-05', 'EUR', '2017-01-05', 'FR0011040500', 'AXW', 3264, NULL, 40538.88, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800GI62SYTA1BWO36', '335800RG8K64TXLLRP70', '2012-07-01', 'EUR', '2012-07-01', 'FR0013233475', 'LYS', 2574, NULL, 4118.400000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '54930081U35EPIMDUK94', '254900FDTP2T48OT8657', '2018-11-05', 'EUR', '2018-11-05', 'FR0013143872', 'ALWIT', 7072, NULL, 38188.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800W9YVG8XB99WF07', '894500HAO48HJGWQKV73', '2009-10-05', 'EUR', '2009-10-05', 'FR0000078321', 'SEC', 4193, NULL, 3102.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299000QCX101MYE0Q86', '549300KEFQXKB36V2F82', '2013-07-20', 'EUR', '2013-07-20', 'NL0000440618', 'NEWAY', 3711, NULL, 37481.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900LSDWTJ9ESZYP24', '391200BEJNNEHODXG661', '2009-05-12', 'EUR', '2009-05-12', 'FR0000121329', 'HO', 7845, NULL, 800190.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900GFOUN685Z50P96', '815600066D6F24699F15', '2015-09-11', 'EUR', '2015-09-11', 'FR0010263202', 'PAR', 7780, NULL, 583500.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '743700EAZ1QIP9YV9X43', '81560060AD3383D29187', '2011-03-18', 'EUR', '2011-03-18', 'FR0013284080', 'BUP', 6407, NULL, 29600.34, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493007PUSTNZKI1TX18', '815600AF541917EE0832', '2011-12-24', 'USD', '2011-12-24', 'US7134481081', 'PEP', 7369, NULL, 827980.84, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900IA0PPNIOGKJK21', '8156004F5A55EA07B020', '2014-06-20', 'EUR', '2014-06-20', 'NL0000388619', 'UNIA', 7627, NULL, 361519.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800UZVRMSE0GMRN29', '549300Z08K8Z3JF02305', '2017-01-07', 'EUR', '2017-01-07', 'FR0012789949', 'EUCAR', 836, NULL, 6575.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800MQ0BFSHCXWHJ18', '815600DCEA8FF2328206', '2017-08-29', 'EUR', '2017-08-29', 'FR0013204351', 'ALCYB', 1351, NULL, 675.5, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299008KMTKJE8KZWO03', '2549009JM44WZUI78Z54', '2016-04-29', 'EUR', '2016-04-29', 'FR0013053535', 'ALMLB', 2883, NULL, 4771.365, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '3358001BXHN8TIT22669', '5299000KXXSR1VXECA07', '2017-07-03', 'EUR', '2017-07-03', 'FR0010515742', 'MLMAI', 986, NULL, 1370.54, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200U8BIIRW12P7H45', '254900ZEWYNGGQVW6B26', '2018-10-31', 'EUR', '2018-10-31', 'PTREL0AM0008', 'RENE', 4866, NULL, 11843.844000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156009F9CE4BBDA0D95', '549300BO1IHEM1QEK624', '2008-08-29', 'EUR', '2008-08-29', 'FR0000130452', 'FGR', 9560, NULL, 697497.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HX5EEKQR343Z85', '335800JBKGFGH12JHT26', '2012-09-18', 'EUR', '2012-09-18', 'CI0000053161', 'FORE', 8792, NULL, 6594000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800ERNHP0E7M9S757', '984500505888C1B7FD10', '2012-02-05', 'EUR', '2012-02-05', 'FR0000062788', 'BUI', 1261, NULL, 8827.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '98450092F9E55N8H7340', '8156000609E9FB906812', '2010-07-07', 'USD', '2010-07-07', 'BE0974261902', 'STTL', 9454, NULL, 127818.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '50670034Z315366VL742', '254900W1AG9MDM2OO590', '2012-09-01', 'EUR', '2012-09-01', 'BE0003797140', 'GBLB', 1962, NULL, 149268.96, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299006JGVB7O0KUFQ43', '98450013EDD12DC4D191', '2012-08-14', 'EUR', '2012-08-14', 'FR0004125920', 'AMUN', 6157, NULL, 284207.12, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800P4V653JHK6DS17', '2549003SEXM1WAKUG066', '2014-03-09', 'EUR', '2014-03-09', 'FR0000064297', 'INN', 5372, NULL, 21917.760000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500TG5Q6AMPF1KJ69', '2549006G0KKFYI0AHC42', '2017-11-16', 'EUR', '2017-11-16', 'FR0012821916', 'HIPAY', 6943, NULL, 55405.14, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600F3CDFAD95C5145', '52990003CJ3ZFVS4S916', '2008-09-29', 'EUR', '2008-09-29', 'FR0010211037', 'ALPLA', 1037, NULL, 2613.2400000000002, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900MN8RVA6TM8E134', '529900TQJCOESY6D5I70', '2016-10-10', 'EUR', '2016-10-10', 'FR0000076887', 'ASP', 2649, NULL, 14834.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549000M8S4XCGBLJK05', '549300VZRL7QNZTZ6423', '2018-07-08', 'EUR', '2018-07-08', 'FR0011052257', 'ALGBE', 8796, NULL, 54007.439999999995, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500BA7698A6A8Y561', '959800KWSP4NBKSE8P26', '2010-06-20', 'USD', '2010-06-20', 'US6745991058', 'OCPET', 1186, NULL, 86578.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598001RKFDGS80CDE85', '8156009E67318D0CE742', '2010-06-14', 'EUR', '2010-06-14', 'FR0013268042', 'O2IBS', 112, NULL, 10.08, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598006HGTM1KPUMWA87', '98450014FCJ72F11B960', '2014-09-29', 'EUR', '2014-09-29', 'FR0000051567', 'MLCVG', 3751, NULL, 17254600.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450083UWRNPDF6S317', '2549003M2IRY43H5OH37', '2012-10-14', 'EUR', '2012-10-14', 'NL0010389508', 'TIE', 9893, NULL, 68756.35, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500ITMZ9KFTPN6705', '254900DR0LRA0YI2XS82', '2018-08-16', 'EUR', '2018-08-16', 'FR0013307329', 'BUDBS', 6362, NULL, 699.82, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800QBH571I8YRJ274', '959800BHPYMFN1963C79', '2016-05-12', 'EUR', '2016-05-12', 'FR0000060618', 'RAL', 4586, NULL, 41319.86, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400YYNTCOZKVC4264', '635400G7SAF8VYFYTU61', '2011-09-21', 'EUR', '2011-09-21', 'BE0003575835', 'ENGB', 9956, NULL, 1344060.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900C12MZ14YI5JJ50', '815600E8D4B9F079EE62', '2012-08-02', 'EUR', '2012-08-02', 'FR0011884378', 'ALUCI', 5235, NULL, 5821.320000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5493000OT46OM4WMHF18', '254900Q9YL8SQEKFXH40', '2009-01-14', 'EUR', '2009-01-14', 'FR0010828137', 'CARM', 3215, NULL, 51954.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ZJ1JQERKTQ9M88', '724500BD3EU9FWFI5Q69', '2012-07-29', 'EUR', '2012-07-29', 'NL0000345627', 'EAS2P', 8893, NULL, 13650.755, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600D096DAE7873D90', '254900ZEM4US40RSGD93', '2015-01-28', 'EUR', '2015-01-28', 'FR0012435121', 'ELIS', 4916, NULL, 71527.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800TH2YNUPYNA2H26', '9845004667F42B7ED412', '2015-02-20', 'EUR', '2015-02-20', 'NL0009767532', 'ACCEL', 8650, NULL, 162966.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598001SSUZMNS94R334', '254900XIV1K6D955MM91', '2013-11-05', 'USD', '2013-11-05', 'BE0974261902', 'STTL', 3586, NULL, 48482.72, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '5299000KXXSR1VXECA07', '391200U8BIIRW12P7H45', '2013-05-20', 'EUR', '2013-05-20', 'FR0007200100', 'MLEDR', 8804, NULL, 1232560.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900K1YB6SOGKSYK56', '2549004B5VNXAM0ZYU09', '2012-08-20', 'EUR', '2012-08-20', 'FR0010667147', 'COFA', 9112, NULL, 72258.16, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900F1NSHZGDOEGX87', '4851009BPL2JF4PWYI16', '2017-03-10', 'EUR', '2017-03-10', 'FR0012882389', 'PHA', 2040, NULL, 104244.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300NLEC036C8FX057', '789000A19TOOSC59CG31', '2016-12-16', 'EUR', '2016-12-16', 'LU0088087324', 'SESG', 1844, NULL, 30813.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800QPAP76G39E2833', '969500E773Z4NHX80S08', '2010-01-21', 'EUR', '2010-01-21', 'FR0011675362', 'NEOEN', 1883, NULL, 35664.020000000004, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600AF575C8783A028', '95980049SJ3SNRETFY62', '2014-12-17', 'EUR', '2014-12-17', 'FR0000130577', 'PUB', 3981, NULL, 199368.47999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156001845CA08C93A68', '391200XDF2HWSFNGDZ08', '2015-12-12', 'EUR', '2015-12-12', 'FR0000066052', 'AVT', 455, NULL, 70.07, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HQZOFV7HVXXR93', '254900L9WX5PCMPX0A92', '2018-10-14', 'EUR', '2018-10-14', 'FR0000120503', 'EN', 3485, NULL, 109219.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560081DE5342908472', '894500I2OY67Q2YRNZ84', '2017-01-04', 'EUR', '2017-01-04', 'CH0309050059', 'MLSFI', 381, NULL, 87.63000000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500OEX5UE1O0TG465', '213800214LG3V5LRA327', '2016-08-24', 'EUR', '2016-08-24', 'BE0974283153', 'MITRA', 7434, NULL, 148680.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549000K1O0OXRV7Z777', '529900TQJCOESY6D5I70', '2008-12-27', 'EUR', '2008-12-27', 'FR0013268091', 'ANVBS', 5398, NULL, 2.699, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598003VM689NBD7VR68', '789000QC6HEFBMHKUQ81', '2011-12-27', 'EUR', '2011-12-27', 'FR0010386334', 'KORI', 4897, NULL, 152198.75999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900S7IJT3Z0J35570', '2549001GW4JPFWQ5EG77', '2018-12-21', 'EUR', '2018-12-21', 'PTCDU0AE0003', 'CDU', 2435, NULL, 101783.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900IYBMSWBH1FFP26', '894500HX5EEKQR343Z85', '2009-05-30', 'EUR', '2009-05-30', 'FR0000065278', 'HOP', 2372, NULL, 15038.48, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9845009B108744465859', '743700ALQ6M1V2D3NG61', '2015-11-29', 'EUR', '2015-11-29', 'FR0004527638', 'EXE', 5786, NULL, 393448.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800VUVKA4BU5NSD07', '54930053MFPPMO7N5837', '2015-12-15', 'EUR', '2015-12-15', 'BE0003798155', 'SPA', 7625, NULL, 1647000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '81560099BEC10001BD90', '959800C8ZUNSFFJVF010', '2010-04-29', 'EUR', '2010-04-29', 'FR0000079824', 'MLDIG', 9268, NULL, 12048.4, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '529900R87K588NM6VQ02', '724500BM31ET2SLP9427', '2011-01-07', 'EUR', '2011-01-07', 'FR0011716265', 'ALCJ', 7117, NULL, 8583.101999999999, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7245006WPMT9N7UKJI43', '254900N94Q2OB5BMY212', '2010-02-09', 'EUR', '2010-02-09', 'NL0009269109', 'HEIJM', 9507, NULL, 76056.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '959800808DF2FJZY5K23', '549300BU9VDL4Z1D2Q93', '2015-05-26', 'EUR', '2015-05-26', 'FR0004029411', 'KEY', 847, NULL, 3853.85, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '549300M66CUL1YG1J741', '984500D6F3BN444B9C18', '2009-08-16', 'EUR', '2009-08-16', 'BE0003832491', 'NEWT', 6867, NULL, 6935.67, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HCZ9H046UXE748', '81560086670CD93E6814', '2010-02-01', 'EUR', '2010-02-01', 'US5324571083', 'LLY', 1015, NULL, 97440.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800LVHFC3GKZV2249', '815600D85C76BA788871', '2010-03-20', 'EUR', '2010-03-20', 'PTMFR0AM0003', 'MAR', 7382, NULL, 3174.2599999999998, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156001074A6A6B72044', '549300H12OZK1KY1W004', '2018-07-18', 'EUR', '2018-07-18', 'FR0000036857', 'SIPH', 3814, NULL, 309696.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '72450093XK5EVJOV6V32', '969500JC8RKFFZI4XT86', '2017-08-29', 'EUR', '2017-08-29', 'CH0120879058', 'MLFIR', 3452, NULL, 22783.199999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '315700BP2MEBSO4GFV25', '529900TQJCOESY6D5I70', '2012-10-29', 'EUR', '2012-10-29', 'FR0000062978', 'ALP', 1175, NULL, 14863.75, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600387D2F112A1842', '815600439C288154A067', '2016-08-18', 'EUR', '2016-08-18', 'FR0013190410', 'KAZI', 826, NULL, 446.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '315700YG8W0P0VDEUA36', '213800AXAY1Y71VRQT68', '2016-12-02', 'EUR', '2016-12-02', 'FR0010331421', 'IPH', 1701, NULL, 12646.935, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200U8BIIRW12P7H45', '894500HMDDYU21ZKB308', '2015-01-14', 'EUR', '2015-01-14', 'FR0011158823', 'MLIFC', 5984, NULL, 10172.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HLR7RRI4O1OV52', '959800ERNHP0E7M9S757', '2016-09-14', 'EUR', '2016-09-14', 'FR0011466069', 'EKI', 2494, NULL, 6634.04, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HGD7JW5S49SF53', '9598009HXCNC9LAK8W88', '2013-08-17', 'EUR', '2013-08-17', 'FR0000031973', 'FAYE', 5708, NULL, 205488.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156006132C65EFE6D24', '8156008F67B5DFBA2E54', '2010-07-18', 'EUR', '2010-07-18', 'FR0000061459', 'PERR', 2803, NULL, 126975.9, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H5FNKDU3OUBZ78', '743700KDP0HND0E9ZN68', '2009-11-25', 'EUR', '2009-11-25', 'FR0004529147', 'TES', 3302, NULL, 383032.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H9LBE42LLKZZ28', '8156001D1E7CBB406724', '2018-06-17', 'EUR', '2018-06-17', 'IT0005119109', 'ALMBG', 5369, NULL, 25124.2355, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '7890009UANVINSEJBL90', '529900F1NSHZGDOEGX87', '2018-12-06', 'EUR', '2018-12-06', 'FR0010204453', 'ALMGI', 6240, NULL, 13852.800000000001, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '8156007004423B51BF94', '254900LEJ4HP6RMWD374', '2017-06-06', 'EUR', '2017-06-06', 'NL0010998878', 'BOLS', 5347, NULL, 81809.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598007V2PP0JK1RAQ21', '549300SKHB7Q3QI82Y22', '2012-02-04', 'EUR', '2012-02-04', 'BE0003763779', 'WDP', 1723, NULL, 198489.6, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500CTUOHOMD5XZ663', '52990005V8S59U2W4L64', '2010-02-09', 'EUR', '2010-02-09', 'FR0013356656', 'MAKBS', 6588, NULL, 8.5644, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '724500QWRJ5VKFCQFZ12', '984500BC091D0C9F8063', '2013-01-24', 'EUR', '2013-01-24', 'FR0012616852', 'CEREN', 4263, NULL, 2088.87, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HA7HL6MIX3M768', '3358009RIHZW31HNPJ28', '2008-08-21', 'EUR', '2008-08-21', 'BE0974313455', 'ECONB', 4264, NULL, 12408.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '815600F9DD0DF7342D88', '815600D2FCCB189AD389', '2018-09-17', 'EUR', '2018-09-17', 'FR0010918292', 'TCH', 5391, NULL, 5143.014, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '335800ZOVK14GTNOGJ02', '549300463MBP67BZSP85', '2017-04-15', 'EUR', '2017-04-15', 'FR0000062796', 'VRAP', 3670, NULL, 86979.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '259400MBCDBRO692ZC33', '894500HFWKWL8U4MTR25', '2008-11-21', 'EUR', '2008-11-21', 'FR0000121725', 'AM', 7866, NULL, 9517860.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '391200KI35AXHICIOK79', '7890007JMV9RAROEMI58', '2017-06-30', 'EUR', '2017-06-30', 'BE0003844611', 'MDXH', 1178, NULL, 2179.3, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '984500D66F3MB948AK44', '747800U0J0NR8LCM1V88', '2009-03-21', 'EUR', '2009-03-21', 'FR0013227113', 'SOI', 6523, NULL, 330063.8, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '789000QPO5LTSMO4Z296', '789000QC6HEFBMHKUQ81', '2012-11-15', 'EUR', '2012-11-15', 'CH0308403085', 'GNRO', 8862, NULL, 30485.28, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '9598007VM0GTV6F3QW68', '529900H7XX7XJFEPRG21', '2012-01-14', 'EUR', '2012-01-14', 'FR0011033083', 'ALMOU', 7024, NULL, 30624.640000000003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900YF1R6GVN5L0797', '485100NBOUIT8QFX8G36', '2014-01-30', 'EUR', '2014-01-30', 'FR0000034894', 'GAM', 8180, NULL, 891620.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '2549002SVL2O0OJ9ZM09', '485100NBOUIT8QFX8G36', '2013-05-13', 'EUR', '2013-05-13', 'FR0000130577', 'PUB', 53, NULL, 2654.24, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500HNG6T7IXAPVZ08', '549300UDRH8FWWGS7X27', '2017-08-03', 'EUR', '2017-08-03', 'FR0010823724', 'MLFTI', 8697, NULL, 265.25849999999997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '25490029CYKEEFWZIQ50', '213800GE31FHVPNIQF05', '2012-06-03', 'EUR', '2012-06-03', 'FR0000053738', 'MLHOT', 8455, NULL, 279015.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '969500VQSPDOEX2VIG22', '959800NUGXW77RJ05D67', '2014-09-29', 'EUR', '2014-09-29', 'FR0004076891', 'FLO', 2778, NULL, 541.71, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '894500H6CWUZNZO49B85', '5299001FRXFIBYKAP047', '2015-06-26', 'EUR', '2015-06-26', 'FR0010768770', 'MLWEY', 4295, NULL, 9363.1, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '254900G8YGM9LNLSFP74', '894500HFFY9ABW4ZV376', '2014-02-07', 'EUR', '2014-02-07', 'FR0010131409', 'ALLIX', 9604, NULL, 120050.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'S', '213800TTG83I4SW4IP95', '3003004MJBH0K0FAPH40', '2009-09-02', 'EUR', '2009-09-02', 'FR0000037871', 'MLCFD', 5725, NULL, 4580000.0, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '33580018E9ZBP8Y5PX37', '254900YJT6K5D2FTB853', '2015-09-29', 'EUR', '2015-09-29', 'DE000CQ4ZNQ5', '873BC', 7656, NULL, 16690.08, 85, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '98450013EDD12DC4D191', '789000UEVJ6NJD385G68', '2012-07-29', 'EUR', '2012-07-29', 'NL0011050786', '2655H', 1447, NULL, 20156.71, 45, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600C342CFD2641346', '894500HYOTW94KDWNJ24', '2010-12-27', 'EUR', '2010-12-27', 'DE000VA9CYL6', 'E625V', 955, NULL, 587.325, 21.7354, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300QQLFU3NBSLT398', '2594006W3TA1TP0SW822', '2014-05-12', 'EUR', '2014-05-12', 'DE000VA71PN3', 'D106V', 3976, NULL, 12842.48, 6.4, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '789000BSHWM06LXJ2553', '894500HJAIZHAFDZ7Z25', '2013-12-06', 'EUR', '2013-12-06', 'FRBNPP00SQF8', '61OKB', 4031, NULL, 1148.8349999999998, 3.5288, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900L1MOJXBKQPMB74', '959800L86LYEQ3S7WW89', '2009-01-22', 'EUR', '2009-01-22', 'DE000CP23YG8', 'K210C', 7756, NULL, 37073.68, 440, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900DP26TR8G0IKD72', '3358004ZI9YPG1O6KU41', '2017-03-13', 'EUR', '2017-03-13', 'NL0012828834', 'LM42G', 221, NULL, 92.82, 550.29, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '391200BZG0CAGCT1KJ33', '254900AK4R3K9T17NA09', '2012-09-03', 'EUR', '2012-09-03', 'DE000CP4KMY4', '99CLC', 9686, NULL, 4164.98, 230, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '875500OLMAB819ABF136', '81560073AD51110DA588', '2010-11-26', 'EUR', '2010-11-26', 'DE000CP17S18', '346YC', 8469, NULL, 5081.4, 41.76, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '969500U2YXEDOEKJYO88', '959800R6AEBEBH17HD14', '2008-08-16', 'EUR', '2008-08-16', 'DE000CE6BNL6', 'AL06Z', 8088, NULL, 27580.08, 6.34, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500TNIK7SO5TTTQ38', '815600090084A401BB60', '2012-02-21', 'EUR', '2012-02-21', 'NL0013168834', '10NZB', 8852, NULL, 20722.532000000003, 506.7, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800P4V653JHK6DS17', '549300BEF9XW1PZUN852', '2016-08-15', 'EUR', '2016-08-15', 'NL0011700752', '9704H', 5861, NULL, 69335.63, 374.1, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800J3F7YXYA44NA87', '894500HTLWRX26HW2761', '2013-08-10', 'EUR', '2013-08-10', 'NL0012903991', 'BEG4H', 8586, NULL, 67314.24, 565.796, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HTGD85F760EN89', '5299005AB5XZ9YW2GL72', '2016-03-11', 'EUR', '2016-03-11', 'LU1790568445', '9540S', 6990, NULL, 66824.40000000001, 583.046618, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500XF59N0563H0483', '894500H5QQNX42CLN376', '2015-10-17', 'EUR', '2015-10-17', 'LU1756893118', 'T964S', 5956, NULL, 10899.48, 46, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900UZ5CJQQP4TGX85', '25490093L4EDKUTGS682', '2017-10-20', 'EUR', '2017-10-20', 'DE000HV1QJ63', 'C468T', 7966, NULL, 18712.134000000002, 62, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '969500CTUOHOMD5XZ663', '549300XUI8S8R1GS6H22', '2010-11-08', 'EUR', '2010-11-08', 'DE000CP28UQ4', '29AZC', 5757, NULL, 24006.69, 104.4779, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300QA4WS64PV1JK34', '894500HU82YZM3TEOF66', '2012-02-25', 'EUR', '2012-02-25', 'LU1876929032', '1645S', 7467, NULL, 1866.75, 9.007566, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800OVBZ3OT7SW6740', '549300RB82CEMWXKTP61', '2015-01-22', 'EUR', '2015-01-22', 'NL0012919567', 'AZ22H', 8607, NULL, 21431.43, 5.91, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800112P7FWQ1WJR47', '549300ANT4DHUC2KSD78', '2011-06-04', 'EUR', '2011-06-04', 'DE000CP4J755', '75CGC', 2637, NULL, 7462.71, 70, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900SHWR4BHBFBCU89', '969500DKETRHKG7N5307', '2009-01-21', 'EUR', '2009-01-21', 'DE000HV13VV1', 'E466T', 9189, NULL, 27153.495, 234.232547, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800T76ESPB8W5SY69', '25490086FITZP29BWC98', '2017-09-28', 'EUR', '2017-09-28', 'LU1756897887', 'T991S', 8965, NULL, 2599.85, 10, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500CEL3BG77RXAV28', '894500HXM11VNP2R2N62', '2013-03-03', 'EUR', '2013-03-03', 'DE000CJ3X558', 'S781Z', 5211, NULL, 729.5400000000001, 900, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '789000VONXO3UZBNB336', '529900I7542QKX519C84', '2009-05-30', 'EUR', '2009-05-30', 'DE000CJ3N9J5', 'B8Y8Z', 5317, NULL, 13159.575, 20, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '3358009T339U7ZU1NO61', '213800HLKTLK3RHMB206', '2018-08-17', 'EUR', '2018-08-17', 'LU1451954116', '6592S', 6298, NULL, 8754.22, 83.75088, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500BJVSRC3ZMB6W75', '315700MJM1ZNEMGYTF89', '2012-04-21', 'EUR', '2012-04-21', 'NL0011857354', 'IP76G', 5917, NULL, 7810.4400000000005, 3.1, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '7890006VZWGVIJC7JZ03', '815600F4C84195615224', '2014-05-09', 'EUR', '2014-05-09', 'LU1859903624', 'O120S', 9948, NULL, 15717.84, 500.266628, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '74370092DM24VPRQU721', '529900GUMMCS7JVTBR64', '2015-05-27', 'EUR', '2015-05-27', 'DE000CP28S64', '66AYC', 3839, NULL, 7025.37, 75, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '485100NCLJ249AFQUK46', '213800228I1NK8KLQG44', '2014-09-13', 'EUR', '2014-09-13', 'DE000CQ7ZD48', '468LC', 6369, NULL, 420.35400000000004, 105, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156004B59FFAA00A586', '549300QA4WS64PV1JK34', '2012-01-23', 'EUR', '2012-01-23', 'DE000CQ59FW6', '564FC', 2231, NULL, 691.61, 100, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800BDEF48WE2YTM66', '254900JEOZXYY3AO8330', '2018-04-17', 'EUR', '2018-04-17', 'DE000CD63MH3', '42YMZ', 401, NULL, 190.475, 3.74, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900N84IBGGV0QTN57', '315700BP2MEBSO4GFV25', '2013-05-30', 'EUR', '2013-05-30', 'NL0013013527', '89KVB', 9298, NULL, 13621.570000000002, 4.707, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600E080D4AB6B0183', '254900ZY4S60JXXT1373', '2017-05-03', 'EUR', '2017-05-03', 'DE000VA7TBN8', 'K286V', 4381, NULL, 25825.995, 546.37, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900W7UJF82R256097', '391200DBB5G7H80FLS56', '2018-09-03', 'EUR', '2018-09-03', 'NL0013006398', '75KOB', 384, NULL, 2117.376, 538.2, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900PYMSUIU9KF3N69', '959800LHMERP4UJUFN64', '2017-02-15', 'EUR', '2017-02-15', 'NL0012200976', 'A9LOH', 4712, NULL, 5418.799999999999, 483.643, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900BC8LNVLXZOUQ14', '254900DB0U9Q1T775774', '2014-02-19', 'EUR', '2014-02-19', 'DE000CV8B3F0', 'B50DZ', 3262, NULL, 5088.72, 11.79, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800FIDFKW2O3W5192', '529900HEWEK2XR2PFC48', '2018-03-05', 'EUR', '2018-03-05', 'DE000VA7Z0J5', '3X89V', 6446, NULL, 19144.620000000003, 6.6, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800JTCHULXUWHNP81', '335800RKNDN6SINAGT18', '2015-02-28', 'EUR', '2015-02-28', 'DE000CD647L9', 'AD87Z', 661, NULL, 154.013, 473.7739, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '2138002H8T2C6YP3G870', '315700YG8W0P0VDEUA36', '2009-08-10', 'EUR', '2009-08-10', 'DE000CP23Y95', 'K203C', 271, NULL, 731.7, 462, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '95980085K03DCARGQK26', '9845009F6B1A805DF723', '2011-12-15', 'EUR', '2011-12-15', 'DE000CY711E3', '2484C', 8651, NULL, 16263.88, 839.2108, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300L0UN5U0504Y829', '254900WF43XFFU8O0J28', '2016-05-24', 'EUR', '2016-05-24', 'NL0010893905', 'AL88B', 559, NULL, 8436.987, 344, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9598003VM689NBD7VR68', '7890007JMV9RAROEMI58', '2015-08-11', 'EUR', '2015-08-11', 'DE000CV8AGX2', 'B4C6Z', 949, NULL, 1119.82, 561.0819, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900J4YHYE4SP5T774', '485100NCLJ249AFQUK46', '2013-08-15', 'EUR', '2013-08-15', 'NL0013078322', 'BE6XH', 951, NULL, 5363.639999999999, 543.671, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800RF6HMDBIX4OQ66', '959800S3TBCZHCN25C73', '2018-07-07', 'EUR', '2018-07-07', 'NL0012825285', 'LI47G', 5490, NULL, 823.5, 556.11, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9504009B1BF53C613476', '969500CHL179N00GX059', '2017-10-04', 'EUR', '2017-10-04', 'NL0012474639', 'KP41G', 4911, NULL, 32167.05, 16.9, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500C2EEUEB4A0C629', '959800F7MDT1YR2CLT92', '2010-12-07', 'EUR', '2010-12-07', 'NL0013189814', 'BJ1KH', 118, NULL, 317.42, 513.902, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900A9QYZHQSA7Z303', '815600E1429EA2A1B323', '2015-02-20', 'EUR', '2015-02-20', 'NL0013181548', 'BIJ9H', 4868, NULL, 24437.359999999997, 23.63, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500CBAOC1M2ZMU910', '8156004F5A55EA07B020', '2009-01-23', 'EUR', '2009-01-23', 'NL0006427973', '6982G', 9075, NULL, 372165.75, 80, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300FXLC72J2AKHY22', '894500HOU2R49R9MRZ45', '2010-11-27', 'EUR', '2010-11-27', 'DE000CN6JWL9', '21MJZ', 7057, NULL, 74656.00300000001, 382.9389, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156009825403175DE61', '7890005N9J1TXFQFTA27', '2017-04-03', 'EUR', '2017-04-03', 'DE000VA7Q8P6', '3V60V', 2563, NULL, 5548.895, 105, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800XNEHCKLJ3X6723', '254900QW9WW3MO52AT86', '2013-01-07', 'EUR', '2013-01-07', 'DE000UC06Q40', 'D917T', 6321, NULL, 4108.650000000001, 8.947388, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '25490086FCA0ZK6GYK45', '969500M032MP4PKC5C07', '2014-02-01', 'EUR', '2014-02-01', 'NL0011859863', 'IS57G', 2615, NULL, 18174.25, 420.06, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '3358001BXHN8TIT22669', '254900GTCTZAXDX8WS79', '2008-11-23', 'EUR', '2008-11-23', 'NL0006428351', '7020G', 6486, NULL, 254316.06, 99, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '969500ZWBK1MKWQKUC61', '2549005UZUYZLZ6RWK18', '2009-02-18', 'EUR', '2009-02-18', 'DE000CP23Q20', 'J781C', 7208, NULL, 20110.32, 22, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800ZQAFESDJBMT711', '959800H4TC1D4BPQ8Y62', '2016-02-07', 'EUR', '2016-02-07', 'DE000CY16N13', 'Z622C', 9030, NULL, 5779.2, 487.5135, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900M802M9464ZIA97', '894500HA7HL6MIX3M768', '2010-04-25', 'EUR', '2010-04-25', 'NL0012038921', 'QG60B', 5933, NULL, 34464.797, 439, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H6CWUZNZO49B85', '894500HETS27RYTH8V21', '2010-09-10', 'EUR', '2010-09-10', 'DE000VN9HJH9', 'Q229V', 317, NULL, 401.005, 96, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900FDTP2T48OT8657', '353800198096EUPBWJ26', '2016-03-16', 'EUR', '2016-03-16', 'NL0011603238', '8808H', 496, NULL, 5520.4800000000005, 377.291, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800H4TC1D4BPQ8Y62', '9598009M8EAC6XDTHZ06', '2015-03-23', 'EUR', '2015-03-23', 'NL0012048326', 'A6A3H', 7960, NULL, 50864.399999999994, 429.1, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900HXZVJNNB46ZT24', '5299000BA2PZKKV19620', '2009-10-22', 'EUR', '2009-10-22', 'NL0012835854', 'LU24G', 7356, NULL, 75472.56, 404.4, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900VA193NN1YA7191', '8156001E5A66CD562A80', '2009-05-12', 'EUR', '2009-05-12', 'NL0013078876', 'BE8GH', 1002, NULL, 24789.48, 727.5, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900BFLEDVAN9GAL69', '549300X2686G9XRIKN02', '2013-04-28', 'EUR', '2013-04-28', 'NL0012061972', 'IX68G', 597, NULL, 2967.0899999999997, 448, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800G47LC6WTD5Z905', '81560013DBBB3EB48F45', '2010-03-24', 'EUR', '2010-03-24', 'DE000CD61P10', '54MZZ', 5255, NULL, 8513.1, 2.55, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '30030038RDAIIFA2FE30', '391200XDF2HWSFNGDZ08', '2008-07-28', 'EUR', '2008-07-28', 'NL0013079031', 'BE8WH', 3628, NULL, 2285.64, 487.093, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900AIZHV0LV830P02', '549300RBG5RTDRSAXM92', '2016-02-15', 'EUR', '2016-02-15', 'DE000CY51RQ4', 'C376C', 749, NULL, 8149.120000000001, 592.713, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '7245001WFRBOP1G8I164', '894500H5FNKDU3OUBZ78', '2011-06-11', 'EUR', '2011-06-11', 'NL0013198278', 'MC18G', 1558, NULL, 888.06, 492.36, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HRGB364FVKWF49', '549300EMFC8JYFXEQM91', '2008-11-24', 'EUR', '2008-11-24', 'DE000CA0ZYR6', 'W417Z', 849, NULL, 16.98, 55, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '7245004V1GO5K4650888', '969500PAA902QVPQI827', '2011-01-03', 'EUR', '2011-01-03', 'LU1877087962', '1282S', 6640, NULL, 3386.4, 9.861545, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H4CUQ0D8DOR336', '335800H57N6CGB174W04', '2009-08-04', 'EUR', '2009-08-04', 'DE000UC0BA48', 'E601T', 6483, NULL, 5646.693, 1050, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9598002LDD1E2PYP1J85', '959800W7D6T7K6Z04D04', '2013-10-03', 'EUR', '2013-10-03', 'DE000CP231X3', 'J375C', 3906, NULL, 24607.8, 34.9237, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800D2LQ2DFCLXH448', '2549006G0KKFYI0AHC42', '2011-07-08', 'EUR', '2011-07-08', 'NL0013189673', 'BJ06H', 4225, NULL, 15759.25, 524.376, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '789000Z2Q57I703NYI63', '894500H6Z3227WZMVJ63', '2009-06-02', 'EUR', '2009-06-02', 'LU1817319822', 'I060S', 5073, NULL, 54027.450000000004, 593.729881, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '95980029RH0L3CJAET69', '815600033CD0D7170690', '2017-10-21', 'EUR', '2017-10-21', 'DE000CN6L4W0', '88MSZ', 5789, NULL, 413334.60000000003, 110.2025, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800S99YPLZQBXP053', '529900Z33E67QVBTWZ29', '2010-05-09', 'EUR', '2010-05-09', 'NL0012067250', 'JG56G', 1442, NULL, 187.46, 474.47, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900N4UCG37B1HFL93', '549300M1X460LUEY5197', '2015-08-06', 'EUR', '2015-08-06', 'NL0012826952', 'LK34G', 4009, NULL, 22891.39, 526.7, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '969500ANON2F6FG03P19', '815600B000DE9B544733', '2010-07-10', 'EUR', '2010-07-10', 'DE000VL5R624', 'D651V', 7433, NULL, 67380.14499999999, 568, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HMZK5WLZB2XB26', '959800WAYTPKCFST8B43', '2014-01-26', 'EUR', '2014-01-26', 'DE000CY923W6', '1003C', 1929, NULL, 1215.27, 116.4, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500SD897EB1AED603', '894500HT5A4M58I93J74', '2014-06-08', 'EUR', '2014-06-08', 'DE000CD628F1', '98NDZ', 1209, NULL, 6275.919, 437.0121, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900AK4R3K9T17NA09', '98450055FF8BDB72F288', '2016-04-22', 'EUR', '2016-04-22', 'DE000VA8F2Z0', 'D976V', 9948, NULL, 23029.62, 466.08, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600B4B8B9C21AE913', '959800NFQLJBAJ75F378', '2017-04-28', 'EUR', '2017-04-28', 'LU1840911272', 'G289S', 3338, NULL, 37185.32, 80.571041, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9598001CPYZS61F22624', '789000OB5M54RL51RF05', '2018-02-09', 'EUR', '2018-02-09', 'DE000CP27103', '11APC', 5723, NULL, 5036.24, 9.75, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900BCDSWUIADX7348', '984500CEDB76ZE159894', '2010-07-15', 'EUR', '2010-07-15', 'DE000CK4ZX08', 'J710Z', 1212, NULL, 2727.0, 63.92, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500S4U9FD6SOL0I06', '8156004783E572DEBC61', '2013-11-19', 'EUR', '2013-11-19', 'FRBNPP00SJF3', '09OIB', 7812, NULL, 2070.1800000000003, 168.4352, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500CEL3BG77RXAV28', '335800TCF9YCJG3VRZ10', '2018-05-10', 'EUR', '2018-05-10', 'NL0013163637', '90NTB', 2319, NULL, 7089.183, 513.8, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '2138003NT7W2QX3OP828', '549300ANECX08N7N4954', '2015-12-20', 'EUR', '2015-12-20', 'NL0012833487', 'LR57G', 6898, NULL, 1724.5, 531.47, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800IK457RQY6L4Q85', '549300RXFPHPD2P67O82', '2009-01-11', 'EUR', '2009-01-11', 'NL0010968699', 'BX49G', 64, NULL, 609.92, 13.6, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H5WA7OR1OHAN89', '335800EP5I9YC1VBHD75', '2018-04-15', 'EUR', '2018-04-15', 'NL0011989561', 'A5JWH', 8596, NULL, 9369.640000000001, 3.27, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '5299002URJ7HCB1NOH98', '894500HXRKLNAOEMQ729', '2014-11-06', 'EUR', '2014-11-06', 'DE000CQ7A3P1', '113HC', 5815, NULL, 465.2, 43.3547, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156009F9CE4BBDA0D95', '254900N94Q2OB5BMY212', '2016-06-23', 'EUR', '2016-06-23', 'NL0013006380', '74KOB', 1180, NULL, 6446.34, 537.7, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900DW2JX67EA59I93', '724500IBQ8LL1AKZM822', '2017-06-27', 'EUR', '2017-06-27', 'DE000VA71RL3', 'D185V', 4806, NULL, 2162.7000000000003, 476.92, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '747800U0J0NR8LCM1V88', '724500W8ZCQCSQU75P98', '2013-10-16', 'EUR', '2013-10-16', 'DE000VA4YSS8', 'I151V', 4359, NULL, 53550.315, 599, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900H788CMCT86VR92', '724500XF59N0563H0483', '2015-06-30', 'EUR', '2015-06-30', 'DE000VN9WP67', 'Q989V', 1012, NULL, 915.86, 92, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900IYBMSWBH1FFP26', '894500HR57ZMUH7TLB28', '2009-06-22', 'EUR', '2009-06-22', 'DE000CQ99NL9', '119UC', 6528, NULL, 11162.88, 1243.0845, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300H12OZK1KY1W004', '335800V5EE78K4LOD223', '2017-10-30', 'EUR', '2017-10-30', 'LU1790584566', 'B785S', 8113, NULL, 14846.79, 7.700356, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156007814FB50630E55', '969500OEX5UE1O0TG465', '2011-10-26', 'EUR', '2011-10-26', 'DE000CP23SD7', 'J869C', 2687, NULL, 6663.76, 511.4149, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HX5EEKQR343Z85', '959800UZVRMSE0GMRN29', '2010-10-02', 'EUR', '2010-10-02', 'DE000VN9ZMP8', 'O705V', 5330, NULL, 5783.05, 497, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800SR027YXK2G8R75', '5299008619O6J745YR05', '2016-06-04', 'EUR', '2016-06-04', 'NL0013014871', '24KXB', 2404, NULL, 4026.7000000000003, 100.04, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500F5DCEF7SGE5M39', '984500FXDA3777DD6C09', '2016-05-28', 'EUR', '2016-05-28', 'NL0012473383', 'KN96G', 3817, NULL, 1145.1, 506.16, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '3358006L6RHHGKJ1VV74', '8156002E18634BC3F457', '2016-04-07', 'EUR', '2016-04-07', 'DE000CQ4Y9B3', '261AC', 9326, NULL, 12496.84, 85, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H7FPPD4UZ9U708', '2549003Q27VIHVL77538', '2018-11-09', 'EUR', '2018-11-09', 'DE000CP29Y57', '90BNC', 2693, NULL, 1211.8500000000001, 1098.6388, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HAIKOPWHKUXB70', '335800DV2WKUAMUTYL21', '2017-10-04', 'EUR', '2017-10-04', 'DE000CD62PW7', '57DGZ', 8421, NULL, 38357.655, 15.9885, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '72450083UWRNPDF6S317', '815600E1429EA2A1B323', '2018-08-24', 'EUR', '2018-08-24', 'NL0012836100', 'LU49G', 6512, NULL, 13870.56, 5.5, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900PNFLI1L0UUTU34', '335800ESD27927KNE341', '2012-09-06', 'EUR', '2012-09-06', 'NL0012582472', 'AP82H', 9239, NULL, 733207.04, 151.29, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800MQ0BFSHCXWHJ18', '635400ERLTTQICNF8Q97', '2012-01-02', 'EUR', '2012-01-02', 'NL0012262042', 'UL80B', 8937, NULL, 80620.67700000001, 567.1, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '2138004T2F8RVUQH9M63', '549300WXRK5PN116I682', '2014-05-22', 'EUR', '2014-05-22', 'NL0010442687', '9491N', 5379, NULL, 97601.955, 313, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900G8PIJUFYDL0F33', '8156008BDEBBEC55B397', '2011-01-31', 'EUR', '2011-01-31', 'NL0011620588', 'HG98G', 3946, NULL, 46562.8, 371.54, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HAO48HJGWQKV73', '549300FEA3DT84FOZ304', '2008-09-28', 'EUR', '2008-09-28', 'DE000CP23UF8', 'J936C', 4508, NULL, 10368.4, 509.6291, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156001D1E7CBB406724', '335800PRB8BUVI3NIV64', '2011-09-12', 'EUR', '2011-09-12', 'NL0013164692', '96NUB', 9713, NULL, 26633.046, 513.84, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '789000JNFHOEF4TSB021', '984500D6F3BN444B9C18', '2013-08-10', 'EUR', '2013-08-10', 'LU1841028118', 'M099S', 8747, NULL, 1486.99, 499.107323, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800Y85WTRA77C3151', '8156004B59FFAA00A586', '2010-05-08', 'EUR', '2010-05-08', 'NL0012079248', 'JT85G', 2383, NULL, 357.45, 496.09, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800DAF4GNEDZY9I88', '254900C12MZ14YI5JJ50', '2013-09-19', 'EUR', '2013-09-19', 'DE000CE8ZLN1', '47Z0Z', 3737, NULL, 1980.6100000000001, 170.11, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900GRR0SQ1COP4W20', '724500VIGT4J7ESAXS27', '2010-03-15', 'EUR', '2010-03-15', 'DE000UC06N50', 'D754T', 7813, NULL, 29923.79, 100, 'Undefined'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900SC71C8XDWXPT94', '815600425BFB24034C16', '2013-02-25', 'EUR', '2013-02-25', 'DE000HV11UA1', '2517T', 2241, NULL, 7110.693, 15.15, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '72450055D3LPKG21Z309', '529900YMO4QXA9HSLH89', '2016-07-07', 'EUR', '2016-07-07', 'NL0012069926', 'JJ53G', 4693, NULL, 3566.68, 488.51, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156007DC29F04EB2205', '315700THTOEO2E2TEE34', '2014-02-05', 'EUR', '2014-02-05', 'LU1817217075', 'C679S', 88, NULL, 550.88, 550.018379, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '7245006WPMT9N7UKJI43', '254900WW1FK974KHS546', '2015-05-25', 'EUR', '2015-05-25', 'NL0012030258', 'NX93B', 2237, NULL, 7952.535000000001, 80.5, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800ENHQFFF5T25147', '894500HP55UNJPXE3364', '2009-03-03', 'EUR', '2009-03-03', 'LU1876972040', '2515S', 6820, NULL, 1500.4, 518.062178, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800BHPYMFN1963C79', '529900H4XQ36RMKJMY71', '2014-08-10', 'EUR', '2014-08-10', 'DE000CP06S37', 'I595C', 2964, NULL, 19117.8, 548.383, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '5299008CR7G4H3NXV762', '529900GH7MKKI4OH3126', '2008-09-15', 'EUR', '2008-09-15', 'LU1877121902', '3610S', 1468, NULL, 1937.76, 78, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '5299008CR7G4H3NXV762', '894500HITWC6DHEC9B89', '2012-06-10', 'EUR', '2012-06-10', 'NL0012527030', 'AGY9H', 9518, NULL, 83187.32, 574.833, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '485100K4WF659LDJ8K10', '724500B161YC9TSHGN61', '2010-02-20', 'EUR', '2010-02-20', 'DE000VA90UC6', 'N762V', 42, NULL, 97.86, 489.1163, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HI26LC6KQXZJ81', '959800MELX8EVAGY6F93', '2015-08-31', 'EUR', '2015-08-31', 'FR0013337227', '96T0Z', 1460, NULL, 134466.0, 112, 'Undefined'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9598006HGTM1KPUMWA87', '254900L44F7VSV59P117', '2009-11-16', 'EUR', '2009-11-16', 'NL0013194426', 'BKO7H', 8990, NULL, 10428.4, 8.9, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500S2YNQB37LQ3J77', '353800U33ROCA5ZVJK91', '2008-11-13', 'EUR', '2008-11-13', 'DE000CV2C9Z0', '544BZ', 4677, NULL, 6290.565, 72.66, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800S8BTHJ4RWTAZ55', '549300DXD6G8NGZ3BU81', '2016-04-14', 'EUR', '2016-04-14', 'NL0012835565', 'LT85G', 7969, NULL, 37533.99, 533.58, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800G47LC6WTD5Z905', '254900Q0MAMBKMUX3824', '2017-06-12', 'EUR', '2017-06-12', 'DE000CV8AY09', 'B5H7Z', 7469, NULL, 141.911, 5.5, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300H12OZK1KY1W004', '959800YRYRWZSRFMQL81', '2014-06-05', 'EUR', '2014-06-05', 'NL0012779839', '39EOB', 7698, NULL, 39028.86, 18.4, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '31570058XBP92AHMXC18', '635400JDFPP7U7BJE751', '2009-08-31', 'EUR', '2009-08-31', 'LU1789890735', 'W067S', 7204, NULL, 1440.8000000000002, 115, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '743700CS7YTAIAD20C75', '815600927806FFB39D28', '2013-01-13', 'EUR', '2013-01-13', 'NL0012829196', 'LM78G', 8536, NULL, 67690.48, 555, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '529900YQ9Z46APD3MD76', '984500505888C1B7FD10', '2018-02-15', 'EUR', '2018-02-15', 'DE000VA9AWV3', 'C218V', 7737, NULL, 18878.28, 11.3, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500U5D44FFBCBD423', '529900Q757IPB6WGEN70', '2012-08-11', 'EUR', '2012-08-11', 'DE000CQ8Y697', '392MC', 3396, NULL, 475.44000000000005, 7.7419, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600B4B8B9C21AE913', '724500YSFUM50PWFLF09', '2010-08-07', 'EUR', '2010-08-07', 'DE000VN9WZB7', 'O533V', 239, NULL, 789.895, 511, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500XF59N0563H0483', '894500HGIR3NSRG5FZ82', '2017-02-19', 'EUR', '2017-02-19', 'DE000HV1ZEX4', '3815T', 3504, NULL, 13041.887999999999, 119.2, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800XJFI6D2Y3J5A17', '335800ADHROXNQ1HRF02', '2018-03-16', 'EUR', '2018-03-16', 'NL0012836571', 'LU96G', 7049, NULL, 10573.5, 5.523, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300PXO0WG1WPWNC90', '549300QWO4UFVOCHJ567', '2016-01-12', 'EUR', '2016-01-12', 'LU1817231142', 'Z654S', 8125, NULL, 14218.75, 44, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156007E26E67EE4D179', '254900Y96XY7D4I75H18', '2009-05-30', 'EUR', '2009-05-30', 'DE000CP1D5U1', '339WC', 9398, NULL, 12217.4, 1195.2196, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '254900R7HJO25WEV6162', '33580081U2R7OXJAGM14', '2014-06-08', 'EUR', '2014-06-08', 'DE000CP1D8L4', '433WC', 4636, NULL, 21557.4, 106.9025, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800DSJ931478MDJ69', '529900PHNWPGD5UBID65', '2014-01-06', 'EUR', '2014-01-06', 'NL0013189681', 'BJ07H', 2007, NULL, 7285.41, 523.377, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '969500F3C527QVG5KL69', '8156003243C6C5BA1472', '2010-05-31', 'EUR', '2010-05-31', 'DE000CA00BN2', '153EZ', 8500, NULL, 255.0, 80, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HKDBTURAP4SV71', '815600794F7BCEC48708', '2014-12-25', 'EUR', '2014-12-25', 'DE000CJ3PSS2', 'B95ZZ', 2336, NULL, 2628.0, 145.5671, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500DJD982A80AB580', '21380077NQ3X7JBSLR76', '2010-01-03', 'EUR', '2010-01-03', 'NL0012116396', 'UA20B', 2156, NULL, 9949.94, 65.64, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156009856D1C6B2B530', '959800TJ0RZJS35ZJ787', '2011-03-29', 'EUR', '2011-03-29', 'DE000CA33AU0', 'J332Z', 5826, NULL, 291.3, 110, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '2594006W3TA1TP0SW822', '894500H67DB810C8LR07', '2010-08-26', 'EUR', '2010-08-26', 'DE000CP23XU1', 'K169C', 216, NULL, 123.11999999999999, 489.8473, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '2549006G0KKFYI0AHC42', '529900X1BMKACIKGF585', '2012-12-29', 'EUR', '2012-12-29', 'DE000UC01SR3', 'E208T', 9419, NULL, 46859.524999999994, 131.8, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '549300SJH7CV15NCHP16', '9845000093MBD2EDC242', '2011-01-29', 'EUR', '2011-01-29', 'DE000VA5RDS1', 'I671V', 7048, NULL, 59661.32, 562, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600ED01D7B2786110', '743700GYM204LIHGN993', '2009-03-06', 'EUR', '2009-03-06', 'DE000CV8A6Z2', 'B3S8Z', 9398, NULL, 3242.31, 510, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H5QQNX42CLN376', '254900M802M9464ZIA97', '2008-08-17', 'EUR', '2008-08-17', 'DE000CQ7ZDB1', '475LC', 6460, NULL, 167.95999999999998, 5.75, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800XA6HYWEFB3T206', '213800AXAY1Y71VRQT68', '2013-08-05', 'EUR', '2013-08-05', 'FRBNPP00R668', '32MNB', 6901, NULL, 12042.245, 25.2348, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156004D72C0DDA9E777', '315700PW1XR0YATK5968', '2016-05-06', 'EUR', '2016-05-06', 'NL0011481387', 'GJ19G', 4517, NULL, 46389.59, 11, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '81560037378AE3D5C484', '549300PHRUCZ2ENP1713', '2018-11-22', 'EUR', '2018-11-22', 'NL0009885516', '4483G', 5101, NULL, 33870.64, 3.2, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600586792B10FF034', '254900LI6PY15HVIXV73', '2014-06-14', 'EUR', '2014-06-14', 'DE000CZ5N075', '3N72Z', 3656, NULL, 2924.8, 29.62, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '95980053FGY8E8QK4J16', '549300I0DLKH4RIB6877', '2016-11-19', 'EUR', '2016-11-19', 'LU1876907731', '0142S', 9055, NULL, 35042.85, 103, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '391200GWYAUCEUOEJL48', '959800C8ZUNSFFJVF010', '2015-01-08', 'EUR', '2015-01-08', 'NL0013005317', '67KNB', 2044, NULL, 12390.728000000001, 543.6, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '33580081U2R7OXJAGM14', '529900LS3LMBW1R2N187', '2015-10-16', 'EUR', '2015-10-16', 'NL0012824163', 'LH25G', 3113, NULL, 591.47, 546.23, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '52990016QWN65EPEMQ71', '549300KE5FGFOBQVOI15', '2016-12-27', 'EUR', '2016-12-27', 'LU1790568445', '9540S', 2328, NULL, 22255.68, 583.046618, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H74MLTUWBIJ381', '259400FQK2M8KINYWU86', '2015-06-12', 'EUR', '2015-06-12', 'DE000CJ3VD33', 'M139Z', 1624, NULL, 6926.36, 146.37, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800ADSN42P864VT30', '724500BJVSRC3ZMB6W75', '2013-02-24', 'EUR', '2013-02-24', 'NL0013162860', '13NTB', 1547, NULL, 5083.442, 519.28, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '3358002OIGJR3CM46S74', '724500T65YQWLJ64BU07', '2012-12-09', 'EUR', '2012-12-09', 'LU1841027813', 'M096S', 2068, NULL, 351.56, 493.213446, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '7245006M3LDS98QOMZ45', '8156005F3EB63BB40022', '2012-07-11', 'EUR', '2012-07-11', 'DE000CR4H864', '87I9Z', 2324, NULL, 17093.02, 21.3351, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '81560013DBBB3EB48F45', '9845002EDAB1F7998530', '2010-03-19', 'EUR', '2010-03-19', 'DE000VN9WW84', 'O462V', 2412, NULL, 1628.1000000000001, 21.925, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600A6CD957F6B6490', '213800DH2QVJEMZUOK46', '2009-07-21', 'EUR', '2009-07-21', 'DE000CQ5BVW4', 'H880C', 1448, NULL, 5010.08, 1390.26, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '8156004F5A55EA07B020', '743700EAZ1QIP9YV9X43', '2013-06-24', 'EUR', '2013-06-24', 'DE000CP4KQV1', '20CNC', 4156, NULL, 4820.96, 85, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '724500L1SW1SNE0O9845', '254900YF1R6GVN5L0797', '2010-12-22', 'EUR', '2010-12-22', 'DE000CE8YFE5', '40G4Z', 2787, NULL, 1323.825, 12.99, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600F948881382F374', '5299008BJK4AQDAREC41', '2017-07-12', 'EUR', '2017-07-12', 'FR0013123270', 'S7ASS', 6561, NULL, 2296.35, 0, 'Undefined'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '3358001BXHN8TIT22669', '815600B4B8B9C21AE913', '2010-08-15', 'EUR', '2010-08-15', 'DE000CQ29P08', '7478C', 8198, NULL, 19757.18, 1274.49, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HAIKOPWHKUXB70', '9845004E7E3799A76F12', '2012-10-11', 'EUR', '2012-10-11', 'DE000VL6SEE2', '7804V', 2456, NULL, 7392.5599999999995, 12.3977, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800TD3SZQYAQA5Y17', '2549001LNGTXBZZ58F61', '2016-02-23', 'EUR', '2016-02-23', 'LU1452123240', 'S603S', 5301, NULL, 1537.29, 30, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500H2NVOKCFR0JZ57', '213800WD6839DYYY7O25', '2015-09-08', 'EUR', '2015-09-08', 'NL0010124681', '0289N', 7440, NULL, 198283.44, 226, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '984500E7E95BXZ668557', '549300QQLFU3NBSLT398', '2016-02-10', 'EUR', '2016-02-10', 'DE000VN61YW0', 'B131V', 186, NULL, 365.49, 0, 'Undefined'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '743700XAJ3IN7GTKVS46', '959800FCCUKG9UAU4169', '2011-08-11', 'EUR', '2011-08-11', 'FRBNPP00ONZ2', '85LFB', 8408, NULL, 26527.239999999998, 139.2619, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800GQS8973PV0QN21', '959800NTJDWRW9GTMB98', '2011-07-15', 'EUR', '2011-07-15', 'NL0013198286', 'MC19G', 9329, NULL, 6530.299999999999, 493.6, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '335800ESD27927KNE341', '549300U81LBY39FHLJ48', '2016-01-21', 'EUR', '2016-01-21', 'NL0013273956', '47PBB', 2530, NULL, 1396.5600000000002, 489.2, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600C5E9CE85751F58', '959800B28PRV9QRLQR44', '2008-11-16', 'EUR', '2008-11-16', 'DE000CV4ZMU2', 'A9V8Z', 9502, NULL, 149570.982, 644.5997, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '9845002ED69EFB9D2405', '335800EZXGYPV73MK683', '2011-09-30', 'EUR', '2011-09-30', 'LU1817230334', 'Z652S', 2894, NULL, 3241.28, 40, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '5299001VKMKP5PBLIB12', '335800T6NWHLY1HFRO61', '2009-10-16', 'EUR', '2009-10-16', 'DE000CP1CLB7', 'P479C', 1107, NULL, 1560.87, 900, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '959800XT1NELVHEH1340', '789000JNFHOEF4TSB021', '2014-12-26', 'EUR', '2014-12-26', 'DE000UC01NH5', 'E373T', 4893, NULL, 10113.831, 104, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '789000QPO5LTSMO4Z296', '254900TMKBEQHY9PRG79', '2017-08-30', 'EUR', '2017-08-30', 'DE000UC012X0', 'D284T', 8051, NULL, 1360.6190000000001, 36, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '894500HLAL4GL6OEQ716', '894500HWJ87I6TRLHR93', '2011-08-25', 'EUR', '2011-08-25', 'DE000CA32R58', 'G859Z', 5100, NULL, 1428.0000000000002, 11, 'Call'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '815600980EB434BC5920', '724500DO2C30LD5DX359', '2013-03-27', 'EUR', '2013-03-27', 'DE000VN9WYS4', 'O514V', 9774, NULL, 3567.5099999999998, 4.4009, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'W', '213800ST7N7Z7RAP5K02', '335800A2NAWB2W9F4A19', '2016-08-12', 'EUR', '2016-08-12', 'DE000UC0AAM6', '4519T', 6281, NULL, 6394.058, 1100, 'Put'  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300FLHEHQFK5GCZ37', '724500XKOOZYHZ0M2715', '2011-07-16', 'EUR', '2011-07-16', NULL, NULL, 1, '2052-02-21', 520191, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900HUAQ4OU0MR0T28', '7245004A5ZMVOC2SPX56', '2017-01-04', 'GBP', '2017-01-04', NULL, NULL, 1, '2038-12-14', 551023, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299008U7QG0WXRCWK24', '959800BMUA7B1QCUZV12', '2010-02-25', 'CHF', '2010-02-25', NULL, NULL, 1, '2035-04-04', 601216, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500G1RKUGWSBCBY55', '815600112CFF53C63388', '2017-02-18', 'GBP', '2017-02-18', NULL, NULL, 1, '2048-11-11', 922099, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2138004MEP8HOWYXW361', '81560043CD206EA51196', '2015-06-26', 'GBP', '2015-06-26', NULL, NULL, 1, '2030-05-06', 966338, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580018E9ZBP8Y5PX37', '549300RB82CEMWXKTP61', '2018-06-08', 'GBP', '2018-06-08', NULL, NULL, 1, '2037-03-09', 108962, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300DO6YPLSWJSKZ56', '959800P05ZEBUY44VA78', '2015-12-04', 'USD', '2015-12-04', NULL, NULL, 1, '2043-03-08', 385076, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600046C74ABDA1350', '335800KBNC6RZ5M3WN67', '2014-01-06', 'USD', '2014-01-06', NULL, NULL, 1, '2049-01-24', 529692, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700BP2MEBSO4GFV25', '529900MZAT1NGJO3BQ80', '2014-04-17', 'SGD', '2014-04-17', NULL, NULL, 1, '2035-12-05', 759598, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006C5C319C939F34', '254900XBG17MF5UNCY48', '2013-03-16', 'SGD', '2013-03-16', NULL, NULL, 1, '2048-06-22', 638081, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600E9F1B2379CE216', '549300RQ61D38GBJZW19', '2015-12-29', 'SGD', '2015-12-29', NULL, NULL, 1, '2097-07-16', 517336, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493009LHPXBFJBGHM61', '353800DERDIT6K33ZH46', '2013-07-15', 'EUR', '2013-07-15', NULL, NULL, 1, '2021-02-24', 196340, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156004B59FFAA00A586', '25490086FCA0ZK6GYK45', '2011-06-22', 'SGD', '2011-06-22', NULL, NULL, 1, '2023-11-12', 208402, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549004EX3J0H3Q2U319', '894500HKDBTURAP4SV71', '2013-09-05', 'CHF', '2013-09-05', NULL, NULL, 1, '2042-04-22', 519663, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245005XCEHQ1X5S0X63', '894500HHG0E9MNFFDB80', '2016-05-22', 'SGD', '2016-05-22', NULL, NULL, 1, '2036-06-03', 289600, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549007ON6RMT72P9K11', '213800PLIZG4P7QBMV62', '2014-03-10', 'CHF', '2014-03-10', NULL, NULL, 1, '2057-09-10', 543713, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800YRCJZBI5KM5S53', '549300F6MJZYAPSQSB56', '2017-08-08', 'EUR', '2017-08-08', NULL, NULL, 1, '2078-04-20', 313774, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549008FQBEQ2AD1RY32', '335800RENRJJEA5ZCZ59', '2018-06-27', 'USD', '2018-06-27', NULL, NULL, 1, '2059-04-10', 268609, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900XW5XAYI7GMSR69', '894500H6Z3227WZMVJ63', '2009-06-06', 'SGD', '2009-06-06', NULL, NULL, 1, '2085-08-26', 727444, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299005AB5XZ9YW2GL72', '2138005W55XEB2FY4L58', '2018-03-27', 'EUR', '2018-03-27', NULL, NULL, 1, '2041-08-04', 232456, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900DJ48EYSTVPW742', '9598008X1D3XJ2HDU831', '2012-10-23', 'CHF', '2012-10-23', NULL, NULL, 1, '2087-11-07', 485743, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600112CFF53C63388', '335800N9IBJ2FXMZIV64', '2008-11-28', 'CHF', '2008-11-28', NULL, NULL, 1, '2041-08-24', 433259, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HFLHT1YVGVIN29', '959800CTH4Q9A6NRKD91', '2017-10-30', 'SGD', '2017-10-30', NULL, NULL, 1, '2058-05-17', 122369, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006F11DBD9A22F95', '9845001E94C6DWEAF520', '2013-03-12', 'GBP', '2013-03-12', NULL, NULL, 1, '2053-05-18', 913925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800C4753TUSFVEY86', '9598009HCQLHAHAFNU70', '2014-01-02', 'SGD', '2014-01-02', NULL, NULL, 1, '2087-01-04', 787389, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008F67B5DFBA2E54', '254900WF43XFFU8O0J28', '2016-04-24', 'CHF', '2016-04-24', NULL, NULL, 1, '2051-10-25', 127986, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900PNFLI1L0UUTU34', '9845002DQDE9D546D910', '2015-03-02', 'USD', '2015-03-02', NULL, NULL, 1, '2032-02-16', 471774, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299006UULNV1VPOBJ96', '529900Z6Z8X3U2XP4012', '2018-06-10', 'EUR', '2018-06-10', NULL, NULL, 1, '2069-05-10', 828624, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800D1U4NMZT54M493', '549300SI6V81DNTKHB86', '2016-03-26', 'GBP', '2016-03-26', NULL, NULL, 1, '2046-05-13', 391249, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900X1BMKACIKGF585', '254900Y4Z49SW33IHI34', '2018-11-29', 'EUR', '2018-11-29', NULL, NULL, 1, '2061-02-07', 757407, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800XA6HYWEFB3T206', '529900X080DWXSB5MD70', '2013-03-26', 'EUR', '2013-03-26', NULL, NULL, 1, '2033-03-18', 260031, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156003243C6C5BA1472', '254900G8FS1OF0MLCX83', '2010-11-17', 'USD', '2010-11-17', NULL, NULL, 1, '2076-11-30', 936046, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HH4XAQCORO2740', '724500UQPCSM3LPLL579', '2016-08-14', 'EUR', '2016-08-14', NULL, NULL, 1, '2036-07-07', 577221, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299007MPLYA2JT23A59', '315700PW1XR0YATK5968', '2012-11-11', 'GBP', '2012-11-11', NULL, NULL, 1, '2035-10-17', 114349, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400JCRZRCOQP7EA30', '789000A19TOOSC59CG31', '2010-04-19', 'USD', '2010-04-19', NULL, NULL, 1, '2052-12-06', 699283, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900T65883RYV3MX83', '894500H8Z571IOA2DR12', '2010-04-07', 'USD', '2010-04-07', NULL, NULL, 1, '2085-11-18', 878752, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '98450055FF8BDB72F288', '894500IQ916OE8GARZ21', '2015-11-03', 'CHF', '2015-11-03', NULL, NULL, 1, '2095-04-24', 317745, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600B015D362B37C79', '549300BU9VDL4Z1D2Q93', '2008-12-11', 'CHF', '2008-12-11', NULL, NULL, 1, '2033-03-08', 912752, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900AWEECW6P2AVG95', '8156005745299C8B3383', '2018-10-02', 'CHF', '2018-10-02', NULL, NULL, 1, '2085-03-23', 978598, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600659F0D66B0DB41', '353800UV8U3SOMCDTI49', '2015-12-21', 'SGD', '2015-12-21', NULL, NULL, 1, '2077-09-08', 300049, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580071D1HDFJQI5V04', '549300KEFQXKB36V2F82', '2016-03-29', 'GBP', '2016-03-29', NULL, NULL, 1, '2065-08-01', 222110, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600CD23F4E1DD8784', '8755006I80BKCVGVA287', '2011-07-13', 'EUR', '2011-07-13', NULL, NULL, 1, '2027-02-11', 451879, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300DXD6G8NGZ3BU81', '549300BZDF0DSE8FNH92', '2011-12-06', 'SGD', '2011-12-06', NULL, NULL, 1, '2076-07-09', 122777, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580071D1HDFJQI5V04', '81560086670CD93E6814', '2018-08-24', 'SGD', '2018-08-24', NULL, NULL, 1, '2085-11-07', 993465, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800QXGATJLXCZAR04', '315700MJM1ZNEMGYTF89', '2017-08-31', 'EUR', '2017-08-31', NULL, NULL, 1, '2041-03-28', 624972, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800ACUE3M0XG0J876', '894500HS80U0BCIZ6727', '2014-07-27', 'SGD', '2014-07-27', NULL, NULL, 1, '2097-02-08', 295318, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HDACKJE5IOPB93', '549300RB82CEMWXKTP61', '2017-05-19', 'USD', '2017-05-19', NULL, NULL, 1, '2051-07-21', 181336, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500S5664A9B1DFC48', '7245004A5ZMVOC2SPX56', '2016-09-13', 'GBP', '2016-09-13', NULL, NULL, 1, '2084-06-08', 924499, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008F67B5DFBA2E54', '254900WNCAP4XAX01U87', '2012-09-04', 'CHF', '2012-09-04', NULL, NULL, 1, '2047-12-28', 367695, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900TKA6WXXAOUUQ02', '959800S91JHPH5KY9M89', '2010-08-05', 'EUR', '2010-08-05', NULL, NULL, 1, '2019-08-24', 289146, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900ZOX2TKPJ6OWE63', '549300KEFQXKB36V2F82', '2016-03-07', 'USD', '2016-03-07', NULL, NULL, 1, '2085-01-04', 915940, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H2YYS3MEERV374', '2549004L1VYWR6MWJQ10', '2009-06-02', 'GBP', '2009-06-02', NULL, NULL, 1, '2047-05-15', 449344, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299007PYV3Q0ZOS7431', '335800SR2685XLKQN554', '2016-09-04', 'SGD', '2016-09-04', NULL, NULL, 1, '2030-06-09', 476118, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900G8FS1OF0MLCX83', '254900VX9CNXVPB40790', '2017-08-14', 'GBP', '2017-08-14', NULL, NULL, 1, '2049-10-23', 386161, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200GRNDKXFTXZXN48', '549300DI8TT1K30SP803', '2015-08-09', 'EUR', '2015-08-09', NULL, NULL, 1, '2057-08-08', 329304, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200JN61F3UJFIK036', '335800YRCJZBI5KM5S53', '2011-05-05', 'GBP', '2011-05-05', NULL, NULL, 1, '2082-08-01', 648916, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156001074A6A6B72044', '25490055DW8T8EKBYP27', '2010-10-09', 'GBP', '2010-10-09', NULL, NULL, 1, '2082-12-03', 593756, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900G8FS1OF0MLCX83', '529900EPW8S8W3DNJI67', '2012-04-29', 'GBP', '2012-04-29', NULL, NULL, 1, '2026-09-14', 841323, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HR57ZMUH7TLB28', '300300C1170944000083', '2013-07-03', 'SGD', '2013-07-03', NULL, NULL, 1, '2085-09-01', 572615, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598009J5XPFFSY49P97', '2138004T2F8RVUQH9M63', '2012-07-19', 'GBP', '2012-07-19', NULL, NULL, 1, '2055-08-21', 754337, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598002A1K1NDSW3B107', '724500RHD9S1M3UMF314', '2010-02-27', 'GBP', '2010-02-27', NULL, NULL, 1, '2021-07-11', 360992, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700PW1XR0YATK5968', '2549007KYQNEBEP6LF68', '2010-12-29', 'USD', '2010-12-29', NULL, NULL, 1, '2027-11-21', 380573, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800DV2WKUAMUTYL21', '894500HYJACHHL20ZZ16', '2011-11-11', 'USD', '2011-11-11', NULL, NULL, 1, '2039-11-15', 463000, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900K2EKLBVP0ETM79', '969500VQSPDOEX2VIG22', '2018-06-25', 'CHF', '2018-06-25', NULL, NULL, 1, '2037-12-25', 733628, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900RBPXLD0FZLR138', '335800OIB5TXIBMEYW59', '2012-01-03', 'EUR', '2012-01-03', NULL, NULL, 1, '2089-08-17', 780338, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600F948881382F374', '969500CTUOHOMD5XZ663', '2012-10-14', 'CHF', '2012-10-14', NULL, NULL, 1, '2076-01-16', 479860, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900K1YB6SOGKSYK56', '254900ICXE053N0VGA60', '2010-11-01', 'SGD', '2010-11-01', NULL, NULL, 1, '2037-03-24', 386582, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '72450083UWRNPDF6S317', '335800I15ISK1ERNMJ68', '2017-06-13', 'GBP', '2017-06-13', NULL, NULL, 1, '2045-11-17', 386925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800RKNDN6SINAGT18', '959800V9996US5SMPH18', '2010-07-08', 'SGD', '2010-07-08', NULL, NULL, 1, '2090-09-20', 354627, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '98450013EDD12DC4D191', '353800DO6C4D3UG11A72', '2011-08-30', 'EUR', '2011-08-30', NULL, NULL, 1, '2081-09-27', 461905, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900F1NSHZGDOEGX87', '959800JV7U4YTVRAC391', '2009-08-17', 'GBP', '2009-08-17', NULL, NULL, 1, '2028-12-03', 581331, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800ETS88TRZ8SFX39', '549300H2CRRMS9MKBM82', '2009-02-09', 'USD', '2009-02-09', NULL, NULL, 1, '2061-10-29', 490500, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300RQ61D38GBJZW19', '529900DW2JX67EA59I93', '2008-09-07', 'CHF', '2008-09-07', NULL, NULL, 1, '2041-05-18', 354331, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300KHZJU15E6JJV97', '54930042IQFSI1EEI534', '2017-10-17', 'GBP', '2017-10-17', NULL, NULL, 1, '2048-10-26', 851481, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700WN8S5EDU6RB582', '529900D0CEXI4F19ON06', '2014-02-15', 'USD', '2014-02-15', NULL, NULL, 1, '2073-10-10', 281680, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H2NVOKCFR0JZ57', '959800UQ7AJKH14Q8E84', '2009-10-15', 'GBP', '2009-10-15', NULL, NULL, 1, '2058-07-18', 790963, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800FCTI9CBH4QS545', '300300C1170944000083', '2016-06-20', 'CHF', '2016-06-20', NULL, NULL, 1, '2093-09-23', 677527, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000IRT4DW5B76JY43', '2138006FK6OPYL5ZZI69', '2018-05-24', 'GBP', '2018-05-24', NULL, NULL, 1, '2020-06-20', 167515, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900DR0LRA0YI2XS82', '529900GSFL730YM8C039', '2015-02-05', 'SGD', '2015-02-05', NULL, NULL, 1, '2044-04-17', 773691, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549000Z106C8FT4BF24', '549300BEF9XW1PZUN852', '2014-10-25', 'USD', '2014-10-25', NULL, NULL, 1, '2066-07-06', 540849, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245004A5ZMVOC2SPX56', '815600ABA11791F21748', '2011-08-30', 'SGD', '2011-08-30', NULL, NULL, 1, '2056-01-22', 735727, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008015B9B0A09F57', '875500CCKF621PA1U350', '2011-05-16', 'EUR', '2011-05-16', NULL, NULL, 1, '2084-01-17', 781660, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400OF7SZBTNRM0S39', '8156003243C6C5BA1472', '2009-12-06', 'CHF', '2009-12-06', NULL, NULL, 1, '2054-04-21', 228729, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500CEDB76ZE159894', '724500RHD9S1M3UMF314', '2013-07-20', 'EUR', '2013-07-20', NULL, NULL, 1, '2023-09-26', 625481, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800C8ZUNSFFJVF010', '213800HLKTLK3RHMB206', '2011-10-11', 'EUR', '2011-10-11', NULL, NULL, 1, '2095-10-10', 108298, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800GRRACLZG286428', '213800TTB4MIGIA4VH29', '2010-03-29', 'SGD', '2010-03-29', NULL, NULL, 1, '2025-01-10', 343876, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H7L994RUB5HR02', '894500HMU0M4YZZ79R82', '2011-09-06', 'GBP', '2011-09-06', NULL, NULL, 1, '2064-05-21', 436142, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800QS1GU1LXNVQF70', '549300463MBP67BZSP85', '2009-12-06', 'CHF', '2009-12-06', NULL, NULL, 1, '2077-11-10', 413935, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900ONQTDAWLRIUS76', '254900J4CSFS6CITI351', '2013-09-17', 'SGD', '2013-09-17', NULL, NULL, 1, '2040-03-12', 102814, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300DI8TT1K30SP803', '2138003F4PAYDMIHX598', '2017-06-20', 'CHF', '2017-06-20', NULL, NULL, 1, '2070-03-12', 868976, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H5L745H30PZJ82', '959800WEA8P3UKU5W649', '2014-12-03', 'GBP', '2014-12-03', NULL, NULL, 1, '2087-10-21', 924035, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600F9A42286CEBE66', '529900T72IWE80DC2X89', '2017-02-24', 'USD', '2017-02-24', NULL, NULL, 1, '2032-10-19', 472022, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900Q29SPCDGZYHO94', '815600029392D8229319', '2015-07-11', 'CHF', '2015-07-11', NULL, NULL, 1, '2045-11-26', 789003, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299000KXXSR1VXECA07', '391200BZG0CAGCT1KJ33', '2014-02-07', 'GBP', '2014-02-07', NULL, NULL, 1, '2091-11-06', 601275, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '875500AI664G3A9YO727', '8156001D1E7CBB406724', '2008-10-26', 'USD', '2008-10-26', NULL, NULL, 1, '2027-01-23', 191708, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900G8FS1OF0MLCX83', '95980053FGY8E8QK4J16', '2011-12-08', 'USD', '2011-12-08', NULL, NULL, 1, '2090-03-30', 166299, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598004BB3USSMWYUH31', '3358006RQIS7URMRM328', '2011-03-10', 'GBP', '2011-03-10', NULL, NULL, 1, '2084-10-09', 991456, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700GBYMRP6X6Y2F60', '259400T6GVDLCYY15M13', '2013-11-10', 'USD', '2013-11-10', NULL, NULL, 1, '2043-02-23', 950552, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549009JM44WZUI78Z54', '959800HWPU69RD3Y2323', '2012-06-03', 'USD', '2012-06-03', NULL, NULL, 1, '2077-06-06', 514734, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600B015D362B37C79', '21380019912QSTE92W94', '2010-12-25', 'EUR', '2010-12-25', NULL, NULL, 1, '2092-10-21', 741024, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900PM1A8Y69I7OE42', '21380019912QSTE92W94', '2013-05-12', 'EUR', '2013-05-12', NULL, NULL, 1, '2042-05-25', 956371, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900SHWR4BHBFBCU89', '33580018JKIHWWD2H256', '2010-04-25', 'USD', '2010-04-25', NULL, NULL, 1, '2039-01-07', 364801, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560073AD51110DA588', '875500TVGXKFSXNET752', '2015-05-03', 'CHF', '2015-05-03', NULL, NULL, 1, '2039-10-25', 929293, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245006M3LDS98QOMZ45', '485100K4WF659LDJ8K10', '2010-01-26', 'CHF', '2010-01-26', NULL, NULL, 1, '2076-09-20', 739375, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845008F1AB3D9590D68', '391200DXUC5SKRCQXI59', '2012-04-17', 'CHF', '2012-04-17', NULL, NULL, 1, '2049-04-23', 647042, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900VU8W2U056OQ621', '894500HKDBTURAP4SV71', '2017-01-28', 'USD', '2017-01-28', NULL, NULL, 1, '2093-01-18', 246488, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300HREAIF8XXN5B03', '485100UGVT8JIK3LGV54', '2011-10-22', 'USD', '2011-10-22', NULL, NULL, 1, '2059-03-04', 314412, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300DXD6G8NGZ3BU81', '894500IYVFXO56XJF390', '2013-10-02', 'USD', '2013-10-02', NULL, NULL, 1, '2074-11-01', 667148, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900E1N7NHRCI70N71', '894500HSU712V9UHSF02', '2014-09-19', 'SGD', '2014-09-19', NULL, NULL, 1, '2033-01-20', 507156, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549004EX3J0H3Q2U319', '254900U1JVL12KQ2GB90', '2015-07-25', 'GBP', '2015-07-25', NULL, NULL, 1, '2087-07-16', 721531, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800VLE6G356693U25', '485100V8KJEA3TMIYR91', '2017-01-24', 'USD', '2017-01-24', NULL, NULL, 1, '2025-12-18', 956592, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800AYR82QMH81BT64', '335800QXUUULNIO3BF10', '2010-10-13', 'SGD', '2010-10-13', NULL, NULL, 1, '2041-06-07', 321640, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900GRR0SQ1COP4W20', '529900AVR7WAD8JGBZ55', '2017-03-17', 'CHF', '2017-03-17', NULL, NULL, 1, '2036-06-26', 732049, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900REK4XLCHMOBK55', '213800TSDJ6889OOAG54', '2012-08-12', 'CHF', '2012-08-12', NULL, NULL, 1, '2052-06-11', 165265, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200HFYELDFLD3EK75', '894500HRWXQH1DV7V306', '2016-10-07', 'EUR', '2016-10-07', NULL, NULL, 1, '2066-04-06', 516489, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800KQ78XIJAV3KF43', '815600E90869278E4A71', '2010-06-26', 'CHF', '2010-06-26', NULL, NULL, 1, '2034-10-15', 424416, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900UVK17H0M86G820', '959800GNC2BWYU6J3M22', '2012-01-23', 'SGD', '2012-01-23', NULL, NULL, 1, '2068-10-20', 352274, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800V1USGNW6MJG244', '7245000N9ADYHS0VCP65', '2017-03-25', 'CHF', '2017-03-25', NULL, NULL, 1, '2083-06-03', 377650, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845009B108744465859', '984500CEDB76ZE159894', '2011-05-28', 'USD', '2011-05-28', NULL, NULL, 1, '2061-06-29', 984417, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549009Q199XQ7EXVP94', '39120077KRP9Q12M3V06', '2011-04-02', 'EUR', '2011-04-02', NULL, NULL, 1, '2096-10-18', 366912, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H9QUXVPKXGNJ89', '529900URAAIPPBQPDB82', '2009-05-26', 'USD', '2009-05-26', NULL, NULL, 1, '2058-05-06', 164625, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800O9TGFI28HG3H16', '959800SR027YXK2G8R75', '2017-05-20', 'USD', '2017-05-20', NULL, NULL, 1, '2065-07-15', 328559, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '635400DFNBGABLP4UH75', '529900LSDWTJ9ESZYP24', '2008-09-23', 'EUR', '2008-09-23', NULL, NULL, 1, '2080-01-24', 522029, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600AF541917EE0832', '894500HJ4ZFPNG23KF53', '2012-01-20', 'GBP', '2012-01-20', NULL, NULL, 1, '2071-11-14', 564976, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800ZWGS54E9QGDW41', '549300DI8TT1K30SP803', '2013-08-23', 'CHF', '2013-08-23', NULL, NULL, 1, '2053-04-24', 289538, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300ANT4DHUC2KSD78', '959800ETS88TRZ8SFX39', '2013-01-02', 'CHF', '2013-01-02', NULL, NULL, 1, '2057-07-27', 667213, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600B550351BC70D17', '959800NHPH47PFHQEN48', '2017-08-30', 'USD', '2017-08-30', NULL, NULL, 1, '2065-08-29', 419637, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800FI7YZ5A53GJI22', '2549002KXBI7J3JGK445', '2017-02-13', 'EUR', '2017-02-13', NULL, NULL, 1, '2089-07-13', 431552, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800VR1RQHN566VR62', '2549005AR92QIAOWDK53', '2018-12-13', 'SGD', '2018-12-13', NULL, NULL, 1, '2038-05-31', 891282, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560061B7C75C65BB42', '254900V5OGCUFENZG093', '2010-03-09', 'SGD', '2010-03-09', NULL, NULL, 1, '2072-03-14', 349399, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800C8ZUNSFFJVF010', '959800CGAZSNGKCH9416', '2008-12-19', 'GBP', '2008-12-19', NULL, NULL, 1, '2025-01-07', 526241, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800S99YPLZQBXP053', '254900BVF9CBH8LO4F22', '2014-07-09', 'EUR', '2014-07-09', NULL, NULL, 1, '2049-11-05', 632767, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '300300C1115332000047', '3358003G6SX1EJ7RGA11', '2013-07-24', 'USD', '2013-07-24', NULL, NULL, 1, '2037-11-10', 603057, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006C5C319C939F34', '52990049T9MZ3BM03H76', '2015-01-23', 'GBP', '2015-01-23', NULL, NULL, 1, '2072-11-25', 480291, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800LR9UKODNAYBW55', '815600F9DD0DF7342D88', '2010-11-15', 'GBP', '2010-11-15', NULL, NULL, 1, '2091-07-21', 401292, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300RB82CEMWXKTP61', '8156006C5C319C939F34', '2018-06-21', 'CHF', '2018-06-21', NULL, NULL, 1, '2028-09-28', 497657, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700R6MKAHGL6IHW38', '8156002E18634BC3F457', '2009-12-07', 'GBP', '2009-12-07', NULL, NULL, 1, '2056-06-11', 378220, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900IL047HSHMLH215', '335800RENRJJEA5ZCZ59', '2014-11-27', 'USD', '2014-11-27', NULL, NULL, 1, '2024-09-06', 487184, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500F0URSD5QRT4352', '5299007C8K7HEONL4758', '2017-09-15', 'CHF', '2017-09-15', NULL, NULL, 1, '2034-09-26', 672006, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900XHEVWZTEMOUF34', '72450000T4YK8RB14Z03', '2016-11-18', 'EUR', '2016-11-18', NULL, NULL, 1, '2095-12-19', 696459, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500A58675C8C54E33', '815600659F0D66B0DB41', '2013-09-16', 'EUR', '2013-09-16', NULL, NULL, 1, '2090-03-04', 747692, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '4851009BPL2JF4PWYI16', '529900BG7HNHR3TSLC21', '2016-08-06', 'GBP', '2016-08-06', NULL, NULL, 1, '2056-06-10', 886826, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900QH6CKJW1YRFL92', '549300U3UM0L00PMTA93', '2016-11-02', 'USD', '2016-11-02', NULL, NULL, 1, '2036-01-30', 308476, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900A61SG1UOQDKZ60', '213800DAF4GNEDZY9I88', '2015-04-11', 'SGD', '2015-04-11', NULL, NULL, 1, '2067-06-06', 172560, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H9WEHNCK9CB303', '549300TBSJ84TP4BKF42', '2013-04-05', 'EUR', '2013-04-05', NULL, NULL, 1, '2074-04-25', 369919, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900F5DD3WUHZ5FP52', '254900Z407FNBKBWKE10', '2008-09-06', 'EUR', '2008-09-06', NULL, NULL, 1, '2019-07-22', 568213, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '747800U0J0NR8LCM1V88', '5299007PYV3Q0ZOS7431', '2010-11-28', 'USD', '2010-11-28', NULL, NULL, 1, '2024-08-13', 847768, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800G47LC6WTD5Z905', '549300FPCBHHIFJFGV84', '2013-02-21', 'EUR', '2013-02-21', NULL, NULL, 1, '2040-01-12', 878691, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600B015D362B37C79', '959800VHACV3CWM8U869', '2016-12-28', 'SGD', '2016-12-28', NULL, NULL, 1, '2021-10-22', 443869, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600F3CDFAD95C5145', '259400OWDFDUR578P096', '2012-07-29', 'USD', '2012-07-29', NULL, NULL, 1, '2061-05-24', 380750, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM7UF2F2NONJ34', '335800IU4DWQTIEBIA70', '2017-10-16', 'GBP', '2017-10-16', NULL, NULL, 1, '2064-06-12', 327378, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3157002Y0OY84RTB9R90', '254900MLDDST0HD5GY34', '2009-06-29', 'SGD', '2009-06-29', NULL, NULL, 1, '2075-09-15', 392987, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800S52UDWMFQGWD59', '529900V1Q46CPWIWT649', '2014-04-06', 'GBP', '2014-04-06', NULL, NULL, 1, '2072-07-15', 842932, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800H6WTLAE17E4849', '9598009J5XPFFSY49P97', '2008-12-22', 'EUR', '2008-12-22', NULL, NULL, 1, '2032-09-08', 390300, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156005A1F872A000C25', '9598007VM0GTV6F3QW68', '2010-12-19', 'SGD', '2010-12-19', NULL, NULL, 1, '2078-02-13', 534478, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900E1N7NHRCI70N71', '52990097DKT8ZDY4U953', '2015-02-24', 'GBP', '2015-02-24', NULL, NULL, 1, '2042-03-09', 718569, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800UUFS63CM6AWC95', '815600DC50151EA91003', '2017-01-30', 'USD', '2017-01-30', NULL, NULL, 1, '2035-06-01', 366117, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900Q757IPB6WGEN70', '254900REK4XLCHMOBK55', '2017-07-04', 'CHF', '2017-07-04', NULL, NULL, 1, '2069-10-06', 183582, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '485100QFQXXUHTG7S761', '894500HTGD85F760EN89', '2013-02-15', 'USD', '2013-02-15', NULL, NULL, 1, '2085-07-14', 586504, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300M66CUL1YG1J741', '254900X9U41IK6T98D46', '2018-11-26', 'GBP', '2018-11-26', NULL, NULL, 1, '2032-05-30', 583159, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HRLUMXRF7GJZ34', '875500AI664G3A9YO727', '2018-05-05', 'USD', '2018-05-05', NULL, NULL, 1, '2028-06-15', 286546, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500M032MP4PKC5C07', '743700IG7LB5QRTJ7493', '2017-12-09', 'EUR', '2017-12-09', NULL, NULL, 1, '2035-10-07', 324626, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549004EX3J0H3Q2U319', '875500TVGXKFSXNET752', '2009-05-04', 'CHF', '2009-05-04', NULL, NULL, 1, '2094-06-15', 817584, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400FQK2M8KINYWU86', '2549007KYQNEBEP6LF68', '2009-11-18', 'SGD', '2009-11-18', NULL, NULL, 1, '2056-01-19', 591076, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600090084A401BB60', '213800JCEEASR9BUUX74', '2017-10-02', 'CHF', '2017-10-02', NULL, NULL, 1, '2063-07-10', 968267, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299004L5XO9Q706ZJ81', '5299007VTR09QZUYVX92', '2010-09-06', 'EUR', '2010-09-06', NULL, NULL, 1, '2050-10-05', 137468, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3912004XEVRZIWBYDR63', '894500HV5C9LFZSOLR51', '2015-10-22', 'GBP', '2015-10-22', NULL, NULL, 1, '2059-04-24', 373317, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800XG6SU7RZZMTZ68', '254900CA7JY8W7YPS376', '2009-08-01', 'GBP', '2009-08-01', NULL, NULL, 1, '2067-03-15', 859853, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598003TXKE5UCE00M50', '724500YYSQT6AKQ9YI05', '2015-03-13', 'USD', '2015-03-13', NULL, NULL, 1, '2060-01-23', 272882, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000VQS0EPOE24K012', '9845008F1AB3D9590D68', '2016-05-15', 'CHF', '2016-05-15', NULL, NULL, 1, '2082-08-19', 560670, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200DBB5G7H80FLS56', '9845009411D557759947', '2017-12-16', 'GBP', '2017-12-16', NULL, NULL, 1, '2047-06-27', 470880, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900Q757IPB6WGEN70', '549300E0Z4SPZP2R2V52', '2012-08-11', 'USD', '2012-08-11', NULL, NULL, 1, '2083-07-30', 612847, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800IZECY15Y6RNI27', '549300PT0J7UUZQG1476', '2016-04-30', 'GBP', '2016-04-30', NULL, NULL, 1, '2033-10-12', 813049, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800JBKGFGH12JHT26', '335800KMMCEDJCWE6X25', '2015-02-04', 'CHF', '2015-02-04', NULL, NULL, 1, '2068-08-31', 832612, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700J2PQ9OEFJB9W58', '78900021BEBQZ8M1C652', '2009-09-05', 'GBP', '2009-09-05', NULL, NULL, 1, '2096-06-24', 306709, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM7UF2F2NONJ34', '2549001OYZR9EI9CX343', '2014-03-09', 'SGD', '2014-03-09', NULL, NULL, 1, '2035-05-21', 679950, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900W7UJF82R256097', '2549002YT1TV3H15K320', '2015-04-15', 'GBP', '2015-04-15', NULL, NULL, 1, '2030-11-02', 835781, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800UG367PLK3HZP86', '335800BBUCMXKQJR2608', '2018-01-08', 'GBP', '2018-01-08', NULL, NULL, 1, '2046-12-11', 334969, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200JN61F3UJFIK036', '5299009F6LUXXUL3OS83', '2015-04-20', 'GBP', '2015-04-20', NULL, NULL, 1, '2098-04-24', 196781, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900Z407FNBKBWKE10', '2138006FK6OPYL5ZZI69', '2008-07-12', 'CHF', '2008-07-12', NULL, NULL, 1, '2090-06-12', 239556, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '21380089KHLCK271MF55', '529900LS0C21F4UM2K06', '2018-03-03', 'GBP', '2018-03-03', NULL, NULL, 1, '2030-12-06', 333379, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598007KB3HSD83FRJ58', '549300DI8TT1K30SP803', '2011-08-24', 'GBP', '2011-08-24', NULL, NULL, 1, '2024-11-22', 517323, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300EMFC8JYFXEQM91', '213800W8AVKG5HQ6QO64', '2017-05-21', 'EUR', '2017-05-21', NULL, NULL, 1, '2049-07-06', 714010, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM7UF2F2NONJ34', '95980072AJXBYG88AC33', '2011-07-26', 'GBP', '2011-07-26', NULL, NULL, 1, '2019-12-06', 361934, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900C36U26F246T486', '213800R3MAE8XTP69B91', '2011-06-24', 'EUR', '2011-06-24', NULL, NULL, 1, '2023-09-19', 748449, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300493TTJ3KPGYE12', '8156004EFFBC89DAD042', '2009-10-10', 'SGD', '2009-10-10', NULL, NULL, 1, '2079-07-06', 363135, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000YN98YTPFQGPS08', '81560053CB3CEB85F342', '2009-07-14', 'CHF', '2009-07-14', NULL, NULL, 1, '2050-09-19', 860237, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900M7BX9KKPCBXM71', '254900A7ANXVQD19QT24', '2011-10-01', 'USD', '2011-10-01', NULL, NULL, 1, '2032-10-13', 587049, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800LJ2A04SEQ63X03', '549300UEAJV6RALDS969', '2008-10-28', 'EUR', '2008-10-28', NULL, NULL, 1, '2026-08-15', 430166, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493000MD71OM6KKE714', '391200DBB5G7H80FLS56', '2018-01-16', 'USD', '2018-01-16', NULL, NULL, 1, '2061-08-29', 939632, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245000Z51MII7U5UH55', '213800PLIZG4P7QBMV62', '2012-01-10', 'USD', '2012-01-10', NULL, NULL, 1, '2091-06-02', 821634, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600A6CD957F6B6490', '549300PXO0WG1WPWNC90', '2017-10-25', 'EUR', '2017-10-25', NULL, NULL, 1, '2023-06-18', 205379, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245000Z51MII7U5UH55', '7890001FCSDVDJGYMK15', '2014-10-16', 'GBP', '2014-10-16', NULL, NULL, 1, '2090-11-09', 481359, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800V1USGNW6MJG244', '549300FPCBHHIFJFGV84', '2016-03-05', 'USD', '2016-03-05', NULL, NULL, 1, '2063-08-09', 858614, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900TZBLP16TCAJC54', '9598006SXXQNVLJF7X64', '2010-07-29', 'EUR', '2010-07-29', NULL, NULL, 1, '2021-11-06', 697694, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900BFLEDVAN9GAL69', '724500QWRJ5VKFCQFZ12', '2018-01-04', 'GBP', '2018-01-04', NULL, NULL, 1, '2089-12-25', 819876, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800LJ2A04SEQ63X03', '815600F4C84195615224', '2014-05-26', 'GBP', '2014-05-26', NULL, NULL, 1, '2081-11-22', 648774, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900Q9YL8SQEKFXH40', '3358009DTOIY8RZEQS53', '2009-04-05', 'CHF', '2009-04-05', NULL, NULL, 1, '2073-11-06', 417568, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HVLYWWCXSBKF18', '3912004XEVRZIWBYDR63', '2016-05-20', 'SGD', '2016-05-20', NULL, NULL, 1, '2083-03-26', 558730, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900P5B0TAX3QA5M60', '254900MM264WQ90VPE52', '2010-09-28', 'CHF', '2010-09-28', NULL, NULL, 1, '2045-02-28', 124156, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800PZREL5QC5PEB52', '894500HTATODS7U4R368', '2014-02-06', 'EUR', '2014-02-06', NULL, NULL, 1, '2051-10-14', 782015, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800DAF4GNEDZY9I88', '894500HPWVLHQMKSCV94', '2012-06-04', 'GBP', '2012-06-04', NULL, NULL, 1, '2068-04-03', 521925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900URAAIPPBQPDB82', '254900C2MV66WSSZH428', '2017-12-04', 'SGD', '2017-12-04', NULL, NULL, 1, '2063-10-07', 487656, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600B668DA5F2F7110', '894500HGIR3NSRG5FZ82', '2011-08-10', 'EUR', '2011-08-10', NULL, NULL, 1, '2043-01-28', 395205, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549004U9MB8CMIPZ267', '254900R0W4L4A0343J26', '2010-06-04', 'GBP', '2010-06-04', NULL, NULL, 1, '2097-10-09', 343740, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HCD39XK9JERZ37', '815600A38965CF563B54', '2011-04-12', 'SGD', '2011-04-12', NULL, NULL, 1, '2050-09-07', 269416, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008722B405259B53', '969500OXBJ41OZQG7O67', '2018-07-30', 'GBP', '2018-07-30', NULL, NULL, 1, '2081-03-11', 848101, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900H6FDC4YS0LG018', '959800U4V2PH46QNYY19', '2018-02-06', 'SGD', '2018-02-06', NULL, NULL, 1, '2091-06-10', 272248, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800XWDUKHANQZNX27', '959800J3FP4WPYJGA276', '2012-02-14', 'SGD', '2012-02-14', NULL, NULL, 1, '2083-06-05', 714072, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500IBQ8LL1AKZM822', '549300V04QUQQMZ79436', '2012-09-08', 'EUR', '2012-09-08', NULL, NULL, 1, '2039-06-22', 866583, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HA1Y1EZJL7YN91', '254900SFP2N0ZI6ICK38', '2010-08-12', 'EUR', '2010-08-12', NULL, NULL, 1, '2064-10-01', 580069, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800NT15YBL4D1RS27', '9598008Z7MNQCDK3DN13', '2012-04-28', 'USD', '2012-04-28', NULL, NULL, 1, '2054-10-02', 752769, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H61TRGE10CY792', '2549004P6BCLOUH0PS94', '2016-06-01', 'USD', '2016-06-01', NULL, NULL, 1, '2025-06-20', 890416, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300R357N6XZU86B66', '984500CEDB76ZE159894', '2009-11-05', 'SGD', '2009-11-05', NULL, NULL, 1, '2034-04-02', 479345, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300DXD6G8NGZ3BU81', '5493000ZHY3G8IL8G840', '2014-06-04', 'EUR', '2014-06-04', NULL, NULL, 1, '2031-07-19', 170942, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900DJ48EYSTVPW742', '335800ZJ1JQERKTQ9M88', '2008-11-21', 'SGD', '2008-11-21', NULL, NULL, 1, '2080-12-14', 140057, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200DXUC5SKRCQXI59', '391200SKICSNFOEVVB11', '2012-03-06', 'CHF', '2012-03-06', NULL, NULL, 1, '2024-12-22', 390338, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800MQ0BFSHCXWHJ18', '894500HCZ9H046UXE748', '2013-10-04', 'SGD', '2013-10-04', NULL, NULL, 1, '2022-12-04', 578537, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493004X48K2PHVBB528', '3358001FKDUJ4KLTZS03', '2010-11-25', 'SGD', '2010-11-25', NULL, NULL, 1, '2055-03-24', 854439, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900DB0U9Q1T775774', '724500XF59N0563H0483', '2011-11-21', 'EUR', '2011-11-21', NULL, NULL, 1, '2087-07-20', 718346, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2138006FK6OPYL5ZZI69', '2549000IOIRKOOITCR75', '2017-05-30', 'SGD', '2017-05-30', NULL, NULL, 1, '2078-01-20', 312635, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM2AVAS3BSZZ87', '549300V4ZUQXRT8L5J86', '2011-12-24', 'EUR', '2011-12-24', NULL, NULL, 1, '2080-09-15', 106201, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HQU4W3KIK2A771', '335800YRCJZBI5KM5S53', '2009-05-08', 'GBP', '2009-05-08', NULL, NULL, 1, '2020-09-05', 722901, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580081U2R7OXJAGM14', '391200TE4GSVHDPN3J77', '2015-04-16', 'GBP', '2015-04-16', NULL, NULL, 1, '2055-03-13', 797430, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500UQPCSM3LPLL579', '894500HAIKOPWHKUXB70', '2017-01-25', 'CHF', '2017-01-25', NULL, NULL, 1, '2092-07-20', 465594, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549008J558AN19SP666', '5299004H3P8763E1KK83', '2013-11-16', 'EUR', '2013-11-16', NULL, NULL, 1, '2062-09-15', 422455, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000HPIGO9EZ5JQG64', '743700ALQ6M1V2D3NG61', '2018-09-27', 'SGD', '2018-09-27', NULL, NULL, 1, '2071-03-16', 620800, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299006FYNWAY2LFIF19', '894500HXAXYCDQEZRJ75', '2013-09-30', 'GBP', '2013-09-30', NULL, NULL, 1, '2083-10-02', 427703, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900ONQTDAWLRIUS76', '969500FVC6FUG0KP6T73', '2014-07-21', 'USD', '2014-07-21', NULL, NULL, 1, '2040-07-03', 245895, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300SI6V81DNTKHB86', '2549004B5VNXAM0ZYU09', '2013-06-28', 'GBP', '2013-06-28', NULL, NULL, 1, '2094-07-27', 970320, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900SC71C8XDWXPT94', '3003009QBP9DPOH1DQ47', '2012-06-25', 'GBP', '2012-06-25', NULL, NULL, 1, '2076-07-21', 673969, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600927806FFB39D28', '391200G9YMOYSETGLI79', '2008-07-31', 'GBP', '2008-07-31', NULL, NULL, 1, '2058-07-25', 714076, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299007C8K7HEONL4758', '529900EMKI1IJ4VGY241', '2018-03-27', 'CHF', '2018-03-27', NULL, NULL, 1, '2096-05-22', 888709, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300OWN8039B30OY48', '894500HDFW4B14UKCV08', '2018-04-16', 'EUR', '2018-04-16', NULL, NULL, 1, '2076-10-27', 379894, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598008S87SPYLDX6693', '969500CHL179N00GX059', '2010-03-24', 'CHF', '2010-03-24', NULL, NULL, 1, '2056-01-26', 191335, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299007OCZAFSTDVK712', '549300EGNJ02ZYQSI623', '2015-01-04', 'USD', '2015-01-04', NULL, NULL, 1, '2028-07-31', 752653, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006026C29E51C385', '549300EGNJ02ZYQSI623', '2015-05-05', 'SGD', '2015-05-05', NULL, NULL, 1, '2022-09-06', 422953, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7890004L9ECMUEC5SO39', '549300H2CRRMS9MKBM82', '2010-04-10', 'EUR', '2010-04-10', NULL, NULL, 1, '2051-11-09', 130833, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900VF8KK4FUP5YQ52', '789000126K0XDPC6CS95', '2014-10-09', 'SGD', '2014-10-09', NULL, NULL, 1, '2079-01-29', 282500, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600C6BC037F2C9B52', '894500HEO8IG4ZHLLB32', '2013-10-02', 'GBP', '2013-10-02', NULL, NULL, 1, '2024-03-21', 425172, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300CHW3AYD6N2PE61', '9845002CC9C1DSH94A83', '2017-02-11', 'CHF', '2017-02-11', NULL, NULL, 1, '2056-08-16', 500432, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560074590C8E8D9107', '724500UCTHG449UOIY10', '2018-08-22', 'CHF', '2018-08-22', NULL, NULL, 1, '2024-11-04', 350234, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900Z2WNT6X7YR2D25', '724500XKOOZYHZ0M2715', '2014-02-12', 'SGD', '2014-02-12', NULL, NULL, 1, '2051-04-03', 206582, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800WNP72WYZDT2X74', '81560053A978DE155A02', '2014-05-29', 'USD', '2014-05-29', NULL, NULL, 1, '2077-09-14', 728933, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '635400JDFPP7U7BJE751', '959800NT15YBL4D1RS27', '2018-01-23', 'GBP', '2018-01-23', NULL, NULL, 1, '2075-12-24', 965634, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900OWDPNB2MRTDN89', '724500CSLY2C641ZLE16', '2008-12-19', 'EUR', '2008-12-19', NULL, NULL, 1, '2035-08-10', 859174, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900VA193NN1YA7191', '33580043AP7H1NXKG316', '2011-01-25', 'SGD', '2011-01-25', NULL, NULL, 1, '2078-11-05', 946037, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400MTQ3WHJ6FY2652', '959800S99YPLZQBXP053', '2017-09-14', 'EUR', '2017-09-14', NULL, NULL, 1, '2089-08-13', 804324, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549000M8S4XCGBLJK05', '789000PW941B97TBEG14', '2011-10-01', 'CHF', '2011-10-01', NULL, NULL, 1, '2067-08-02', 566499, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900NF8TPZ2TYMVV35', '9845009B108744465859', '2012-09-24', 'USD', '2012-09-24', NULL, NULL, 1, '2058-06-17', 443572, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400FQK2M8KINYWU86', '959800P05ZEBUY44VA78', '2008-08-16', 'GBP', '2008-08-16', NULL, NULL, 1, '2020-04-26', 844519, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500CH311SZVCOMN14', '9504009B1BF53C613476', '2009-04-13', 'EUR', '2009-04-13', NULL, NULL, 1, '2091-07-04', 430504, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600046C74ABDA1350', '815600C6BC037F2C9B52', '2013-03-05', 'SGD', '2013-03-05', NULL, NULL, 1, '2062-07-20', 397236, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3358007GPIPP355BQR08', '2534006DBBQA1N1RKW10', '2013-03-20', 'GBP', '2013-03-20', NULL, NULL, 1, '2076-04-08', 989255, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900WJM8HHLPFX6Q41', '30030038RDAIIFA2FE30', '2015-10-12', 'SGD', '2015-10-12', NULL, NULL, 1, '2062-01-12', 324688, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HFAEPIOWT47J68', '984500C6B88FBHD56508', '2018-10-07', 'SGD', '2018-10-07', NULL, NULL, 1, '2092-05-02', 108029, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300RBG5RTDRSAXM92', '4851009BPL2JF4PWYI16', '2011-01-09', 'GBP', '2011-01-09', NULL, NULL, 1, '2072-01-31', 752097, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800X9QP1BKHYPSH12', '254900VH34K5DQNKSH88', '2016-05-21', 'EUR', '2016-05-21', NULL, NULL, 1, '2036-05-13', 678851, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H87FG7BRMO3Z82', '894500HIIT8N3IQKY767', '2016-06-04', 'SGD', '2016-06-04', NULL, NULL, 1, '2091-07-17', 929794, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900CB9RG9RVTHN921', '959800UEZEKRJYKKBM33', '2016-03-08', 'CHF', '2016-03-08', NULL, NULL, 1, '2093-06-26', 941071, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500IQ916OE8GARZ21', '959800ZNB44NPR1TQ737', '2010-12-23', 'CHF', '2010-12-23', NULL, NULL, 1, '2090-04-02', 993103, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800CHX8LTGK6RH635', '984500B553FB444C7A05', '2013-03-16', 'GBP', '2013-03-16', NULL, NULL, 1, '2058-02-13', 246671, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900O5LRE3CLUURW47', '81560045B90BDE00F526', '2011-07-21', 'GBP', '2011-07-21', NULL, NULL, 1, '2094-03-20', 197606, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845008979K65B620X11', '959800NT15YBL4D1RS27', '2017-05-17', 'GBP', '2017-05-17', NULL, NULL, 1, '2021-02-04', 104595, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600AAF25D91C47496', '54930081U35EPIMDUK94', '2013-07-25', 'EUR', '2013-07-25', NULL, NULL, 1, '2029-01-06', 437252, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000DTOYJI2UHA7874', '894500HKDBTURAP4SV71', '2013-09-10', 'EUR', '2013-09-10', NULL, NULL, 1, '2066-12-07', 171714, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HF4V5R1XH8JZ59', '724500S4U9FD6SOL0I06', '2010-05-28', 'CHF', '2010-05-28', NULL, NULL, 1, '2030-04-25', 820961, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800RR3U2735EKCJ70', '5299005AB5XZ9YW2GL72', '2008-07-27', 'EUR', '2008-07-27', NULL, NULL, 1, '2067-04-05', 109600, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900DJ1G00KHAJ8L94', '335800JBKGFGH12JHT26', '2008-07-26', 'GBP', '2008-07-26', NULL, NULL, 1, '2069-06-02', 175306, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300JBW1DIZLGMSY83', '529900445KVYISG9L822', '2009-05-13', 'USD', '2009-05-13', NULL, NULL, 1, '2024-10-17', 393827, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580018JKIHWWD2H256', '969500JVP9FV5UVIJU82', '2015-05-20', 'SGD', '2015-05-20', NULL, NULL, 1, '2072-02-20', 139154, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300IEMLJ8NJ1EKF21', '894500HBAAFK3E897369', '2011-09-30', 'USD', '2011-09-30', NULL, NULL, 1, '2093-08-31', 751715, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7890002VECJGJS88RA56', '529900CDKSOPAD0ZSC04', '2015-08-24', 'CHF', '2015-08-24', NULL, NULL, 1, '2062-09-18', 998772, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500CEDB76ZE159894', '529900YQ9Z46APD3MD76', '2009-07-05', 'USD', '2009-07-05', NULL, NULL, 1, '2028-05-04', 272228, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500JC8RKFFZI4XT86', '549300LFXG311O8Z8329', '2012-01-17', 'GBP', '2012-01-17', NULL, NULL, 1, '2067-07-01', 624409, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300FLHEHQFK5GCZ37', '335800A2NAWB2W9F4A19', '2013-08-20', 'SGD', '2013-08-20', NULL, NULL, 1, '2045-08-29', 389840, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300QA4WS64PV1JK34', '315700THTOEO2E2TEE34', '2014-07-23', 'USD', '2014-07-23', NULL, NULL, 1, '2090-03-10', 807626, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '635400UCJBZ3SNTC1J48', '5299006FYNWAY2LFIF19', '2018-01-26', 'SGD', '2018-01-26', NULL, NULL, 1, '2055-07-13', 462702, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900WJM8HHLPFX6Q41', '9598008S87SPYLDX6693', '2018-12-04', 'GBP', '2018-12-04', NULL, NULL, 1, '2050-05-29', 706334, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800MJ7G4C8CC35B15', '391200XXWEHOUJ3VN798', '2010-10-24', 'GBP', '2010-10-24', NULL, NULL, 1, '2036-01-11', 846557, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900247DKMXJAQIZ77', '815600B015D362B37C79', '2017-01-05', 'GBP', '2017-01-05', NULL, NULL, 1, '2090-04-23', 582042, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HA7HL6MIX3M768', '815600C23A8F574FEA64', '2014-08-22', 'GBP', '2014-08-22', NULL, NULL, 1, '2092-06-03', 854778, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800I15ISK1ERNMJ68', '529900Y148254B4IZC81', '2016-07-31', 'SGD', '2016-07-31', NULL, NULL, 1, '2057-07-01', 156211, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000171KMN5UM2V534', '529900K8HYFYCYWL7G39', '2017-03-17', 'CHF', '2017-03-17', NULL, NULL, 1, '2092-09-07', 366152, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '72450087N9RAPFZYUZ19', '529900RARAJLIR220V33', '2016-01-14', 'CHF', '2016-01-14', NULL, NULL, 1, '2073-11-11', 820020, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245007FAOBF3MI7MI10', '724500KL1GOBZXZTMN73', '2017-12-04', 'EUR', '2017-12-04', NULL, NULL, 1, '2082-11-12', 479142, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400JCRZRCOQP7EA30', '21380088Z6MA9A5C4N13', '2015-11-22', 'GBP', '2015-11-22', NULL, NULL, 1, '2038-12-23', 569320, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7437009UYPPD5IQF6V61', '549300ID6M4XUJPLEP95', '2016-11-19', 'CHF', '2016-11-19', NULL, NULL, 1, '2070-03-13', 206355, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560045B90BDE00F526', '213800NQFGXCUACUXT22', '2018-10-07', 'USD', '2018-10-07', NULL, NULL, 1, '2024-08-21', 988767, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299005AB5XZ9YW2GL72', '815600980EB434BC5920', '2008-11-11', 'SGD', '2008-11-11', NULL, NULL, 1, '2093-11-27', 693637, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800TTB4MIGIA4VH29', '549300R8TYG6WL6SPG49', '2018-08-05', 'EUR', '2018-08-05', NULL, NULL, 1, '2062-12-28', 780531, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900KXERIFTPH29C39', '254900BF7DOCXS25B959', '2010-04-26', 'USD', '2010-04-26', NULL, NULL, 1, '2058-06-09', 304599, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156001DB6BEA7F39C93', '529900JDL1S5ECRBVF22', '2016-05-14', 'CHF', '2016-05-14', NULL, NULL, 1, '2038-06-16', 321827, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900RX7I57OOAXRX62', '894500HP55UNJPXE3364', '2018-01-18', 'USD', '2018-01-18', NULL, NULL, 1, '2061-01-12', 735053, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500VASOY5J3UZ1Q44', '529900BG7HNHR3TSLC21', '2013-09-20', 'GBP', '2013-09-20', NULL, NULL, 1, '2035-06-07', 723213, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800W9TRM932HML048', '959800F3LDPM9WRRRS15', '2010-10-06', 'GBP', '2010-10-06', NULL, NULL, 1, '2019-02-13', 326579, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500AA74812Q21SB10', '335800XJFI6D2Y3J5A17', '2013-05-22', 'USD', '2013-05-22', NULL, NULL, 1, '2094-12-16', 200643, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900WN6NXFQNXGAR44', '969500F0URSD5QRT4352', '2015-03-07', 'GBP', '2015-03-07', NULL, NULL, 1, '2084-11-19', 207484, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500VIGT4J7ESAXS27', '549300D2UXQZF4WO3I97', '2018-07-23', 'SGD', '2018-07-23', NULL, NULL, 1, '2033-12-24', 507849, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560008273C4221CE63', '254900LQUHSSY1U3PH55', '2015-09-10', 'EUR', '2015-09-10', NULL, NULL, 1, '2048-10-14', 239558, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800OVBZ3OT7SW6740', '254900KGAM7QR07LQS94', '2008-08-31', 'SGD', '2008-08-31', NULL, NULL, 1, '2025-03-16', 547306, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600BD8412485F4905', '254900X3GRARC4RRME90', '2013-08-14', 'GBP', '2013-08-14', NULL, NULL, 1, '2050-05-28', 329994, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800MSRVRI1CI6XH73', '894500HS2HA8OD73IN26', '2018-09-27', 'GBP', '2018-09-27', NULL, NULL, 1, '2075-07-07', 405160, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800CHX8LTGK6RH635', '549300KE5FGFOBQVOI15', '2018-06-03', 'USD', '2018-06-03', NULL, NULL, 1, '2068-05-10', 215457, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900A9QYZHQSA7Z303', '391200TE4GSVHDPN3J77', '2018-04-09', 'GBP', '2018-04-09', NULL, NULL, 1, '2083-06-21', 496499, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800JBKGFGH12JHT26', '894500HIZFVY0GQ7WV34', '2015-07-17', 'SGD', '2015-07-17', NULL, NULL, 1, '2087-01-12', 767253, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2138005W55XEB2FY4L58', '81560097D30019679524', '2011-07-13', 'USD', '2011-07-13', NULL, NULL, 1, '2077-08-04', 925983, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700IG7LB5QRTJ7493', '549300KODUORO7H14P45', '2018-01-09', 'CHF', '2018-01-09', NULL, NULL, 1, '2037-08-14', 625701, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800PJOYJ3PHHQ1Y64', '959800RR3U2735EKCJ70', '2012-11-15', 'USD', '2012-11-15', NULL, NULL, 1, '2068-12-26', 753520, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900HUVEL8HNU4LY87', '8755009QUVAEDLIDZZ10', '2013-07-05', 'USD', '2013-07-05', NULL, NULL, 1, '2042-10-04', 157304, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900L1MOJXBKQPMB74', '81560073AD51110DA588', '2014-01-04', 'GBP', '2014-01-04', NULL, NULL, 1, '2027-06-29', 650452, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800IK457RQY6L4Q85', '894500H81VWFOSASGF25', '2010-09-07', 'SGD', '2010-09-07', NULL, NULL, 1, '2078-12-09', 338417, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3358001XYBCXK4IYBK76', '9845003T829B3890E450', '2018-04-25', 'CHF', '2018-04-25', NULL, NULL, 1, '2071-05-09', 752403, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7245005BXMR2HKX07963', '335800Q116Q222BTU861', '2009-08-29', 'USD', '2009-08-29', NULL, NULL, 1, '2025-02-12', 771833, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700WN8S5EDU6RB582', '4851009BPL2JF4PWYI16', '2010-01-20', 'EUR', '2010-01-20', NULL, NULL, 1, '2094-12-06', 894932, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000VONXO3UZBNB336', '254900WWOX3H9BIG1S46', '2018-04-08', 'GBP', '2018-04-08', NULL, NULL, 1, '2056-05-23', 674498, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '33580041VVZ6KOMJQU98', '2549007EPBXS1P9MDV83', '2018-05-29', 'EUR', '2018-05-29', NULL, NULL, 1, '2091-01-23', 611925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156009859DB8663F681', '335800T8CFEUYP6L3O83', '2008-08-23', 'EUR', '2008-08-23', NULL, NULL, 1, '2092-01-27', 833932, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800CHX8LTGK6RH635', '335800N9IBJ2FXMZIV64', '2011-02-20', 'GBP', '2011-02-20', NULL, NULL, 1, '2095-06-11', 939513, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200OC6NE1SEAGD951', '894500HUZSPTT0GSY780', '2012-03-27', 'GBP', '2012-03-27', NULL, NULL, 1, '2062-08-11', 520471, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600659F0D66B0DB41', '549300P6VHN64CLCQZ39', '2017-10-24', 'USD', '2017-10-24', NULL, NULL, 1, '2060-09-11', 420676, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800808DF2FJZY5K23', '549300L2ZJBIWGX7CD98', '2013-02-19', 'GBP', '2013-02-19', NULL, NULL, 1, '2026-07-10', 987370, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300P6VHN64CLCQZ39', '335800QBH571I8YRJ274', '2015-01-11', 'SGD', '2015-01-11', NULL, NULL, 1, '2026-09-02', 629962, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560060AD3383D29187', '8156008BDEBBEC55B397', '2014-07-23', 'GBP', '2014-07-23', NULL, NULL, 1, '2039-11-23', 436184, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800ZEL3D4ZSNB4687', '549300QA4WS64PV1JK34', '2016-04-19', 'SGD', '2016-04-19', NULL, NULL, 1, '2079-11-21', 609747, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156009DE426A9BDD028', '789000DBTRLF9AJFXQ91', '2016-08-20', 'SGD', '2016-08-20', NULL, NULL, 1, '2077-08-06', 844197, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HDLFO2O46G0F19', '894500HGZDQYPPFSEN29', '2012-10-09', 'CHF', '2012-10-09', NULL, NULL, 1, '2078-03-08', 492803, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800CGAZSNGKCH9416', '25490029CYKEEFWZIQ50', '2013-12-30', 'SGD', '2013-12-30', NULL, NULL, 1, '2028-06-01', 106046, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800PVJS3BR5KZ4820', '959800P05ZEBUY44VA78', '2013-07-05', 'EUR', '2013-07-05', NULL, NULL, 1, '2057-05-14', 461575, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300IUZXBG22RG2V23', '9695004OTFEB64UDZJ22', '2018-04-06', 'CHF', '2018-04-06', NULL, NULL, 1, '2081-09-25', 491140, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560020D7D568F4F632', '894500HP55UNJPXE3364', '2016-09-06', 'GBP', '2016-09-06', NULL, NULL, 1, '2066-11-02', 541668, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900KXERIFTPH29C39', '9845009B50397FVT3B61', '2012-07-10', 'SGD', '2012-07-10', NULL, NULL, 1, '2061-07-24', 826476, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H87FG7BRMO3Z82', '875500298TA3F1T48P82', '2015-02-16', 'GBP', '2015-02-16', NULL, NULL, 1, '2066-07-17', 779043, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3003004RVX5YJ710LE48', '529900H0BXHHVMHTWG69', '2016-01-31', 'EUR', '2016-01-31', NULL, NULL, 1, '2028-04-30', 583237, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900F5DD3WUHZ5FP52', '549300Z1PSEE2OOR4K14', '2013-07-03', 'EUR', '2013-07-03', NULL, NULL, 1, '2075-04-09', 527496, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800NUGXW77RJ05D67', '959800ZNB9KR3H1JVT31', '2011-04-13', 'EUR', '2011-04-13', NULL, NULL, 1, '2077-05-21', 626478, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006C5C319C939F34', '98450085DE36A6B9AD51', '2013-02-22', 'EUR', '2013-02-22', NULL, NULL, 1, '2030-08-09', 798843, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HH4XAQCORO2740', '549300Z08K8Z3JF02305', '2016-10-29', 'USD', '2016-10-29', NULL, NULL, 1, '2047-10-21', 413485, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500E7E95BXZ668557', '81560055EBE1FDE19480', '2008-12-14', 'EUR', '2008-12-14', NULL, NULL, 1, '2054-05-27', 868672, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '25490018L0Q85LO5QO97', '8156001D57EAD118DC56', '2012-05-02', 'USD', '2012-05-02', NULL, NULL, 1, '2080-11-23', 231430, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HDFW4B14UKCV08', '335800XJFI6D2Y3J5A17', '2014-09-05', 'CHF', '2014-09-05', NULL, NULL, 1, '2030-03-22', 862797, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2138002H8T2C6YP3G870', '2549008APH9BBOF59Z56', '2011-08-08', 'USD', '2011-08-08', NULL, NULL, 1, '2084-11-18', 192660, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800VUVKA4BU5NSD07', '549300968TT6XHJMV560', '2014-11-22', 'GBP', '2014-11-22', NULL, NULL, 1, '2079-11-03', 533965, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500UQPCSM3LPLL579', '98450085DE36A6B9AD51', '2011-02-09', 'USD', '2011-02-09', NULL, NULL, 1, '2020-01-03', 378356, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493000OT46OM4WMHF18', '549300T4DEXDW87GCF63', '2015-01-24', 'EUR', '2015-01-24', NULL, NULL, 1, '2019-02-11', 565410, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600099EE4831BA656', '95980006UGUUN6PJKF71', '2011-10-20', 'SGD', '2011-10-20', NULL, NULL, 1, '2026-05-08', 423417, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900X9U41IK6T98D46', '5493007HCA1PKI4N1E27', '2014-09-08', 'SGD', '2014-09-08', NULL, NULL, 1, '2095-09-14', 544158, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900YQ9Z46APD3MD76', '969500JC8RKFFZI4XT86', '2013-11-15', 'SGD', '2013-11-15', NULL, NULL, 1, '2026-11-16', 590755, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800K1FHIFHRSG1L22', '529900TKA6WXXAOUUQ02', '2011-03-15', 'USD', '2011-03-15', NULL, NULL, 1, '2037-01-21', 341936, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560069BD0CE80BA097', '959800M97ZP3G54L2761', '2016-10-07', 'EUR', '2016-10-07', NULL, NULL, 1, '2045-08-05', 526402, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '875500AI664G3A9YO727', '8156004EFFBC89DAD042', '2011-04-28', 'CHF', '2011-04-28', NULL, NULL, 1, '2092-12-14', 314204, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600374934F0B2A761', '549300ZJS59BT23Z5D98', '2008-11-10', 'USD', '2008-11-10', NULL, NULL, 1, '2054-04-03', 718703, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900ZPV6VZ6RS5VB18', '335800IJZDGH1E1TEV82', '2018-01-01', 'GBP', '2018-01-01', NULL, NULL, 1, '2056-12-24', 798574, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800T76ESPB8W5SY69', '549300JA03MYOQF6NI50', '2014-04-07', 'SGD', '2014-04-07', NULL, NULL, 1, '2055-07-02', 755505, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156005745299C8B3383', '2549001QPMN669DTMS69', '2015-11-14', 'USD', '2015-11-14', NULL, NULL, 1, '2087-11-13', 953052, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300HH7QGMR2N61Q04', '8156004F5A55EA07B020', '2015-04-17', 'EUR', '2015-04-17', NULL, NULL, 1, '2044-01-10', 151122, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HMU0M4YZZ79R82', '959800ESR3SP3X7QK341', '2015-03-03', 'SGD', '2015-03-03', NULL, NULL, 1, '2064-10-15', 436088, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598001RKFDGS80CDE85', '815600439C288154A067', '2016-07-21', 'SGD', '2016-07-21', NULL, NULL, 1, '2074-05-20', 377010, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800QC4NWYW4UBRM09', '5299002A5SPF4JCCT271', '2009-06-19', 'GBP', '2009-06-19', NULL, NULL, 1, '2081-08-25', 927237, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800PCAM825VXS9V60', '724500XF59N0563H0483', '2011-07-05', 'SGD', '2011-07-05', NULL, NULL, 1, '2082-11-22', 941651, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '25490054FSFJJ5HS2195', '5493006FKQGI84WSYW43', '2011-12-10', 'SGD', '2011-12-10', NULL, NULL, 1, '2049-11-16', 676952, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560099BEC10001BD90', '894500HFLHT1YVGVIN29', '2014-11-09', 'USD', '2014-11-09', NULL, NULL, 1, '2091-08-22', 744219, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008BDEBBEC55B397', '254900NLG13RNO3CCK80', '2010-11-09', 'GBP', '2010-11-09', NULL, NULL, 1, '2097-03-13', 980658, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845006AC6A2B5762J46', '2549008J558AN19SP666', '2011-05-26', 'CHF', '2011-05-26', NULL, NULL, 1, '2068-10-31', 706915, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800NPF1OZR1WF6C04', '391200KI35AXHICIOK79', '2011-10-07', 'SGD', '2011-10-07', NULL, NULL, 1, '2021-03-18', 448892, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156000CB973E85B3C59', '254900YOSVV477S0F381', '2009-11-24', 'GBP', '2009-11-24', NULL, NULL, 1, '2054-12-27', 230118, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300KR5WJ7Q5JVOV06', '724500RHD9S1M3UMF314', '2017-07-31', 'USD', '2017-07-31', NULL, NULL, 1, '2021-11-05', 484591, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560097D30019679524', '9845003T829B3890E450', '2017-05-09', 'GBP', '2017-05-09', NULL, NULL, 1, '2068-04-15', 995295, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900GQDEV5RTFDJG30', '789000K2TJ9E1B0WE376', '2017-06-08', 'CHF', '2017-06-08', NULL, NULL, 1, '2054-03-12', 692066, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600F3CDFAD95C5145', '894500HNR9WQSVYH7312', '2008-10-04', 'CHF', '2008-10-04', NULL, NULL, 1, '2091-08-27', 240649, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300H4W62ZPBVLW080', '213800K9JJJJM3GLCI77', '2017-03-10', 'USD', '2017-03-10', NULL, NULL, 1, '2024-03-16', 960845, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000K2TJ9E1B0WE376', '2549001FD9KT2M8Z4P55', '2017-03-11', 'USD', '2017-03-11', NULL, NULL, 1, '2041-02-21', 510119, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299008619O6J745YR05', '8156007814FB50630E55', '2008-08-27', 'USD', '2008-08-27', NULL, NULL, 1, '2073-11-25', 877504, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HRWXQH1DV7V306', '3358003G6SX1EJ7RGA11', '2010-07-06', 'GBP', '2010-07-06', NULL, NULL, 1, '2097-04-07', 471849, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900FUTCTEOPGXN545', '254900AIZHV0LV830P02', '2018-12-02', 'GBP', '2018-12-02', NULL, NULL, 1, '2083-04-11', 262789, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800VXATX20BM4S508', '529900GKD4BEVP01J738', '2011-09-30', 'GBP', '2011-09-30', NULL, NULL, 1, '2070-03-21', 953471, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156006BE883FAADE173', '213800XA6HYWEFB3T206', '2009-02-04', 'SGD', '2009-02-04', NULL, NULL, 1, '2022-01-24', 318717, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800NPF1OZR1WF6C04', '315700KOG8GH8L8VMU54', '2018-04-05', 'GBP', '2018-04-05', NULL, NULL, 1, '2062-08-06', 996028, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300U3UM0L00PMTA93', '549300MMSJ4YRZ3X8J27', '2010-08-15', 'GBP', '2010-08-15', NULL, NULL, 1, '2020-12-29', 840760, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300SKHB7Q3QI82Y22', '815600927806FFB39D28', '2014-09-24', 'GBP', '2014-09-24', NULL, NULL, 1, '2061-07-17', 912279, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300HTBV5M1YNUW859', '959800F3F26FDMCUJN28', '2018-05-27', 'EUR', '2018-05-27', NULL, NULL, 1, '2046-04-17', 550799, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549004B5VNXAM0ZYU09', '529900Q7V3WJE0LNO235', '2016-06-08', 'CHF', '2016-06-08', NULL, NULL, 1, '2094-01-04', 105062, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800I1RKN7ZKHF8T95', '959800QMFZP2SEPNXL86', '2014-11-14', 'USD', '2014-11-14', NULL, NULL, 1, '2087-08-09', 124747, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800TD3SZQYAQA5Y17', '254900SQ3RQAE7CHEN84', '2018-01-12', 'GBP', '2018-01-12', NULL, NULL, 1, '2047-05-24', 591368, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200JX0T2SI0CNMP83', '529900A61SG1UOQDKZ60', '2018-01-18', 'CHF', '2018-01-18', NULL, NULL, 1, '2066-11-27', 937511, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493007KLS5L25N86454', '894500HGTU772Q3WR336', '2013-05-11', 'USD', '2013-05-11', NULL, NULL, 1, '2053-05-27', 247343, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500301CM40EAAAR82', '2549006LU69JTP4NWC25', '2011-05-09', 'GBP', '2011-05-09', NULL, NULL, 1, '2075-10-12', 329332, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900CB9RG9RVTHN921', '2549001OYZR9EI9CX343', '2009-08-12', 'EUR', '2009-08-12', NULL, NULL, 1, '2092-11-26', 766407, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000NPL8BCE2W8S895', '894500H5A40M74CYOF17', '2010-04-20', 'SGD', '2010-04-20', NULL, NULL, 1, '2081-12-10', 720322, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '95980044CJL1TG0GU366', '335800N9IBJ2FXMZIV64', '2012-08-28', 'EUR', '2012-08-28', NULL, NULL, 1, '2093-11-01', 579193, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600046C74ABDA1350', '9598007DTZMFH9VNVH29', '2010-08-23', 'EUR', '2010-08-23', NULL, NULL, 1, '2048-06-17', 585377, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900Z407FNBKBWKE10', '959800QS1GU1LXNVQF70', '2018-03-21', 'SGD', '2018-03-21', NULL, NULL, 1, '2059-06-18', 121595, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598004BB3USSMWYUH31', '549300U3UM0L00PMTA93', '2017-10-10', 'USD', '2017-10-10', NULL, NULL, 1, '2040-09-17', 156419, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900YOSVV477S0F381', '5299008BJK4AQDAREC41', '2009-04-09', 'USD', '2009-04-09', NULL, NULL, 1, '2087-10-15', 681390, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900PYCRYBTSJI8Q79', '254900E2T1QVNMRC3U13', '2008-11-04', 'CHF', '2008-11-04', NULL, NULL, 1, '2050-12-10', 582427, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3358007DZZNQ8375AX54', '391200BZG0CAGCT1KJ33', '2015-12-11', 'EUR', '2015-12-11', NULL, NULL, 1, '2059-07-24', 908947, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800M3JPHVVZOPRV57', '3358001XYBCXK4IYBK76', '2011-09-10', 'EUR', '2011-09-10', NULL, NULL, 1, '2039-05-04', 212892, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900K8HYFYCYWL7G39', '9845007C890C849C9511', '2012-12-22', 'GBP', '2012-12-22', NULL, NULL, 1, '2047-04-06', 765284, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800GS9VMZ4S8N0942', '789000XR0R6XCU5KN909', '2010-12-11', 'USD', '2010-12-11', NULL, NULL, 1, '2025-04-20', 712173, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493000OT46OM4WMHF18', '9598007V2PP0JK1RAQ21', '2017-12-24', 'USD', '2017-12-24', NULL, NULL, 1, '2037-01-27', 220475, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900XHCKZMYJ5X5445', '213800722POP9XTR7Z71', '2016-01-14', 'USD', '2016-01-14', NULL, NULL, 1, '2096-03-09', 493849, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H3QOIXTB264V40', '549300D2UXQZF4WO3I97', '2010-10-16', 'SGD', '2010-10-16', NULL, NULL, 1, '2044-07-28', 374090, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800SR2685XLKQN554', '959800U8LZF2EH0WC525', '2012-04-15', 'SGD', '2012-04-15', NULL, NULL, 1, '2076-07-23', 348502, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493004QBOVOTG39TF97', '894500HPRC1Q3N8WPB74', '2009-05-01', 'CHF', '2009-05-01', NULL, NULL, 1, '2032-12-05', 806605, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300KODUORO7H14P45', '959800AFL24WLVZGQU14', '2018-12-09', 'USD', '2018-12-09', NULL, NULL, 1, '2087-06-12', 234717, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800YVBR53LG1WFL27', '894500HVRIGNZX477Z21', '2017-10-12', 'USD', '2017-10-12', NULL, NULL, 1, '2090-06-23', 372127, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900979QH91GINRI75', '9845003F7864701NA124', '2011-09-07', 'GBP', '2011-09-07', NULL, NULL, 1, '2032-12-03', 404692, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000R35N284JBNYZ03', '2549009Q199XQ7EXVP94', '2012-06-14', 'EUR', '2012-06-14', NULL, NULL, 1, '2071-08-11', 606996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156004783E572DEBC61', '2549003FLWI8D1NOT851', '2012-10-29', 'USD', '2012-10-29', NULL, NULL, 1, '2020-02-23', 660324, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008BDEBBEC55B397', '549300QWO4UFVOCHJ567', '2017-09-25', 'USD', '2017-09-25', NULL, NULL, 1, '2084-02-22', 540213, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300E0Z4SPZP2R2V52', '894500HAIKOPWHKUXB70', '2008-09-09', 'CHF', '2008-09-09', NULL, NULL, 1, '2089-11-13', 262447, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700BP2MEBSO4GFV25', '213800WO3U9WSYPFIF11', '2014-02-23', 'CHF', '2014-02-23', NULL, NULL, 1, '2091-12-09', 962275, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598009NQ3VGMU5N2294', '391200DXUC5SKRCQXI59', '2013-04-08', 'CHF', '2013-04-08', NULL, NULL, 1, '2029-03-31', 580052, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900GQDEV5RTFDJG30', '789000ZJ7PGTDDQW9T19', '2016-01-03', 'SGD', '2016-01-03', NULL, NULL, 1, '2092-01-29', 133660, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700YONY610QO9FS72', '9845002DQDE9D546D910', '2015-01-07', 'CHF', '2015-01-07', NULL, NULL, 1, '2028-04-21', 388996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800W0UYURGK0W5043', '8156009856D1C6B2B530', '2010-06-13', 'CHF', '2010-06-13', NULL, NULL, 1, '2029-04-07', 490605, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156003C006734E9B121', '254900CSKQAOLAK6R773', '2013-01-16', 'GBP', '2013-01-16', NULL, NULL, 1, '2032-10-25', 959827, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549000M8S4XCGBLJK05', '549300SI6V81DNTKHB86', '2011-11-29', 'USD', '2011-11-29', NULL, NULL, 1, '2035-03-29', 505621, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800D2LQ2DFCLXH448', '335800Y26K1JXYCB8M33', '2011-09-03', 'GBP', '2011-09-03', NULL, NULL, 1, '2021-09-05', 567216, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900IHH71OG95P7B27', '959800BDT27X6PT46P51', '2018-08-28', 'USD', '2018-08-28', NULL, NULL, 1, '2092-05-31', 864644, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000E3JJQSFDSCGX50', '254900JQ7G3S5DKETO15', '2016-06-01', 'GBP', '2016-06-01', NULL, NULL, 1, '2085-10-17', 927106, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400BWE1DV32A9IC08', '72450055D3LPKG21Z309', '2018-10-08', 'SGD', '2018-10-08', NULL, NULL, 1, '2061-06-08', 627925, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900VX9CNXVPB40790', '549300EKL3FLE5SLV630', '2016-03-16', 'CHF', '2016-03-16', NULL, NULL, 1, '2068-03-21', 409477, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800EKUXD82BJ7QJ79', '2549002YT1TV3H15K320', '2010-10-10', 'EUR', '2010-10-10', NULL, NULL, 1, '2074-11-23', 924256, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800U4V2PH46QNYY19', '529900CDKSOPAD0ZSC04', '2009-02-22', 'GBP', '2009-02-22', NULL, NULL, 1, '2062-02-19', 582741, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900H6FDC4YS0LG018', '254900UQW887HTE2WE11', '2018-12-08', 'GBP', '2018-12-08', NULL, NULL, 1, '2090-03-20', 688887, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300VCLTIEGFX36937', '959800MK02YNWR4YRN34', '2016-09-26', 'GBP', '2016-09-26', NULL, NULL, 1, '2034-12-25', 954156, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500VASOY5J3UZ1Q44', '5299002A7ETAYKEJPY98', '2012-12-19', 'USD', '2012-12-19', NULL, NULL, 1, '2087-10-31', 968903, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700C8IN9NU77DI179', '8156006A77248E67E410', '2016-11-14', 'GBP', '2016-11-14', NULL, NULL, 1, '2045-07-19', 318598, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800RJUPH6GMWAIP15', '959800S6CF2STX9PY834', '2013-05-12', 'CHF', '2013-05-12', NULL, NULL, 1, '2029-04-16', 147355, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549002CYMGZIVI3RU33', '315700YATW3IWVDMGZ65', '2017-09-29', 'CHF', '2017-09-29', NULL, NULL, 1, '2035-11-15', 836407, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900PHNWPGD5UBID65', '984500K2FAE8664CF118', '2011-06-04', 'SGD', '2011-06-04', NULL, NULL, 1, '2031-02-08', 185018, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '98450015D9EB1ABD4C51', '3358005WZUIX4YRCYM80', '2011-06-30', 'GBP', '2011-06-30', NULL, NULL, 1, '2084-12-10', 391572, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900R1G0ZVGMEB3094', '335800MQJUIUOEIJQM19', '2017-12-15', 'EUR', '2017-12-15', NULL, NULL, 1, '2068-10-27', 421872, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549000IOIRKOOITCR75', '8156001D1E7CBB406724', '2017-01-26', 'EUR', '2017-01-26', NULL, NULL, 1, '2028-09-24', 599319, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '259400MTQ3WHJ6FY2652', '529900DW2JX67EA59I93', '2014-09-02', 'SGD', '2014-09-02', NULL, NULL, 1, '2034-09-28', 877681, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800ADHROXNQ1HRF02', '815600462E2C681F4045', '2010-08-12', 'USD', '2010-08-12', NULL, NULL, 1, '2071-11-18', 720529, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HP55UNJPXE3364', '549300F6N4CTVLF6EL88', '2016-02-24', 'EUR', '2016-02-24', NULL, NULL, 1, '2082-09-30', 708602, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598003NGKPGK83ABW98', '984500C6B88FBHD56508', '2011-02-22', 'SGD', '2011-02-22', NULL, NULL, 1, '2095-03-05', 385261, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900ICXE053N0VGA60', '959800PMKYVYFVY1RJ85', '2015-12-02', 'USD', '2015-12-02', NULL, NULL, 1, '2051-06-20', 764730, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900C36U26F246T486', '300300C1115332000047', '2012-11-10', 'CHF', '2012-11-10', NULL, NULL, 1, '2046-04-02', 603835, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '353800UV8U3SOMCDTI49', '335800I1RKN7ZKHF8T95', '2010-06-07', 'EUR', '2010-06-07', NULL, NULL, 1, '2085-04-28', 372314, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900AK4R3K9T17NA09', '25490018L0Q85LO5QO97', '2013-02-14', 'CHF', '2013-02-14', NULL, NULL, 1, '2072-02-23', 269932, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300V4ZUQXRT8L5J86', '959800S8BTHJ4RWTAZ55', '2017-10-07', 'GBP', '2017-10-07', NULL, NULL, 1, '2072-04-01', 107779, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800IYW1COD1A9DF62', '335800ECZ3HWBWWUCV63', '2014-09-02', 'EUR', '2014-09-02', NULL, NULL, 1, '2043-03-17', 418382, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '87550081OY87846H9V41', '789000126K0XDPC6CS95', '2015-10-01', 'USD', '2015-10-01', NULL, NULL, 1, '2095-06-16', 755707, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300D2UXQZF4WO3I97', '894500HA7HL6MIX3M768', '2008-12-23', 'USD', '2008-12-23', NULL, NULL, 1, '2051-01-25', 691428, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598007DTZMFH9VNVH29', '815600BB628193F2B289', '2012-09-04', 'USD', '2012-09-04', NULL, NULL, 1, '2053-01-29', 455677, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800433J1N5N1KCM91', '259400JCRZRCOQP7EA30', '2017-11-23', 'CHF', '2017-11-23', NULL, NULL, 1, '2090-08-23', 584192, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900GWGVMRG1S1X913', '959800WGWEK1P3DC0U46', '2012-10-03', 'GBP', '2012-10-03', NULL, NULL, 1, '2052-10-28', 698544, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500KL1GOBZXZTMN73', '959800GHLAEG25A5HW84', '2008-09-17', 'GBP', '2008-09-17', NULL, NULL, 1, '2030-03-29', 101851, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800CEZQTWTA3U6T26', '894500HWORR9TT3H5B54', '2014-06-02', 'SGD', '2014-06-02', NULL, NULL, 1, '2071-05-23', 701516, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300XJU991ISTK6H05', '213800XWA3V4T3U4T312', '2009-10-20', 'USD', '2009-10-20', NULL, NULL, 1, '2084-12-06', 537787, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900YOSVV477S0F381', '8156006A77248E67E410', '2013-10-17', 'EUR', '2013-10-17', NULL, NULL, 1, '2044-10-13', 870665, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300XR87SZ0W04E387', '549300JNDFOYO6BKNQ48', '2013-02-23', 'USD', '2013-02-23', NULL, NULL, 1, '2085-07-01', 296652, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HXM11VNP2R2N62', '2549000K1O0OXRV7Z777', '2009-09-15', 'CHF', '2009-09-15', NULL, NULL, 1, '2087-09-22', 323947, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900TI80BAROYN4H17', '254900HXZVJNNB46ZT24', '2010-03-19', 'SGD', '2010-03-19', NULL, NULL, 1, '2078-03-04', 502131, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900EMKI1IJ4VGY241', '984500ABF0C46E1AF918', '2012-02-20', 'GBP', '2012-02-20', NULL, NULL, 1, '2085-06-02', 851841, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900TZBLP16TCAJC54', '8156009F9CE4BBDA0D95', '2012-06-02', 'GBP', '2012-06-02', NULL, NULL, 1, '2074-10-11', 715386, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900HXZVJNNB46ZT24', '33580047IVGSEM5TBZ53', '2008-12-11', 'GBP', '2008-12-11', NULL, NULL, 1, '2067-08-09', 848793, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900HE3WMV9T9FHI19', '549300H2CRRMS9MKBM82', '2010-11-22', 'USD', '2010-11-22', NULL, NULL, 1, '2097-08-12', 101591, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845004E7E3799A76F12', '894500HCIMTP78VAFJ51', '2017-05-14', 'EUR', '2017-05-14', NULL, NULL, 1, '2044-05-12', 417667, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493006KGJ8C0O57YD97', '335800A2NAWB2W9F4A19', '2018-06-06', 'SGD', '2018-06-06', NULL, NULL, 1, '2063-03-07', 381370, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560072F13E70D6DA97', '2138002H8T2C6YP3G870', '2008-08-26', 'SGD', '2008-08-26', NULL, NULL, 1, '2081-08-25', 450570, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '485100JGNCMKX8D38D66', '52990003CJ3ZFVS4S916', '2018-07-24', 'CHF', '2018-07-24', NULL, NULL, 1, '2069-01-10', 920812, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500C2BCO04B6BF742', '959800GT2CLX8X9W2548', '2012-07-25', 'GBP', '2012-07-25', NULL, NULL, 1, '2023-07-05', 727878, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900XMVH0Z22WR9P46', '254900YJT6K5D2FTB853', '2008-08-19', 'EUR', '2008-08-19', NULL, NULL, 1, '2093-08-28', 579360, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560074590C8E8D9107', '8156009543BB72232297', '2011-07-03', 'GBP', '2011-07-03', NULL, NULL, 1, '2058-09-13', 522093, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500BA7698A6A8Y561', '335800T6NWHLY1HFRO61', '2014-03-14', 'SGD', '2014-03-14', NULL, NULL, 1, '2056-06-28', 816707, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300SCZJDZGZHQ7121', '959800P05ZEBUY44VA78', '2017-12-04', 'SGD', '2017-12-04', NULL, NULL, 1, '2052-12-17', 846061, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '98450014FCJ72F11B960', '969500P44BW16O5OO776', '2013-12-28', 'SGD', '2013-12-28', NULL, NULL, 1, '2068-07-24', 592180, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900SQ3RQAE7CHEN84', '81560025126066ECFC38', '2013-10-22', 'USD', '2013-10-22', NULL, NULL, 1, '2023-11-15', 596462, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900E1N7NHRCI70N71', '815600791C8979BC6D18', '2012-09-23', 'CHF', '2012-09-23', NULL, NULL, 1, '2067-05-06', 723272, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560081A94017D3FB57', '254900M802M9464ZIA97', '2009-09-13', 'USD', '2009-09-13', NULL, NULL, 1, '2062-01-01', 474827, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900VMHRII44632363', '391200HFYELDFLD3EK75', '2009-08-12', 'EUR', '2009-08-12', NULL, NULL, 1, '2044-06-08', 851324, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '391200XXWEHOUJ3VN798', '25490029OGGL63Z07064', '2016-03-20', 'CHF', '2016-03-20', NULL, NULL, 1, '2065-08-24', 925791, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598002LDD1E2PYP1J85', '529900R3R9BGCQTXWO76', '2017-01-09', 'EUR', '2017-01-09', NULL, NULL, 1, '2052-10-10', 826793, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800V5EE78K4LOD223', '789000HPIGO9EZ5JQG64', '2013-04-12', 'GBP', '2013-04-12', NULL, NULL, 1, '2056-10-26', 158683, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900R1G0ZVGMEB3094', '984500505888C1B7FD10', '2016-06-12', 'CHF', '2016-06-12', NULL, NULL, 1, '2079-05-08', 835632, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700R6MKAHGL6IHW38', '743700ZFUA5LMAK42G03', '2016-12-16', 'EUR', '2016-12-16', NULL, NULL, 1, '2086-01-13', 260444, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500CH311SZVCOMN14', '9695000CPMFD7M75QX55', '2009-06-16', 'CHF', '2009-06-16', NULL, NULL, 1, '2090-07-28', 653653, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800N9IBJ2FXMZIV64', '9598002FB6BL1QMD3P68', '2010-09-28', 'USD', '2010-09-28', NULL, NULL, 1, '2086-10-30', 315071, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800LHMERP4UJUFN64', '254900QTMM5H5FLIFD16', '2017-09-06', 'USD', '2017-09-06', NULL, NULL, 1, '2031-10-21', 469388, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800RR3U2735EKCJ70', '25490054FSFJJ5HS2195', '2013-08-29', 'USD', '2013-08-29', NULL, NULL, 1, '2062-05-13', 234424, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800GBYY0SULRMX220', '549300DI8TT1K30SP803', '2014-02-06', 'SGD', '2014-02-06', NULL, NULL, 1, '2075-07-22', 694793, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9695004OTFEB64UDZJ22', '984500C64B798BE37758', '2011-12-27', 'GBP', '2011-12-27', NULL, NULL, 1, '2029-11-02', 575859, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '54930049RQDUSV9QPW62', '959800VR1RQHN566VR62', '2010-04-07', 'SGD', '2010-04-07', NULL, NULL, 1, '2041-06-05', 543307, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '485100V8KJEA3TMIYR91', '549300SCZJDZGZHQ7121', '2010-06-06', 'USD', '2010-06-06', NULL, NULL, 1, '2068-04-27', 310125, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '969500F3C527QVG5KL69', '98450014673C55D09338', '2009-01-05', 'SGD', '2009-01-05', NULL, NULL, 1, '2031-08-10', 648432, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300N3ZXLPZJTZ7M34', '335800EP5I9YC1VBHD75', '2010-03-24', 'EUR', '2010-03-24', NULL, NULL, 1, '2070-08-03', 113796, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900AMKR7K9A80YV20', '529900ZINQIQO2D6KL78', '2010-08-27', 'CHF', '2010-08-27', NULL, NULL, 1, '2048-06-03', 388423, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500MR05OCGYZDH702', '213800JF6F5W7N89F526', '2016-07-25', 'GBP', '2016-07-25', NULL, NULL, 1, '2058-02-03', 926585, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '98450014673C55D09338', '894500H6IGERAYZZWV37', '2017-11-20', 'EUR', '2017-11-20', NULL, NULL, 1, '2060-06-25', 334232, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800FXY6X88TPPQD55', '259400FQK2M8KINYWU86', '2011-10-03', 'SGD', '2011-10-03', NULL, NULL, 1, '2037-08-05', 973463, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '3912004XEVRZIWBYDR63', '815600CB4E406DED2021', '2010-03-22', 'EUR', '2010-03-22', NULL, NULL, 1, '2058-08-07', 858491, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598009NQ3VGMU5N2294', '213800X9QP1BKHYPSH12', '2018-02-07', 'SGD', '2018-02-07', NULL, NULL, 1, '2046-04-22', 574892, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900EMKI1IJ4VGY241', '7245006GJYT9XU0WTV20', '2009-07-31', 'EUR', '2009-07-31', NULL, NULL, 1, '2050-10-16', 323557, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HZB03BOHPF9R77', '549300Y75XYOGIGGMJ39', '2018-07-05', 'GBP', '2018-07-05', NULL, NULL, 1, '2063-03-09', 967271, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549008EY1JSRDDZ1O46', '815600BA37D1BBE47824', '2015-02-04', 'GBP', '2015-02-04', NULL, NULL, 1, '2051-12-29', 621375, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300QWO4UFVOCHJ567', '959800W9TRM932HML048', '2016-04-27', 'CHF', '2016-04-27', NULL, NULL, 1, '2049-02-02', 136660, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156000E75842A4DFF15', '815600B7FB825393B763', '2013-09-13', 'USD', '2013-09-13', NULL, NULL, 1, '2086-04-14', 525642, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800PZREL5QC5PEB52', '894500HLG4O8860ADR31', '2008-12-24', 'CHF', '2008-12-24', NULL, NULL, 1, '2066-09-02', 162367, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600E080D4AB6B0183', '391200KI35AXHICIOK79', '2013-02-16', 'CHF', '2013-02-16', NULL, NULL, 1, '2063-06-05', 782382, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '4851008UMJH1WU63WJ86', '335800XJFI6D2Y3J5A17', '2016-12-24', 'SGD', '2016-12-24', NULL, NULL, 1, '2084-09-05', 120094, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800RR3U2735EKCJ70', '789000LD4R87JP5ERP12', '2013-06-06', 'CHF', '2013-06-06', NULL, NULL, 1, '2097-05-20', 919104, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549001OYZR9EI9CX343', '335800AYR82QMH81BT64', '2012-12-21', 'CHF', '2012-12-21', NULL, NULL, 1, '2029-11-13', 657874, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598009NWG6Q334C9549', '254900VH34K5DQNKSH88', '2015-01-21', 'GBP', '2015-01-21', NULL, NULL, 1, '2079-06-14', 267518, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000E3JJQSFDSCGX50', '894500H2NVOKCFR0JZ57', '2015-01-16', 'USD', '2015-01-16', NULL, NULL, 1, '2030-02-26', 810274, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '81560087AA667F6A6365', '5299008KMTKJE8KZWO03', '2016-05-24', 'GBP', '2016-05-24', NULL, NULL, 1, '2094-08-25', 376008, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800VXATX20BM4S508', '959800NFQLJBAJ75F378', '2012-07-23', 'SGD', '2012-07-23', NULL, NULL, 1, '2083-04-09', 709281, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300VENA2LUFHT1Z11', '213800JF6F5W7N89F526', '2010-06-22', 'EUR', '2010-06-22', NULL, NULL, 1, '2074-04-26', 664112, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800ADHROXNQ1HRF02', '254900E2T1QVNMRC3U13', '2018-08-15', 'SGD', '2018-08-15', NULL, NULL, 1, '2025-11-04', 222373, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300L0UN5U0504Y829', '959800U6LA5D3C9FG810', '2015-04-23', 'SGD', '2015-04-23', NULL, NULL, 1, '2032-03-18', 944142, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '72450013IGEQEQECQW08', '2549008SOGFAMDV80B15', '2012-10-02', 'SGD', '2012-10-02', NULL, NULL, 1, '2081-02-25', 263484, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300LU6H224IV3O622', '2138002H8T2C6YP3G870', '2017-01-11', 'USD', '2017-01-11', NULL, NULL, 1, '2074-06-26', 802949, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156008BDEBBEC55B397', '969500M032MP4PKC5C07', '2013-03-14', 'CHF', '2013-03-14', NULL, NULL, 1, '2031-04-12', 551701, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800048784TLUY5B98', '894500HT5A4M58I93J74', '2012-01-15', 'GBP', '2012-01-15', NULL, NULL, 1, '2075-05-07', 929779, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500EA6DD5CC577B53', '894500H8O23I8PMB2N84', '2018-05-10', 'USD', '2018-05-10', NULL, NULL, 1, '2087-10-28', 410515, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500D7FBEFFZ7DC828', '959800TRRFYDJZNF3D77', '2015-11-06', 'GBP', '2015-11-06', NULL, NULL, 1, '2046-11-20', 584915, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600DAB65E472A7C90', '894500HA7HL6MIX3M768', '2014-07-12', 'USD', '2014-07-12', NULL, NULL, 1, '2037-01-02', 127597, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HAO48HJGWQKV73', '743700XAJ3IN7GTKVS46', '2015-07-07', 'SGD', '2015-07-07', NULL, NULL, 1, '2043-12-10', 748959, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800PMKYVYFVY1RJ85', '254900WSFGRKTE9WEB53', '2016-04-11', 'SGD', '2016-04-11', NULL, NULL, 1, '2084-09-07', 283333, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H94OQT5NLY1B47', '2549002H16OHWUFQLE81', '2008-09-10', 'GBP', '2008-09-10', NULL, NULL, 1, '2032-03-02', 282459, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598007VM0GTV6F3QW68', '529900EAJF9ELF5HMO96', '2017-12-17', 'CHF', '2017-12-17', NULL, NULL, 1, '2076-11-05', 113910, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900N84IBGGV0QTN57', '815600AF2C8C0D012359', '2010-08-15', 'USD', '2010-08-15', NULL, NULL, 1, '2054-05-06', 649630, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700KDP0HND0E9ZN68', '9598002X3AKR3C6NQ504', '2014-10-31', 'GBP', '2014-10-31', NULL, NULL, 1, '2071-04-30', 968547, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800CPFLV6FU9LOQ09', '3912004XEVRZIWBYDR63', '2012-12-07', 'USD', '2012-12-07', NULL, NULL, 1, '2086-02-08', 530758, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800RKNDN6SINAGT18', '5299005Z2CKSU45LZA08', '2017-03-09', 'SGD', '2017-03-09', NULL, NULL, 1, '2056-06-26', 772366, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700YG8W0P0VDEUA36', '2549007ON6RMT72P9K11', '2017-06-13', 'SGD', '2017-06-13', NULL, NULL, 1, '2070-06-30', 861022, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7890009WVEGUFEVR1I77', '9845009F6B1A805DF723', '2010-05-13', 'EUR', '2010-05-13', NULL, NULL, 1, '2055-04-02', 744558, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800SN524Q2PXON288', '3358003G6SX1EJ7RGA11', '2012-05-13', 'USD', '2012-05-13', NULL, NULL, 1, '2084-05-31', 799220, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2534006DJ2U7AYVQW811', '213800E3XVFNBWO78R28', '2010-12-01', 'EUR', '2010-12-01', NULL, NULL, 1, '2089-03-25', 407439, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9845008C9AB138E56594', '485100V8KJEA3TMIYR91', '2011-04-29', 'EUR', '2011-04-29', NULL, NULL, 1, '2099-06-14', 627207, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800DCPLLRHA3LAI65', '789000VONXO3UZBNB336', '2012-03-28', 'CHF', '2012-03-28', NULL, NULL, 1, '2091-03-21', 267752, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '549300GZR6JX9F63EA77', '98450036889D56E0B487', '2009-04-23', 'EUR', '2009-04-23', NULL, NULL, 1, '2059-07-25', 819370, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '743700GBYMRP6X6Y2F60', '81560053A978DE155A02', '2013-01-29', 'CHF', '2013-01-29', NULL, NULL, 1, '2019-11-14', 305351, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '213800214LG3V5LRA327', '959800SR027YXK2G8R75', '2014-07-05', 'CHF', '2014-07-05', NULL, NULL, 1, '2073-10-25', 566436, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '30030077ZY2LPR6KLJ26', '21380089KHLCK271MF55', '2013-06-27', 'USD', '2013-06-27', NULL, NULL, 1, '2021-06-28', 389286, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '7890006VZWGVIJC7JZ03', '2549002O4D9K9HDICX39', '2018-08-22', 'CHF', '2018-08-22', NULL, NULL, 1, '2056-02-19', 761261, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900R7HJO25WEV6162', '30030038RDAIIFA2FE30', '2011-09-05', 'EUR', '2011-09-05', NULL, NULL, 1, '2071-06-30', 673190, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900A61SG1UOQDKZ60', '8156005745299C8B3383', '2018-03-19', 'SGD', '2018-03-19', NULL, NULL, 1, '2098-11-13', 732273, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '50670034W3Z56MY84P37', '549300PT0J7UUZQG1476', '2012-01-29', 'GBP', '2012-01-29', NULL, NULL, 1, '2037-12-11', 177197, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HNAN9FVXYU8F38', '81560043CD206EA51196', '2009-08-25', 'CHF', '2009-08-25', NULL, NULL, 1, '2028-09-29', 298364, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '72450044O7LEAPET9E97', '254900ZQGMQ3RPR4FJ95', '2011-11-15', 'GBP', '2011-11-15', NULL, NULL, 1, '2059-07-12', 833946, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2138004MEP8HOWYXW361', '213800FKLHF4O4LFNT84', '2008-09-19', 'EUR', '2008-09-19', NULL, NULL, 1, '2027-03-31', 673046, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8755009QUVAEDLIDZZ10', '213800DH2QVJEMZUOK46', '2016-01-22', 'GBP', '2016-01-22', NULL, NULL, 1, '2059-10-22', 421642, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500MMFMGIP4ZUQA54', '335800V5EE78K4LOD223', '2012-03-28', 'EUR', '2012-03-28', NULL, NULL, 1, '2061-02-15', 919986, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '789000KGZ91G7WN1TI29', '9598000APD8W472VTA95', '2013-08-13', 'GBP', '2013-08-13', NULL, NULL, 1, '2080-10-07', 785567, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500H7A65LHVNE6N40', '894500HKTYH5O8ORRJ52', '2015-01-18', 'GBP', '2015-01-18', NULL, NULL, 1, '2032-08-20', 583465, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM7UF2F2NONJ34', '635400ERLTTQICNF8Q97', '2012-03-03', 'EUR', '2012-03-03', NULL, NULL, 1, '2051-02-17', 961264, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HM7UF2F2NONJ34', '894500HWDONQJUFPU792', '2011-07-01', 'CHF', '2011-07-01', NULL, NULL, 1, '2033-06-03', 936101, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598004W370E6ZC88R95', '2138006FSFUK8YV6B728', '2009-03-26', 'GBP', '2009-03-26', NULL, NULL, 1, '2071-11-05', 670147, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900G8YGM9LNLSFP74', '724500WHQVZ9ISXDP386', '2016-01-17', 'CHF', '2016-01-17', NULL, NULL, 1, '2075-02-20', 385306, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HX5EEKQR343Z85', '254900G8YGM9LNLSFP74', '2009-06-05', 'EUR', '2009-06-05', NULL, NULL, 1, '2099-02-18', 631718, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900JSF3V0U8HQKY78', '894500HIIT8N3IQKY767', '2010-03-05', 'CHF', '2010-03-05', NULL, NULL, 1, '2059-01-19', 911605, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156009543BB72232297', '549300KTAVDKQSXPH561', '2011-07-09', 'EUR', '2011-07-09', NULL, NULL, 1, '2025-04-22', 586608, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5493000NRR24PAWO7N49', '254900BPOM3S3JZVL282', '2013-10-29', 'SGD', '2013-10-29', NULL, NULL, 1, '2024-09-10', 251785, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800HDQYXK4VDFXX22', '254900BCNWZFJWR16348', '2012-07-24', 'USD', '2012-07-24', NULL, NULL, 1, '2077-07-28', 971383, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '815600869A6E2D4EB762', '9598000UC54CNUDS9Y25', '2016-11-29', 'GBP', '2016-11-29', NULL, NULL, 1, '2095-02-13', 419391, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500B4S96AE2C61370', '213800R3MAE8XTP69B91', '2016-10-12', 'EUR', '2016-10-12', NULL, NULL, 1, '2028-05-08', 662879, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '984500F5C0CA9A636C72', '5299002JG549F4DNL105', '2013-06-11', 'EUR', '2013-06-11', NULL, NULL, 1, '2041-06-04', 981323, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '959800R0QWPN9LYWEP76', '5299008619O6J745YR05', '2012-12-10', 'SGD', '2012-12-10', NULL, NULL, 1, '2062-06-22', 421471, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800KQ78XIJAV3KF43', '529900JA94LEPGJDAR54', '2012-11-21', 'GBP', '2012-11-21', NULL, NULL, 1, '2046-10-24', 674662, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800FI7YZ5A53GJI22', '9845009B50397FVT3B61', '2012-01-14', 'EUR', '2012-01-14', NULL, NULL, 1, '2066-02-24', 115193, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '5299008KMTKJE8KZWO03', '894500HI7Q53TK2TN380', '2016-10-11', 'EUR', '2016-10-11', NULL, NULL, 1, '2032-05-07', 889263, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '8156003FD83099AA0794', '254900DR0LRA0YI2XS82', '2016-04-05', 'CHF', '2016-04-05', NULL, NULL, 1, '2056-06-05', 271484, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '335800P4V653JHK6DS17', '2549008TAHKW5WLQD565', '2012-09-27', 'EUR', '2012-09-27', NULL, NULL, 1, '2088-01-06', 717635, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '315700WZ2WVSYAUTD795', '5299000QCX101MYE0Q86', '2011-02-03', 'CHF', '2011-02-03', NULL, NULL, 1, '2059-07-31', 439524, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '894500HU82YZM3TEOF66', '254900AIZHV0LV830P02', '2009-07-13', 'EUR', '2009-07-13', NULL, NULL, 1, '2082-04-26', 359996, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '254900NLG13RNO3CCK80', '5493004QBOVOTG39TF97', '2013-01-09', 'EUR', '2013-01-09', NULL, NULL, 1, '2035-01-27', 325776, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '9598008S87SPYLDX6693', '529900URAAIPPBQPDB82', '2016-07-29', 'EUR', '2016-07-29', NULL, NULL, 1, '2097-06-13', 376044, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '724500J4K3Q60O9QLF45', '529900X080DWXSB5MD70', '2011-05-27', 'EUR', '2011-05-27', NULL, NULL, 1, '2098-02-05', 154658, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '2549009Q199XQ7EXVP94', '743700MGXEFTNTNGOG54', '2010-12-30', 'CHF', '2010-12-30', NULL, NULL, 1, '2098-03-18', 724045, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'L', '529900VMHRII44632363', '8156005695C434FC0E64', '2013-04-06', 'GBP', '2013-04-06', NULL, NULL, 1, '2057-05-23', 866021, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9598009NQ3VGMU5N2294', '81560006C8F96A21C573', '2018-04-05', 'CHF', '2018-04-05', NULL, NULL, 1, '2042-07-01', 662557, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800R6AEBEBH17HD14', '549300D2UXQZF4WO3I97', '2014-03-06', 'GBP', '2014-03-06', NULL, NULL, 1, '2025-01-20', 467532, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2138003T45E4UAE2EV94', '5299007I19OVH8CT4B35', '2010-06-07', 'EUR', '2010-06-07', NULL, NULL, 1, '2076-10-11', 797893, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800L5T7UMVUKPNN44', '7890007JMV9RAROEMI58', '2010-08-05', 'SGD', '2010-08-05', NULL, NULL, 1, '2089-06-24', 975297, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '213800TUD5NJAYFN5A86', '789000R35N284JBNYZ03', '2014-09-04', 'EUR', '2014-09-04', NULL, NULL, 1, '2030-09-27', 321796, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '3358005WZUIX4YRCYM80', '33580022EW8515OKI372', '2008-06-27', 'SGD', '2008-06-27', NULL, NULL, 1, '2081-02-25', 732501, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '213800WNP72WYZDT2X74', '549300H4W62ZPBVLW080', '2018-02-06', 'USD', '2018-02-06', NULL, NULL, 1, '2091-08-19', 670736, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800R0QWPN9LYWEP76', '5299007MPLYA2JT23A59', '2018-04-08', 'GBP', '2018-04-08', NULL, NULL, 1, '2075-09-12', 487938, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '315700WZ2WVSYAUTD795', '529900EAJF9ELF5HMO96', '2014-11-24', 'USD', '2014-11-24', NULL, NULL, 1, '2022-06-02', 450109, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '213800966313K272ZE93', '815600425BFB24034C16', '2008-12-05', 'EUR', '2008-12-05', NULL, NULL, 1, '2061-07-12', 891007, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300FLDGP8ODO59G64', '743700AUEY1HNYDHGZ82', '2017-09-08', 'CHF', '2017-09-08', NULL, NULL, 1, '2060-12-05', 195074, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '724500QB3QDO4Q5FTI59', '2138008A9XXUZGHZ4D06', '2014-03-02', 'GBP', '2014-03-02', NULL, NULL, 1, '2080-05-26', 158061, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300F6MJZYAPSQSB56', '95980056UVQ408UXPL60', '2016-07-14', 'USD', '2016-07-14', NULL, NULL, 1, '2045-01-20', 376020, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800SR2685XLKQN554', '894500HKTYH5O8ORRJ52', '2008-07-02', 'SGD', '2008-07-02', NULL, NULL, 1, '2039-08-06', 683070, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300SQYFR3SSHBXY27', '52990092IS1DY0KP9Z41', '2009-03-14', 'GBP', '2009-03-14', NULL, NULL, 1, '2036-10-29', 134516, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '984500B4S96AE2C61370', '254900ZEM4US40RSGD93', '2010-02-02', 'CHF', '2010-02-02', NULL, NULL, 1, '2060-09-17', 818095, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '969500ZWBK1MKWQKUC61', '789000ZCNS0Z5QS57457', '2011-04-26', 'USD', '2011-04-26', NULL, NULL, 1, '2058-09-09', 260602, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300PHRUCZ2ENP1713', '894500H8CYZYYQYJRJ40', '2008-07-06', 'USD', '2008-07-06', NULL, NULL, 1, '2048-10-01', 548486, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300V04QUQQMZ79436', '959800P7KDTE3LGLWE49', '2018-08-13', 'EUR', '2018-08-13', NULL, NULL, 1, '2041-01-08', 469294, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '969500F0URSD5QRT4352', '959800CFMTH5U33EAU96', '2008-12-21', 'EUR', '2008-12-21', NULL, NULL, 1, '2056-07-12', 106688, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900W1AG9MDM2OO590', '894500HRLUMXRF7GJZ34', '2017-12-24', 'GBP', '2017-12-24', NULL, NULL, 1, '2096-05-02', 550088, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300R8ACNEQIRP6549', '894500H81VWFOSASGF25', '2012-06-18', 'USD', '2012-06-18', NULL, NULL, 1, '2034-07-13', 639417, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HAO48HJGWQKV73', '894500H7FPPD4UZ9U708', '2008-12-21', 'SGD', '2008-12-21', NULL, NULL, 1, '2092-03-28', 215165, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '743700EKG7WHERKMG724', '3358007DZZNQ8375AX54', '2010-04-15', 'USD', '2010-04-15', NULL, NULL, 1, '2067-11-04', 385306, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900DR0LRA0YI2XS82', '315700AMQWRHMQJFRI72', '2011-11-29', 'USD', '2011-11-29', NULL, NULL, 1, '2074-04-20', 824745, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '485100A79TSEJYSCYB31', '549300QWO4UFVOCHJ567', '2015-04-07', 'EUR', '2015-04-07', NULL, NULL, 1, '2049-09-20', 391541, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '815600099EE4831BA656', '335800RENRJJEA5ZCZ59', '2012-10-26', 'EUR', '2012-10-26', NULL, NULL, 1, '2064-01-17', 926170, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800X1YDAQW9C45A07', '2549004NI1NN52MATD36', '2010-07-25', 'GBP', '2010-07-25', NULL, NULL, 1, '2051-12-12', 865800, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300JBW1DIZLGMSY83', '815600BB628193F2B289', '2013-07-19', 'SGD', '2013-07-19', NULL, NULL, 1, '2045-12-11', 971157, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '259400MTQ3WHJ6FY2652', '529900LSDWTJ9ESZYP24', '2018-02-20', 'EUR', '2018-02-20', NULL, NULL, 1, '2055-01-30', 762132, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500H3A1VMWD2J6756', '959800M97ZP3G54L2761', '2011-01-19', 'GBP', '2011-01-19', NULL, NULL, 1, '2065-09-16', 284634, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800QUD7Y6HOGL4S53', '254900YGTFCSTH9DGF28', '2012-07-29', 'SGD', '2012-07-29', NULL, NULL, 1, '2056-10-24', 216441, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900LMLR6P00JX0X91', '213800NQFGXCUACUXT22', '2010-12-25', 'SGD', '2010-12-25', NULL, NULL, 1, '2094-12-20', 821406, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300RXFPHPD2P67O82', '549300T4DEXDW87GCF63', '2017-03-05', 'EUR', '2017-03-05', NULL, NULL, 1, '2076-01-17', 912984, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900ONQTDAWLRIUS76', '2549009Q199XQ7EXVP94', '2010-12-25', 'USD', '2010-12-25', NULL, NULL, 1, '2055-02-21', 150910, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500H6NZYIXYBVKF22', '549300JFKE51SVF1KW33', '2010-06-21', 'CHF', '2010-06-21', NULL, NULL, 1, '2051-12-21', 405933, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '81560010782FDBCC4F75', '815600BD8412485F4905', '2011-03-11', 'USD', '2011-03-11', NULL, NULL, 1, '2087-06-30', 601648, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '21380089KHLCK271MF55', '5493009LHPXBFJBGHM61', '2014-05-21', 'EUR', '2014-05-21', NULL, NULL, 1, '2094-07-03', 316128, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9598005MXHRHCXC6EY92', '213800BF14EAXLI1NN83', '2015-04-08', 'USD', '2015-04-08', NULL, NULL, 1, '2061-07-10', 990036, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800JTCHULXUWHNP81', '894500H67DB810C8LR07', '2016-02-24', 'GBP', '2016-02-24', NULL, NULL, 1, '2067-07-11', 935012, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800XWDUKHANQZNX27', '2549009DU95S5N23T258', '2017-05-08', 'USD', '2017-05-08', NULL, NULL, 1, '2060-03-12', 253271, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900XBG17MF5UNCY48', '81560053A978DE155A02', '2016-04-20', 'USD', '2016-04-20', NULL, NULL, 1, '2078-05-20', 980755, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800F7MDT1YR2CLT92', '959800NUGXW77RJ05D67', '2017-10-29', 'USD', '2017-10-29', NULL, NULL, 1, '2020-05-25', 935952, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2549009Y6LF4O5FT7P02', '259400N25M8J2045G939', '2011-11-13', 'GBP', '2011-11-13', NULL, NULL, 1, '2091-12-05', 801107, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900Z0SX2ZPTS3IM14', '549300SI6V81DNTKHB86', '2012-12-05', 'GBP', '2012-12-05', NULL, NULL, 1, '2059-09-19', 108163, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '98450091551BD505D618', '9598004ZKK5G84DR3Z41', '2018-09-08', 'USD', '2018-09-08', NULL, NULL, 1, '2053-01-11', 916886, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '3358009RIHZW31HNPJ28', '959800MELX8EVAGY6F93', '2015-05-26', 'USD', '2015-05-26', NULL, NULL, 1, '2065-10-25', 725991, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '984500GS9CCC5F549879', '5299009F6LUXXUL3OS83', '2015-04-24', 'SGD', '2015-04-24', NULL, NULL, 1, '2074-08-27', 384162, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '7245001WFRBOP1G8I164', '25490086FITZP29BWC98', '2018-06-04', 'EUR', '2018-06-04', NULL, NULL, 1, '2082-03-17', 189312, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '8156003C006734E9B121', '959800F7MDT1YR2CLT92', '2018-06-25', 'EUR', '2018-06-25', NULL, NULL, 1, '2073-11-16', 194290, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HCO6DGU8763320', '259400F71MAX3L5KBR25', '2009-01-10', 'EUR', '2009-01-10', NULL, NULL, 1, '2076-08-07', 176988, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HGZDQYPPFSEN29', '815600741427FB973666', '2010-09-19', 'EUR', '2010-09-19', NULL, NULL, 1, '2028-01-29', 415807, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900KN9RDGAPKCGG66', '549300LNLKZX50KRT626', '2016-10-03', 'GBP', '2016-10-03', NULL, NULL, 1, '2080-07-13', 657016, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900KXERIFTPH29C39', '894500H6IGERAYZZWV37', '2012-08-13', 'CHF', '2012-08-13', NULL, NULL, 1, '2085-03-22', 164735, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '391200CAAILKRUQVC016', '2549007ON6RMT72P9K11', '2010-09-21', 'SGD', '2010-09-21', NULL, NULL, 1, '2057-12-25', 393963, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2549009XJ0AGRVHAPC12', '969500PAA902QVPQI827', '2018-12-11', 'EUR', '2018-12-11', NULL, NULL, 1, '2077-01-29', 275583, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '3912000FOV9QOFJMRG63', '894500H7FPPD4UZ9U708', '2010-10-02', 'SGD', '2010-10-02', NULL, NULL, 1, '2028-03-23', 830469, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800X1YDAQW9C45A07', '894500H9LBE42LLKZZ28', '2017-09-02', 'GBP', '2017-09-02', NULL, NULL, 1, '2031-05-28', 630558, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9598000UC54CNUDS9Y25', '9845006I0A7A15EFF358', '2018-05-27', 'GBP', '2018-05-27', NULL, NULL, 1, '2092-03-09', 677547, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900IHH71OG95P7B27', '5299000WONWPHUZXXM45', '2014-08-15', 'EUR', '2014-08-15', NULL, NULL, 1, '2081-10-21', 576066, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300H7EH74TI868808', '3358003P63P92CY3RH66', '2009-01-03', 'GBP', '2009-01-03', NULL, NULL, 1, '2035-01-22', 596864, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '5493000MD71OM6KKE714', '724500KL1GOBZXZTMN73', '2009-05-06', 'GBP', '2009-05-06', NULL, NULL, 1, '2025-12-27', 702989, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900L9WX5PCMPX0A92', '7890000FJXQPN3LWWA94', '2013-01-24', 'CHF', '2013-01-24', NULL, NULL, 1, '2030-02-17', 726586, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '95980029RH0L3CJAET69', '894500ITMZ9KFTPN6705', '2013-04-04', 'SGD', '2013-04-04', NULL, NULL, 1, '2033-02-08', 189684, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '485100JGNCMKX8D38D66', '894500H54KGUK5130V50', '2016-02-23', 'EUR', '2016-02-23', NULL, NULL, 1, '2043-01-11', 343913, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800EMN18T13KNS742', '9598007AP4UCV0ZW3Q64', '2015-11-05', 'EUR', '2015-11-05', NULL, NULL, 1, '2083-06-21', 175867, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800Q1P46WY9F1WF02', '894500HLAL4GL6OEQ716', '2017-11-16', 'SGD', '2017-11-16', NULL, NULL, 1, '2035-11-09', 809675, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '984500F5DCEF7SGE5M39', '254900IYBMSWBH1FFP26', '2018-01-13', 'USD', '2018-01-13', NULL, NULL, 1, '2039-09-03', 703166, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800ESR3SP3X7QK341', '213800H2JFH89ZUXOO55', '2018-09-04', 'GBP', '2018-09-04', NULL, NULL, 1, '2078-11-01', 696395, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9598009M8EAC6XDTHZ06', '549300HXPG7SV0ZAY513', '2014-11-18', 'SGD', '2014-11-18', NULL, NULL, 1, '2098-08-31', 466418, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '72450013BGFOCKIM5211', '724500G1RKUGWSBCBY55', '2014-11-24', 'CHF', '2014-11-24', NULL, NULL, 1, '2031-10-03', 297557, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900ZEWYNGGQVW6B26', '529900H6FDC4YS0LG018', '2009-11-13', 'USD', '2009-11-13', NULL, NULL, 1, '2041-03-25', 533668, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900EQNAOPFXK46G24', '894500HE7LV581HYMN92', '2015-12-20', 'CHF', '2015-12-20', NULL, NULL, 1, '2080-01-20', 158333, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '984500DA1BA52FH59C90', '959800QPAP76G39E2833', '2009-06-22', 'USD', '2009-06-22', NULL, NULL, 1, '2068-07-01', 572661, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HDLFO2O46G0F19', '549300M1X460LUEY5197', '2012-11-16', 'GBP', '2012-11-16', NULL, NULL, 1, '2047-02-04', 797196, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800WXZFHVJ0L6US18', '959800Q1P46WY9F1WF02', '2015-11-29', 'USD', '2015-11-29', NULL, NULL, 1, '2019-10-25', 751072, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '724500X2768HRXPEU968', '969500DVNNWJZZ4ORM08', '2017-05-02', 'CHF', '2017-05-02', NULL, NULL, 1, '2029-03-29', 583130, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '789000VQS0EPOE24K012', '789000VQS0EPOE24K012', '2015-12-29', 'CHF', '2015-12-29', NULL, NULL, 1, '2071-11-13', 122971, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800S43G3PM074G785', '9845009DSB3C48BDD396', '2016-11-22', 'USD', '2016-11-22', NULL, NULL, 1, '2071-02-15', 494727, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '724500G1RKUGWSBCBY55', '213800DHLQ7TJNRX6Z50', '2016-03-30', 'GBP', '2016-03-30', NULL, NULL, 1, '2041-03-09', 218564, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800UZVRMSE0GMRN29', '5493003BDVCHIE3QJO29', '2012-01-30', 'GBP', '2012-01-30', NULL, NULL, 1, '2089-05-03', 299731, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900K8HYFYCYWL7G39', '5493000ZHY3G8IL8G840', '2013-05-17', 'SGD', '2013-05-17', NULL, NULL, 1, '2052-01-04', 309511, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '815600967C1E7028EE93', '9845004FC93E309D4D98', '2010-06-03', 'USD', '2010-06-03', NULL, NULL, 1, '2055-01-31', 848590, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900Z2WNT6X7YR2D25', '213800TSDJ6889OOAG54', '2016-10-06', 'CHF', '2016-10-06', NULL, NULL, 1, '2024-07-28', 129986, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '3003009QBP9DPOH1DQ47', '894500H5L745H30PZJ82', '2013-08-10', 'GBP', '2013-08-10', NULL, NULL, 1, '2083-04-29', 418515, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '8156005A1F872A000C25', '335800ULQ9U6PEDH3757', '2008-08-14', 'CHF', '2008-08-14', NULL, NULL, 1, '2023-08-02', 951242, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900Q29SPCDGZYHO94', '549300V4ZUQXRT8L5J86', '2012-03-15', 'EUR', '2012-03-15', NULL, NULL, 1, '2033-05-08', 427199, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900DP26TR8G0IKD72', '529900GUMMCS7JVTBR64', '2012-02-02', 'USD', '2012-02-02', NULL, NULL, 1, '2030-12-12', 168189, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '815600D8DA95C98F1B07', '335800DV2WKUAMUTYL21', '2014-07-01', 'GBP', '2014-07-01', NULL, NULL, 1, '2043-07-25', 898997, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800CFMTH5U33EAU96', '959800GV2C22F1NVJ309', '2018-08-05', 'GBP', '2018-08-05', NULL, NULL, 1, '2079-09-27', 989335, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300P2J7A8NJE1W709', '529900T72IWE80DC2X89', '2010-03-16', 'GBP', '2010-03-16', NULL, NULL, 1, '2059-08-26', 881603, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9845006AC6A2B5762J46', '95980074NVNWB8MFM280', '2018-09-03', 'SGD', '2018-09-03', NULL, NULL, 1, '2083-05-05', 603626, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800H4TC1D4BPQ8Y62', '54930049RQDUSV9QPW62', '2010-10-11', 'CHF', '2010-10-11', NULL, NULL, 1, '2091-02-05', 499025, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900HUAQ4OU0MR0T28', '724500H1NGL47385H324', '2018-07-23', 'SGD', '2018-07-23', NULL, NULL, 1, '2057-12-01', 596208, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9695002FLATH7FTDAC55', '72450044O7LEAPET9E97', '2014-07-13', 'USD', '2014-07-13', NULL, NULL, 1, '2042-12-07', 101006, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800MK02YNWR4YRN34', '39120077KRP9Q12M3V06', '2009-10-28', 'EUR', '2009-10-28', NULL, NULL, 1, '2097-06-13', 655269, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2549003SEXM1WAKUG066', '529900DJ48EYSTVPW742', '2010-05-13', 'USD', '2010-05-13', NULL, NULL, 1, '2077-08-10', 582807, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9598009UX1TZ091CCX28', '724500IBQ8LL1AKZM822', '2016-06-21', 'CHF', '2016-06-21', NULL, NULL, 1, '2070-02-17', 766667, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800JWUYNYDJ1X1X32', '254900UQW887HTE2WE11', '2018-10-17', 'SGD', '2018-10-17', NULL, NULL, 1, '2078-07-01', 297843, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900P5B0TAX3QA5M60', '2549007KYQNEBEP6LF68', '2016-02-26', 'CHF', '2016-02-26', NULL, NULL, 1, '2053-09-13', 155351, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900WWOX3H9BIG1S46', '549300UD3EZYFYL35X85', '2017-02-02', 'CHF', '2017-02-02', NULL, NULL, 1, '2076-04-29', 248754, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HFLHT1YVGVIN29', '2549002SVL2O0OJ9ZM09', '2018-01-02', 'EUR', '2018-01-02', NULL, NULL, 1, '2023-05-13', 825054, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800P05ZEBUY44VA78', '3003004BP2FGWXC9IT76', '2010-12-07', 'EUR', '2010-12-07', NULL, NULL, 1, '2062-01-25', 767910, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800O9TGFI28HG3H16', '529900D0CEXI4F19ON06', '2015-07-10', 'EUR', '2015-07-10', NULL, NULL, 1, '2074-11-18', 116934, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '8156007814FB50630E55', '894500HHLJY19MRB0V40', '2012-12-23', 'GBP', '2012-12-23', NULL, NULL, 1, '2048-02-22', 224022, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '72450013IGEQEQECQW08', '959800L04YJW40RKLR67', '2014-01-02', 'GBP', '2014-01-02', NULL, NULL, 1, '2025-03-28', 623932, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900SHWR4BHBFBCU89', '7890001FCSDVDJGYMK15', '2014-09-22', 'SGD', '2014-09-22', NULL, NULL, 1, '2029-09-28', 103229, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900BE4B39XDJJKC04', '81560018944686DBAE67', '2009-10-04', 'CHF', '2009-10-04', NULL, NULL, 1, '2081-11-09', 129474, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '5299007I19OVH8CT4B35', '9598009J7GGVR4YJ6D17', '2012-10-14', 'CHF', '2012-10-14', NULL, NULL, 1, '2041-02-05', 304637, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800TD3SZQYAQA5Y17', '959800GBYY0SULRMX220', '2017-12-19', 'CHF', '2017-12-19', NULL, NULL, 1, '2020-12-28', 609473, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2549002H16OHWUFQLE81', '724500X6F9PBE8NUK140', '2014-01-30', 'CHF', '2014-01-30', NULL, NULL, 1, '2078-09-04', 425900, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800N9IBJ2FXMZIV64', '959800EQK23KTT5K5L36', '2009-09-23', 'CHF', '2009-09-23', NULL, NULL, 1, '2050-07-30', 529760, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '95980026137EJAC6WJ59', '213800XG6SU7RZZMTZ68', '2012-04-30', 'EUR', '2012-04-30', NULL, NULL, 1, '2049-05-08', 445188, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900GSFL730YM8C039', '724500K894J6L9N1I931', '2018-04-01', 'EUR', '2018-04-01', NULL, NULL, 1, '2090-05-04', 268072, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800FCTI9CBH4QS545', '549300ZVMPJKLGZ6N477', '2009-01-06', 'USD', '2009-01-06', NULL, NULL, 1, '2060-08-16', 353193, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HKIVDMEA10GF91', '335800QXUUULNIO3BF10', '2011-10-29', 'USD', '2011-10-29', NULL, NULL, 1, '2086-10-12', 332616, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '72450093XK5EVJOV6V32', '894500HMIXILP1BFYN79', '2009-01-04', 'CHF', '2009-01-04', NULL, NULL, 1, '2093-09-24', 112211, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '5299002JG549F4DNL105', '353800U33ROCA5ZVJK91', '2018-05-02', 'CHF', '2018-05-02', NULL, NULL, 1, '2045-03-15', 360638, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '8156007E42BC5A706405', '2549009DU95S5N23T258', '2013-03-20', 'SGD', '2013-03-20', NULL, NULL, 1, '2099-03-27', 219853, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '254900G8FS1OF0MLCX83', '894500HUDMIR935ABZ30', '2014-09-03', 'USD', '2014-09-03', NULL, NULL, 1, '2064-02-09', 394153, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '5493000NRR24PAWO7N49', '254900RTIIH24FQMYN62', '2014-05-11', 'CHF', '2014-05-11', NULL, NULL, 1, '2028-11-08', 482108, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800MK02YNWR4YRN34', '81560097D30019679524', '2011-01-02', 'GBP', '2011-01-02', NULL, NULL, 1, '2022-01-02', 238698, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HRARJEHGJP8V30', '8156006BE883FAADE173', '2018-08-12', 'GBP', '2018-08-12', NULL, NULL, 1, '2067-10-02', 565327, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '549300U3UM0L00PMTA93', '5299009F6LUXXUL3OS83', '2016-10-13', 'GBP', '2016-10-13', NULL, NULL, 1, '2044-01-24', 231135, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '213800XG6SU7RZZMTZ68', '5493004X48K2PHVBB528', '2013-04-21', 'GBP', '2013-04-21', NULL, NULL, 1, '2080-03-30', 531088, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '335800RJUPH6GMWAIP15', '815600927806FFB39D28', '2014-04-13', 'CHF', '2014-04-13', NULL, NULL, 1, '2059-06-08', 719708, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '7245000N9ADYHS0VCP65', '894500H3QOIXTB264V40', '2011-11-29', 'CHF', '2011-11-29', NULL, NULL, 1, '2070-06-14', 644776, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '959800ADSN42P864VT30', '529900JDL1S5ECRBVF22', '2015-09-13', 'GBP', '2015-09-13', NULL, NULL, 1, '2022-04-19', 879217, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '529900HUVEL8HNU4LY87', '984500C6B88FBHD56508', '2012-03-12', 'SGD', '2012-03-12', NULL, NULL, 1, '2077-12-22', 733661, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '81560025560F1EB87A97', '529900UUJZ1Z0UIBQB51', '2016-12-17', 'GBP', '2016-12-17', NULL, NULL, 1, '2052-02-12', 261867, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '8156005F3EB63BB40022', '529900MZAT1NGJO3BQ80', '2014-02-24', 'CHF', '2014-02-24', NULL, NULL, 1, '2035-12-17', 839018, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9845000093MBD2EDC242', '529900UXM7BDYQ90SE03', '2012-05-25', 'SGD', '2012-05-25', NULL, NULL, 1, '2065-11-30', 799848, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '5299007PYV3Q0ZOS7431', '9598001SSUZMNS94R334', '2015-04-02', 'GBP', '2015-04-02', NULL, NULL, 1, '2041-07-20', 867586, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '3912005K8UY8SC8NGF12', '54930044EWPZ74551F13', '2012-08-28', 'USD', '2012-08-28', NULL, NULL, 1, '2071-07-14', 342883, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '894500HP55UNJPXE3364', '815600659F0D66B0DB41', '2011-09-24', 'CHF', '2011-09-24', NULL, NULL, 1, '2086-03-11', 250141, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '9845000093MBD2EDC242', '254900T65883RYV3MX83', '2015-11-18', 'CHF', '2015-11-18', NULL, NULL, 1, '2059-05-14', 869358, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '984500C64B798BE37758', '549300N3ZXLPZJTZ7M34', '2013-04-07', 'SGD', '2013-04-07', NULL, NULL, 1, '2044-02-01', 812322, NULL, NULL  );
INSERT INTO Instrument (ID, instrumentType, brokerLei, counterpartyLei, dealDate, originalCurrency, valueDate, isin, tracker, quantity, maturityDate, amountInOriginalCurrency, strikeAmount, direction) values ( nextval('INSTRUMENT_SEQ'), 'D', '2549003FVVKKXP7PMR65', '815600AB0AE53D878886', '2017-03-26', 'GBP', '2017-03-26', NULL, NULL, 1, '2061-07-24', 407796, NULL, NULL  );
